Lockergnome Tips File

Get Your FREE Subscription!

Your E-mail Address:
Windows Daily
Tech Specialist
Digital Media
Windows Digest

Start putting the snap and crackle back into your Inbox with our e-mail newsletters! Every mailing is FREE, fun, and very informative. SUBSCRIBE NOW!

Our Windows Daily includes: functional Freeware for everybody, useful Web sites, original PC tips & tricks, critical updates, jargon definitions, and industry news for consumers.

Our Tech Specialist includes: Information Technology reviews for Windows and Linux users, sysadmin advice, troubleshooting resources, IT job assistance, and other stuff for the tech professional.

Our Digital Media includes: MP3s, streaming audio and video destinations, online radio stations, interesting multimedia hardware and software, Webcam pages, DVD reviews, and anything remotely entertaining.

Today's Tip:


Email Tactics

1st January 2001

Sit there and tell me you've never replied to an e-mail message. I'm sure it happens just about every time you get online, but how exactly do you respond? With shorter messages, convention dictates that you can simply add to the thread by entering your thoughts above the replied text. In lengthier messages, however, you may wish to carve the indented paragraphs. Insert your cursor on the line directly below the sentences you wish to respond to, hit ENTER a couple of times, then type your fingers off. This'll make your thoughts easier for the recipient(s) to read and interpret. In business communications, this particular tactic is frowned upon. Split the difference, I say! In the 'Reply' message window, before responding, select all the text, copy it to the clipboard, then paste it into the message twice. This will allow you to break apart the topmost replied (indented) text and leave the original message intact below. Specific responses can be conveyed quickly and the thread still remains intact. You know, just in case someone needs it at some point in the future.


Speech Synthesis

2nd January 2001

Lori thinks I'm nuts, operating in a 1600x1200 pixel environment. My prescription is far from perfect, but at least I can see screen stuff without squinting. My grandmother suffers from macular degeneration; she wears glasses that put Coke bottles to shame. Knowing this, I would recommend that she and Grandpa use Windows 2000 Professional. Why? Out-of-the-box stability aside, Microsoft Narrator is a part of W2k's Accessibility tool suite. Quoting its splash screen, this utility "is intended to help people with low vision to setup their own computers, or use other people's computers." Dialog boxes, keystrokes, e-mail messages, and just about any string of on-screen text can be read aloud on-the-fly. When you're in a pickle, the Narrator is perfect -- although it's not something that one would want to use on a continual basis. Speech synthesis is still years away from being an essential part of the daily computing experience. You can say that again.


Create a Spreadsheet

3rd January 2001

Right now, my Microsoft Office 2000 installation CDs are elsewhere on this planet, I don't have an Internet connection, and I need to create a spreadsheet. Well, as long as Notepad is present, I'll be good to go. What!? Yeah, you can enter basic alphanumerical data in a plain text program. As long as you separate each field by a comma, your favorite spreadsheet application should be able to import it. Tabs may also be used as delimiters, but I've always found commas to be easier to keep straight (visually). First, you need to understand the difference between columns and rows in a spreadsheet document. Rows are horizontal, much like bleachers at the women's basketball games which interrupt the Chris Pirillo Show. Columns are vertical, much like those used in ancient architecture. If you can't remember that, you're a Doric. Consider each line in a comma separated text file your row, and each comma within that line as the start of a new column. Need ten columns? You'll use nine commas with flanking data. Need to insert an empty column? Put nothing between the two commas. Isn't that Ionic? Dontcha think?


A not-so-gooey utility

4th January 2001

Coming from the "I Command Thee" Department, Lockergnomie Brian Bartlett lets us in on a not-so-gooey utility for Windows NT/2k. When you need something done, you needed it done yesterday. That's just the way it is in a world dependent on instant gratification. The Task Scheduler is pretty fancy -- especially when compared to a command prompt. But there's beauty in that blandness! Do you know where it's AT? No, you see... that's the program (AT.EXE). "The AT command schedules commands and programs to run on a computer at a specified time and date." And for networked Gnomies, there's a switch for working with remote computers. Granted, there's no "GUI," but since when has that been a necessity for powerful tools? For those of you new to this operating system, understand that there are two ways to drop to a CLI; CMD.EXE is much more efficient (and faster) than the familiar COMMAND.COM. It's kinda like two turntables and a microphone (where it's AT).


Still sending paper FAXes?

5th January 2001

Are you still sending paper FAXes? Slap yourself. This is the electronic age, dude. There's virtually nothing a FAX machine can do that a scanner and printer cannot. In fact, the latter option saves paper and allows transmitted document(s) to be duplicated easily. Sans scanner? Pick up your digital camera. Don't have one of those, either? Sell your silly FAX machine and get either one. Prices are plummeting for these increasingly-important office peripherals. There are online services which will help you coordinate the electronic delivery of FAXes to those still in the stone age. I'm using a program called "IPFax" via my Webley account, which is seen as a separate printer to Oogie Boogie (my big beige beast). NOTE: don't try to FAX complicated graphics unless you've dithered them down to two colors first. Er, all colors (white) and the absence of all colors (black). ADDENDUM: why are you FAXing graphics? CORROLARY: only FAX stuff that can't be sent any other way. Save paper, resources, and cost (for the possible long distance call). For black and white documents, I've found the TIFF format to work best; not only is the compression algorithm strong, but you can store multiple "pages" within the same image. If you don't use Paint Shop Pro, the Kodak Imaging application that comes with Windows is just as useful.


Stopping your settings changing

8th January 2001

Don't touch my computer. In Pirilloland, that's a big no-no. I flipped out years ago when I found a Desktop icon was off by two or three pixels. Stopping users from changing your settings isn't always easy. Forget about posting a "Don't touch" sign; the Background tab (in your Display Properties dialog) can be hidden with a little bit of Registry hacking. Navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Policies \ System and create (or edit) the DWORD value: "NoDispBackgroundPage" (sans quotes). Set its value to 1 and it'll take effect instantly; to reverse this tweak, simply change the value to 0. This won't stop a determined user from changing the Desktop graphic entirely, but it'll sure slow him down. ANCILLARY: you can conserve video memory by not having a background image. For those with older, slower video cards looking to squeeze as much performance as possible from their systems, this should be kept in mind.


Timely e-mail responses

9th January 2001

Just about everybody understands the frustration that comes from not receiving timely e-mail responses. Did you enter the correct address? Are they even checking their Inbox? When you first exchange contact information with someone, be sure to ask for their preferred method of interaction. For some, the phone works best for remote communications. And what about e-mail? Well, its not unusual for someone to have more than one account (work, home, travel, etc.). Which one is used most often? That's for them to know and for you to find out. Hey, while you're at it, ask to see if their cell phone has an e-mail address, too. No joke! Text messaging is a feature that is underused with certain wireless service plans. Granted, these notes are restricted to ~100 characters or less, but if you have something important to relate, there may be no quicker way to get to an unconnected person. Have your own text messaging e-mail address? Get weather reports, road conditions, stock prices, your server's status... all sent to your cell phone automatically. If the option is available, you might as well use it.


Word formatting

10th January 2001

Type, type, type. What's this? I didn't want the text to be red and underlined. Why did my word processor do that? Well, I hate to tell ya, but it did NOT do that. You did. Albeit, inadvertently. Rich text is prettier than straight ASCII, no doubt. But when you start messing with font sizes and colors and spacing and whatever, you're creating a potential headache (as witnessed at the beginning of this tip). How can you avoid these problems? Fight the urge to "fluff" as you move forward -- wait until you're completely finished with the document before doing anything to it. This way, you'll be able to target the exact text string(s) you wish to tweak and no other areas should be impacted. To save even more time, use the Format Painting tool. Right next to the Paste icon, you should see another icon with a little paintbrush and i-beam cursor inside. Highlight the formatting you want to copy, click the 'paint' icon, then highlight the text to which you wish to apply that formatting.


Nice file name

11th January 2001

29NOV35x4Radio would make a nice file name. I'm surprised you haven't used it before. Isn't it incredibly easy to interpret? Sure, if you happen to be Dagnar from the planet Zorbatt. Unless your intentions are to keep a file from prying eyes, I offer the following suggestion. When it comes to naming a document, use the first three or four keywords that come off the top of your head. Why? Because as your collection grows, so will your confusion. Even obsessive-compulsives like myself can stray from congruous conventions. If your eyes can't spot an object within ten seconds, start thinking of launching Explorer's Search (or Find) applet. Here's where those keywords can come in handy. You know you're looking for something that has to do with "Radio" and "November" but you can't remember the exact project name. Well, if your document largely dealt with Radio, you'd be silly not to have that word somewhere in its file name. Again, this will become increasingly useful as your index grows. Your productivity is paramount; don't waste time looking when Windows will do it for you.


Lousy default folders

12th January 2001

Why do some programs stick to lousy default folders? Ya know, when you go to open or save a file, the dialog sometimes starts somewhere (seemingly) illogical. For some, the Windows folder is a starting point. For others, My Documents may be home. If an application doesn't allow you to designate a default folder, you can take an alternative route. Shortcuts can do much more than launch programs, eh. First, find a app that's been frustrating you (in this context of this tip). Right-click its icon, select Properties, then flip to the Shortcut tab. In the "Start in" field, enter your desired "Open / Save As" folder path. With any luck, the next time you use this shortcut, that dialog will start exactly where you desire. PIGGYBACK: Windows 2000 users will find a "Run in separate memory space" option in the Shortcut's property dialog, too. When a 16-bit (Windows 3.1) program is launched, system stability will be strengthened if you place a checkmark in this box first. Or, upgrade to a 32-bit alternative!


Outlook contact searches

15th January 2001

Coming from the "Brighter Outlook" Department, Lockergnomie Mitchell Sharp sharpens his contact searches. We all know how a PST file can become unwieldy in a heartbeat, storing everything from e-mails to tasks to scheduled meetings to anniversaries to journal entries to... infinity and beyond. I find it rather comforting to know that the data is all in one place (instead of scattered about my hard drive). Not convinced to move to Outlook 2000 yet (even though you probably already have Microsoft Office 2000 installed)? Let me ask this: if you needed to find all electronic documents (e-mails, appointments, notes, etc.) pertaining to a certain contact, how would you go about doing it? Cleanly, quickly, and without much effort? Aha. Outlook is smarter than you think! Open up a Contact's property sheet and flip to the Activities tab. That's all you need to do; this powerful PIM will automatically start flipping through your Outlook folders -- looking for and providing links to related data. I'm sure you'd much rather waste your time doing it manually, though.


Get rid of Real

16th January 2001

Coming from the "Getting Rid of Real" Department, Lockergnomie Bruce Feirstein removes a resource-draining icon. RealAudio used to be the bee's knees. Now, it's more like a hornet's nest. With privacy issues and fluffy features bogging down the binary, it looks as though the player will work better on-demand. In the menu, select View, then Preferences. Toss your cookies in the Support tab if you're so inclined, but don't leave the dialog until you've disabled the StartCenter permanently. "Ignore dire warnings about the coming apocalypse." Turn it off; save precious memory for other (more important) applications. Another piggy? Microsoft's latest Windows Media Player. In Windows 2000, WiMP v7.0 (WMPLAYER.EXE) sucks up 10MB of system memory before it plays a file. Compare this to WiMP v6.4 (MPLAYER2.EXE) which initially takes up only 3MB. Don't come whining to me when you say your computer is too slow -- and I see that your System Tray has more icons than the average folder. Get real. Er, get rid of Real. Kinda.


Hidden help

17th January 2001

Time to discover a little bit of hidden help. Default Windows apps aren't known for being robust -- but they work when you need them to work. When was the last time you saw Notepad crash? Jeez, I hope never. What's two plus two? Unless your an accountant, the answer is simple; launch CALC.EXE and double-check your answer. Wow -- the Scientific View has a ton of buttons. What do they all do? Right-click on one to find out. A "What's This" feature may also be employed when you're sitting inside a dialog box. In the upper right-hand corner of a property sheet, you may find two buttons (? and X). Tap the question mark, then click anywhere on the sheet for (possible) further guidance. Or, you may be able to right-click anywhere on the sheet to see if a "What's This?" option automatically pops up. Right now, I'm sure you power users are going: "Psssh! I already know everything." Yeah, but did you know that you could right-click on the "What's This?" bubble help and copy / print the text? Uh huh... sure ya did.


Online security

18th January 2001

"I want my computer to be secure when I get online." Do you realize that's an oxymoron? Even with the tightest system, I can safely say that there will always be at least one vulnerability present. Linux is more robust for networked environments, but like any operating system, you can be stewed if you don't set it up properly. Microsoft's consumer Windows series is quaint; the job will get done, but cutting corners could cause chaos. Security? Firewall. Security? Stealth mode. "But Windows 2000 isn't..." Don't look at it for what it is NOT, but rather at what it is: an operating system better suited for a constantly-connected computer. I'm discovering new command line network tools every day! Lockergnomie Bruce Stanko told me about PATHPING -- an extended utility that provides more network routing details than the popular PING command. Lockergnomie Robert Gauthier clued me into the ROUTE command -- which manipulates network routing tables. With it, I can see a little bit more about my local network. How does this all tie in together? Everybody has PC problems, but with the right tools in hand, they can be solved more easily. Not to say that ME doesn't work -- it just didn't. At least, for me.


AutoSummarize documents

19th January 2001

I ain't got time to figure out what you're trying to say; just give me the short version. While waxing poetic may work well on the radio, electronic transmissions should be kept short and sweet whenever possible. This goes for e-mail messages, word processing documents, and everything in between. Too much text overwhelms the eyeballs. In grade school, we were taught to skim for important ideas. Microsoft Word may be able to help! In the Tools menu, select AutoSummarize. Guess what that does? Uh huh. Go ahead and click OK when you're ready to rock and a new daughter window will appear over your document. It's like someone took a highlighter to your screen! You can change the summary percentage on-the-fly; switch to a more simplified view by pressing the left-most button. Of course, this is no substitute for any comprehensive review. But when you need to pick out parts of a paper, I can't think of an easier (or quicker) way. Where was this thing when I was in British literature class?


Telecommunications stuff

22nd January 2001

Telephony. That's when you pass information along to someone who isn't real. Nah, it's telecommunications stuff -- voice over IP (VOIP). I still remember the first time I used a PC to communicate (vocally) with another person. Since then, broadband has been introduced into our homes. If you're lucky enough to have a cable or DSL connection, then there's a Windows program I suggest you call upon for long-distance tech support issues with friends and family members: Netmeeting. It's more than just a simple communications client. Yeah, even when you turn off the audio and video streaming, you can still share a remote Desktop. That is, assuming the user on the other end is running Windows and can use it (Netmeeting). Instead of talking someone through a simple task, you can do it for them. "Well, how are they supposed to learn anything if they don't do it themselves?" Let me ask you this: is your time precious? Helping loved ones troubleshoot computer problems is fine, but it's also more frustrating than being stuck in the slow lane during rush hour traffic. Hey, if nothing -- then at least you may have discovered a rather cheap way to interact with other connected members of your "inner circle." With the right conditions, it's no worse than a cell phone call (although, we still have miles to go before it replaces the handset).


Context- Sensitive Help tool

23rd January 2001

Jack Skellington is going nuts. "What's this? What's this?" Well, it appears to be text. "Yeah, but how was it formatted?" Looks like... I can't tell. Well, why don't you use the Context- Sensitive Help tool? This is especially useful for a Microsoft Word document which suffers from formatting faux paux. It's like asking your father: "What's that fo', Pa?" In the Menu Bar, click on Help and select the "What's This" option. Alternatively, you could use the SHIFT+F1 keyboard shortcut. You should now see a question mark appear next to your pointer (unless you've applied a non-traditional cursor scheme). Hover over any character in the current document window; when you wish to see more about its attributes, simply left-click. Care to see more? Click elsewhere and you'll find just as much information at your fingertips. When you're finished, just tap the ESC key. I hope you follow my earlier advice and not apply any formatting to a document until it's complete; when you're caught in a jam, this feature may cut down on your frustration.


Outlook 2000 SP2 fix

24th January 2001

Coming from the "Fixing The Fix" Department, Lockergnomie Edward Kreis may have discovered a workaround for the Outlook 2000 SP2 attachment security update. "I remember you where disappointed to discover that the latest Outlook 2000 patches disabled the ability to directly open 'EXE' attachments (as well as others). To enable such functionality again, you may try the following hack." In the Registry editor, navigate to HKEY_CURRENT_USER \ Software \ Policies \ Microsoft \ Security. If this subkey is not present, then you may not be affected. Assuming it is there, create a new DWORD Value and name it: "CheckAdminSettings" (sans quotes). Double-left-click on the newly-created option and enter the number one (1). Now, I cannot verify that this setting will change anything -- only because I did not install any one of Microsoft's Office 2000 service packs. Edward claims that it will return attachment functionality. As always, I recommend that you perform a full backup of all your vital system data before doing any serious system tweaking.


Save attachments in Outlook

25th January 2001

Coming from the "I'd Rather Be Somewhere Else" Department, Lockergnomaster Steve Janssen tells Outlook where to save attachments. "Whenever you want to add an attachment to Outlook mail, it always takes you to the Personal folder in your profile. Well, I don't keep anything there (for attachment). In Microsoft Knowledge Base document number Q253135, instructions are provided to tweak this behavior." Fire up REGEDIT.EXE and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Explorer \ User Shell Folders. Double-left-click the Personal key to open it. Now, enter the default attachment path you'd rather use. My suggestion: either the %USERPROFILE%\Desktop or %USERPROFILE%\My Documents folders. They'll work well for computers supporting more than user. When you're finished, exit the Registry editor and restart Outlook. Would you rather attach without going through the hassle? Drag & drop any file into an e-mail message window. Gee, that was difficult.


Prevent buffer overruns

26th January 2001

Coming from the "Go With The Flow" Department, Lockergnomaniac Steven Groginsky removes another middle man. "After reading part of an article describing COM port flow control as functioning mainly to prevent buffer overruns, I have selected 'No flow control' for my COM ports in the Windows Device Manager. To get here, simply right-click on My Computer, select Properties, then flip to the appropriate tab. I believe I'm getting better speed from my modem now. I'd like to have this confirmed by someone with a 56k connection as I have never seen this tweak before [NOTE: discussion should take place in either the Reboot My PC discussion list or Lockergnome newsgroups]. The principle is that buffer overruns occur when the CPU takes bits out of the buffer slower than the modem is putting them in. I figured that with an AMD K6- III 400, I wouldn't have to worry about that. So, this is for anyone with a system that never reaches 100% usage minus what it takes to service the Internet connection; you can safely turn off flow control for a [possible] boost in speed."


Printing more than once

29th January 2001

Plan on printing the same document more than once? Quit going though the motions; let Windows 2000 keep 'em queued for ya. Open your Control Panel and double-click the "Printers" icon. Now, right-click your default printer's icon and select the "Properties" option. Flip to the "Advanced" tab and put a checkmark in the "Keep printed documents" box. Now, when you spool data to this printer, it won't be removed unless you manually delete it. Again, you'd want to turn on this feature if you have a propensity for printing the same stuff over and over... and over again. Windows 9x users feeling left out? So, here's a tip that you can use! When you print graphics, they may not appear the same on screen as they do on paper. Perhaps your dithering is off (or on, as the case may be). Pull up the properties for your printer the same way your W2k brethren do -- then flip to the Graphics tab. From there, you may be able to change the DPI (dots per inch) and dithering options. Trying to conserve ink? It's par for the "course." Looking for perfection? There is "None." Need something in between? That's just "Fine."


Finding stuff online

30th January 2001

While doing a radio interview the other day, the subject of "finding stuff online" came up. The host was frustrated with IE's default search engine. "But you can change it!" You can? You bet. Go ahead and open your Search pane (click the Globe icon in Internet Explorer's "Button" bar). Now, click the "Customize" button in the upper right-hand corner. Up pops a white-ridden dialog box. Now you can add, move, remove, or resort the list. Ready for more? Click the "Autosearch settings" button in the lower left-hand corner. If you use the Address Bar search approach like I do, you can select the most desirable engine from the drop- down list. How do you search from the Address Bar, you ask? Easy. Either preface the query with a question mark, or enter your keyword(s) and tap the ENTER key. Wow. Painless. Er, paneless. BONUS: upon installing the official Internet Explorer 5.0 Power Toys, you can set up your browser to query Google directly from the Address Bar. You'll find the "Quick Search" option in your "Links" menu. From there, follow the directions and create a customized shortcut for... whatever.


Find out what font

31st January 2001

Working with tech novices can be frustrating at times, but you can learn a lot from a "dummy." I use that term VERY loosely; at one time, I was one. In many ways, I never outgrew the label. Anyway, there's a crucial member of the Lockergnome team who isn't terribly into technology. No worries; I've learned to listen to the frustrations and watch the workarounds. That's a tip in and of itself; take note, geeks! I was away from the office and someone needed to find out what font I used for Lockergnome's Web site. Comic Sans MS, for what it's worth -- but they didn't know that. Using logic, one of them copied some text directly from LOCKERGNOME.COM then pasted it into Microsoft Word. That braniac KNEW the rich text formatting would be preserved when it was pasted into the document. From there, the team observed the "Comic Sans MS" font face listed in the toolbar. I would have NEVER thought of doing that in a million years. Intelligence comes from those who know far less. That's ponderous, man. Ponderous.


Spreadsheet columns

1st February 2001

Coming from the "Accelerating Excel" Department, Lockergnomie Stephen Blythe curtails a couple of cutting questions. Columns come in all shapes and sizes; I left "Corinthian" off my last list only because I couldn't fit it into natural discourse. Without electronic pilars, spreadsheets would be weak. As it is within the Windows Explorer, you can (left) double-click on a dividing line to auto-resize a column's width in Excel (to accommodate the longest string). Great! Now we have fourteen columns of varying lengths. Wouldn't you rather have them uniform? Select a range of columns, right-click on one of them, then choose the "Column Width" option. Enter a reasonable number and click the "OK" button. You can do the same thing with rows, too. While we're working with horizontal and vertical data, have you ever wanted to flip flop 'em? That is, take up-and-down data and turn it into left-to-right data? Copy a range, select its destination, then call the "Paste Special" function; be sure the "Transpose" option is checked.


Tweaking mail trash

2nd February 2001

Coming from the "Filth Filters" Department, Lockergnomie Mick Gurling tweaks his mail trash. Outlook 2000 rules our lives (at least, those of us who turned to the "dark side" of the Inbox). Rules? Who needs rules? Anybody who receives spam. Microsoft's mail client comes with the ability to automatically tag junk mail before it sees the light of day. In the "Tools" menu, click the "Organize" icon (a segmented yellow cube), then select the "Junk E- Mail" tab. Turn it on or off. Care to see what gets auto-flagged for flogging? Search your hard drive for the "FILTERS.TXT" file. You can edit that thing by hand, if you wish; remove entries which you believe wouldn't violate your eyeballs. As with any automated system, perfection should not be expected. I'm sure a few nasty- wasties will slip by undetected every so often. I've found my DELETE key works just as well.


W2k Indexing Service

5th February 2001

Coming from the "Quicker Than Lassie" Department, Lockergnomie Denis Franco found a fabulous finding feature for W2k fans. So, the search engine didn't save your sanity? Something tells me that "chocolate covered moth balls" are not a popular treat (even for clothes). You've written countless papers on the subject, but they're scattered about your hard drive. The "Indexing Service" provides Windows 2000 users with far more functionality than the operating system's default Search feature. Right-click on "My Computer" and select the "Manage" option. In the left pane, double- click "Services and Applications." Right-click on the "Indexing Service" option to start the process. According to the documentation: "[it] extracts the information from a set of documents and organizes it in a way that makes it quick and easy to access that information through the Windows 2000 Search function, the Indexing Service query form, or a Web browser. Once the index is created you can query the index for documents that contain key words, phrases, or properties." Key feature? Being able to use the all-too-familiar Web browser interface to uncover relevant results.


Recycle Bin options

6th February 2001

Coming from the "Registry Recycling" Department, Lockergnomie Tom Edwards broke the code for a Windows 98 shortcoming. Right-click on "My Computer" and select the Rename option. Wow! That was fun. Now, right-click on "Network Neighborhood" icon and do the same thing. I'm cuckoo for customization! Okay, right-click on your "Recycle Bin" and... wait a second. Where's the option to rename? It ain't there! Fire up REGEDIT.EXE and navigate your way to HKEY_LOCAL_MACHINE \ Software \ Classes \ CLSID \ {645FF040 - 5081 - 101B - 9F08 - 00AA002F954E} \ ShellFolder. Double-click the "Attributes" value and change its number... AFTER you backup the key, of course. Enter "50010020" (sans quotes) for the "Rename" option only, "60010020" for "Delete" only, and "70010020" for adding both the "Delete" and "Rename" menu functions. My suggestion? Stick with 50010020. And don't even try to use 90010020... because it won't work.


Potential security threat

7th February 2001

Coming from the "Doc Oc" Department, another Lockergnomaniac warns of a potential security threat. In past issues, I've pointed out that an external Cable / DSL router can block unwarranted incoming Internet traffic better than software. This is very much true; however, your (default) IP address is a number which "script kiddies" find all too familiar. Changing 192.168.1.1 to any non- enabled IP octet (such as 10.0.0.1 or 192.1.1.25) on the 255.255.255.0 subnet should provide enough protection. You see, any IP that starts with 192, 10, or 127 is not in the master routing tables and is an unfowardable address. Some of those goofballs assume you're not going to change your default IP address, so reassign the switch to something like 192.168.0.99. (keeping "192.168" in place). Telnet attempts will be thwarted, and your connection should remain out of harm's way. Again, this information came to me from a network-knowledgeable Gnomie.


Select words in Word

8th February 2001

Coming from the "Block that Text" Department, Lockergnomie Alparslan Arslan has stumbled upon a novel way to select words in Word. When you need to copy data to the Windows clipboard, you have to highlight (select) it first. "Confess, Chris; I know that you like keyboard shortcuts -- especially when there's no menu alternative. We used to work with word processors like WordStar and Pro-Write; they had a "block selection" feature. With it, you could highlight a rectangular area (block) instead of a sequential series of words." Back to the present day; in Microsoft Word, hold down CTRL+ALT+SHIFT while you select an area with your left mouse button. Suddenly, you're thinking outside the box! So to speak. How will this help? When you want to copy column characters not sitting inside a table. See, sometimes it's truly hip to be square.


Outlook 2000 folders

9th February 2001

Outlook 2000 excels at one thing: upsetting certain users. It's far from flawless, but you may consider using it as a secondary tool (rather than your primary e-mail client). For example, the other day I needed to copy "subject line" data from a string of mail messages. I selected the range, went to the "Edit" menu, and selected the "Copy" option. Well, all of the visible fields wound up on my clipboard in text format (as desired). I didn't want EVERYTHING, so I wound up removing the other sort fields (temporarily) by dragging and dropping them away from the window... then reissuing the "Copy" command. So, what about Outlook Express users? Can't do it -- unless you import the message range into Microsoft Outlook 2000 first! See how that works? When I feature mutually exclusive "Outlook" trick, import your data and try the tip in the other client. BONUS: you can create Desktop shortcuts to your Outlook 2000 folders; right-click then drag & drop one to the Desktop (from the Folder List). When prompted, select the "Copy Here" option. While OE supports this feature, it only allows you to create Active Desktop Items. Can't win 'em all!


MSN Instant Messenger

12th February 2001

The MSN Instant Messenger, while functional, is far from full- featured. The banners are... wait a second. Hey, if you move this IM past the bottom border of your screen, you can make the advertisements completely disappear! Don't want it talking to the ad server if it doesn't have to? Well, first find its default folder (search for Messenger). Open LINKS.TXT and clear its contents. When finished, save the file and pull up its properties from the Windows Explorer. Place a checkmark in the "Read-only" field (Lockergnomie Chris Johnson told me about this tweak). Get the picture? Not anymore. And speaking of images, we're not done with customizing this client. In the same folder, you'll find the LVBACK.GIF file. Open it in your favorite graphics editor and... edit. I'd suggest keeping the white background behind a light gray company logo. Hrm... this IM isn't so bad after all.


Cleaning up is easy

13th February 2001

Cleaning up is easy -- if you let your operating system do it for you. Running the Windows disk defragmenter once a week is wise; keep those clusters tidy. Is Defrag locking up on you? Restarting after 10 percent completion? Perhaps you should run SCANDISK from the command prompt. Millennium Edition real mode woes? Grab an old Windows 98 boot floppy and run SCANDISK from there. Here's something you might keep in mind; check your "Windows \ Command" folder for a SCANDISK.INI file. Inside, you'll find dozens of environmental settings. If you suspect hard drive errors have been getting in your way, be sure NumPasses is set to "5" before you run SCANDISK. You should also be sure that ScanTimeOut is "On" if you plan on launching a thorough scan. Think of it as building a super meticulous broom.


Troubleshooting W2k problems

14th February 2001

Coming from the "You Can't Hide" Department, Lockergnomie Jack Sanderson sheds some light on troubleshooting Windows 2000 problems. Seems as though Jack's computer wasn't shutting down by itself (with an ATX power supply). He was fiddling with the Device Manager in the Computer Management Console and found a 'Show Hidden Devices' option in the View menu. He enabled 'NT APM / Legacy Interface Node' and that fixed his contention. While you may not be having a power problem, this "secret" feature could get you out of other jams. Care to have your Windows 2000 PC automatically reboot when it smacks into a blue screen? Lockergnomie Marc Lane found something for ya. Right-click on My Computer, pull up its properties and flip to the Advanced tab. Click the "Startup and Recovery" button. On the subsequent sheet, place a checkmark in the "Automatically reboot" field.


Freeze GIF animations

15th February 2001

Coming from the "I'm Moving Out" Department, Lockergnomie Siegfried Hirsch plays Anthony's Song for his Web browser. GIF animations were nifty back in 1995. When the wrong person gets ahold of the right graphic, rest assured it'll be abused. A moving image can quickly get in your way when you're reading Web content. Stop it! Don't scream at your screen -- just hit the ESC key to freeze all GIF animations (once a page is fully loaded in Internet Explorer). Don't care to see them move at all? In IE's Tools menu, select "Internet Options" and flip to the Advanced tab. Scroll down to the Multimedia section and take the checkmark out of the "Play animations" field. While you're there, you can also kill browser sounds by... duh. Take a guess. If this was rocket science, all of us would have flunked out years ago.


W2k safeguard

16th February 2001

Those who pay attention to the GnomeREPORT know that I've replaced Notepad with Metapad as my default text editor (which came from welcome.to/metapad). In Windows 98, I simply renamed the binary and threw it into my Windows folder. When I tried to do the same in Windows 2000, the operating system wouldn't let me. Within seconds, it would reverse my replacement. What!? That's a nice safeguard, but I really wanted to use the Metapad binary. In a matter of minutes, I discovered that files in the "WINNT \ system32 \ dllcache" folder were my problem. Upon replacing its copy of Notepad with the Metapad binary, I was saved. Of course, not before being warned about the issues which may have come up (which haven't yet). Now, if you care to stop this auto-recovery from ever happening again, you'll need to launch your registry editor. Navigate to "HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Windows NT \ CurrentVersion \ Winlogon" and look for the "SFCDisable" DWORD value. Set it to "1" and you'll be good to go.


Envelopes and Labels

19th February 2001

Signed, sealed, delivered. Stop addressing your snail mail the old fashioned way; the pen is so twentieth century. You probably have a printer and a copy of Microsoft Word; put 'em together and you've got mail. Er, kinda. In the Tools menu you'll find the "Envelopes and Labels" option. Go ahead and enter your data, but don't press Print! Instead, click the "Add to Document" button. Why? Well, now you'll have the ability to add an image to the final product. Be sure your document view is set to "Print Layout" or this won't be easy. Double-left click anywhere on the envelope page and add an image like you normally would; in the Insert menu, select Picture then... whatever. Still care to draw your graphics with a pencil? Well, I can't stop ya.


Log Off User option

20th February 2001

Gretchen's using Mr. Bigglesworth now that Oogie Boogie has taken over my life. Having two PCs in this house makes for a peaceful household. I use one, she uses another, and Sprocket simply gnaws his rawhide. So why do we need a "Log Off User" option in the Start Menu? We don't. You might not either. Open your Registry Editor and navigate your way to "HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Policies \ Explorer" -- in the right-hand pane, create a new DWORD value and name it: "NoLogOff" (sans quotes). Double-left click the new attribute to give it a value of 1. Exit the editor, reboot, and you won't be bothered by that feature any longer. If you care to bring it back at some point in the future, just change that value to 0. But please lay off the rawhide in the meantime.


Eliminate DLL caching

21st February 2001

When you close a door, the door is closed. Makes sense. But when you close a program in Windows 9x, some of its DLLs love to stick around. Some components just never know when to leave, eh? Kick 'em out of memory immediately if you have better things to do with the space. This tweak should benefit those of you who run different programs on a daily basis. Fire up REGEDIT.EXE and navigate to "HKEY_LOCAL_MACHINE \ SOFTWARE \ Microsoft \ Windows \ CurrentVersion \ Explorer" -- create a new String Value in the right pane and name it: "AlwaysUnloadDll" (sans quotes). Give this new string a value of 1, close the Registry Editor, and reboot Windows. This will eliminate DLL caching; programs won't re-launch as quickly as before, but it'll bring closure to every close. Perfect for low memory systems or programming environments.


Selective selection

22nd February 2001

Oh, we all know that the universal shortcut for selecting all the text and graphics in a document is CTRL+A. What?! You didn't know that? Well, yeah. That's the story. You know you could be more selective in your selection? Sure. At least, in Microsoft Word. Tap your F8 key the first time to turn on this feature; move your cursor right or left to select a single character. Now, press F8 a second time to select the entire word. Third time's the charm; F8 tap number three will select the sentence. Four F8 punches knocks out the paragraph. And if you want the whole enchilada... er, document... hit F8 five times. Reverse the process by keeping the SHIFT key depressed (just tell it the story of how you used to get beat up in grade school).


Default Reply Address

23rd February 2001

Knock, knock! Who's there? Not the same person who sent that e-mail message to you. Er, at least... it's not from the same account. You may use your ISP's mail server for most of your SMTP (outgoing e-mail) transmissions, but you can have your friends reply to any number of addresses -- even one that isn't yours. Check your mail account settings for a "Reply to" or "Reply Address" option. Whatever you set this as will be the default address to which your recipients will respond. You can change this on a per-need basis in Outlook 2000. Before "Sending" a composed message to your Outbox, click the "Options" icon in the View menu. In the "Have replies sent to" field, go ahead and add as many addresses as your heart desires. This could come in handy when you need someone to respond to someone else (or to another account). Your particular mail client may not have this option, unfortunately.


April Fool's Day prank

26th February 2001

April Fool's Day is right around the corner. Oh, don't worry... this year I'm not going to do anything with the mail merge feature. You gotta admit -- I tricked ya good! Anyway, here's how you can zing your friend (or enemy). First, you need to close all the open windows. Tap the "Print Screen" key and fly over to your default image editor (Microsoft Paint is sufficient). Now, paste in the image of the captured desktop. Save it as a "BMP" (bitmap) somewhere inconspicuous. Now, right-click on the desktop and change the wallpaper to the newly-saved image. Then, flip to the "Web" tab of the Display properties dialog and turn on Active Desktop. Be sure that the option for "Hide icons when desktop is viewed as Web page" is turned on. This setting can be toggled in the Folder properties dialog (press the "Folder Options" button at the bottom of the "Web" tab and flip to the "View" tab once there). Windows 2000 users can simply right-click on their desktop to "Show Web Content" (and subsequently, "Show Desktop Icons"). Get the picture? So will your friend. But what they'll be clicking on won't be icons... just a picture of icons. Evil!


April Fool's Day followup prank

27th February 2001

Mischevious is my middle name. Actually, that was the name of my eighth grade science teacher... Miss Chevious. She was a wily woman. Always playing practical jokes on her students. It's all fun and games until someone mixes a base with an acid. Building upon the previous tip, here's something that'll get the goat of any guy or gal. Drop to the command prompt and CD your way into the C:\ Windows \ Desktop directory (or wherever the user's desktop resides). Type: "MD ERROR 97" (sans quotes). NOTE: tap the space bar between MD and ERROR, but between ERROR and 97, hold down your ALT key and enter the number 255 on your numeric keypad. This will create a space character that cannot be removed from the Windows shell. Therein lies the trick! Imagine being forced to stare at an ERROR_97 folder... wondering what it is. Of course, you could name it "whatever" (I was trying to keep it clean for the kiddies). To remove the folder, simply repeat the steps but use the RMDIR (Remove Directory) command instead of MD (Make Directory). This will not work in Windows 2000, but since most novices are stuck with other flavors... your deviousness will not be undermined.


Outlook folder options

28th February 2001

Oh, you just love to hate Microsoft, don't you? After all, they're the fine folks who brought us Freecell and Solitaire. Oh, you mean you use your machine for more than playing cards? I'd turn to SILVERCRK.COM for better looking games, anyway. What else has Microsoft done lately? Oh yeah, they threw in a PIM (personal information manager) with their Office suite. But Outlook is much more than an e-mail client -- it's a Web browser, too. What?! All my favorite URLs are a click away. Sure, I could get to them through the Favorites menu, but what if I didn't want certain URLs in my global list? Each Outlook folder can have a default home page. Right-click on one of them in your Folder Bar and pull up its properties. Flip to the "Home Page" tab and either enter a complete URL (Web address) or browse for a local HTML file. Place a checkmark in the "Show home page by default for this folder" box if you wish to... do that. Why not go a step further and add a Web Address Bar to your toolbar? Right-click on your main toolbar and select the "Customize" option. Select the "Web" category and (in the right-hand pane) drag & drop the Address field somewhere into your toolbar.


3/1/2000

3.1.2000

Lockergnomie 'Fistorn' came up with a great idea for those of us who use multiple browsers on our systems. He wanted a way to open Internet shortcuts in either Netscape or IE (or Opera, for that matter) without changing his default browser. Open up the Windows Explorer, go to View, Folder Options, select the File Type tab, then find the Internet shortcut file type. Click on 'New' and add 'View with Netscape' (or whatever your non-default browser is) and set Netscape as the application for that option. Now, when you right-click on an Internet shortcut, you'll be able to open it up easily in IE, Netscape, Opera, etc.. Good call, Fistorn!


4/1/2000

4.1.2000

Having more than one e-mail address might be handy in certain situations. Instead of forwarding all of them to one central account, you could use different addresses for different applications. For instance, use a Hotmail account for all your e-mail newsletters, a Yahoo account for all your business correspondence, your ISP account for personal stuff, etc.. It's always wise to have more than one way to send e-mail; you never know when a mailbox might run into problems. Don't get a new account somewhere just for the sake of having another e-mail address. That's just silly.


5/1/2000

5.1.2000

Lockergnomie Davis Straub (co-author of the best-selling book, Windows 98 Secrets) told me about a killer trick for a major Outlook 98 & Outlook Express annoyance. Have you ever seen those solid lines to the left of your reply text in HTML formatted messages? Here's Davis's way to get rid of them: "after you click 'Reply' and get the vertical line(s) on the left, move your text cursor to the spot where you want to insert a response and press 'Enter'--this will extend the line. Next, click the 'Paragraph Style' button on the OE format bar (notice that there is a dot next to normal). Click 'Normal' and the lines will DISAPPEAR! Be sure to check out http://www.davisstraub.com/secrets/ for the entire OE chapter!


6/1/2000

6.1.2000

I informed y'all about a great utility to make e-mail form output easier to read a few weeks back; those of you who use e-mail forms on your Web pages will want to pay close attention to this tweak. Some Lockergnomies showed me an easier way to accomplish a cleaner message. In the FORM tag, be sure to have ENCTYPE="text/plain" as one of your attributes; this will set up the message to be text-based in nature, without those ugly codes. It's a killer time (and eye) saver.


7/1/2000

7.1.2000

Lockergnomie Jaron Hendrix reminded me of a killer command prompt utility that comes with Windows 9x: 'START.EXE'. When you find yourself at a Command Prompt (ya know, while you're still in Windows), you can use START.EXE to launch Windows programs. Imagine yourself sitting at the 'C:\' prompt and wanting to open a text file. You would type: "START FILENAME.TXT" (without the quotes). This will only work when you're still in Windows, gang. In fact, for more options, try: "START /?" (again, without the quotes). START using it more!


10/1/2000

10.1.2000

Lockergnomie Galah Nuga (from Indonesia) has solved a long-time annoyance of mine! If you use Microsoft Word 97, you may have noticed that when you peruse a document using the scroll bar, the visible page doesn't "change" until you let go of the scroll bar button. Well, if you apply this registry tweak, you can click & hold the scroll bar button and get "live updating" in the document window! WARNING: Registry hacking is NOT for novices (proceed with caution). Open Regedit, navigate to HKEY_CURRENT_USER > Software > Microsoft > Office > 8.0 > Word > Options. Create a new String value and name it "LiveScrolling" (without the quotes or any spaces). Then, modify it and enter "1" (without the quotes) as a value. The next time you use Word 97, it should work!


11/1/2000

11.1.2000

Where did I archive that file? You can use the Windows Find tool to locate files contained within "ZIP" files on your computer. Windows 95 users can hit F3, enter "*.ZIP" (without the quotes) in the 'Named' field, and then type the whole or partial file name in the 'Containing text' field under the Advanced tab. Windows 98 (or IE4) users do the same, except the 'Containing text' field is underneath the 'Named' field. Your search results should contain a list of ZIP files containing the file(s) for which you were looking.


12/1/2000

12.1.2000

There's a lot of white and wasted space in Windows 9x/NT4. Part of that has to do with the default icon spacing settings. One of the FIRST things I do after reinstalling Windows is set my icon spacing to a more appropriate level. Right-click on the Desktop, select Properties, click the Appearance tab, click on the Item drop-down list, look for Icon Spacing (Horizontal) and Icon Spacing (Vertical). NOTE: write down the original settings in case you want to reverse this later. I've (personally) found that setting both of these numbers to 32 works best. Be sure to refresh (or re-line up) your explorer windows, including the Desktop. It'll save some space.


13/1/2000

13.1.2000

In Windows 95, open/save dialog boxes cannot be resized (without the help of a third-party add-on). However, IE4 and Windows 98 users should be able to resize them instantaneously! Look at the lower right-hand corner of an open/save dialog box--if you see some diagonal lines, then you can easily resize your dialog boxes. Click on a corner and drag it to whatever size you want your dialog box to be--which will make it much easier to view the files within the current directory.


14/1/2000

14.1.2000

Notepad isn't as bad as everyone thinks it is. It's small, fast, and (for the most part) efficient. It also has a few hidden tricks up its sleeve. For instance, if you want to insert the time and date, simply hit F5. Or, if you want to "log" the times you edit a particular text file, be sure to type: ".LOG" (without the quotes) as the first line of that file and save it. Now every time you open it up, the current date/time will be automatically stamped into it. Lockergnomie "Ap.Muthu" also brings up a great tip for when you're trying to save textual files without the .TXT extension: when you 'Save' or 'Save As', be sure to put the filename in quotes with the extension you want it to have. Example: "thisdoc.html" (with the quotes).


17/1/2000

17.1.2000

Coming from the "My Mail Man" department, Lockergnomaster Jake Zoll sends a somewhat simple shortcut. You're browsing the newsgroups and want to blast a new e-mail message to a friend. Open up the Run applet (from the Start Menu) and enter "mailto:" (without the quotes, but with the colon). A new e-mail message window should appear. Now, here's the cool part: you can enter part of someone's name if it exists in your address book and your mail program should automatically recognize it (it works in Outlook and Outlook Express). So, I could enter: "mailto:gretchen" without typing her whole addy, and the message will automatically use to her proper contact info. You can also use this trick in your browser's 'URL' or 'Address' field.


18/1/2000

18.1.2000

Coming from the "Shifty Finger" department, a Lockergnomie finally gets what he wants. By default, the Windows Explorer opens with one pane. Some users prefer the two pane interface when shuffling through their system. To start with the 'two' view, you can right-click on a folder (or Explorer-based icon like 'My Computer') and select 'Explore' from the menu. Or, as this gnomie discovered, you can depress the SHIFT key and double-click the icon to open it. Or, if your mouse is out of reach for the moment, you can always rely on the tried-and-true keyboard shortcut: WinKey+E. Explore your options; find whichever method works best for you. And, for goodness sake, be versatile.


19/1/2000

19.1.2000

Coming from the "Drag Strip" department, Lockergnomaniac Patrick Jarrett has uncovered a great way to keep your favorite sites a click away. And the great thing is, this tip is for both Netscape and Internet Explorer users! You'll need to turn on the Links or Personal Toolbar for this one. Yeah, most of us ignore the feature or turn it off entirely. Think of these bars as the way to get to your favorite sites quickly. Well, if you need to add a link, simply drag & drop it onto the area! Don't like the order? Move them around (by dragging & dropping them). IE users can remove these shortcuts by right-clicking on them and selecting Delete. While you're at it, why not move the toolbars around to your liking as well? To do that... just drag & drop them. Gee, who'd have guessed?


20/1/2000

20.1.2000

Coming from the "You Get What You Pay For" department, Lockergnomie Brad Buffington has a warning for the world of Net newbies. Here's what he wrote to me the other day: "I was naive and listed my site with one of those FFA (Free For All) links pages and for the next several days I received 300 - 500 e-mail messages a day! That's CRAZY!" You're right. Getting a link on those kinds of pages isn't gonna do you a bit of good, gang; you could be selling your soul for half a click-thru. What you should be doing is concentrating on building relationships with complimentary services elsewhere on the Internet. That is to say, find sites related to yours, and set up reciprocal links. You'll get more qualified visitors that way.


21/1/2000

21.1.2000

Spring cleaning comes once a year (or, once a week if you're as obsessive as I am). We run into virtual dust bunnies sometimes. I receive e-mails from concerned gnomies regarding problems with the appearance of random Web pages. If they load fine on my end, I assume the problem exists on the other side. So, what does one do when the browser goes wiggy? Well, a quick flush of the disk cache (and a subsequent reboot) usually takes care of any quirk. If that doesn't work, then perhaps the PAGE is the problem. Or, you may try viewing it with another installed browser. If you're still not seeing what you believe you should be seeing, consider contacting a close confidant (online) and asking him/her to take a peek, too. Troubleshooting is the name of the game...


24/1/2000

24.1.2000

Even the most strong willed can't resist passing along interesting stuff to their friends and family members via e-mail. Yes, even I have blasted off a few frivolous messages now and again. If it's to one or two people I know (and if we all know one other), I usually enter my name in the 'To' field and every other address in the 'CC' field (Carbon Copy). When I'm mailing multiple users (virtual strangers to one another), I use the 'BCC' option (Blind Carbon Copy). This is a GOOD habit for you to develop. The message will still be delivered to every intended recipient, but their e-mail address won't be shared with everyone else. Do you want people to respect YOUR privacy? Respect theirs; use the BCC option. Not only is it polite, but it reduces clutter.


25/1/2000

25.1.2000

Coming from the "You Can't Escape My Clutches" department, Lockergnomaster Stéphane Robiolle beefs up security on Windows 95 PCs. When the login dialog first pops up in Windows, users can hit the ESC key and bypass the routine. I suppose that's a solid tip, but what if you don't want anyone to do that? It'll take a little registry hacking, my friend. Launch REGEDIT and navigate to the HKEY_LOCAL_MACHINE \ Network \ Logon key. Now, in the right-hand panel, look for a key labeled "MustBeValidated" (its contents will be in hexadecimal format). To stop any escape attempts, change the value to "01 00 00 00" (sans quotes). To enable the escape "bug," simply delete that particular key. Be careful not to forget your Windows password!


26/1/2000

26.1.2000

Moving to the other side of town is bad enough; I can only imagine what it's like to move from one country to another. They say that you're supposed to leave a paper trail. Good idea; when you change e-mail addresses or get a new URL for your Web page, be sure to let people know. I'll concede that it's not always easy to keep everybody in the loop. This is why it's good to keep many lines of communication open at all times; multiple e-mail addresses, Web mail accounts, instant messaging installations. Rule of thumb: share with your contacts at least THREE different ways to find you (electronically). As far as Web site relocations are concerned, you can upload a change of address page to your old URL. Simply create a hyperlink and tell your visitors where your new Web home happens to be. It's common courtesy; who likes hitting a 404?


27/1/2000

27.1.2000

Coming from the "Larger Than Large" department, Lockergnomaniac Vadim Schnoll helps eliminate wasted space. Some of us rely on Microsoft's Office applications to get us through the day. I'm hooked on Outlook 2000 (Internet only), and Word is always a shortcut away. I've got more DOCs on my hard drive than I'd care to count. Have you ever noticed that many Word documents edited with O97 or O2k are (perceivably unnecessarily) bloated? Yeah, take a look. That's what happens when you have the "fast save" feature enabled. With each revision, the file size increases (no matter how much of it you delete). To put a DOC on a diet, open it, then use the 'Save As' option. A new document is created, and its size may shrink considerably.


28/1/2000

28.1.2000

HTML e-mail messages are all the rage, but not everyone uses an HTML capable e-mail client. Remember that before you click the send button. Now, all formalities aside, let's have some fun! Sure, you could bog the message down with heavy graphics and sounds that will most likely annoy the recipient, but what about making the message a bit more personal? Allow me to illustrate. Type out your name in Notepad. Okay, now autograph a piece of paper. See the difference? Great! Now, take that signature and throw it into your scanner (or use your friend's). Save the output as a tiny GIF image (legible, not too large), and use it in your default HTML mail signature. It's just one more way of putting a bit more of yourself into your electronic communications.


31/1/2000

31.1.2000

Coming from the "Where Did It Go" department, Lockergnomaster Chris Douglas found another way to find stuff. Admittedly, Lockergnome's current 'search' script isn't that robust. Never fear, we're working on an upgrade. Until that happens, however, you may wish to use this method to peruse the archives. Fly on over to ALTAVISTA.COM and enter the term as follows (without the quotes): "host:lockergnome.com +1999 +weekly" -- on the same line, type a plus sign before each of your keywords (+mavica, +silicorn, +farmer, etc.). The results will be more promising than what I can offer you directly at this point. NOTE: the four-digit year (1996 or later) may be used, and the term 'weekly' may be interchanged with 'daily' as well. Play with it; see what works best for you.


1/2/2000

1.2.2000

The world of Windows is wacky. Some say it stinks, and others can't give it enough praise. Most of us fall somewhere in the middle. When it's doing what we want it to do, we're happy. But the moment something crashes, we're screaming bloody murder. Outdated applications may be causing more problems than you think. Windows programs can be divided into two classes: 16-bit (older) and 32-bit. How can you tell the difference between the two types? If you're not adept at interpreting the UI, you've got a program that'll help you ascertain a 'bit' of info. Use Quick View lately? Try using it on an EXE file. Immediately, you'll see the program's designation (plus the calls it makes to other system components). A 16-bitter? See if there's an update available, or perhaps a 32-bit alternative. Just wait until 64 hits the mainstream market!


2/2/2000

2.2.2000

You may not know this, but you're in a rut. Do you visit the same sites every time you get online? That's not really a problem, but you're not maximizing your Internet experience. Newer browser versions have this nifty little built-in tool that will allow you to explore 'related' sites. So, the next time you visit an interesting Web page, use the 'What's Related' button (option) in your browser. IE will go through a souped-down version of Alexa, and Navigator will default to the Open Directory project (and a few others). Most people never use (or even look at) this feature. Sounds like a simple enough trick, but you'd be surprised what a little serendipitous surfing will do for ya. You never know what's hiding behind the next URL.


3/2/2000

3.2.2000

Coming from the "Custom Built Clicks" department, Lockergnomaniac David McDonald picks apart some pixels. There's nothing wrong with being a PC purist. Some of us want things done to our specifications, or we'd rather have them not done at all. Microsoft made the Windows Explorer 'Web view' look a certain way, but there's a simple way to change those graphics. Backup your Web folder (which sits within the Windows folder) before doing anything. Now, go into the Web folder and you'll see a hidden BMP file named: WVLEFT. Edit it to your liking (without altering the dimensions) and after you save it, you'll see the results immediately. Feeling adventurous? Take a peek at what else is in the 'Web' folder. Don't change anything if you don't know what you're changing, though.


4/2/2000

4.2.2000

Internet Explorer isn't the end-all be-all browser; it still gives me a headache every once in a while (although I haven't gotten to the point where I'm ready to uninstall it). Sometimes I need to see the true URL for a download (so I know what to pass along to you). JavaScript and server side redirects don't always make it easy for me. The only [non-third party] workaround I've found for uncovering the true location for a 'hidden address' file is via the Autocomplete feature. Go to the Address bar, cut off everything past the TLD extension (.com, .net, .org, etc.), and wait a few seconds. Press the 'down' cursor key, and previously explored pages from that site should start appearing (they're in your history, though not always accessible). You may have to type letters or numbers to get the ball rolling in some cases, but you'll find what you're looking for eventually.


7/2/2000

7.2.2000

Upgrades are inevitable. So what do you do with the old parts? Sell 'em? Trade 'em? Give 'em to friends? Sure, or you could install a few of them into your new system. Did you get a new monitor and video card? Don't lose the old ones yet. Start operating with two screens; in Windows 98, you can install a second (PCI) video card and attach a monitor to it. Although newer units (with fresh, solid drivers) shouldn't have problems, be sure to check with the hardware manufacturers beforehand. What can you do with that second screen? Plenty! I love having a Web browser maximized over there. I can launch links from my main monitor, and they'll pop up in the auxiliary one. Programmers and Web designers love this kind of setup, too. The more space, the quicker you can finish the race.


8/2/2000

8.2.2000

Now that I've got two Webcams running on my site (an Intel PC Camera Pro and a 3Com Homeconnect), I'm having to watch what I do in front of my computers. Of course, they're really there so that YOU can watch what I'm doing. My life (honestly) is not that exciting. So what good is having a Webcam? Good question. Let's say you're trying to sell a grotesque goblet via the Internet. A picture's worth a thousand words; a streaming video is worth a million. Connect with potential buyers and showcase your product(s) in front of your Webcam. They can ask specific questions and see exactly what they need (or want) to see before moving forward with a transaction. On another level, the buyer may be more likely to trust you (now that you've show him/her your ugly mug).


9/2/2000

9.2.2000

Coming from the "Just Because You Can't See It" department, Lockergnomie Andrew Guyton found a 'hidden' gem on his hard drive. "If you use Microsoft Word 2000 to work on any Web pages, you'll notice it opens up a separate program to edit the source code. To use ALL the features of this program, which is called Microsoft Script Editor, navigate to Program Files / Microsoft Visual Studio / Common / IDE / IDE98 and look for the program: MSE.EXE. Sure, it's just another text editor, but it was designed especially for those of us who love working on code in a non-WYSIWYG environment. Notepad may be too simple, and Word may be too much. This makes a decent in-between solution.


10/2/2000

10.2.2000

This trick is truly going to be tricky, so pay attention; it's easier shown than explained. You'll need to be using a text editor with a single-level undo feature for this to work. By now, you've mastered the art of cutting, copying, and pasting. You ain't Yoda yet. Try this: copy text selection A and paste it over selection B. Undo that operation, and while that text is still selected, copy it to the clipboard. Now, undo THAT operation and you'll have the changed the text (from B to A) as well as copied a new string (B) to the clipboard. Effectively, this allows you to overwrite text (B) and allow you to copy it (B) with the minimum amount of hassle. Where is this practical? When you've got to flip-flop passages without skipping a beat (between two fields, pages, etc.).


11/2/2000

11.2.2000

That background image looks pathetic. Don't you want something better than those familiar 'windows' clouds for your Desktop? Removing the wallpaper graphic may actually increase speed in certain instances (especially in older video cards with limited memory). They're just for looks, anyway. Or are they? Open up your favorite graphics editor and create a new image the same size as your Desktop (640x480, 800x600, et al). Now, draw designated sections for the icons you're already keeping on your Desktop. Make a blue sector for your Internet stuff, red for documents, yellow for temporary objects, etc.. Save that image as a BMP file, put it in your Windows folder, then use it for your wallpaper. See, you can have fun and be functional at the same time!


14/2/2000

14.2.2000

I can't count how many times I've reinstalled Windows in my life. Of course, with this, there comes reinstalling every program (I always do clean installs from outside the Windows shell -- at the DOS command line). Microsoft Office is one of the first things to come aboard the fresh installation. However, I used to forget to copy over user-defined files -- like 'CUSTOM.DIC' (which contains personal words to be skipped by the spell checker). I put that file into 'My Documents' and haven't had a problem. Ever inadvertently added a misspelled word to your custom dictionary? It's easy to remove; again, find the CUSTOM.DIC file and throw it into Notepad. Then, delete the line containing the word you no longer want your autocorrecting Office apps to ignore.


15/2/2000

15.2.2000

The great thing about having geeky friends is that they may know something you don't; while you may have mastered Napster, good ol' Christine may have TCP/IP under her thumb. Lucky for me, David did something I wasn't expecting while he was visiting; he put an older CD-ROM into Mr. Bigglesworth to make CD burning more efficient. Before putting the case back together, he removed a couple of metal tabs (once covering separate PCI slots). Being the curious sort, I asked why. "Cooling," he answered. "Oh." That makes sense, actually. Yes, ya gotta keep your internal hardware clean, but when you have too much of it, heat becomes an issue. Random OS lockups and irregular program crashes will ensue if things get too hot in the kitchen. Before buying another heatsink or fan, try removing a couple of tabs. Or, if you're CAREFUL, keep the cover off your case to keep it cool.


16/2/2000

16.2.2000

As you recall, we blasted off to Chicago the other week. We packed our socks, dress pants, and a few toiletries. But what about our Internet connection? None of us had a national ISP, and we really didn't want to get one. Hrm... perhaps we could borrow a friend's? Nah, that's always a pain to coordinate (and I hate to impose). Wait a second... there are free ISPs popping up left and right nowadays! Within minutes, I had downloaded and installed a client that had free dial-up access in the Chicago area. It worked perfectly. If you're on-the-go in the states, or you need an alternative way to get online (for troubleshooting or otherwise), check out one of those free Internet services. DOTNOW.COM, NETZERO.COM, FREEI.NET, ALTAVISTA.NET, and even THESIMPSONS.COM will most likely fit the bill. Or, lack thereof (as the case may be).


17/2/2000

17.2.2000

The system registry is most certainly not a toy; one wrong move and you can effectively break Windows. It's a calculated risk, but one worth taking at times. Launch REGEDIT.EXE to take a look at your OS's innards; it has more keys than the average custodian. You should always make a backup of the SYSTEM.DAT and USER.DAT files before doing any diving. There's another way which may be quicker (and slightly more efficient). You can delete any component in the registry, but you can also save it beforehand. Select a branch you're thinking of removing, but before you do -- export it into an appropriately-named REG file. Upon completing that operation, you're in the clear. If your hack doesn't work, simply 'Merge' the REG file back into the Registry. Of course, it may take a reboot or two for Windows to run properly again, but without this additional safeguard, you're playing with fire.


18/2/2000

18.2.2000

Everybody's trying to make money with their Internet property. However, there's a right and a not-so-right way to do it. Banner exchange programs are great, but I don't suggest putting fifteen of them in a row on any given page. One or two MAX! And for goodness sakes, don't slap 'em up against one another. Same goes for Web rings; how many do you really need? Now, the easiest way to generate revenue online is through affiliate programs. The idea is somewhat of an electronic finder's fee. However, this doesn't mean you should cram your codes down everybody's throat. There are times when you won't want to use an affiliate link. When communicating via e-mail, think twice before passing along a traceable URL; don't get greedy. It's not very professional. Again, there's a time and place for everything.


21/2/2000

21.2.2000

The Canadians are gone, but that doesn't mean I haven't stopped needing the home network. Thanks to the Aviator wireless devices (using radio waves, they're safe), we've got the ability to access the Internet anywhere in our house -- without a cord. In the summertime, I'll be able to... sit right next to the air conditioner. Gretchen's PC sits upstairs; when she's there and I need to get ahold of her, instead of yelling or asking her to launch an instant messaging app, I simply create a new shortcut on her Desktop and rename it to my short message. "Let's go out to eat tonight.txt" may not contain anything inside, but she gets the message loud and clear. Providing her Desktop is clean, of course. To make this process simpler, you can create shortcuts to the respective Desktops on your network. This makes it easier for transferring files back and forth. Heck, throw another one in the SendTo menu while you're at it.


22/2/2000

22.2.2000

Coming from the "Aren't You a Little Short for a Shortcut" department, Lockergnomaster Bill Davis has outsmarted his system. When trying to save a file from any given program (like IE, OE, or Word), the 'Save File' dialog usually opens in a default folder (like Windows, My Documents, or the Desktop). If you always save files in another folder [Folder X] put a shortcut to that folder [Folder X] in the folder that opens up in the program by default. To make the shortcuts easier to find in the dialog, start out the file name with an exclamation mark; these folder shortcuts will always be at the top of an alphabetically sorted listing. When prompted, double-click on one to be transported to the desired folder in a instant -- even if it's on another drive or networked computer.


23/2/2000

23.2.2000

In case you hadn't noticed, the "bubblejet" ink in your cartridge(s) isn't abundant. Refill packs are available, but they're not always practical. You don't have to curb your printing habits, but you should at least tweak your printing options before spooling jobs. Use 'Economy Mode' when it's not a 'final' draft, lighten the black intensity (saturation), but most importantly -- don't print in color if you don't need to do so. If your printer can't handle two cartridges at the same time (black and color), be sure to use the black one unless you NEED color. Remember, color ink is more expensive. Having a dual-cartridge peripheral can save you time, energy, and money. Print more often than you leave your house? It may be smart to invest in a laser printer (the smartest hardware upgrade I ever made).


24/2/2000

24.2.2000

Coming from the "Duplicate Checks" department, Lockergnomaniac Kent Kolstad uncovers yet another installed application. I bet you've updated a system file or two since installing your OS (whether knowingly or not). Nobody's stopping you from checking to see what's changed; isn't there an easier way to interpret log files for service pack installations? Dating back to the first SP for Windows 95, here's a utility that offers insight (for troubleshooting purposes). Open the Run command in the Start Menu (or use the keyboard combo WinKey+R) and enter the following: "QFECHECK" (without the quotes). Don't expect to learn much more than file version info from this puppy. If installed, the Update Information Tool will launch; you'll immediately see the registered updates, but that may not be a comprehensive list. To add more, flip to the second tab and press the 'Search' button.


25/2/2000

25.2.2000

When was the last time you registered a piece of shareware? Be honest -- I just installed a lie detector on my laptop. Okay, so you don't register everything you download -- that's okay. But I bet you have a pile of LEGITIMATE serial numbers and codes sitting somewhere in your closet. Or, perhaps they're scattered across your system? Captain Obvious to the rescue! Have one file sitting in your 'My Documents' folder -- name it CODES.TXT (or the like, as long as it's a text file). Now, go ahead and put "everything" in there. This way, you won't have to go hunting for numbers when you do a reinstall. As the file grows bigger, you'll have to rely on the 'Find' feature in Notepad (or your favorite text viewing app). I'd suggest writing down the program name, version, Web site, e-mail contact, and (the obligatory) serial number.


28/2/2000

28.2.2000

Coming Attractions for the PC? Well, kinda. Before you hit that print button, you better make sure you know what that document is gonna look like. For this reason, I always suggest using the 'Print Preview' option whenever it's available. This may save you more than a few sheets of paper; your time, sanity, and resources will not be wasted. The editing environment may give you the option of seeing the document in a true formatted (WYSIWYG) fashion, but it never hurts to go through that extra previewing step. This applies to printing images as well; you may wish to scale (resize) or modify the position of the graphic before it's sent to the printer. This may also be a good time for you to choose the paper orientation -- landscape (long) or portrait (tall)?


29/2/2000

29.2.2000

Make it your own, people! I don't know how many times I've looked at someone's Desktop and seen the default options. If you don't need the text accompanying the icons in an Explorer toolbar, turn them off. Then, drag and drop the different toolbars to put them in a more convenient (and screen real estate saving) position. Select 'My Computer' and press F2 to rename it to something a LOT more personal. Access extended options by opening the Windows Explorer and selecting 'View' then ''Folder Options.' From there, you can toggle single-click object operations, single window folder exploration, turn off (!) the 'Web View' feature, etc.. The 'View' tab holds even MORE secrets; unhide all previously hidden files, toggle easy path viewing, turn on file extensions, etc.. Go! Go now!


1/3/2000

1.3.2000

Coming from the "How Hard Is Your Disk" department, Lockergnomie Ted Taylor sails through his Windows setup routine. You've probably got your Windows installation CD sitting somewhere nearby; if not, check for the Windows > Options > Cabs folder. Assuming you have enough disk space (or another hard drive), copy the files from the CD's \Win9x to \Win9x on your hard drive. From there, you can run SETUP.EXE. This'll make your Windows installations fly! Once fully installed, you can keep the \Win9x on your hard drive -- or you remove it and modify the registry key: HKLM \ Software \ Microsoft \ Windows \ CurrentVersion \ Setup \ SourcePath="X:\WIN95\" (X represents your CD drive letter). This way, if Windows needs the setup files in the future, it'll look for them first on the CD.


2/3/2000

2.3.2000

Time to Excel-lerate your Access; Word to your mother, homely. While I'm still getting on your case about customizing Windows to better suit your tastes, let me pull on the ear of the Microsoft Office user. You can customize those programs, too, ya know? Okay, so what's stopping you? Take an hour out of your weekend, right-click on one of the Office apps' toolbars, select 'Customize,' then flip to the 'Commands' tab. Wow -- look at all them icons. Drag & drop the ones you want onto your toolbars (situated above the Customize dialog). My favorites in Word: View > Fit To Window, View > Page Layout, Format > Grow & Shrink Font 1 Point, and Tools > Shrink One Page. You can also move and remove icons already sitting in the toolbar (drag & drop them within or off of the area).


3/3/2000

3.3.2000

Coming from the "Don't Be Alarmed" department, Lockergnomaster Steven Groginsky has uncovered another use for the Windows Task Scheduler. While looking for a downloadable alarm clock the other day, Steven realized he had one already installed with IE4/5. Launch the 'Add Scheduled Task' wizard in the 'Task Scheduler' folder > press the 'Browse' button > find your favorite WAV/MP3/MIDI file and select it > set it to perform the task daily > start it at the top of the hour every day > open up its advanced properties > on the 'Schedule tab' press the 'Advanced' button > put a checkmark next to 'Repeat task' and have it repeat every hour (or however often you want to be notified). There are other settings, too -- find what works best for you.


6/3/2000

6.3.2000

Who likes having millions of Windows open? This is why I've chosen to 'Open each folder in the same window' in the Windows Explorer. To toggle this setting, I open the 'Folder Options' from 'Settings' in the Start Menu and press the 'Settings' button therein. Otherwise, getting to a folder 14 levels down can get quite messy. Now, if I ever NEED to open another Windows Explorer window in the midst of navigating, I just depress the CTRL key and double-click another folder. Either that, or (while still pushing the CTRL key) I push the 'Folder Up' icon in the toolbar. If I want to get rid of all those extra Explorer windows I opened, I find the most nested one, depress the SHIFT key, and close the window. Blammo -- they're all gone.


7/3/2000

7.3.2000

When you put two or more pieces of software together, there's bound to be contentions. Some software is more touchy than others; having the latest versions doesn't always guarantee system stability. Your newly downloaded game may be the life of the party... until a renegade application comes along to crash it. "IEXPLORE caused a general protection fault in module CM8330.DRV at 0006:0000196c." Well, General -- I'd like to you to meet Admiral Troubleshooter. Pull up the find applet and look for the 'module' in 'My Computer.' When it pops up, right click on it and pull up the properties. Flip over to the 'Version' tab to see if it has a description. Ah, 'CM8330.DRV' is for the sound card! NOTE: this tip won't always work, but it may come in handy once or twice.


8/3/2000

8.3.2000

Coming from the "Read Only My Lips" department, Lockergnomie Troy McCraw stops would-be wallpaper vandals. "I work for a school system and the students are constantly using the 'Set as background' feature in Internet Explorer. This was a mess until we figured out how to lock it down. Find the file named 'Internet Explorer Wallpaper.bmp,' right-click on it, pull up its properties, then put a checkmark in the 'Read-only' box. The 'Access Denied' message will show up should anyone try to overwrite it now. We've even renamed the 'attrib' command on the lab computers, just in case someone tries a more obscure route." This works just as nicely in a home environment; use the Read-only attribute on files you don't want to change. That tactic may just save your skin.


9/3/2000

9.3.2000

Where's your favorite place in the whole, wide world? Yeah, me too. Since neither of us can be there at this very moment, we'll have to turn to a few of our OTHER favorite things. When you add a site to your Favorites folder, the shortcut is set to the document's original title. You can rename that! Just as you can do in IE5's Start Menu, right-click on a favorite Favorite and select 'Rename.' Now, give it a memorable name, because you can use it on the Address line for easy no-click access to the URL. So, rename 'Who Was Looking for 143' to 'Irving' (something you're more likely to remember). If you have AutoComplete turned on, when you start typing 'Irv,' a list will unfold; you can use your cursor key to select the appropriate Favorite.


10/3/2000

10.3.2000

Stop dialing into the Internet! Wait, I'm not talking to you -- I'm talking to my applications. Some users choose to read mail and Web pages offline (to save money on connection charges). However, not everyone turns of auto dialing functionality. If you're using IE5, open 'Tools,' 'Internet Options,' then go to the 'Connections' tab. Now, tell it to 'Never dial a connection.' You're not done yet -- open up My Computer and get to the Dial-Up Networking folder. Select 'Settings' from the 'Connections' menu; in that dialog box, select 'Don't prompt to use Dial-Up Networking.' If all else fails, change your e-mail account settings to 'LAN' instead of dial-up within your default mail application. Yes, this tip has been explained before, but how quickly we forget.


13/3/2000

13.3.2000

This tweak is definitely one to pass along to friends. Windows 98 accesses your swap file (virtual memory) before it runs out of RAM (physical memory) -- which, from a user's point of view, is completely nuts. Virtual memory will always operate slower than physical memory, so why does Windows 98 insist on using both? Frankly, I don't know. According to article Q223294 in the Microsoft knowledge base, this new method is more efficient. Uh huh. Thank goodness they've posted a fix! Yes, if you have more than 64 megabytes of RAM and you're running Windows 98, you'll wanna give this a shot. In your SYSTEM.INI file, under the [386Enh] section, enter: "ConservativeSwapfileUsage=1" (without the quotes). Reboot, and I believe you'll find your system more responsive. Your mileage may vary!


14/3/2000

14.3.2000

Coming from the "Blame Default" department, Lockergnominstrel Wayne Haynes has submitted our first Windows 2000 tip! When he launched a couple of 16-bit programs, they would act like they were going to start, but would suddenly stop. Others would actually GPF (blaming NETVDM.EXE). In an obscure reference in one of the troubleshooters, it noted that some 16-bit programs 'MUST have a DEFAULT printer installed' before they could operate. Wayne then went into his printer folder and set an active printer as the default one. Lo and behold, all of his legacy applications ran without a glitch. How do you spell relief?


15/3/2000

15.3.2000

As mentioned in previous issues, reinstalling Windows has become a bi-annual routine for some of us. With every installation, I've learned something new. Shaun had to do the deed this past weekend; in fact, he had to do it twice in a row. Why? He forgot to unplug his USB devices before starting. Yeah, if you've got non-essential USB peripherals, be sure they're not plugged in when you're running setup outside the Windows environment. Obviously, USB keyboards and mice don't count in this instance. USB scanners, modems, printers, hubs, webcams, et al should not be attached to your system during initial hardware detection stages. Install those once your OS is up and running; you'll encounter less 'weird' hardware contentions this way.


16/3/2000

16.3.2000

Mail clients have developed steadily over the years. I accessed my first e-mail account through a VMS shell; there were no icons to press, no toolbars to consult. Today, most of us are using e-mail clients which have the ability to preview messages before they're opened. This feature can save time and energy. However, this routine may byte you in the ASCII one day. Text messages typically aren't a problem, but it's a different story when HTML e-mail and/or attachments enter the scene. There are scripts which will execute automatically upon opening a Web page (or mail message, as the case may be). For this reason, you might think of turning 'auto-preview' OFF. Or, peruse your mail account first with a POP3 checker or command-line mail client; delete ALL suspicious messages before downloading them. Again, let this be a warning to you.


17/3/2000

17.3.2000

There's always room for dessert. Did you know that there are some pies hidden within Windows? They don't come with whipped cream; they're more functional than they are flavorful. Open up 'My Computer' and select all your drives (hard, floppy, CD, mapped, etc.). Now, right-click on one of them and select 'Properties' from the menu. Up pops a multi-tabbed dialog with 3D pie charts (showing disk space usage) and other drive details. It's not an end-all be-all information provider, but for a quick-and-dirty solution, it works well. This tip sure takes the cake!


20/3/2000

20.3.2000

Sure, the System Tray clock isn't known for its extensive configurability, but it comes in handy when you need a simple reminder. Hover your cursor over the time for a few seconds and the date will pop up in a ToolTip. Now, would you like to insert your name (or any other eight-character string) after the current time? In the Control Panel, open the 'Regional Settings' icon, then flip to the 'Time' tab. Change the 'AM symbol' and 'PM symbol' fields to your liking; again, you may use up to 8 characters. It's time to put the 'personal' back into PC.


21/3/2000

21.3.2000

They've got a free service in Des Moines where you can call up the power company and have an independent representative come out to evaluate the energy efficiency of your home. I bet this is available in your neck of the woods, too. Power management for your PC is important -- especially if you leave your computer on all the time. Are you encountering problems after/during system suspension but don't know why? Throw in your Windows 98 CD and do a search for PMTSHOOT.EXE. After installing, run this troubleshooter during the normal 'suspension' event; it, in turn, will display all relevant information upon coming out of suspension. Each contention will be highlighted in red; this may help you track down the root of the problem.


22/3/2000

22.3.2000

Double-clicking is as much a part of my daily routine as is brushing my teeth. Scary, ain't it? There's an invisible rectangle limiting the area in which one may perform the second click. By default, the horizontal and vertical values are 4. To enlarge this area (for those of you who can't stop moving your mouse long enough to complete the double-click operation), you'll need to do some registry diving. Click the Start Button, select Run, then enter "REGEDIT" (without the quotes). Navigate to HKEY_CURRENT_USER \ Control Panel \ Desktop; look in the right pane. You should find two existing string values: DoubleClickWidth and DoubleClickHeight. You can change their values to suit your needs; the area is measured in pixels.


23/3/2000

23.3.2000

Don't tell me how many hits your Web site gets; I don't care. After all, if you have fifty graphics sitting on a page, your logs may show that you had fifty-one hits -- when, in fact, you had ONE unique impression. It's a marketing game for some people, a simple misinterpretation for others. Now, I'm a stickler when it comes to ending links with a slash (when appropriate); there's all the more reason to do so with this secret. Without the ending slash, directory URLs can cause your server to get 'hit' twice. Essentially, doubling the server load and giving you incorrect stats. So, when you link to a site, or use a URL that ends with a directory, do NOT forget to add that final forward slash! Castigate others for linking to your site without the slash -- and be sure to tell them WHY. With your help, we can make these lazy habits disappear.


24/3/2000

24.3.2000

Coming from the "Indirectly Responsible" department, Lockergnomie Michele Bizub brings to light some internal assistance. Having problems with your DirectX games? First, are you running the latest version of DirectX (7.0)? Second, have you tried the handy-dandy DirectX diagnostic utility? Click the Start Button, select Run, then enter "DXDIAG" (without the quotes). It'll run through your system, provide detailed DirectX driver information, and allow you to test each component for compatibility problems. If you do run into a snag or two, you'll want to check that manufacturer's Web site for the latest 'certified' driver update. Or, possibly downgrade to a DirectX driver that may be more stable than responsive.


27/3/2000

27.3.2000

Coming from the "But This Car's Made For You" department, the Lockergnomie known only as Vex:Oratoba has arranged the perfect (specific) task-centric system. If you've got your Windows login box enabled, you can create different user profiles. This way, Dad's Desktop can be different from Mom's. But, even if you're the only one using your PC, several profiles may prove beneficial. You could set up logins for "Programming," "Graphics," or "Gaming." Each Desktop could be laid out with a different set of files, folders, and shortcuts. The possibilities are (obviously) endless. It's kinda like a poor man's 'virtual Desktop' service.


28/3/2000

28.3.2000

You know by now that I'm using Microsoft Outlook 2000 for my Personal Information Manager (PIM). In most modern e-mail apps, you have the ability to manage several folders. Though, not all clients operate in a multiple document interface (MDI) environment. Outlook, for example, allows you to peruse only one folder at a time. To get around this, open a message in Folder A (and keep it open as you switch to Folder B). You can continue to do this ad nauseam; in essence, you can use the previous and next message buttons in the open message window to flip between messages in its respective folder. You could say that it's finally possible to be in two places at once.


29/3/2000

29.3.2000

When working with text, the mouse is extremely inefficient. You'll waste less time if you start relying on keyboard shortcuts for cursor manipulation. Need some help getting started? In rich text environments (like Outlook Express, Microsoft Word, etc.), SHIFT will traditionally 'select' and CTRL will 'move.' CTRL+BACKSPACE will delete entire words at a time; CTRL+HOME will take you to the top of the document; CTRL+SHIFT+HOME will select all data between your cursor and the top of your document (END will take you to the end); CTRL+LEFT CURSOR will move you one word back (and RIGHT will move you right); SHIFT+HOME will select all text in that paragraph/line. Don't dismiss these tips; you could be spending more time eating lunch.


30/3/2000

30.3.2000

I haven't lived in Cedar Falls for years; time to update your address book! When was the last time you did that, anyway? Adding (or getting updated information from) someone is a breeze; I send an e-mail message to an individual after inserting a certain signature file (which includes my contact info as an example). Recipients can reply to that message and enter their info with ease. "Name? Birth date? Job Title?" No problem. Some people are content to send their vCards along (which makes data easier for import). Don't have a vCard viewer? Again, no problem. It's a simple text file! Open it up in Notepad, then cut/copy and paste the appropriate info.


31/3/2000

31.3.2000

Coming from the "Better Than Paneling" department, Lockergnomie Jari Tiikkainen reminds us of a seldom used Windows feature. With IE4/5 installed, we can customize the look of every folder on our system. It's super simple to set a background image in an Explorer window. Right-click on a blank space in an open folder. Now, select 'Customize this Folder' from the menu. We're looking to 'Choose a background picture' here (before pressing the 'Next' button and browsing for an appropriate image). So what? Is this feature functional? It can be. You can use solid color graphics to help define folders. Red for 'sensitive' folders, Black for 'data' folders, yellow for 'media' folders, etc.. Or, just use a picture of your aunt Loretta.


10/4/2000

10.4.2000

Coming from the "Driving Miss Windows" department, Lockergnomer Reuel Miller has stumbled upon a way to beat the system. While Windows 2000 is best suited for the corporate environment, a few EXPERT home users have installed this new operating system with great success. So, what's the biggest drawback? Lack of driver support. Never fear, for I've been told that the W2k driver model is based on the Windows 98 spec. Which means: if you can't take the preferred route, you may try driving down another road. The W98 drivers may work better than the NT4 ones in W2k. I suppose it's worth a shot if nothing else is working for ya. Nothing's more frustrating than a Sunday driver.


11/4/2000

11.4.2000

Coming from the "Eyes Wide Shut" department, Lockergnominion Fred Wilkinson learns how to keep data somewhat secret in Excel. There are times when you need to know the answer, but don't want any one else to see it. Wanna hide cell content in the spreadsheet and from the printer -- but not in the Formula bar? Select the cells you're wishing to keep private, open the 'Format' menu, click 'Cells,' and then flip to the 'Number' tab. In the 'Category' list, click 'Custom.' Then, in the 'Type' field, select the existing codes and press the BACKSPACE key. While still in the field, enter: ;;; (three semi-colons). If you edit anything else in those cells, be sure to do it in the Formula bar.


12/4/2000

12.4.2000

Coming from the "It's Not The Same" department, Lockergnomaster Jim Kraai reveals a lesser-known Internet truth. We were sitting around the grill the other night talking about neat Web services; I brought up EMAILFILE.COM. "The only downfall," I said, "is that the MIME encoding bloats the attachment's size." Jim said that you're getting 'MIME bloat' when you transfer files via the Web. FTPing stuff is a completely different scenario. Long story short: the file size may be the same, but you're transferring less data if you download via FTP as opposed to HTTP. This does not imply that you'll receive things more quickly when you're FTPing, but it's food for thought.


13/4/2000

13.4.2000

Coming from the "Who's Got Mail" department, Lockergnomie Mike Saul discovered that change is good. You may still be in the process of finding the right mail client for your needs. If you're frustrated with the lack of functionality, then switching to a newer (or possibly older) program may be worth your while. However, you'll need to "notify" your browser of this change. In IE, select 'Tools' then 'Internet Options.' Flip to the Programs tab (if it exists in your version). At this point, you're able to select a default (installed) mail client. Failing to do so may cause errors (or non-desired programs to launch) when you click on any 'mailto' hyperlink.


14/4/2000

14.4.2000

Coming from the "Avoiding Dessert" department, Lockergnomite Charles Phoenix passes along a novel way to keep Web sites from collecting certain stats. Cookies aren't half as dangerous as the radicals would lead you to believe. Yes, that's just my opinion, but since when has knowing what one's browser type been an issue of national security? Internet Explorer users have the opportunity to ban sites via the Security tab in the Options dialog. Another quick way to get to your security options is by double-clicking the 'Zone' icon in the lower right-hand corner of the IE Status bar. Select the 'Restricted Sites' icon then press the Sites button. Here you can add any URL -- if you feel it is "peeking" into your personal life. For example, any given 'advertisement' site (I'm not naming names now). Their cookies will be blocked, but the banners will still shine through.


17/4/2000

17.4.2000

Coming from the "Owner of a Broken Heart" department, the Lockergnomaster known only as "CptSiskoX" has stacked the deck in your favor. We've discussed how solitaire has lost its digital charm; Windows 98 comes with MS Hearts. Don't ya love it? Would you like to love it more? For the voyeurs in the crowd, here's a registry hack which will allow you to see your opponents' hands. Fire up REGEDIT.EXE and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Applets \ Hearts. In the right-hand pane, create a new String Value. Immediately rename it to "ZB" (without the quotes); give it a value of "42" (again, sans quotes). The next time you're in a game of Hearts, press CTRL + SHIFT + ALT + F12. There's no way you can lose now.


18/4/2000

18.4.2000

At one time, DLLs could not be found scattered across the system; most of us knew what was where and why. Long before the 'Registry' lived and breathed, users relied on INI files to store and recall preferred settings. These puppies are still around. For instance, the SYSTEM.INI and WIN.INI files (which Windows 9x needs). To access either of them, select the Run command in the Start Menu and type: "SYSEDIT" (without the quotes). Ever use the 'REM' command? When you're in troubleshooting mode, instead of deleting a line in an INI file, you simply have to place a semi-colon in the first character space. This will (in effect) cause the line to be ignored. So, before you start making changes in INI files without knowing what will come from them, use the semi-colon character to 'backup' the original setting(s).


19/4/2000

19.4.2000

Coming from the "Keeping the Dream Alive" department, Lockergnomie David Thatcher suspended windows through the command prompt. Leave your Internet apps alone for longer than a few minutes, and you may lose your connection. There are a few ways to keep it going, even during periods of no activity. One way is to click on the Start Button, select the 'Run' option, then type: "COMMAND" (without the quotes). Once on the command line, type: "PING www.whatever.com -t" (without the quotes). Then, minimize the window (do not close it). If you're in full-screen mode, hit ALT+ENTER to switch to window mode, then minimize it. When you're ready to stop this 'background' process, flip back to it and hit CTRL+C. Now, I'm not suggesting you do this all the time, but it may come in handy when you need a constant (untouched) connection.


20/4/2000

20.4.2000

In the computer world, the only time you want to hear the word 'burn' is when you're talking about processor speed or CD-ROMs. Our Canadian friend, Shaun, had to restore some system files from CD the other day. He spent twenty minutes copying from the disc to the drive, and five hours trying to figure out why certain programs weren't working anymore. What the? He hadn't changed anything, the files were copied correctly, and everything was in its proper place. There's one thing he forgot to do -- can you guess what it was, boys and girls? When you copy something from a CD, it's READ ONLY. Which means, files which need to be written to cannot be changed unless this attribute is turned off. He toggled the option and all was well.


21/4/2000

21.4.2000

Coming from the "Stop Starting" department, Lockergnomie Joachim Ritschmann hacks his way into your good graces. Netscape mail users have been eternally frustrated with Messenger's Netscape.com advertisement (which loads every time). To avoid this, you should edit your preferences file (PREFS.JS) while Netscape is NOT running. Change the following line to reflect your choice: $user_pref("mailnews.start_page.enabled", false);$ (everything between the dollar signs, but not the dollar signs themselves). While you're at it, you can change the Messenger Start Page to any URL of choice by entering the following snippet on one line: $user_pref("mailnews.start_page.url", "http://www.wherever.com/");$ (again, leave out the dollar signs). That'll get you going.


24/4/2000

24.4.2000

It's amazing how you'll try to do ONE thing with Windows and it'll do something else. "I needed you to close, but if you intend on maximizing, I can't do anything to stop ya." I got tired of using the upper right-hand corner 'X' one night, so I used the classic method of double-clicking the upper left-hand corner icon in Explorer. During this process, my cursor drifted (effectively, dragging while still keeping the left mouse button pressed). To my surprise, when I let go (hovering over the Desktop), a shortcut was created! You can do this in the Windows or Internet Explorer; double-click then drag & drop that upper-left hand icon to the Desktop to create a shortcut for the current folder/page.


25/4/2000

25.4.2000

Coming from the "Not Moving Backwards" department, Lockergnomie James McMillen is keeping your friend's Inbox cleaner. When one replies to an e-mail message (or newsgroup post), it's customary to have the chevron precede the original paragraphs. That's fine; it's good to have visual reminders when receiving responses. However, what about forwarded messages? Those chevrons are useless (they just add clutter) -- so turn 'em off if you can. Outlook 98/2000 users can use independent settings for replies and forwards, but Outlook Express users have to go one way or another (indentation or not). Check your favorite mail client for similar settings; if you turn of indentation completely, be sure you find another way to clearly mark the sender's original text when replying to a message. For instance -- tab your responses and/or put double spaces between paragraphs.


26/4/2000

26.4.2000

Sending e-mail is just about as simple as receiving it. Sometimes, however, people don't respond to your messages. They may not feel the need to reply, or you may have botched up YOUR return address. Ever see a 'non-delivery' error in your Inbox immediately after blasting a message to a buddy? Chances are, there's been a misspelling. Don't count on your friends to point out your e-shortcomings (isn't that what friends are for). Double check your settings. In fact, let's put a spin on this. See the option for having a separate 'reply to' address for your mail account? You can set this to any e-mail address your heart desires -- even someone else's. You can initiate an e-mail to someone, and when the recipient replies, that response will go to another person. The applications for this tactic are limitless.


27/4/2000

27.4.2000

Coming from the "And I Feel Fine" department, a Lockergnomie discovered how to spice up his keyboard. Put your fingers on home row; for those of you untrained typists (hunters and peckers), that means place your left index finger on 'F' and your right one on 'J' -- then your other fingers on the flanking keys. Do you feel anything? On some keyboards, there are bumps on the 'F' and 'J' keys, on others, the bumps can be felt on the 'D' and 'K' (assuming, of course, you're using an 'English' keyboard). What about the other keys you use on a regular basis which aren't in your reach? Would you like tactile 'feedback' from them, too? Whip out a glue stick and a grain of salt (or similar items). You see where I'm going with this? Affix smaller items (grains, fabrics, etc.) to the top of commonly-used keys. Your keyboard will feel a lot better.


28/4/2000

28.4.2000

Don't you wish all of us could play by the same rules? It's all about having standards (not necessarily a standard of living). I measure stuff in inches, while 90% of the world swears by centimeters. There's a wonderful little applet in your Control Panel called 'Regional Settings.' To switch to the metric system, for instance, flip to its 'Number' tab and select the 'Measurement System' option. Sneak a peek at what else is in that multi-tabbed dialog; you can change default symbols as well as number and character placements using the other drop-down lists. Don't like the default position of the currency symbol? By all means, change it. Would you rather use the ampersand to designate a negative number value? If it trips your trigger, go for it. What do you want to tweak today?


1/5/2000

1.5.2000

Coming from the "Two is Better Than One" department, Lockergnomie Joseph Connors knows how to double your DOS screen real estate. By default, a command line session launches with 25 lines. Need more? No problem. Right-click on any given *.PIF file, flip to the Screen tab, then look for the 'Initial size' drop down list. Change it from 'Default' to '50 lines.' This will work for both windowed and full-screen sessions (to switch views on-the-fly, use the ALT+Enter shortcut). You'll find that most DOS applications will utilize the 50-line screen. When Windows isn't running, you can type the following to achieve the same result: "mode con lines=50" (without the quotes). For grins, try to create a new file named "con" (without the quotes). You con't do it!


2/5/2000

2.5.2000

Icons are not always welcome; they're relatively simple to remove from your Desktop (though some are shortcuts, others may be real objects). When was the last time you used a certain applet in your Control Panel? Never? Fine; you can get rid of it. Control Panel icons are merely the 'CPL' files sitting in your 'System' folder. Do a search on your Windows drive (C) for: "*.CPL" (without the quotes). Now, you CAN move these out of the 'System' folder -- but be careful; most of these are critical apps. Double-click on one to note what it does; do you truly need that icon in your Control Panel? A safer, suggested route would be for you to open the CONTROL.INI file, look for the [don't load] section, then enter the filename followed by a negative attribute. If I wanted to hide the Desktop settings icon, I'd enter: "desk.cpl=no" (again, without the quotes). See ya!


3/5/2000

3.5.2000

Some gnomies (including myself) have given a 'thumbs down' to sites which ask us for too much information up front. My 'form alias' has always been Bilbo Baggins (I feel sorry for the person who owns the baggins.com domain). Anyway, you've probably used a 'drop down' field before. Most likely, to choose your state, country, or occupation. Some of these lists can be quite lengthy; if you know the first letter of the option you wish to choose, instead of scrolling through the entire list, tap that key continuously to cycle through the options until you see the correct one. This works, at least, in Internet Explorer 5.0. When I need 'Iowa,' I'll tap the 'I' key until I see it pop up. It's not an 'AutoComplete' feature, though it is just as useful.


4/5/2000

4.5.2000

Who here has a steady hand? Okay, excluding the brain surgeons and Jenga champions. Input devices aren't always precise. Yes, your mouse, touchpad, nub, or trackball may work well in most 'manipulatory' situations. However, when it comes to putting too fine a point on it, know it's not the only bee in your bonnet. Your keyboard can quickly become the little birdhouse in your soul. Slider bars, once selected, may often be moved with the up, down, left, and right cursor keys. Try using them in your favorite image editing application for pixelesque precision. Give objects a little nudge instead of a shove. These keys may not work with selected objects in a document; look to use them most often in dialog boxes filled with formatting (or functional) features. Your Control Panel is a nesting ground for applets with slider bars. NOTE: a slider bar is not a scroll bar.


5/5/2000

5.5.2000

The Windows Explorer may be no Magellan, but it never fails to surprise me. I was performing a drag & drop operation between two windows (one being Explorer, and the other, an FTP application). The problem: I had to get a file from one window to the other (Explorer to FTP) without bringing the Explorer window to the top. With the FTP app in the foreground, I grabbed an icon in Explorer and started dragging it. Normally (I thought), this would cause the Explorer window to rise to the top -- but that's not what happened. I could drag and drop any object (in the visible part of the 'backgrounded' Explorer window) without Windows switching focus. Success! Sure, I could have moved the windows to accommodate my need, but this route was much quicker. Summary: you can manipulate objects in background Explorer windows.


8/5/2000

8.5.2000

What looks phenomenal a short distance from your face, may not look good several meters away. Ever built a presentation (like in PowerPoint)? Yes, you can add all the bells and whistles (fancy graphics and charts), but remain cognizant that your audience will not be as close to the screen as you. This means: keep your fonts large, thick, and well defined (nothing fancy). If you can't fit your thoughts onto the screen, before you hit the 'shrink' button, consider paraphrasing. Remember, these slides are just supporting your spoken word. If you use images, be sure they're clean, clear, and have a purpose. You NEVER want the presentation to upstage you. The most legible color combination is yellow text on a black (or dark) background.


9/5/2000

9.5.2000

Coming from the "The Find is a Terrible Thing to Waste" department, Lockergnomie Russ Phillips came up with a quick, slick click trick. Let's say you have more than a few files filling up folders. For example, 'DIR' files. You may wish to get rid of all of those sitting within a certain folder (and each nested folder). Simple: select a starting folder, open it, then tap the 'F3' key to bring up the Find applet. Narrow your search by using a wildcard: "*.DIR" (without the quotes). In that window, a list will begin forming. You may select all (or some) then hit the 'Delete' key. Or, to put a non-destructive spin on this, since the Windows Explorer doesn't have a file exclusion feature, Find makes a fine stand-in. View all bitmaps by searching for *.BMP files within a folder; see every program by pulling up *.EXE files. This is a 'duh' tip, but it's an excellent workaround for a known Explorer inadequacy.


10/5/2000

10.5.2000

Have you moved into a paperless office yet? I didn't think so. While we can manage messages and documents electronically, every once in a while it's nice to have printed copies. Are you too quick to hit the printer button? Want to make sure you don't print 'stuff' unnecessarily? Want to print everything at the same time (or perhaps, not at the time you press the 'Print' button)? Open up your Printers folder (in My Computer) and double click on your printer; the Print Manager will launch. In the 'Printer' menu, select the 'Pause Printing' option. Now, anything sent to this printer will be spooled and queued until you 'unpause' it. This will at least give you the opportunity to reconsider your 'print' decisions.


11/5/2000

11.5.2000

You can control how Windows boots up very easily; just edit the MSDOS.SYS file in your root folder. First 'turn off' its read-only attribute (if you have to ask how, this tip isn't for you). Look for the [Options] section; do you see much there? Start adding stuff! For the most part, these additions use '1' (yes) and '0' (no). BootGUI=1 (boot into Windows); DblSpace=0 (load DoubleSpace drivers); DrvSpace=0 (load DriveSpace drivers); LoadTop=1 (load command shell in upper memory); BootMenu=1 (turn on boot menu -- recommended); BootMenuDefault=1 (choice in boot menu); BootMenuDelay=2 (seconds to delay boot menu); BootKeys=1 (keyboard shortcuts for more booting options); Logo=1 (see the Windows splash screen); AutoScan=0 (automatically scandisk after a 'bad' shutdown); BootWarn=0 (warning about going into Safe mode); DisableLog=0 (boot up logging). Tweaking programs (like X-Setup) will allow you to change these attributes without breaking a sweat.


12/5/2000

12.5.2000

Anybody who looks at my personal checkbook knows that I'm not a 'numbers' guy. Because of this, I tend to use credit cards when I'm faced with a '402.' Hopefully, I don't smack into a '401' when I call upon Visa. What's the 411 on these numbers? They're HTTP error codes; the most familiar of which isn't to be found. Ever see a '404' when you're surfing the Web? That officially means: Not Found. '401' is an unauthorized request; '402' is a payment required notice; '403' is strictly forbidden; '408' is a request time-out; '500' is an internal server error; '501' is a non-implemented server-side facility; '503' is a temporarily Lockergnomed (overloaded) server. Yes, there are several other codes, but these are the most often seen. For more information (411) on the Web, swing by W3.ORG.


15/5/2000

15.5.2000

I was once in LOVE with a girl named MELISSA; it just so happens that the two most devastating e-mail viruses carry the same names. Coincidence? In the wake of recent VBS worm disasters, it's time you tightened security on your computer. Outlook users can change their mail client's settings independent of their browser's. It has been suggested that the following be done: change the 'Secure Content Zone' to 'Restricted Sites' in Outlook (whichever flavor you use). No doubt, these types of viruses will strike again. My suggestion? When you receive an attachment from someone you know, ALWAYS reply and ask if they truly meant to send it (and if they scanned it for viruses beforehand). Only upon receiving confirmation (and scanning it yourself) should you open it. I prefer to open attachments in third-party viewers (like Quick View Plus). Look at 'em, don't run 'em.


16/5/2000

16.5.2000

We're all trying to squeeze more speed from our system. When you launch IE, what page loads first? I have it set to a local HTML file (which is loosely based on an old Netscape 'bookmark.htm' file). This way, I don't need to be 'online' to see what I want to see in my browser window. Of course, the first thing most of us do (including myself): go directly to another site. There's a command line switch you can use to run Internet Explorer sans start page. Select the Run command in your Start Menu, and enter: "iexplore -nohome" (without the quotes). Almost immediately, IE will launch with a blank (white) face without all the "traditional" disk grinding. Now, you can select a page from your Favorites menu, or enter a URL in the Address field.


17/5/2000

17.5.2000

Coming from the "The Last Place I Looked" department, a Lockergnomie found himself. Did you lose your glasses again? And your keys? They must be hiding in the same place. While you're searching for one, you may as well look for the other (analog multitasking). Finding different types of files can be just as easy; open the Windows Find applet (click on your Desktop and tap the 'F3' key), and look in 'My Computer' (or any given hard drive). Let's say you've decided to search for certain images. In the 'Named' field, enter: *.GIF; *.JPG; *.BMP (notice the semi-colons). Would you rather search for all programs? Try: *.COM; *.EXE (again, the semi-colon separates each file). To piggyback this tip, remember that you can save ANY search for future finding fun. Flick 'File' in the menu and select 'Save Search.'


18/5/2000

18.5.2000

What's your favorite site in the whole wide world (or the World Wide Web, as the case may be)? Every one of us will have a different answer. For years, I've been reading print magazines and online reports covering the tech industry. Every once in a while, they'll come up with a 'best of' compilation. YAHOO.COM is at the top. So what? Ah, great... site X got a zillion more impressions than site Y. Why do I care? Some companies will go as far as to publish 'cool' URLs in a book -- but don't waste your money, even if you ARE a novice. You'll have already heard of most of them, anyway. The "yellow pages" concept was designed for phone numbers, not URLs. If you really want to know what's going on online, sweep the Usenet newsgroups (accessible through your ISP or through sites like REMARQ.COM).


19/5/2000

19.5.2000

When the Web was a wee part of the Internet, we didn't have half as many e-problems as we do today. Privacy may be an issue for all ages, but parents seem to have the most concerns. The US Federal Government decided to help (bless their hearts). Web site owners who collect information from young users are now required to get permission from their parents first. That is to say, the child's parents -- not the Web site owner's. The FTC.GOV Web site has more (specific) information and directions for effective policy implementation; I figured half of you would want to MAKE SURE you're following these guidelines. I wouldn't want anybody to get in trouble down the road. There's one surefire way that parents can maintain control over their child's surfing adventures: supervision. Not always practical, but surely more foolproof.


22/5/2000

22.5.2000

In California, red means stop, green means go, and yellow means go faster. In that vein, here's a very yellow tip specifically for those of us with cable and DSL modems. You can reserve memory (RAM) for any given IRQ; by increasing the default value for your network card, you may be increasing its throughput and performance. Right-click on 'My Computer' and select its Properties. On the Device Manager tab, press the Properties button (if/when 'Computer' is selected). Note which IRQ your network card is using. Next, open up SYSEDIT.EXE (using the Run command in your Start Menu) and edit the SYSTEM.INI file. Under the [386enh] section, add: IrqX=4096 (where 'X' is your network card's IRQ). Save, reboot, and enjoy! Now, I'm not one for benchmarking, but system speed (overall) hasn't decreased since applying this tweak. Of course, I also have 256 MB RAM.


23/5/2000

23.5.2000

Vector animations are pretty darn spiffy; they're easier to watch then they are to create. Owning a paint brush doesn't make you Michelangelo! That's not today's tip, however. How many times have you seen a killer Macromedia 'Flash' file? You can't right-click on one and save it, but there may be an indirect method (at least, with IE). While a Flash animation is in your browser window, fire up a Windows Find applet (select the Desktop and tap the F3 key). Look in your C drive for all files named: *.SWF (use this exact string). When one is found, go ahead and copy it to your Desktop (just drag & drop it). The file(s) will most likely NOT be associated with a program, but you should be able to open them in IE (regardless). Of course, they'll take up the entire area of your browser, so (when you're viewing a Flash file) you may wish to shrink the window.


24/5/2000

24.5.2000

What's the matter? Mouse got your tongue? Internet Explorer stores Favorites differently than Netscape Communicator stores Bookmarks: in separate files as opposed to a single file. Like most users, you probably have hundreds of them -- 99% of which you never visit. Remember bookmarking that one page? It was hosted on GEOCITIES.COM, but... that's all you remember. IE users: fire up the Windows Find applet (press the Start button, select 'Find,' then 'Files or Folders...'), look in \Windows\Favorites (or wherever yours are stored), then in the 'Containing text' field, enter 'geocities.com' (or whatever string you're searching for). Netscape users: in the same Find applet, do a search the file called 'bookmark.htm' and open it up in any text editor of choice (Notepad); within that environment, you can look for your string with an (assumed) internal 'find' feature.


25/5/2000

25.5.2000

Have you listened to my radio show yet? Here's a tip: please do. Okay, now I need to fill space. Ummm... is streaming media too choppy on your 28.8 connection? If you have Windows Media Player v6.0 installed (also known as MPLAYER2), you should be able to change its time/memory buffer. Open the Multimedia icon in your Control Panel, flip to the Devices tab, expand the Media Control Devices list, then double-click the Wave Audio Device option. In that dialog box, press the Settings button. Now, the default is '4' seconds; those with slower connections may find '2' a more suitable number for cleaner media streaming (pauses may be more frequent, but less lengthy).


26/5/2000

26.5.2000

How many of you have taken a look at Microsoft's new Media Player beta (v7.0)? Sure, it's nifty on the outside, but... that's not enough for hardcore geeks. I was put off by v6.0, but grew to love it. Now, I'm starting to wax nostalgic. Did you know it still exists, even after you've installed v7.0? And, for that matter, the classic Media Player is still on your computer as well! Click on the Start button, select Run, then enter: MPLAYER2 (for v6.0) or MPLAYER (for the classic version). You may like the features in one player over the other; your multimedia files will always remain the same, but you can view or listen to them in any given (capable) program. To piggyback this tip, WiMP can handle older RealAudio files, but not newer ones. I suggest upgrading your RealPlayer; customize your installation to only get the bare essentials. That means: no plug-ins.


29/5/2000

29.5.2000

Coming from the "Lots of Cache" department, Lockergnomie Eric Findley has uncovered 'more money' for NT4 users. Your system may come with more than 256k of L2 cache, but Windows NT may not be recognizing all of it! By default, NT sets the L2 cache to 256k (or less). If your motherboard has more than that, it's time to dive into the registry. Navigate to HKEY_LOCAL_MACHINE \ System \ CurrentControlSet \ Control \ Session Manager \ Memory Management. Find the following value name: SecondLevelDataCache. A data value of "0" is default, which sets the L2 cache to 256k. If you have a different amount installed, set its value in decimal form. If you have 512k cache, set the entry to 512 in decimal (200 in Hexadecimal). It's almost like a free upgrade! Again, this only applies to Gnomies running Windows NT. If you have to ask what any (or all) of this means, please skip the tip.


30/5/2000

30.5.2000

Shortcuts, while small and simple, suck system resources (sometimes silently). Each one takes up quite a few bytes; if you need as much disk space as humanly possible, start getting rid of "extra" shortcuts. Got more than 10 icons on your Desktop? You're not wasting space (area) as much as you are seconds; it takes less time to refresh 5 icons than it does 50. Same goes for your Start Menu. Plus, it's easier to find a needle in a smaller haystack, pal. Convenience is one thing; productivity is another. While we're on the subject, watch out for linked 'network' shortcuts. When you're not connected, Windows may still try to find the resource; if it's not there, you'll be in for a not-so-short pause. Good rule of thumb: when assigning icons to shortcuts, make sure the icon is local (on your hard drive). Otherwise, you're in for a similar (unnecessary) pause.


31/5/2000

31.5.2000

Coming from the "I Don't Need 500 Free Hours" department, Lockergnomie James Dwight has discovered treasures within junk. Why is checking to see if the snail mail has been delivered such a thrill? I wait with baited breath beside my mailbox, in the hopes that my postal carrier will give me something really groovy. Bills... why does he always bring bills? And what about these stupid promotional CDs that I seem to get every other day? Before you chuck the pucks, give 'em a spin. You may find worthwhile "third-party" stuff somewhere on that CD: the latest program revisions, system updates, fonts, images, Web site links, and more. If you can't find anything decent, you can always use the disc for a coaster. Or target practice. Or a tree ornament. Or a "mobile" (the thing you hang from your ceiling) component. Or a Frisbee. Or a wall decoration.


1/6/2000

1.6.2000

I'm still using Microsoft Outlook 2000; I have yet to find a better PIM (that meets my needs). I don't think it's fair to use 'Brand X' because 'Brand Y' has shortcomings. That's like riding a bike because you don't like a certain car model; in this situation, you're only hurting yourself. Go with a product that works for YOU. Enough rambling -- here's the tip: in Outlook, let's say you needed Zeke's snail mail addy. Fire up the Address Book, select Zeke, hit CTRL+C (to copy his info to the clipboard), but DO NOT exit the Address Book. If you do, the information won't stay on the clipboard. Don't ask me why; this has just been MY experience. That's the REAL tip. Need more? If you paste (CTRL+V) that copied info into a new message, it'll paste Zeke's vCard attachment. So first, paste to a text-only field (like CC). Then, copy THAT text to the clipboard, then return and 'paste' in the message body; this time, it'll be vanilla text.


2/6/2000

2.6.2000

Coming from the "That's Me in the Mirror" department, Lockergnomie Kathy Brown knows where you live. If you're online, you've got an IP address. Don't believe me? Launch WINIPCFG.EXE and look. You're also at 127.0.0.1. How do I know that? No, silly... it's not magic. That IP is always the "localhost" address; wherever you are, that number will follow. It's everybody's IP. So, what does that mean and why should you care? It's good to use when you're out to foil spammers, for one. When you're in unfamiliar e-territory, filling out forms or posting messages often requires an e-mail address. If you don't NEED to divulge your personal info, by all means: DON'T. You can substitute "user @ 127.0.0.1" just about anywhere. If (or when) that addy is used in a junk mailing, the idiot will only be sending something to himself (or herself). Registering for a reason is fine; if you're unsure about signing up for a service, always ask a trusted friend first. They may know something you don't.


5/6/2000

5.6.2000

Coming from the "Failure Face" department, Lockergnomie Steven Groginsky shows us how to see the unseen. While the road to loading Windows is paved with good intentions, there are usually some bumps along the way. You may not "feel" every bump, however. The boot-up process is logged in a file titled BOOTLOG.TXT (found in your root folder). Therein, you'll find both load successes and failures. You probably don't wanna know what's right as much as you'll want to fix what's wrong. Go ahead and load that puppy (BOOTLOG.TXT) into Wordpad. Then, simply 'Find' every instance of the word 'Fail.' Chances are, you're missing a few device drivers... which can most likely be found on your Windows install CD. Put "found" missing files somewhere in your path (like your Windows \ System folder) and try booting again. This is just another troubleshooting trick; if Windows doesn't log its boot process, add the line: "DISABLELOG=0" (without the quotes) to your MSDOS.SYS.


6/6/2000

6.6.2000

Everybody seems to have an instant messenger nowadays. I suppose that's a good thing -- if you really want your friends to know when you're online. Which is the right one for you? Well, I suppose that would depend on what most of your 'online' compadres use. AOL, MSN, Yahoo, Odigo, ICQ... they all have their pluses (and minuses). As your list of buddies grows, you may have a difficult time keeping track of who's who. In ICQ (my default IM), I always rename my contacts to something a bit more memorable than their real name or handle. For instance, if I know that person runs a site, I'll use their first name followed by their site address. 'Chris Fileflash' or 'Josh TechTalkShow' are a couple of practical examples. This naming scheme will help you keep your online contacts organized; it's always good to know who and where someone is from. You may not always remember that stuff offhand -- especially if you don't "see" them often.


7/6/2000

7.6.2000

Coming from the "Paging Doctor Forgetful" department, Lockergnomie Eric Findley nails another NT shortcoming. It goes without saying that the more RAM you have, the better your system will run. I believe you're nuts for having anything less than 64 MB on an "NT" system. So, if you DO have more than that, it's time to double-check a setting. Fire up the registry editor and find a certain key: DisablePagingExecutive. Make sure this is set to "1" (again, only if you have more than 64 MB of RAM). This will allow drivers and the kernel code to be kept in memory; the default value is 0, which pages drivers and kernel code only when needed. Anything accessed from system memory will be infinitely faster than anything (dynamically) loaded from a hard drive. Eric uses this tweak on all of the NT4 servers and workstations that he supports. Try it; if it doesn't work out, you can always return the key's value to zero.


8/6/2000

8.6.2000

Is your system not quite as snappy as it once was? Go figure. You've undoubtedly tweaked some settings since getting it. Do your Start Menu components take a while to pop up? There may be a few reasons for this crawl. What font are you using? If it's anything but MS Sans Serif, chances are: it's TrueType. Why should this matter? Well, examine the 'Effects' tab in your Desktop properties; if you have 'font smoothing' turned on and are using TrueType fonts in your windows dialogs (see 'Appearance' tab), you may be taking a performance hit. Use 'MS Sans Serif' (size 8) instead; see if that speeds things up. Why is this so? Because bitmap fonts (like MS Sans Serif) can't be smoothed. TrueType font smoothing is wonderful; it'll make certain fonts look cleaner on your screen. But you don't really want to use TTFs in your dialogs... I don't care how pretty they are.


9/6/2000

9.6.2000

Coming from the "I Really Gotta PCI" department, Lockergnomie Van Stanley is trying to trip your system fantastic. This tip (sad to say) isn't for newbies; it has to do with your PCI steering settings. If your system is already stable, you can file this sucker away under the 'just in case' cabinet. Now, is your Windows on an emotional roller coaster? Right click on 'My Computer' and pull up its properties. In the Device Manager tab, expand the 'System Devices' section and open the 'PCI bus' option. In the IRQ Steering tab, uncheck every box except "Get IRQ table using MS Specification table." This will force your OS to use the MS steering table and not the others (obviously). Why do that? Well, from Van's experience, this seems to be the way Windows 98 likes it. Upon applying this tweak, his system has been more stable; your mileage may vary.


12/6/2000

12.6.2000

On this weekend's Chris Pirillo show, I had an epiphany. Since I'm on a cable modem, it's costing me ~$40 a month to be online. Sure, that's a lot of dough. However, I just purchased a digital camera via the Web last week -- which cost me $100 less than it would have locally. Do the math; I wound up ahead of the game. Since I would have purchased the DSC-S70 regardless of Internet connectivity, I (essentially) paid for my monthly bill. Just another way of looking at this PC as more than just another appliance. The savings are true, as long as you get "stuff" you'd normally purchase offline. Whenever you DO get something online, be sure to get a tracking number for the package(s). Often, you can log on to a delivery company's Web site and track the shipment's journey. The more you know, the better off you'll be if something goes awry. Wait... it was supposed to go to Des Moines, Iowa!


13/6/2000

13.6.2000

Back when the Mavica FD-7 kept me company, I was still in the traditional film / camera mindset. I'd take shots sparingly, even though I could fit several of them on a 3.5" floppy disk. Now that storage options are approaching unlimited (especially with microdrives permeating the market), I have no excuse. All you need is one GOOD shot and the shoot can be seen as successful. The great thing about digital media is that it's rewritable; don't worry about taking too many shots. As long as you've got enough space for several snaps, or you can upload them quickly if you run out of room, don't be conservative with that button. You shouldn't have to gamble on getting the right (still) shot; try a variety of in-camera settings, track them, find what works best in "X" situations, and your digital photography experiences will become more fulfilling over time.


14/6/2000

14.6.2000

Oh, who are the people in your neighborhood? Ya know, the people who you meet (when you're walking down the street) each day? More importantly: what are they doing this weekend? What's happening around town? What's the buzz -- tell me what's happening. Okay, but only if you use Netscape! In the field which displays the current URL, type: zip 50266 (or whatever your ZIP code happens to be). Sorry to say I'm not sure if this will work for non-US users. Sounds slick, and once the world is more connected, I'm sure we'll see more internationally-friendly features. Until then, everyone can stick to searches. In Internet Explorer, you can type: "? [KEYWORD]" (without the quotes). The question mark is necessary, but the keyword(s) can be whatever you want. Yes, there are a zillion and one ways to look for Web pages in your browser. If one way works well, then by all means, stick with it.


15/6/2000

15.6.2000

Just as your remote control should be sitting parallel with the edge of your coffee table, images and text should be aligned perfectly in your documents. When objects and fields are just a few pixels off, they look sloppy and the results appear unrefined and unprofessional. Before you put your finger up to the screen, try turning on the 'Snap to Grid' option -- if your favorite program makes use of it. It's a feature that's often overlooked, but if you're not a perfectionist, you'd be wise to make use of it. That's what it's there for; to make your data look a lot better in the end. Whether you're in a graphics layout utility or word processor, when multiple objects need to be in the same respective spot, there's no easier way to get them there than by snapping them to a hidden grid. If a program doesn't contain such functionality, it should give you pixel locations which you can in turn use to perfect placement.


16/6/2000

16.6.2000

Happy Father's Day! My dad always brings up questions which springboard into future Lockergnome tips, so helping him is the least I can do. This tip isn't just for newbies (advanced users can jump to the end). "How do you attach a file to an e-mail message?" Have you tried dragging & dropping it? "No, how do I do that?" Fire up the Windows Explorer and browse to where the to-be-attached file resides. Now, start a new message in your e-mail program. Left-click the to-be-attached file and drag it onto the new message window. If your client (indeed) is up to scratch, congratulations -- you've just attached! NOTE: don't go attaching everything on your hard drive. One at a time, folks. And remember NEVER to attach anything larger than 1 (one) megabyte unless it was requested by the recipient. Just get a shared Web storage account (from FREEDRIVE.COM, for instance) and upload something there; it's quicker and more courteous to pass along the URL for a large file rather than send it directly through e-mail.


19/6/2000

19.6.2000

Some of us have grown up, but we still play with toys... which just so happen to be a lot more expensive. My wife nearly blew a gasket when she found out I purchased another digital camera. I should have come up with a 'top ten reasons I had to upgrade' list, but she still wouldn't have understood my motivation. Looking to justify your digicam indulgence? Think about how often you've erased great stuff from a whiteboard session. That info could have been captured, saved, and printed -- by using a digital camera! When have you been out and about without an easy way to copy visual data? Pull out the digital camera! The DSC-S70 has a specific mode for taking text-only photos; it saves them as 2-bit GIFs, and does a darn good job. Beats scanning any day. Besides, some things won't fit on a flatbed. Remember that next time you think that 3.3 megapixels are frivolous.


20/6/2000

20.6.2000

Even low-carbers can eat cookies without the guilt. Although, I'm not referring to the super sugary kind! To store account settings, user preferences, and other stuff, Web sites often offer your browser a cookie or two. You can turn them off and lose a little bit of surfing convenience, or you can leave them on and clean 'em out every so often. Are you afraid of losing something important by deleting them? Just export 'em before you get rid of 'em. How? In IE5, click 'Import And Export' (which sits in the File menu). A wizard will pop up; press the 'Next' button. Select 'Export Cookies' before pressing the next 'Next' button. Now, select the 'Export To A File' option. Figure out where you wanna store the 'cookies.txt' file, then move forward once more. You're finished! If anything "bad" happens after clearing the cookies from your PC, you can import the file you just exported. It's like NAFTA for geeks.


21/6/2000

21.6.2000

Coming from the "What's Going On Here" department, Lockergnomie Patrick Piccolo is uncovering his connections. When you check your e-mail, you're establishing a connection with a remote mail server. When you browse the Web, you're connecting with Web servers. And Instant Messaging? Yep -- you're usually hooked up directly to another person's computer. Hrm... that's a lot of Net activity -- is there a way to easily watch what's going on at any given time? Select the 'Run' option in your Start Menu and type: COMMAND (then hit ENTER). Bickity bam! At the prompt, type: "NETSTAT -n 10" (without the quotes). The 'n' switch tells NETSTAT to display IP addresses (even those that ICQ says to hide), and the 10 asks NETSTAT to refresh every ten seconds. That number can be anywhere from 1 to infinity (in theory). Shorten the time when you're watching your connectivity closely (when installing or running software you suspect could be accessing the Internet without permission). Press CTRL+C to stop the infostream.


22/6/2000

22.6.2000

Coming from the "Sweating Bullets" department, Lockergnomie Nathan Riley is dropping to DOS. For the most part, your system should be stable. I mean, if it was always in shambles, you would have reinstalled Windows by now. Don't have time? Don't wanna lose any of your settings or software? Supposedly, there's a command line option that'll get you back on your feet in no time. "Boot up your PC with a Windows 98 boot disk, pop in your Windows 98 CD, and once you're at the command prompt, type your CD-ROM drive letter immediately followed by a colon. So, if your CD was set to "D" -- you'd enter D: and then hit ENTER. At this point, you'll type the following command: SETUP /pf (exactly as shown). This switch will restore all of Windows' critical files to their "factory state," and in 99% of situations (according to this Gnomie), doing this will fix whatever problems you were having in Windows 98.


23/6/2000

23.6.2000

Coming from the "Six of One" department, Lockergnomie John Lyon found a way not to get help. Certain ISPs (cable modem providers, etc.) have set up dedicated hardware to cache frequently accessed data. This typically makes your surfing experience a bit smoother; every once in a while, however, that cache gets in your way. You may need to refresh a page to see the latest version and the command may not take. It's time to trick the server into thinking that you're trying to see a different page. This may not work with every Web server, but if you've exhausted all other options (or tired of flushing the cache every other minute), it's worth a shot. Simply change the case of the document for which you're attempting to retrieve. So, you could switch gnomies.html to Gnomies.html or gnomies.Html. As long as that server isn't case sensitive, you should be good to go.


26/6/2000

26.6.2000

It's smart to run the Disk Defragmenter every so often. Once it starts reorganizing your data, the last thing you want is your screen saver to kick in. Tired of having to move the mouse every other minute (or forgetting to temporarily turn it off)? Run REGEDIT.EXE, navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Windows \ CurrentVersion \ Applets, and create a new key: "Defrag" (without quotes). Now, within this newly created key, create the key: "Settings" (without quotes). In the Settings key, create a string value and label it: "DisableScreenSaver" (without quotes). Next, edit the value "(Default)" and change it to: "YES" (without quotes). The next time DEFRAG is run, screen savers will be disabled.


27/6/2000

27.6.2000

With so many fonts to be downloaded from different developers, why is it that I see so many Times New Roman and Arial derivatives? They're all too often overused; when a more unique, less-common face can be presented, consider using it. Since certain fonts look strangely similar, Windows will help you weed out matching faces. Open up the Fonts folder (in the Control Panel). In the View menu, select the 'List Fonts By Similarity' option. A drop-down list will appear in the window; select a font and start seeing some similarities. From the View menu, you can also select the 'Hide Variations' option to further narrow the field.


28/6/2000

28.6.2000

Coming from the "Digital Face Lift" department, the good Captain (from XTEQ.COM) has uncovered some alternative wording. In IE5's Tools menu, select 'Internet Options' and flip to the 'Advanced' tab. See the 'When Searching' section? You can change the wording of those four options. Launch Regedit, navigate to HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Internet Explorer \ AdvancedOptions \ SEARCHING \ AUTOSEARCH, and you'll find the following subkeys: DISPLAY_AND_GO, JUST_GO, JUST_DISPLAY, and NO_SEARCH. The "PlugUIText" component is changeable after the final comma in each of these values. For example, you could replace "Search from the Address bar" with "Belly up to the Address Bar" if so desired.


29/6/2000

29.6.2000

Before sharing a Lockergnome-published tweak in a recent InfoWorld issue, Lockergnomie Brian Livingston sent me a digital copy of his article (to confirm the tip's validity). Indeed, the Excel tweak was worth publishing again. I didn't pay much attention to the document's format, but he noted at the bottom of his message: "The attached file is in RTF format, which cannot contain macro viruses." So, the next time you need to share a DOC file with friends and co-workers, if it's possible, consider sending it as a rich text document. NOTE: when any amount of advanced formatting is applied, RTF will not be feasible.


30/6/2000

30.6.2000

Coming from the "Do You See What I CPU" department, Lockergnomaniac Van Stanley has discovered another speed tweak. Your PC's processor, while important, isn't always given the time it needs to execute tasks. Power users might consider maximizing the CPU's priority. Open the system Registry editor and navigate to HKEY_LOCAL_MACHINE \ System \ CurrentControlSet \ Services \ VxD \ BIOS. In the rightmost pane, create a new DWORD value and label it: "CPUPriority" (without quotes). Double-click the newly created setting, switch its format to Decimal, then enter "1" (without quotes) as a value. Upon reboot, this tweak should speed up the launching of programs. NOTE: your mileage may vary.


3/7/2000

3.7.2000

Too many users are stuck in the mindset that they can only use one application at a time. While only one can be on top at any given time, you can use multiple programs to increase productivity. Recently, I was viewing a Web page (upon which sat several links). Instead of clicking a link then hitting the back button to return to the index, I opened up another browser instance. By dragging and dropping the links onto that second window, I saved quite a bit re-loading time. This tactic also comes in handy when you're navigating search engine results; as you're waiting for the desired page to load, you can continue to browse the list of query results.


4/7/2000

4.7.2000

System resources are precious; it's great when you can save a CPU cycle or two. When you can preview a file's contents without opening it in a bulky application, you'll typically save time (and memory). With the Windows Imaging client installed, you can preview TIFF files within Explorer without an external app. In the 'Add / Remove Programs' Control Panel applet, in the 'Accessories' section of the 'Windows Setup' tab, be sure there's a checkmark inside the 'Imaging' box (if the option is available). A TIFF file's property sheet will now contain an 'Image' tab, complete with a graphical preview and specific file attributes; right-click one and select 'Properties' to access.


5/7/2000

5.7.2000

I often enter the Lockergnome chat room with the intent to exchange thoughts on random topics. Without warning, something smart will be shared with those in attendance. The talkative Gnomie known as 'Evil_Warrior' thought of another great way to foil destructive scripts (like those which have recently plagued Microsoft Outlook users). Since some of these destructive worms rely on classic DOS utilities to wreak havoc, you may wish to rename a few of the more system-critical apps. For instance, change FORMAT.COM to FORMAT1.COM (found within your Windows \ Command folder). FDISK.EXE is another one you may wish to modify.


6/7/2000

6.7.2000

Coming from the "Going and Going and Going" department, Lockergnomie Bill Funk assaults your battery choices. Robust electronic devices suck juice like none other; dependent hardware often ships with feeble energy cells. Upgrading to a more efficient battery is encouraged, although it's not always cost effective. No matter which way you go, steer clear of the classic Alkaline option. If your path isn't proprietary, scope out Nickel-Metal Hydride (NiMH) batteries. Not only are they rechargeable, but your unit will run longer with them inside. When you're considering purchasing a new peripheral (like a digital camera), you should keep a preferred battery type in mind.


7/7/2000

7.7.2000

Tired of pointing and clicking? Hard to believe there was a time when the Internet had no "user friendly" exterior. The first online application I mastered was TELNET. Though not widely used nowadays, Windows still comes with a bare-bones version. From AXCEL216's most excellent tips site comes a way for you to enable smooth scrolling in Windows 98's telnet app. Fire up REGEDIT.EXE and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Telnet. You'll find this key contains several values, one of which is SmoothScroll; double-click that value and change the (default) 0 to a 1. Smooth as a baby's BIOS.


10/7/2000

10.7.2000

Coming from the "Attachment Detachment" department, Lockergnomie Bob Coleman can make lemonade out of lemons. "We all get e-mail messages with attachments that do not decode properly. Next time, before deleting it and asking for a new copy, just save the message out as text and open it in a program like WinZip. It has the capability to decode both MIME and uuencoded messages." So very true! Should a certain recipient always experience these kinds of headaches, perhaps you should switch encoding algorhythms before blasting off the next attachment. In Outlook Express, select 'Options' under the 'Tools' menu, flip to the 'Send' tab, then press the 'Plain Text Settings' button. For your message format, you can choose a MIME derivation or Uuencode. You'll find that older clients handle uuencoded attachments much better. At least, that's the way it was before I started using Outlook.


11/7/2000

11.7.2000

Want two tips for the price of one? I was reading one of my favorite e-mail newsletters the other day (the LangaList, written by Fred Langa at LANGA.COM). That's your first tip: subscribe. In a recent issue, one of his regular readers submitted an interesting workaround for getting around sounds. When the sound of silence is what you crave, you can easily turn off your speakers. But what if you wanna hear some and not others? Easy; change their association in the Control Panel applet. Here's where it gets interesting: you can record a blank WAV file and rename it to replace any sound(s) in the Windows media folder. DING.WAV can still exist... at least, in name. Applications will still call upon DING.WAV (even those not listed in the Control Panel). You won't experience any error messages -- or unwarranted playback.


12/7/2000

12.7.2000

Coming from the "Don't Click Here" department, Lockergnomaniac Steven Groginsky shares a stealthy secret. Are you being tracked and traced as you read this? Privacy issues are not to be taken lightly. My personal take on the whole situation: protect yourself from harm as you see fit, but as long as you're online, you'll be vulnerable. When you click on a link, the destination's server records that as a unique impression. It knows how you got there, too. Well, sometimes. If you don't want anybody to know how you got from point A to point B, simply mail the shortcut (URL) to yourself. When you click on it from your e-mail client, the Web server's logs will record: "No Referrer." You can also launch a link from a local page or Run command line and achieve the same results. Gnomies have the power to crash servers, but the world doesn't know that because of this little loophole.


13/7/2000

13.7.2000

Sure, search engines are simple to use, but they don't always show you what you really wanna see. Ever hear of meta tags? For authors, if not abused, they're perfectly fine to use; for end users, if not precise and accurate, they'll be a thorn in the browser's sidebar. With keywords, you're looking for content and information in actual Web documents, not trying to target page titles (or meta tags). Like memetics, for example. Using a field-supporting search engine (like ALTAVISTA.COM), try entering: 'text:memetics' (sans apostrophes and spaces). Wrap quotation marks around your entry if you're looking for a string of keywords (like a certain phrase). And remember, you can use more than one search engine; my mom still doesn't understand that there's life beyond Yahoo. The more search engines you query, the greater your chances of success.


14/7/2000

14.7.2000

Most undocumented trips and ticks are way too cool to stay hidden for too long. I was happy to see that my buddy (known as AXCEL216) uncovered some secret switches for Windows' Scandisk. To give these a spin, you can either use the command prompt or the Run command line. Click the Start button, select Run, then type: 'SCANDSKW' (sans apostrophes). Don't be too quick to hit ENTER; you may wanna use these switches first. 'SCANDSKW /A' will auto-select your fixed (hard) drives for scanning and possible repairing; 'SCANDSKW /N' will allow you to start rocking and rolling right away, with no prompting or clicking necessary; 'SCANDSKW /P' enables Scandisk's preview mode, which will keep it from making any necessary changes to your system; and 'SCANDSKW /SILENT' will totally cut you off from configuring the session any further (good for using in controlled environments).


17/7/2000

17.7.2000

Name branding is important for every Net entity. Four years ago, there were still a handful of 'common' domains up for grabs. So, why did I choose Lockergnome? It's unique and more memorable than most 'tech' URLs. Who knew that GNOME would become a major Linux desktop environment? I wonder how many other 'gnome' domains are out there. Using a field-supporting search engine (like ALTAVISTA.COM), I could enter the term: 'url:gnome' (sans apostrophes and spaces). Every indexed Web address containing that word will be listed, whether it appears in the actual domain name or within the full URL. Beat the system before it beats you; by doing a little bit of research, you'll get a better idea as to what kind of sites carry "your word." How is it already being branded? Can you go with something different? Is someone squatting?


18/7/2000

18.7.2000

Ever arrived somewhere, looked up, and thought to yourself: "I don't wanna be here." It happens all the time in Windows. Ever go to open or save a file, only to discover that the dialog box isn't in the folder you need? Piggybacking a recent tip, this shortcut creation method will have you 'there' in no time at all. First, ya gotta fire up a Windows Explorer instance and browse to your ultimate destination (whichever folder that might be). Now, you may already be there (in which case, this tip will be even easier to implement). Left-click and drag the upper left-hand corner icon (a folder) from the Explorer title bar and drop it directly into the Open/Save dialog box. Now double-click that newly created shortcut and you'll be whisked away. Unless you're running low on disk space, I'd suggest keeping the shortcut there in case you need it again at some point in the future.


19/7/2000

19.7.2000

When you upload a Web page, just about anybody with Internet access has the opportunity to view it. But who's seeing it? Who likes it well enough to link to it from their own set of pages? Using a field-supporting search engine (like ALTAVISTA.COM), you can enter in the following string to uncover a list of linkers: 'link:lockergnome.com' (sans apostrophes and spaces). Instant results! Don't forget to contact those site owners and do a bit of link reciprocation if it's feasible; that's an excellent, often-overlooked, low-cost strategy for online promotion. I'd stick to stuff in your own market segment, though; those click-thrus will be more qualified. Don't limit yourself to checking up on just your own site; scope out the competition while you're at it! The more incoming links a site has, the more 'popular' it is.


20/7/2000

20.7.2000

Coming from the "Caught You Red Handed" department, Lockergnomie Mark Wacholtz knows how to nail e-mail bandits. "With all the spam filling Inboxes these days, it's hard to tell where (and how) the perpetrators acquired your e-mail address. Those fortunate to have their own domains with unlimited aliasing can do one thing to help keep track of these scandals: use separate aliases when subscribing to newsletters or Web accounts." The only mail sent to those addresses should only be the ones you requested. If an alias starts to receive junk mail through it, then you know the list owner was underhanded; you can promptly remove the alias and inform the watchdogs immediately. If you're not with a Web host which offers unlimited aliasing, consider picking up more than one POP3 e-mail account. It's not as easy to manage, but it can be just as effective in tracking trust offenders.


21/7/2000

21.7.2000

Increasing the font size of Web pages is relatively simple to do. But when a Web author hardcodes a specific font size, you're out of luck. Or are you? To repeat something featured in a previous GnomeREPORT: Lockergnomie Pat Pluto figured out a workaround for the fixed-width font 'problems' that some of you have been having. Actually, I should say, those of you with Microsoft e-mail clients (or Web browsers); Netscape users shouldn't have to worry. This fix is universal -- applying to every HTML newsletter and Web site you encounter. Open up Internet Explorer, select Tools from the menu, then Internet Options, then press the Accessibility button. At that point, you can choose to ignore the font sizes specified on Web pages. This also applies to your e-mail (if you use a Microsoft e-mail client). This should keep EVERYONE happy; you're in control again.


24/7/2000

24.7.2000

Seems just like Monday when I was using PhotoShop-compatible filters to enhance my graphics. Unless you have a gigabyte of RAM, I'd suggest using filters only when needed. As my good buddy Randy pointed out, an image editing app shouldn't have plugins sucking up system resources if they're not being used. Paint Shop Pro is one such program; plugin paths can be turned on and off in a dash. In my 'Plugins' folder, I'll install each set of filters into a separate subfolder. This way, I can set PSP to access only specific folders (for limited plugin use). Or, with 'Search subfolders' turned on, full filter functionality can fly from the first (root) folder.


25/7/2000

25.7.2000

Coming from the "You Look Different" department, Lockergnomaster Van Stanley has a handy way of tracking footprints. Before anything new is run on his system, he opens Regedit, selects 'Export Registry File' from the 'Registry' menu, and names the file "BEFORE.REG" (without the quotes). After the software installation routine has finished, he again opens the registry editor and exports a file named "AFTER.REG" (without the quotes). Either at the command prompt or in the Run command applet, he enters: "fc before.reg after.reg > changes.txt" (sans quotation marks). FC is an old DOS app that works just as well in Windows; he's redirecting the comparison into a CHANGES.TXT file.


26/7/2000

26.7.2000

While waiting for my latest WUG*BYTES issue to arrive, I received an e-mail message from Shaun's wife, Christine; she was completely distraught. "My fonts are all messed up!" Calm down... now's not the Times to go dingbats. Turns out, her Palette Title size was too tiny. Huh? Your ICQ interface and the daughter windows in Paint Shop Pro sport a palette title bar. Right-click anywhere on your Desktop, select Properties, then flip to the Appearance tab. In the item section, select Palette Title. From there, you can change its height and font properties. Dink with other settings if you're so inclined. To undo, simply re-enter the original data.


27/7/2000

27.7.2000

One of the least robust Windows applications (NOTEPAD.EXE) is the most often run program on my system. In fact, I've used it 140 times in the past two days. I've also executed Outlook 28 times, and Winzip's had 18 separate instances launched. You already know I'm not a bean counter, so how did I come up with these seemingly-precise numbers? Talk to the OPTLOG.TXT file. Your disk defragmenter calls upon it whenever you want to optimize your most frequently accessed programs for speed. The ever-changing data won't do you much good, other than show you how often certain apps are invoked. I thought I told you kids to stop playing MSHEARTS.EXE? The log doesn't lie.


28/7/2000

28.7.2000

Coming from the "You Oughta Know" department, a Lockergnomie gives us our first official Windows Millennium Edition tip! No, most of us aren't running (nor will ever run) ME, but this is something that'll make working with the OS a little more 'geek' friendly. In testing the release version of this new environment, I had a few crashes. I was used to clicking on the 'Details' button to find out what went wrong, but some developer had decided to take it away. Or had they? When the time comes, all you have to do is hit ALT+D to see those darn details. If you're bludgeoned with the blue screen of death (and yes, it still exists in ME), you're on your own.


31/7/2000

31.7.2000

Hungry? Run to your local fast food franchise and rustle up some vittles. Did they close early tonight? Shucks. When the french fry craving can't be satisfied, I guess a graphic will have to do. A blanket Web search for the popular snack will yield inaccurate results. Remember, you want to see a picture (not the word). Using a field-supporting search engine (like ALTAVISTA.COM), you could enter the term: 'image:fries' (sans apostrophes and spaces). What results is a list of links to pages containing 'fries' graphics. Understand that the word 'fries' must appear somewhere in the image file's name. It ain't clowning around.


1/8/2000

1st August 2000

Coming from the "Stop, Drop, and Scroll" department, Lockergnomie Kjell Skjebnestad exploits a hidden Internet Explorer feature. To effectively read a lengthy Web page, one must scroll up and down (and sometimes side to side). For those of us with 'wheel' mice, the scroll bar has virtually become an obsolete control. Until a Gnomie pointed this out to me, I hadn't realized that IE could do this (at least in the latest version). What? Right-click anywhere in your browser's vertical scroll bar area. Up pop a few useful options: Scroll Here, Top, Bottom, Page Up, Page Down, Scroll Up, and Scroll Down. Stop dragging, dudes. Click once and go!


2/8/2000

2nd August 2000

Whenever an author or company is featured in Lockergnome, I'll send an 'Upcoming Press Coverage' e-mail to their Inbox before the review is actually distributed. Some traditional and digital editors aren't as courteous. No matter, it's difficult to find a real e-mail address when it isn't posted clearly somewhere on a site (obviously). The first link I look for is the 'press releases' page. Nine times out of ten, a marketing contact will be listed therein. In lieu of these documents, I'll browse for a 'feedback' page. Here's the trick: an e-mail address may be embedded somewhere within the HTML code. View the page's source and do a search for the '@' symbol. Easy enough?


3/8/2000

3rd August 2000

Coming from the "I Almost Forgot" department, Lockergnomie Dan Knight claims that toolbars aren't just for navigation. Explorer settings can (and should) be tweaked. Do you know what pressing that button does? Then why is text still sitting underneath it? I'm not saying you should remove every GUI component, but a little customization can go a long way. If you keep just one toolbar alive, let it be the 'Address' one; it's more than just a location reference. In the Windows Explorer, you can copy/paste complete paths in the Address bar. How's that for an 'oh yeah' reminder? You can also take those (copied) paths and paste them into open/save dialog boxes.


4/8/2000

4th August 2000

Windows, I command thee to sit up and bark like the dog you are! Time to take some obedience classes, I see. You know there's still a place in your heart for COMMAND.COM. A command line interface can be quite quick when common sense is applied. Would you feel better if something was sitting somewhere all the time? Fine. Right-click on the Windows Taskbar, select 'Toolbars,' then 'Address.' Now, left-click its handlebar, drag it up to your Desktop, and let go. Right-click inside the newly-created box and choose 'Always on Top.' Resize it to your liking, move it elsewhere, and you're good to go. Treat it as you would any other CLI; programs (and URLs) can be launched from this toolbar.


7/8/2000

7th August 2000

Satisfied with JPG, but can't jive with the lossy compression? Content with GIF, but feeling constrained by the 256 color limit? Happy with BMP, but horrified by the bloated file size? There's another image type that growing in popularity: PNG! IE users can view 'em inline, and with most of the world using Microsoft's browser, what's your excuse for not working with this new graphic format... especially when you're sending screen shots to someone. I snapped a 1600x1200 pixel, 32-bit (high color) one the other day and it weighed in under 100k. Long story short: don't use BMP if PNG will suffice. Both sport lossless compression algorithms, but the Portable Network Graphic will be infinitely smaller (in terms of file size).


8/8/2000

8th August 2000

Coming from the "The Outlook Looks Good" department, Lockergnomie Doug Rutherford is tweaking like there's no tomorrow. Smack yourself if you haven't already spent seconds adjusting the Outlook Express interface. Even if you have another program for reading mail, surely you've used OE's newsreader to access the gnewsgroups at news.lockergnome.com? The Layout dialog (accessible from the View menu) is filled with various interface components; you can right-click the toolbar to customize it as well. But what about those messages; there's more than one way to sort 'em, ya know. Go ahead and right-click on the Subject column header and select Columns from the popup menu. Use whatever you want, wherever you want! Back in OE, you can press any given column header to toggle the sorting structure (if you hadn't figured that out by now).


9/8/2000

9th August 2000

Shopping for stuff online is super simple, although satisfaction is somewhat delayed. Darn delivery dates! There are times when you want to hold a product in your hands prior to purchasing it, and there are times when you just wanna pinch pennies. Okay, before you bop over to your favorite e-commerce portal, do a search for 'free coupon' sites and resources. The big players ALWAYS have some type of promotion going on, though they probably won't tell you that outright (duh). With any luck, you could have a legit code worth US$10 in your lap, which is (in essence) free money. Combine these savings with the Internet's low price lollapalooza, and you're set.


10/8/2000

10th August 2000

Coming from the "Don't Get Me Started" department, Lockergnomie Roger Pate frees his family from frustration. Sharing your Desktop environment with another person is next to impossible. I like my icons to line up like so; Gretchen isn't THAT picky. Managing the Start Menu would be a hassle, too -- if it were not for separate Windows user profiles. To provide access to these accounts on startup, one must first switch a certain setting. Open the Network applet in your Control Panel; set the 'Primary Network Logon' to 'Microsoft Family Logon.' That should do the trick; mind you, this should only be switched if you have more than one active user profile in Windows. Otherwise, what's the point?


11/8/2000

11th August 2000

Coming from the "Just Take the Bus" department, Lockergnomie Mike St. Ores notices another Microsoft troubleshooting aide. USB devices are typically easier to install than their parallel, serial, and SCSI counterparts. That's the beauty, eh! Naturally, the upgrading process doesn't always go as planned. Windows isn't always forthcoming as to what's wrong, where it went awry, and why it won't work. With your Windows 98 system CD in the drive, navigate to the Tools \ Reskit \ Diagnose folder. There, you'll find a nifty program called USBVIEW.EXE. Go ahead and launch that puppy to see what peripherals Windows recognizes; select a component to view its environmental settings. The more you know, the farther you'll go.


14/8/2000

14th August 2000

Didn't your mother ever tell you that the only thing that matters is what's on the inside? Same goes for IE's Internet Shortcuts (Web site addresses). I'm sure your Favorites menu is overflowing; how many of those suckers do you actually visit on a semi-regular basis? I thought so. Right-click on one of them, select the Properties option, and you'll be swept to its Web Document tab. Check out the Visits field; how often did you go there today? If your browser's History has been cleared recently, chances are 'Unknown' is the number. Like Yoda I sound! Frequently accessed? Consider assigning it a keyboard shortcut. Just about any CTRL + ALT + SHIFT combo should be available. Oh yeah, the mouse isn't the only one in control here.


15/8/2000

15th August 2000

Coming from the "What's the Difference" department, Lockergnomie Dean Weaver drops a tried-and-true DOS proggie. A few weeks ago, the FC.EXE console app was highlighted. Not being one for command line interfaces, this Gnomie did a little disc diving to uncover another 'obscure' Microsoft utility. Pop in your Windows 98 system CD and browse to the Tools \ Reskit \ Files folder; Windows 2000 users will find the program in their CD's Support \ Tools folder sitting in the 'SUPPORT.CAB' file. WINDIFF.EXE will allow you to compare one text file with another. This is useful in situations where there are several versions of a single document to review or complicated LOG entries to analyze.


16/8/2000

16th August 2000

One can create a 'mailto' Internet shortcut in a snap, but without the Favorites menu turned on in Outlook, there's no integrated way to access those links. Right-click on Outlook's toolbar and select Customize. Flip to the Commands tab, find New Menu in the Categories list, then drag the 'New Menu' option from the Commands list and drop it onto the toolbar. Now right-click that newly created menu item and change its Name (I used 'Blast' on my computer). In the still-open Customize dialog box, select File from the Categories list. In the corresponding Commands list, drag & drop 'Mail Message' into to the newly added menu button. Right-click on that freshly dropped menu object, find Assign Hyperlink, then click Open. Under Link to, select the E-mail Address option. Fill in the fields, assign the shortcut a name, and you're ready to roll.


17/8/2000

17th August 2000

Coming from the "Is What You Pay Me For" department, Lockergnome database demigod David Breddam circumvents an account agitation. Who doesn't check their e-mail at least twice a minute? Most users call upon Outlook Express (since it's relatively simple to use). There are alternatives on the market, but why buy the cow when you get the milk for free? Outlook 2000 is there for those of us who need a full-blown information manager, though. Once you've configured your account(s) for either of Microsoft's Internet mail clients, you shouldn't have to enter them again. In the Tools menu, select Accounts. See that little 'Export' button? Use it! Save your settings somewhere for possible future importation (the 'My Documents' folder is recommended).


18/8/2000

18th August 2000

Coming from the "Non-active Activity" department, Lockergnomie Jeremy Buckmaster bucks the window dressing. Both Internet and Windows Explorer accept command line switches. With a slash here and a dash there, you've got the recipe for configurability. Have you ever wanted to view an image on your Desktop without first converting it to a bitmap? What about a live Web page? Again, you're probably trying to avoid Active Desktop like the plague. Run with the Start Menu's 'Run' option and enter: "iexplore -k javascript: moveTo(100,100); resizeTo(500,400)" (sans quotes). You'll now have a borderless browser sitting on your screen; feel free to tweak those numbers at will. Hit CTRL+O to open a URL or file; keep it sitting there for as long as you'd like.


21/8/2000

21st August 2000

Finding unique tips to cover isn't always the easiest task. For the past four years, whenever I turn to Gretchen for assistance, she says the same thing: "I like the one about copying and pasting." Yes, dear... but I can't talk about that every day. It's enough to make a grown geek cry, but here goes: CTRL+X is cut, CTRL+C is copy, and CTRL+V is paste. For the most part, these are universal shortcuts; you'll save time by using them regularly. Easy enough, but there's a clippy spin you may not be aware of. The clipboard resides in system memory; whenever you cut or copy data, that much [RAM] is being used. No big deal for smaller stuff (like text), but imagine what kind of strain you're putting on your system with larger objects (like images). Long story short: flush the clipboard when you're finished with it. How? Just copy a blank space (or something equally small).


22/8/2000

22nd August 2000

When Windows 95 first leaped onto the scene, there were few permanent 'gigabyte' storage devices in production. Because of this, we could only access Windows setup files from a CD (or floppy, if your system was that antiquated). We can make the transition smooth if you'd much rather have those CABs (et al) on your hard drive. NOTE: this should only be done if Windows frequently asks you to insert the system CD. To proceed, copy everything sitting in the system CD's SETUP folder over to a new location (e.g., C:\Windows\Options\Cabs), fire up REGEDIT, then navigate to HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Windows \ CurrentVersion \ Setup. Edit the SourcePath string and enter the new file path (e.g., C:\Windows\Options\Cabs). The next time your OS needs to access any of those files, it'll know where to find them first. This should work fine for all 9x/ME versions of Windows.


23/8/2000

23rd August 2000

Coming from the "Wonder Twin Powers" department, Lockergnomie Frank Schnyder fixes forgetful folders. When the much-ballyhooed Active Desktop rolled out, we were given a few new file management options. Did you know that each folder could retain a unique interface? You're limited, of course, by Explorer's VIEW and SORT settings. While you prefer to see one folder's contents arranged by name in a 32x32 iconular format, you may wish to sort another by type (with Details enabled). No brainer, right? Well, if you wanna reset all your folders (across the motherboard) to one particular format, select FOLDER OPTIONS from the VIEW menu, flip to the VIEW tab, then press the RESET ALL FOLDERS button. Or, if you really like how the open folder looks and feels, press the LIKE CURRENT FOLDER button. Exact wording may vary, but those running IE4 and IE5 should have these features.


24/8/2000

24th August 2000

Sending HTML e-mail messages to friends can be fun, but some users find fancy formatting extremely annoying (like my good friends, Gordon and David). Before you decide to drop stationery into someone's Inbox, be sure they won't mind the colorful intrusion. How often have you not been able to view a message's contents because of lousy color combinations? Certain elements don't work well together (e.g., olive text on a red background). Since senders seldom stop to optimize their final products, Outlook (and Outlook Express) users should be en guarde! The next time you receive one of those 'lousy' messages, open it, click somewhere inside the message body, then use the CTRL+SHIFT+O keyboard shortcut. That'll textify the message good, so you won't have to do no squintin' anymore. We likes it that way in Des Moines.


25/8/2000

25th August 2000

Coming from the "Time to Zone Out" department, Lockergnomaniac Shimon Lebowitz winds the system clock. Americans probably won't find this tip as useful as someone from, let's say, anywhere else. Eastern, Central, Mountain, and Pacific aren't the only time zones in the world. Knowing that even they couldn't cover the entire planet, Microsoft was sure to include a time zone editor with Windows 98 SE. Throw in your system CD and browse to the Tools \ Reskit \ Config folder; there you should find TZEDIT. With it, you can create or edit entries at a moment's notice. Copy the EXE, HLP, and CNT files to another folder on your (C) drive if you plan on using the utility more than once. When the appropriate changes are made, you should be 'on time' all the time. NOTE: time zone confusion is no excuse for being late to work. At least, in Iowa.


28/8/2000

28th August 2000

Coming from the "Favorite Favorite Fact" department, Lockergnomaster Steven Groginsky repurposes a well-known Windows feature. When you run into a killer Web site, the first thing you do is put it in your Favorites (or Bookmarks). Understanding that you'll probably never visit it more than twice in the next decade, a lot of good that did ya. I'm sure you'll explore your system more often, right? Okay, Netscapers, even though you dislike IE, you may appreciate this tip. Make a folder inside FAVORITES and place shortcuts to frequently accessed folders in there. Since you're already in an Explorer session, once selected, each location will spring to life in the current window. You can always hit the back button if you make a boo-boo, but since the Favorites folder is already there, you may as well use it for non-Internet stuff.


29/8/2000

29th August 2000

I gotta giggle when I see seven shortcuts to MY COMPUTER sitting on a Desktop. HINT: you only need one. I realize it's more convenient to keep several on hand, but there are easier ways to get around your system. The quickest way to a folder's heart is through its stomach. For instance, when you know which folder you need to open, instead of starting at ground zero every time, find a nearby program shortcut. So, if I needed to jump to PROGRAM FILES, I might right-click on the WORDPAD shortcut, select its PROPERTIES, then press the FIND TARGET tab. Boom! I'm sitting one folder deep in PROGRAM FILES. When I need to add or edit files in a program's path, I do the same thing. Pointless clicks drag down your productivity; think outside the box. Shaving seconds starts with the shortcut. Shaving shortcuts isn't as simple.


30/8/2000

30th August 2000

Coming from the "Running Out of Cache" department, Lockergnomie (and Cluetrain Manefesto author) David Weinberger knows there's more than one way to skin a site. Which is more frustrating: being attacked by a computer virus or smacking into the dreaded 404 message? But the page used to be there; you just saw it last week! It's shuffled off its digital coil and moved on to a higher plane of existence. Whatever. Here's a semi-decent workaround. Short of slapping the site manager upside the head, type your way to GOOGLE.COM and search for the dead page. Use specific keywords or enter the entire Web address into the form. Once the URL is found, you may see a 'Cached' link displayed beside it. Duh. With any luck, you'll be able to sleep soundly tonight... knowing full well that there's hope for abandoned Web pages. The slash is a terrible thing to waste.


31/8/2000

31st August 2000

Whenever you start surfing the Web, chances are, you already know where you wanna go. Though, I know I'm not the only one who finds a fair portion of information serendipitously (clicking the wrong link at the right time). While newer versions of Netscape Navigator and IE have a 'Related Links' feature, each paints a limited picture. Using a field-supporting search engine (e.g., ALTAVISTA.COM), you can enter the term: "like:URL" (sans quotation marks). Replace 'URL' with a complete Web address and you're well on your way to finding similar sites and pages. This operation comes in handy when you're trying to research a specific subject. Using http://www.hyperorg.com/ as the address, the resulting list of links should contain content similar to that found on the author's site. In theory...


1/9/2000

1st September 2000

Coming from the "Change The Channel" department, Lockergnomaster Van Stanley configures his not-so-remote control. By default (a phrase which has come to scare many a power user), Windows 98 sees your hard drives as though they were on one IDE channel (like most other devices). You may be able to squeeze a few more drops of performance out of those disks by: right-clicking on MY COMPUTER and pulling up its PROPERTIES, selecting the DEVICE MANAGER tab, then opening the HARD DISK CONTROLLERS section. At that point, you should see your device controller at the top of the list (something with the words BUS MASTER in it, most likely); pull up its PROPERTIES and flip to the SETTINGS tab. Select 'Both IDE Channels Enabled' from the drop-down menu, reboot, and see if you've made a difference. Pay attention to the programs which access the swap file most often; they may move faster. YMMV!


4/9/2000

4th September 2000

Long before the GUI was gooey, we stuck to the command prompt. Software compression, while not running rampant, was on the scene. In your travels, no doubt you've seen files with strange extensions. Does EX_ or TX_ ring a bell? Most likely, you've found these in ZIP archives and CAB files; each with two letters and an underscore character. What will unpack 'em? Drag the underscored file into WinZip, and when it prompts you to finish the extension, take a wild guess and you'll probably be correct. Now drag that file back out of WinZip (onto your Desktop, for example). Shazam! This trick works for compressed files sitting inside archives, too. You can also use the old DOS utility, EXPAND.EXE -- if you still have a working version. It's amazing how far we've come. It seems like just yesterday I was unclogging my binary threshing machine. You younger folks might call it a "word processor."


5/9/2000

5th September 2000

You say you want a resolution? Well, you know we don't want to change the world. Scanning photos is always a blast, but trying to resize them isn't. "Funny, this family picture looked fine before. Who is that oozing blob? Grandma -- is that you?" Unless you're a family of amoebae, this can present a problem. I was thrown off track when I first encountered a Photo CD (PCD) file; nobody bothered to tell me that it can contain multiple resolutions within the same file (128x192, 256x384, 512x768, 1024x1536, 2048x3072, and sometimes 4096x6144). "Wow... much better." Note, though, that your favorite image viewer / graphics editor may not be configurable enough to see and access multiple embedded resolutions; Paint Shop Pro (from JASC.COM) will work just fine. To piggyback this tip: WMF files can be opened in a various (undefined) sizes as well. Most of your clip art is probably in this format. Even if you don't work with either of these image types regularly, you may encounter them eventually.


6/9/2000

6th September 2000

Coming from the "Table Picnic" department, Norm Abrams may be the master of crafting fine wood tables, but Lockergnomie Bob Unitt has found an easy way to construct a single cell table in Microsoft Wood... er, Word. You don't even need a circular saw or a belt sander for this one, gang. Just type "+-+" (sans quotes). Should you find the need to create additional cells, all you have to do is add the appropriate number of plus symbols to the end. For example, a one row, four-celled table would look like this: "+-++++" (sans quotes). A one-eyed, one-horned, flying purple people eater would look like this: "-.++++" (sans quotes). To add additional rows, just tap TAB from the right-most cell. You can't beat this shortcut... especially if you use tables frequently. Let's see Norm build something that quickly.


7/9/2000

7th September 2000

Too many open windows can be a real pane in the neck, not to mention a knot in the head for civilized users everywhere. I constantly have to remind my parents that it is OKAY to keep more than one window open at once. This isn't DOS people, no matter what kind of kernel we may be sitting on. "Popcorn?" No, Mom... the system kernel is basically the backbone of the operating system. Windows couldn't live without it. Under normal circumstances, you can keep several programs running simultaneously. "How do I switch between apps?" Good question, Dad. How do you bring a needed window to the top? Instead of going with the popular ALT+TAB keyboard shortcut, try giving ALT+ESC a spin. You'll be able to cycle through every open program (not sitting in the System Tray) in a flash. Ya know, with all these open windows, a Gnomie could easily catch cold. Better put on a scarf.


8/9/2000

8th September 2000

Calculator, character map, clipboard viewer; nifty little utilities, although they're not very exciting. Windows used to ship with a simple calendar application. It died when W95 rolled out, unfortunately. Regular Outlook 2000 users haven't skipped a beat. Still looking for a reason to use this powerhouse (and resource hungry) information manager? Perhaps this tip will win you over. Outlook 2k's integrated calendar app is a thousand times more powerful than Microsoft's original PIM. You can switch time period views on-the-fly, add new appointments to your schedule easily, and be reminded of your wife's birthday when it comes around (September 16 for some of us). Now for the meat: while viewing the calendar, in the FILE menu, select PAGE SETUP. Then select any given style: Daily, Weekly, Monthly, Tri-fold, Calendar Details, or Memo. As quickly as you clicked, you'll have a cleanly printed calendar sitting in front of you. Even if you don't use O2k frequently, I'm sure you'd find this feature useful.


11/9/2000

11th September 2000

Coming from the "Just Another Reason" department, Lockergnomie Joe Rude found an easy way to share your Outlook 2000 schedule with everybody online. "Where are you going to be this Saturday?" I don't know. "When's your lunch with so-and-so?" I don't know. "Who will be..." Ugh. Enough of this. I'm exporting my calendar to an HTML file and uploading it to the Web. All I have to do is flip to the calendar folder, select SAVE AS WEB PAGE in the FILE menu, tweak a few options, then... whatever. If I make the URL public, anybody can know what I'll be up to in the coming days. If I send the output as an attachment via e-mail, then only the recipient will know. Both families and business travelers have to love this feature; no matter where or who you are, you can be connected to a common schedule of events. Honestly, I didn't realize Outlook 2000 could do this until Joe pointed it out to me. Thanks!


12/9/2000

12th September 2000

Coming from the "Rapid Revolution" department, Lockergnomie Jacob Ludington keeps his Print Screen button warm. When one runs into a program problem, the easiest way to explain it via e-mail is not with words, but with pictures. That Print Screen button still works, gang. Tap it and your Desktop will be magically copied to the clipboard, waiting to be pasted into any image editing application. Depress the ALT key before you hit PRTSCN and it'll only capture the selected window. Great, but what if you don't have time to repeat that process, and need to get those shots off to someone soon? Launch WORDPAD (or your favorite Word Processor). Run through the screen shot routine, but be sure to paste each shot into the newly created WORDPAD document. When you're finished, save that file and blast it over to your contact. Compress it beforehand if you have enough time (using WinZip is recommended). Or, save a few steps and paste the images into an HTML message directly (again, size may become a problem).


13/9/2000

13th September 2000

Coming from the "Recent Redux" department, Lockergnomie Matthew Williams takes another route to document launching. You've seen the 'Documents' option sitting in your Start Menu by now. That's where the fifteen most recently accessed file shortcuts rest. That was the tip? Hardly; that was the set up. You can make your life a little easier by creating an entirely new toolbar. Right-click on your Taskbar, select TOOLBARS, then choose NEW TOOLBAR. When it comes time to designate a destination, browse to your Windows \ Recent folder and click OK. At this point, drag its leftmost handlebar as close as you can to the System Tray. The only word that you'll see at that point should be 'Recent' (with small double-arrows to the right of it). Go ahead and left-click those arrows. Aha! If you'd rather keep it more accessible, select the word 'Recent' with your left mouse button and drag it to an empty spot on your Desktop. Right-click on its title bar and tell it to stay ALWAYS ON TOP. For more fun, right-click in an empty toolbar area and select VIEW and LARGE for bigger icons -- then stick the bar to the right side of your screen by dragging and dropping it there.


14/9/2000

14th September 2000

Coming from the "Paragraph Pairs" department, Lockergnomie Dwight Porter worms his way through a Microsoft Word shortcut. When I first learned how to type, we were instructed never to look down at the keys. That was back in the day when it took over ten minutes to warm up a typewriter. Thankfully, hitting backspace doesn't make as much noise as it once did. Oh brother! If you find yourself consistently manipulating entire paragraphs at a time, perhaps there's a quicker way to cut and paste your words in Word. Position the cursor [I-bar] anywhere in the paragraph and hold down ALT+SHIFT. Now, use the Up and Down arrow keys to move that block of text around within the document. Good news: the paragraph will never stop in the middle of another paragraph. NOTE: hitting the Left and Right arrow keys will change the style of the selected text.


15/9/2000

15th September 2000

Passwords float softly about the Internet, like so many secrets wafting over the deepest ocean. Pardon me, I felt the need to wax poetic. In less romantic terms, site accounts are a necessity for any Web surfer; later versions of IE will store and retrieve your login information when you return to the form in question. That's AutoComplete! Remember to turn it OFF when you're not surfing on your own system. Otherwise, you may be exposing yourself to a little privacy problem. Select INTERNET OPTIONS from the TOOLS menu; on the CONTENT tab, click the AUTOCOMPLETE button. Either clear the history after you surf (asking permission first, if necessary). Or turn off the feature entirely for the duration of your session. Prompting may already be turned off, so MAKE SURE you cover your tracks before you walk away. This tip will self destruct in five seconds.


18/9/2000

18th September 2000

Today's Sponsor The Active Desktop is an active pain in the [insert expletive here]. Whereas I used to be able to drag and drop GIFs, JPGs, and PNGs directly from Internet Explorer to my Desktop, I now have to take an alternative route to avoid the annoying "Do you want to add an Active Desktop item to your desktop" message. Yes, I could remove Active Desktop functionality altogether, but that would render other shell features inoperable. So, instead of dropping onto the Desktop, I simply drop the image into a folder (or folder shortcut). The graphic (and my sanity) is saved. Here's another method: drag & drop the non-hyperlinked Web graphic into your Outlook 2000 or Outlook Express Inbox to automatically 'attach' it to a new mail message, then drag & drop the image's icon onto your Desktop. You may then close the "unused" message. Crisis averted. NOTE: this second technique can also be used to create 'local' message attachments in a jiffy. Read: existing documents.


19/9/2000

19th September 2000

These three mini-tips are geared towards those who have problems viewing images as displayed on their screen, but I'm sure everyone will walk away learning something new. Have you ever run into a Web graphic that doesn't look quite right? Chances are, the HTML developer hard coded the wrong dimensions for that particular image. Never fear, if there isn't a link lying underneath, you can click and drag that sucker to your Address Bar and have it displayed as it was originally intended. Okay, to piggyback the previous tip (for smaller graphics): once placed into an HTML mail message (or word processor document), you may enlarge the image by dragging its edges outward. To take this a step further, you might consider using the SHIFT key for such resizing operations; "smart" programs will keep the height and width proportional. Either for temporary or permanent viewing, these tips will save you time.


20/9/2000

20th September 2000

Today's Sponsor Digital photos are seldom perfect out of the chute. But that's the beauty in the analog-allergic format: all tweaking is done in post-production stages. Need better white balance? Bam. Need a bit less blue? Boom. Does it look better than the image you began with? Only one way to find out: do a flip-flop comparison. Be sure all other windows are minimized or closed before you continue. Now, launch one (or more instances) of your favorite image viewer / editor. Open each image (in question) in a separate pane -- then maximize the window(s). Once ready, use the ALT+TAB (or ALT+ESC) keyboard combo to toggle window focus quickly. To take another (less extensive) route: once you've applied a particular operation on an image, use your editor's UNDO / REDO feature to eyeball the changes. In the end, you should walk away with the best looking image. Never rely on your [brain] memory to pick the winner; that's what [computer] memory is for.


21/9/2000

21st September 2000

Coming from the "Crash Test Smarties" department, Lockergnomie Dan Cursio may have a solution for frequent application failures. Rock-a-bye Windows, on the Desktop. When the app breaks, the OS will crash. "Illegal Operation? Has a disk doctor been performing surgery on my system without a license again?" When Microsoft Word is failing frequently, consider deleting the NORMAL.DOT file. Typically found in the WINDOWS \ Application Data \ Microsoft \ Templates folder, a quick Search (F3) will uncover its location on your drive. Okay, but what about other programs? When was the last time you deleted your swap file (WIN386.SWP)? If you're running into KERNEL32.DLL errors, consider dropping into MS-DOS mode and deleting WIN386.SWP from the command prompt. This will effectively clean out previously swapped code which may have been causing system instability. Windows will create a new swap file automatically before its next session.

I'll take this time to remind you of four very important rules:
1) ALWAYS perform a BACKUP before venturing into the unknown (or known, for that matter);
2) your mileage may vary;
3) if you don't know what you're doing, don't do it without being prepared to face the consequences;
4) don't delete files unless you know they can be deleted safely (move them to a temporary location elsewhere on your computer before erasing them permanently).


22/9/2000

22nd September 2000

"Why, oh why, is the Internet Shortcut icon so lame? After all, I have to look at those suckers every day. With a few more colors, they'd be perfect." Still trying to speed up your Internet experience? Icons, believe it or not, could play an important role in URL recognition. Pull up your Favorites menu and see what sits there. Looks like a few sites created a 'Favorites Icon' (most likely using Microangelo or FAVICON.COM). No? No biggie. Right-click on one of those shortcuts and pull up its Properties. Lookie here: a CHANGE ICON button is begging to be pressed. Give that shortcut a face you'll instantly recognize and you'll find it easier next time you need it. Being able to combine fluff and gloss with functionality is rare; take advantage of this feature while it still exists. Need some new icons? Just about every EXE file has one (or more). A bitmap (BMP) will stand in place of an ICO just as easily. Bet you didn't know that, eh.


25/9/2000

25th September 2000

Tired of launching thirteen different apps to do your daily deeds? Perhaps you should give Outlook 2000 (and Outlook Express) a second look. "Oh, here he goes again -- proselytizing the masses." No, check this out -- you can drag and drop Internet Shortcuts into the Outlook 2000 Bar to view the URLs within the main pane. I've done this for the Daily edition of Lockergnome (so it's never more than one click away). You can do the same thing. Make a shortcut for http://www.lockergnome.com/issues/daily.html and you'll be good to go! Notice the Favorites menu in Outlook 2000? Yep, you can browse the Web within that mail client. You can also create shortcuts for regular files / documents; if you ever run out of room, right-click and display 'Small Icons' or simply create a new Group. Another 'unused' feature: dragging & dropping messages to and from an Outlook (or Outlook Express) folder. ZIP up the e-mails you don't need immediately and put them back whenever you so desire. Three tips in one!


26/9/2000

26th September 2000

Coming from the "Exclusive Access" department, Lockergnomie Kev Priebe pry-proofs his folders from GUI snoops. Do you have documents that you'd rather keep secret? Short of attribing them 'hidden' (and telling Windows to keep them hidden), you should give yourself another layer of protection. Right-click on empty space in a folder and select CUSTOMIZE THIS FOLDER, then choose CREATE HTML DOCUMENT FOR THIS FOLDER. Once the document is opened in Notepad, scroll down until you see <script language="JavaScript""> -- hit [ENTER] to insert a blank line after this string. Now, insert the following text (with hard carriage returns where noted): var pass = prompt("Enter the password") [ENTER] if(pass != "YOURPASSWORD") [ENTER] {window.location="C:"} [ENTER]. Put a password in the place of YOURPASSWORD but leave the quotes. Save the document, exit Notepad, refresh the folder (hit F5), enter your new password, and the next time you try to enter that folder, you'll be prompted for your password.


27/9/2000

27th September 2000

Coming from the "My Case Is So Sensitive" department, Lockergnomie Brett Taylor works with Word's words. What can you do when someone sends you a document in ALL CAPS? Sure, slapping them upside the head is a start, but the legibility problem still remains. Don't fret, my friend. Throw the text into Microsoft Word and shuffle through a few keyboard shortcuts. Highlight the 'offending' section and press SHIFT+F3 as many times as it takes to complete the case transition. With this routine, you can cycle through: lowercase, UPPERCASE, Sentence case, Title Case, and tOGGLE cASE. Now, what about the font size? Could it be bigger or smaller? No problem, just highlight a section and press CTRL+] (to make it larger) or CTRL+[ (to make it smaller). These last two shortcuts will also work with Outlook / Outlook Express HTML text (in a limited fashion). With a short few strokes, your eyes will be happier. Now, if someone could only create a shortcut to make wives less sensitive...


28/9/2000

28th September 2000

Coming from the "Adding It All Up" department, Lockergnomie John Fetzik knows where his messages come from. How much junk e-mail do you receive on a daily basis? More importantly, do you know how those dirty rotten scoundrels attained your e-mail address? Chances are, you've signed up for a service in the past and given that company "permission" to use (or sell) your contact info. Ugh! "I didn't ask for this stuff." Of course not, but you're getting it now (regardless). Your e-mail server may support an interesting address addition which would allow you to track incoming mail with ease. Next time you sign up for a service, try adding a plus sign (+) to your existing address, followed by the reference. For instance, if you were ben@pirillo.com signing up for a car tips newsletter, you may be able to sign up as ben+cartips@pirillo.com. The mail will still come to the 'ben' account (again, if your mail server supports this feature). Try mailing a +test message to yourself to see if it works.


29/9/2000

29th September 2000

Did you forget to RTFM? Or, to put it another way: before you ask someone a 'tech support' question, do a little local looking. Most polished programs come with documentation; older HLP files are wonderful resources which contain features not often remembered. Fire one up and right-click in an empty area. The options in that menu will astonish you: Annotate (virtual yellow stickies), copy, print, change font size, et al. Perfect if you plan on using that given page at some point in the future. Now, take a look at the regular menu bar: bookmark the current page, display the navigational history window (under Options), et al. Cool stuff, eh? Can't find what you're looking for? Try pressing the Contents, Index, or Help Topics button. Just don't forget to refer to this documentation before you start flipping questions in every direction. The answer may already be sitting in front of you, and you'll feel a sense of accomplishment if you uncover it on your own. It's easier to do than you think.


Upgrade to Windows ME?

2nd October 2000

Many of us are faced with the question: upgrade to Windows ME or stick with Windows 95? Try Windows 2000 or keep rolling with Windows 98 SE? General consumers should stick with ME (and power users should bear with me). So where's the tip? You can have the best of both worlds with a dual-booting system. The easiest way to create one is to: install Windows 98, then run the Windows 2000 installation routine within Windows 98. For the best compatibility, you'll probably want to stick with a FAT32 format. Was that the tip? Hardly. When (or if) you decide to remove the original 9x OS, your computer may think it's still there. See that BOOT.INI in your root directory? Move it elsewhere and your boot won't skip a beat.


Can't get that device to work?

3rd October 2000

Serial devices don't need milk; they stay crunchy throughout the day. USB peripherals, on the other hand, may need a bit of digital sopping to stay smart. As the number of USB-compliant hardware has increased, so has the amount of interfacing problems. Can't seem to get that device to work? Consider plugging it into another (open) USB slot. Out of room? Get a multi-port USB hub. Another possible solution: make sure each device is getting appropriate power. Hit the WINKEY+PAUSE keyboard combo and flip to the Device Manager tab. Pull up the properties for a USB device and make sure the 'Power' allocation is correct (according to its official specs). Still having headaches? Consider flushing; delete the 'Universal Serial Bus controllers' section in your Device Manager. Windows should recognize the installed components upon the next boot.


Document font dilemma

4th October 2000

Fonts are fantastic. To install a favorite TTF, just drag and drop it into the system Fonts folder (found in the Control Panel). But wait -- there's more! How often have you received a Word document that just doesn't look right? Chances are, the author used a font that isn't installed on your system. If they neglected to embed the face (which can be done via the Tools > Options > Save panel), you might consider remapping font substitutions. NOTE: this only needs be done during a document dilemma. If you're still in Word's Options dialog, flip over to the Compatibility tab and press the 'Font Substitution' button. There, you'll uncover the missing TrueType(s); not quite as thrilling as discovering El Dorado, but helpful nonetheless. Select which font you'd rather work with and click OK. Smooth seeing from now on...


Unfluffify formatting

5th October 2000

Look what the dog dragged in! Another string of text. "Sprocket, how many times do I have to tell you: each Windows application should stay antonymous. What? You're saying they shouldn't?" My puppy claims that you can drag & drop data from one 'OLE' app (Object Linking and Embedding) into another with ease. As you're editing a document in one program (like Word), you can easily drag & drop the selected text into another program (like Outlook). Found a cool passage in your Internet Explorer session? Select it, drag it, and drop it somewhere appropriate. Cool Outlook trick #72: when you've copied text to the clipboard, go to your Inbox and hit CTRL+V. Or, just drag & drop text into the general Inbox area. To unfluffify formatting, create a new 'text' message and drop selected rich-text into it. This feature is anything but a drag, dude.


Windows system not snappy?

6th October 2000

Coming from the "Starting All Over Again" department, Lockergnomie Chad Connolly believes he can belay EXPLORER.EXE's proverbial problems. Face it: when Windows first boots, your system is relatively snappy (assuming, of course, that you're not currently experiencing hardware or software contentions). When (not if) your session starts to slow to a crawl, don't reach for the reset button. Instead, do a three-finger salute (press CTRL+ALT+DEL), select Explorer, then press the 'End Task' button. The "Are you sure you want to exit windows?" dialog will pop up immediately; hit the ESC key to cancel, then wait a few more seconds. Soon, a box will pop up saying that "Explorer is not responding." Hit the 'End task' button and your Desktop will refresh. Windows may become more responsive at that point; you've done a pseudo reboot.


Digital picture polishing prowess

9th October 2000

Why do we try to separate fun from function? That's like eating peanut butter without the jelly, seeing Bert without Ernie, or sassing off to your mother without getting slapped. Okay, perhaps the latter is a bad example. Nevertheless, have you perfected your digital picture polishing prowess? Fire up your favorite image editor and open any given (high quality) photo. Now, go through it and retouch specific areas; erase shadows, delete branches, remove eyebrows, etc. Why? Because you can send the original and edited photos to a friend; if your editing skills are finely tuned, your buddy will have a difficult time picking out the differences between each graphic. What's gained from this exercise? Well, you build practical experience, and your pal's productivity plummets.


Keyboard Shortcuts

10th October 2000

Who needs help? Oh, you're never gonna get it. Who needs help? Tell me what's that for? As egotistical as most weathered computer wizards are, most of us... I mean, them... haven't unlocked every hidden Windows treasure. If you still use the mouse for every operation, don't you dare call yourself an expert. Keyboard shortcuts were put on this Earth for one reason: to make life easier. But where can you go to uncover those crazy combinations? No further than your own computer. Hit the F1 key; it's time to help yourself. Flip to the Search tab and enter: "Keyboard Shortcuts" (replete with quotes). In a few seconds, you'll have a list of links containing valid key combos. And to think: they've been there all this time. You've always been under CTRL.


ZIP's without a third-party program

11th October 2000

Admittedly, Windows ME is more user friendly than its 9x predecessors (which is probably why, as a power user, I found it so aggravating to use). Example: ZIP archives can be managed without installing a third-party program. Functionality is severely limited, but it gets the job done. Another 'new' feature (found within Windows 2000, at least) is uncovered when a user selects a ZIP archive; Explorer's Status Bar will show how many files it contains. And, if there's a 'comment' inside, that will be displayed as well. Keep your eye on that Status Bar; truncated Office document details, shortcut target location paths, and various other infobits will appear there when the appropriate files are selected. The component is definitely more useful than it used to be.


Archived installation EXEs

12th October 2000

A while ago, I noted that the property sheet for a 32-bit EXE file often contains its extended properties (like version number, author, et al). Well, I inadvertently stumbled upon another tab which only shows up in archived installation EXEs (like self-extracting archives). Not sure if a downloaded EXE is pure? See if it has a 'Digital Signatures' tab when you select the file's icon and hit ALT+ENTER. Press the 'Details' button to get the goodies. Just because this tab doesn't exist doesn't imply that it's a bad archive, though. Want more? Fine. Ever see an MSI (Microsoft Installer) file? It may contain a 'Summary' sheet with relevant archive info. If an MSI file doesn't execute automatically for you, consider downloading 'Windows Installer' from msdn.microsoft.com.


Keep every open app minimized

13th October 2000

Leaping to W2k wasn't too difficult; I was expecting to face more software foibles. MaxMem (one of ANALOGX.COM's killer utilities) was an indispensable for Windows 98 add-on. I figured I'd run into the same old memory leaks on this new platform. Check this out: in Windows 2000, you should keep every open app minimized when its not in use. Why? Because memory allocation minimizes, too. Watch the Task Manager if you don't believe me. 13 MB can drop to 2 MB in a click; that's a GOOD thing. What's really weird: even with all EXPLORER.EXE windows closed, less resources are used when one Explorer instance is open and minimized (to the taskbar). Keep any number of programs open without dealing with half the fat. Or NTFS, as the case may be.


How fast is my CD-ROM drive?

16th October 2000

Computer cases can be cute, but few of them are far from functional. Christine Shulba asked me the other day: "How do I find the speed of my CD-ROM drive?" Well, short from cracking open the cover and checking the hardware labels, you could see if the Device Manager provides any insight. Pull up the properties for My Computer, flip to the appropriate tab, and expand your CD-ROM devices. Does it display the speed designation(s)? If not, see if the drive has a specific model number, then cross-check it at the appropriate manufacturer's Web site. That's your best bet for solving this mystery... at least, electronically. You may be forced to wade through that messy closet, looking for the original (printed) documentation. The analog route isn't always the fastest, but if you REALLY need to know (and there's no other way to go)... don't forget your 'unplugged' options.


Is your floppy being sloppy?

17th October 2000

Is your floppy being sloppy? Ask it to stoppy. Why do some systems check for an inserted disk when they first access an object in My Computer? Ugh; it's quite annoying, especially when you'd rather not experience the delay. First, check to see if there are any shortcuts leading to your floppy drive anywhere on your computer (the PIF, SendTo, and Startup folders are the most likely offenders). Delete them, if possible. Did that do the trick? Right-click on My Computer, pull up its properties, flip to the Performance tab, and press the 'File System' button. Be sure the checkmark is removed from the 'Floppy Disk' tab. How's that? Drat. Okay, experts should see if there are any odd 'Run' references in the Registry. No? Well, while in REGEDIT, navigate to HKCU \ Software \ Microsoft \ Windows \ CurrentVersion \ Policies \ Explorer and look for the 'NoDriveTypeAutoRun' key. Make sure its binary value is: "95 00 00 00" (sans quotes). Cross your fingers and reboot.


More than your fair share of e-mails

18th October 2000

Whatever e-mail manager you choose to use, it probably has a 'Sent Items' folder within it. Every message you send can be copied there automatically for future perusal. Didn't know about this before now? Check to see what's sitting in there, if anything. In Outlook, you can toggle this 'storage' function in the Options dialog. So, why keep it turned on? When the recipients of your messages don't respond in a timely fashion, you can resend the original copy in a flash. Or, if you need to keep a valid record of what is being mailed from your account, this feature will work well. Be warned, ye heavy mailers: your database can become bloated quickly. Compact it at least once a week if you send more than your fair share of e-mails. How? Consult your mail program's help file to see if it even needs to be done (Outlook Express users will find the 'Clean Up Now' button in the Option dialog's Maintenance tab).


Pointing and clicking is perfectly legit

19th October 2000

I command you to read this tip, but only if you're running on Windows 2000 and love sitting on a CLI. Pointing and clicking is perfectly legit, but there's something to be said about entering commands on a textual level. We use alphanumeric characters regularly in a command shell, but did you ever consider tapping the function keys? F1 cycles through the characters of the previously entered command; F2 asks you to "Enter char to copy up to" (from the previously entered command); F3 Repeats the previously entered command; F4 asks you to "Enter char to delete up to" (from the previously entered command); F5 cycles back through the previously entered commands and stops at the first one; F6 inserts the '^Z' string; F7 pops up an interactive command history menu; F8 cycles back through the previously entered commands and loops infinitely; F9 asks for a previous command number (starting with 0, with up to 50 in the buffer). Now how's that for nifty?


What else can this 'shifty' key do?

20th October 2000

Coming from the "Optional Stop" department, Lockergnomie Benjamin Holmen has unearthed another quick slick click trick. The SHIFT key is quite useful in Windows. Hold it down during the OS boot process and your startup apps will be skipped. When loading a CD-ROM, use it to bypass the impending Autorun sequence. What else can this 'shifty' key do? Slide through your Start Menu for a second. Pick a program you want to launch, but keep your SHIFT key depressed during the process. What's this?! The menu stays up instead of disappearing -- allowing you to launch other utilities without having to start back at the Start button? Yeppers! Think of the seconds you'll shave with this shortcut, especially when you need to launch several utilities in succession to one another. A batch file could produce the same results, but -- what if your needs are unpredictable? Shift gears for a second...


Upgrading your hardware?

23rd October 2000

Though we don't upgrade internal hardware all that often, it's a necessary evil for some of us. Upgrading your video card, modem, etc.? First, be sure to remove its reference in your Device Manager (found in the properties dialog of My Computer). This way, Windows won't try to find it when it boots up again. That was a somewhat straightforward task, but what happens when you need to install a new motherboard -- without wanting to reinstall Windows? Don't pick and choose what needs to go; delete everything sitting in the Device Manager. Before you do this, of course, you'll want to back up your system registry (just in case the upgrade is a complete failure). Once you've disconnected and reconnected all your devices to the new system board, when Windows boots up, it'll redetect your hardware and should configure itself accordingly. Skipping the 'Device Manager deletion' step is inviting disaster.


Microsoft 'Resource Kits'

24th October 2000

Coming from the "Better Than Buying the Book" department, Lockergnomie Tim Ingrum loads up his digital sleigh with resourceful information. When Microsoft releases an operating system, a corresponding 'Resource Kit' is also released. Why? To give developers (and power users) access to system-level information. Did you know that a sampler kit can be found on your Windows 9x CD? Throw it in and navigate to the Tools \ Reskit [98] or Admin \ Reskit \ Helpfile [95] folder. Simply copy the contents over to your hard drive and you'll have these extras at your fingertips. While you've got either CD in the drive, do a search for all EXE files and see what comes up. Another reason to hold onto your old Windows 95 CD? The Weezer video, dude! He looks just like Buddy Holly. Windows NT/2k users will find a few 'giveaway' resource kit utils (worth snagging) at MICROSOFT.COM's Download center.


Grab a geek before you go gouging

25th October 2000

Coming from the "Playing it Safe" department, Lockergnomie Stephen Volkmann seeks solutions in an alternative Windows 9x configuration. Grab a geek before you go gouging, though. Ever been forced to boot up in Safe Mode? Yeah, it happens to the best of us. But that might not be a bad thing, especially if you're experiencing seemingly-random crashes all the time. When the system becomes unstable, the kernel seems to lose track of system handles and figures it needs to recreate them. Consequently, it causes more than one device driver to load and ends up installing a duplicate device. If you go into Device Manager, you will see the list [sans] red or yellow exclamation circles marking the anticipated offending culprit(s). Boot up in Safe Mode (use X-Setup from XTEQ.COM to configure your boot options) and then look at the Device Manager; right-click on My Computer, pull up Properties, then flip to the Device Manager tab. Look high and low for phantom and duped devices, then delete them (always leave at least one instance behind). "Once all duplications have been removed, restart the system in real mode. Only the devices found will be reinstalled." Again, if you've never done this before, be sure to enlist the help of a knowledgeable friend first.


Shortcuts in your SendTo folder

26th October 2000

Coming from the "Department of Redundancy" department, Lockergnomie Andy Schott circumvents a Windows shortcoming. "Yesterday, I had ten text files that I wanted to print out; opening the files individually in Notepad seemed like a very inefficient way to print them. So, I added a shortcut to the printer in my SendTo folder, highlighted a few files, then sent them that newly created menu shortcut. After clicking through a dialog warning me that I wanted to print multiple documents, they were all successfully printed!" So, what else can we throw into that menu? Try a shortcut to your Recycle Bin, for starters. It's just as easy to hit the DELETE key or select that option in the context menu, but since when have alternative avenues been bad? Another good SendTo addition: Notepad. Still want to fill up space? Put a shortcut to your Start Menu folder in there, too. Another good shortcut would be COMMAND.COM (specifically for 9x/ME users).


Wheeling up and down

27th October 2000

Coming from the "Pleased Trees" department, the Lockergnomie known as Monlulu puts a spin on a classic trick. How I ever lived without a wheel mouse is beyond me; honestly, if you want to increase productivity by at least 50 percent, go out and pick up one of these puppies. My personal pick: Microsoft's Intellimouse Pro (it feels 'just right' in the palm of my hand). But that's not necessarily the tip. When you're viewing a document, image, e-mail message, Web page, etc., depress the CTRL key while 'wheeling' up and down; the font size (or zoom level) will increase or decrease accordingly. You're right, I've featured that tip before, too. Did you know, however, that you could apply the same tactic in Internet Explorer 5.5's print preview feature? Yeah! Save a bit of paper next time. It should also be noted that Microsoft Word 2000 has built-in multi-page printing capabilities, too (found in the Print Options dialog).


Shell annoyances

30th October 2000

When I first made the leap to Windows Millennium Edition, I was annoyed by some of the (admittedly minor) changes. This caused me to return to the 98 SE operating system. Then, I gave Windows 2000 a spin. The performance gains have been so obvious that I've learned to live with the (similar) shell annoyances. One of which being the new integrated Search feature (which replaced the Find applet in the 9x series). I've always disliked the instant Explorer integration. I used to scour certain folders for content, but found no ability to save those searches in ME/2k. Ugh! To work around this oversight, I've taken to making folder shortcuts. Once created, I can right-click on the designated icon and select 'Search.' Since the AutoComplete feature is integrated with the new Search tool, my 'fact finding' missions aren't a total bust. I guess you gotta take the good with the bad, eh?


ActiveX controls are interesting creatures

31st October 2000

Be vewy, vewy quiet... I'm hunting add-ons. ActiveX controls are interesting creatures. While you may not use them every day, they could be taking up resources (disk space, memory, processor clock cycles, etc.). The problem with these types of plug-ins: you can't uninstall them through the Control Panel's 'Add / Remove Programs' applet. What to do? Instead of reinstalling your operating system, you may consider removing controls directly from the 'Downloaded Program Files' folder (found in the Windows directory). Once there, right-click on an icon to either update or remove the control. Be EXTREMELY careful about what you choose to eliminate here; if you don't know what something is, you're better off NOT erasing it. If nothing else, you could use the object's property sheet to troubleshoot problems you may be encountering in Internet Explorer.


Alternative uses for the SHIFT key

1st November 2000

Today's Sponsor Coming from the "Field Trips You Shouldn't Need to Chaperone" department, Lockergnomies Lee Holmes and Lori Shotts have uncovered alternative uses for the SHIFT key. We often encounter forms on Web pages. With data fields, "the more, the merrier" doesn't apply. When faced with a multiple-choice listbox, you may be able to highlight more than one entry by pressing the SHIFT key during the selection process. Done. What about the next field? Just hit the TAB key to jump there. Whoops! I wasn't finished. No worries; simply hold down SHIFT and tap the TAB key to jump back a field. These two shortcuts will work in most Windows programs, too. Ever use a form in an HTML e-mail message? The backspace key doesn't seem to work. However, if you use SHIFT in conjunction with the backspace key, you may delete your text entry without breaking a sweat (or your keyboard).


E-mail server slower than a snail?

2nd November 2000

Is your e-mail server slugging along slower than a snail? You're not alone. However, this little tip may just shave a few seconds off of transmission time. First, you'll need to find out what your POP3 and SMTP servers are supposed to be. This information can be found somewhere in your account settings. Let's say its MAIL.YOURISP.COM for the sake of argument. Drop to a command prompt and run the traceroute utility: "TRACERT MAIL.YOURISP.COM" (sans quotes). You're looking for the mail server's IP address, folks. Say it turns out to be 256.7.26.73 (again, for the sake of argument). Copy the number and use it in lieu of the original alphabetic designation. What good does this do you? It's possible that sending / receiving mail processes will be shortened due to bypassing the 'route' and jumping directly to the destination IP. NOTE: IP addresses aren't written in stone; they may change in time. Just adjust your settings accordingly. Don't understand a word I've written? Don't try this tweak.


Icons are the staple of any toolbar

3rd November 2000

Coming from the "Express Lane" department, Lockergnomie Alex Gray drops a dragging tip into your lap. Icons are the staple of any toolbar; without them, it's just another menu. Simply right-click on a toolbar to configure it (this tactic works in most modern Microsoft apps). What's new? Outlook Express users can relocate any (visible) toolbar icon immediately by using the SHIFT key while dragging it left and right. Outlook 2000 users are out of luck this time. They, however, should add an 'Address / URL Field' from the Web set to their default toolbar (for instant IE access within the Outlook interface). What can both clients do? Drag and drop messages into different folders without having the 'Folder View' turned on. Simply drag and hover selected message(s) over the Folder Bar to view your mailbox folder hierarchy. No matter which program you use, the "Outlook" is good. Or, at least, configurable.


Milk some speed out of your system?

6th November 2000

Coming from the "Maximizing by Minimizing" department, a Lockergnomie suggests that programs are best launched but not seen. Still looking to milk some speed out of your system? One thing's for sure: when run, a program will (always) consume resources. If you don't want Windows to load the user interface, why suck up the extra cycles? Since the OS doesn't have to render the window's shape, data, components, etc., a program may be 'ready to use' faster if you start it in a minimized state. Right-click on any shortcut (including those in your Start Menu) and pull up its properties; when asked how to 'Run' it, select the 'Minimized' option. Don't expect this tactic to save resources -- only initial program launch time. Slower systems may see the biggest difference -- especially with the "heavier" applications. BONUS: to view a program's context menu, use the SHIFT+F10 keyboard shortcut.


Delay outgoing transmissions

7th November 2000

Where were you on the night of July 26th? As far as any of your online buddies know, you were sitting diligently in front of your monitor, composing e-mail messages. Or so you would have them believe. You receive e-mail; you send e-mail. But did you know those outgoing transmissions could be delayed? Start a new message in Outlook 2000, choose your recipients, compose the communiqué, but before sending the e-mail on its merry way, select 'Options' in the View menu. In the Delivery options section, select a date and time from the 'Do Not Deliver Before' field. As long as you send and receive incoming messages without intervention, it'll leave the Outbox whenever you tell it to do so. Note the other useful features in the 'Option' dialog; change the 'reply to' address, set a read receipt, change the message's importance, or send it through another account.


Increase personal productivity

8th November 2000

Your phone is next to your computer, right? If not, you're missing out on a tremendous opportunity to increase personal productivity. Conversation is a form of synchronous communication; all parties must be "live" for idea exchanges. "I'll send you that e-mail when I get..." No, don't wait. Send it now before you forget. "Yeah, Bob... I saw this great PNG image the other day..." Why not just blast it over to Bob right now? I'm sure he'll appreciate it. "I wanted to make changes to our Web site later..." And run the risk of doing something incorrectly? You both could load the page in question; while one would edit on-the-fly, the other would simply view and respond with proper feedback. "How do I get to your office..." Slap yourself silly if you've asked this question recently. What do you think MAPBLAST.COM is for? BONUS: home office users should have a cordless / handless headset; it frees up fingers for typing. Plus, you can do 'silent' household chores while still focusing on the call.


Storing those URLs for easy retrieval

9th November 2000

Sure, we all have our Favorites (or Bookmarks, as the case may be). Chances are, each one of us has found a very comfortable method of managing them, too. Did you know that Outlook Express could do just as dandy a job at storing those URLs for easy retrieval? Take a look at the 'Send' command sitting in Internet Explorer's File menu; with OE installed as your default mail client, the 'Page by E-mail' option is very powerful. By employing this action on a useful Web site, the generated message should be fully operational once it arrives in your Inbox. How does this come in handy? Send your favorite (non-framed) 'informational' sites to yourself, then store them in a separate OE folder for future access. Works well with dynamic images (Webcams, weather maps, et al). NOTE: while Outlook 2000 users can receive these documents, as the default mail client, it cannot send pages (inline) through e-mail.


Task Manager (TASKMAN.EXE)

10th November 2000

Coming from the "Memory Management Muscle" department, Lockergnomaster Alex Gray stumbles upon a secret shortcut for Windows 2000 users. Without a doubt, the most useful utility in W2k is the Task Manager. It's only a right-click away from your Taskbar, but the keyboard can coax it to the top just as quickly. Hit CTRL+SHIFT+ESC and you'll find yourself floating in front of the familiar tool. So it's there... now what? In the Process tab's 'View' menu, click 'Select Columns' and configure to your heart's content. My suggestion? 'Peak Memory Usage' and 'Virtual Memory Size' will tell an average user more than s/he ever wanted to know. You may also wish to increase, decrease, or pause the update speed in the 'View' menu, too. For impatient people like myself, 'High' works just fine. NOTE: Windows 9x users will find their Task Manager (TASKMAN.EXE) useful, albeit limited in features.


Scanned your Favorites for duplicates?

20th November 2000

Coming from the "One Too Many" Department, Lockergnomie Runar Mar Bragason knows he needs only one record per URL. When was the last time you scanned your collection of Favorites for duplicates. Heh... daunting task, eh? Tell me about it. If they number in the hundreds, you're far from alone. Fire up your favorite ZIP file manager (WINZIP or POWERARCHIVER recommended). Now, go ahead and archive your 'Favorites' collection (while retaining folder and subfolder information). Sort the newly-created ZIP file's contents by name -- the shortcut redundancies should be apparent. Or, as this Gnomie suggests, use the 'Find' feature for a more comprehensive cleaning. When you're finished, you can either extract the 'purified' set or keep the Favorites archived to save disk space. If nothing, then at least you'll have created a backup copy of those sites.


Open folders without resorting to clicking

21st November 2000

Coming from the "Float Like a Butterfly" Department, Lockergnomie John Moore figured out how to kick open folders -- without resorting to clicking. So, you're dragging your files around (even though the song asked you to stop). You need to move them to another folder, but you're stuck mid-click and you can't let go. Fine... as long as you have the 'Folders' pane open in Explorer. Hover your object selection over an appropriate 'plus symbol' and within a few seconds, it'll magically expand. Actually, it's not magic -- it's a feature. Unfortunately, the right-hand pane will not update when you navigate in this manner. But, even with the Windows Explorer window in the background, this trick works well. Still hungry for hovering action? Bring that Explorer instance to the top by hovering your selected object(s) over the appropriate icon in your Taskbar for a few seconds. BLAMMO! Let go of letting go, man.


The clipboard is a somewhat limited

22nd November 2000

The clipboard is a somewhat limited (yet very useful) Windows feature. Its most obvious shortcoming: being able to store only one clipping at a time. Without installing third-party applications (like CLIPCACHE), you're sunk. Or are you? If you know you're gonna need more than one 'piece of text' at your beck and call, I'd like to suggest the following. Create a new e-mail message; this will act as a temporary, multi-entry clipboard of sorts. In it, paste (or enter) anything desired. Now, you can flip between open programs and call upon this message when necessary. The flip-flop operation may not be convenient, but it works. Images may be copied / pasted as well, although it may fatten the load. This isn't a "problem" until you care to make your entries permanent. Simply mail that message to yourself and move it to a 'Clipboard' folder.


Keyboard contortionist

23rd November 2000

Coming from the "Exploring Explorer" Department, Lockergnomie Loic Nageleisen knows how to change his point (and click) of view. Most file management will take place via the Windows Explorer. Some prefer using it without the Folder bar, while others prefer to have the extra 'hierarchical' aid. What if you're split down the middle (there's a lot of that going on in this country, eh)? Not a problem. When you're sitting in an Explorer window without the Folder Bar in full view, double-click on a (subsequent) folder while holding down the SHIFT key. In a few seconds, you'll be face to face with a new 'complete' instance. Not fast enough for ya? Select a folder and hit SHIFT+ENTER. You don't need to be a keyboard contortionist to get the most from this shortcut. "This tip is rudimentary, Chris." Sure, but how often do you forget about the little things? Stop and click the roses.


Oooh... that's a lovely IP address

24th November 2000

Oooh... that's a lovely IP address you're wearing. Who designed it? Ah, Tommy Hillfinger. Wish to discover the owner(s) of an IP number? Ya know, something that looks like: 256.30.3.203. Just call on a nice command line utility named Nslookup (must be European, as he's only known by his first name). Run COMMAND.COM (or CMD.EXE in Windows NT/2k) and enter: "NSLOOKUP [IP]" (sans quotes). If you wish to resolve a range of numbers, consider just running the utility without an initial IP. This comes in handy when you're trying to 'put a face' on those seemingly-random Internet numbers. And to think: this program has been sitting there all along -- just waiting for you to wear... er, use it. Make a fashion statement! It's almost as delightful as the classic FTP.EXE utility. PUT this trick on your system. Heh heh... GET it?


Too many clicks spoil the soup

27th November 2000

Coming from the "Separate But Equal" Department, Lockergnomie Steven Groginsky churns out yet another interesting tip for the rest of us. The Start Menu was designed to help keep your Windows activities running smoothly. However, when you crowd it with dozens of different folders, productivity will grind to a halt. If it takes longer than three seconds to find the appropriate icon(s) in your Start Menu hierarchy, consider whittling the primaries down to ten (or less). Can't sacrifice a folder or two? Too many clicks spoil the soup, ya know. Fine. At least create a few 'dividing' folders to clarify the chaos. Name each one with a different number of dash characters. Don't put anything in them and they'll remain nothing more than simple lines. That's the idea.


Additional Windows 2000 components

28th November 2000

A few months ago, I upgraded to the Windows 2000 Professional operating system. Going back to Windows 98 would be like sitting behind the wheel of a Porche and then driving... anything else. This leap, though, came with its fair share of quirks. The Add / Remove Control Panel applet is extremely different, for one. There aren't as many additional Windows components to be added or subtracted. Or are there? Fly to the INF folder (which should be sitting inside your W2k system folder). Open SYSOC.INF in Notepad and remove all instances of the word 'HIDE' (and be sure to make a backup copy of this file beforehand). The next time the applet is opened, you should see a few more programs waiting to be eliminated -- or brought aboard. Not a 2k user? You're already good to go. For more information, refer to Microsoft KB article: Q222444.


Dynamic reminders in Outlook 2000

29th November 2000

Coming from the "Do It For Me" Department, Lockergnomie Stefan Hogedal remains on the lookout for Outlook tricks. Did you know that Outlook 2000 will do dynamic reminders? It'll launch Web pages without blinking. Create a new appointment and click the Recurrence icon; in the Start list, select the time at which you wish the Web page to be accessed. Feel free to tweak its 'pattern' options, too. Be sure to place a checkmark in the 'This is an online meeting...' field. Next, choose to use 'NetShow Services.' Enter the designated URL (Web address) in the 'Event address' field; 'Automatically start Netshow with reminder' should then be turned on. The 'Reminder' time should be set at 0 (zero) minutes. Sit back and let Outlook launch your Favorites whenever you desire.


Logo in an electronic format?

30th November 2000

Nothing says 'cheese' more than using default templates for business documents. If you can't take the time to create original designs for your stationary, then some businesses may think twice about doing business with your business. One quick way to spice up your stuff: use a watermark. Is your logo available in an electronic format? Reference it in HTML e-mail message signatures and appropriate word processing files. It may make a perfect signature addendum or background image. Click-thru the following when you're editing the header in Microsoft Word: Insert > Picture > ClipArt. Locate your logo on a (hopefully) local drive; in the Picture toolbar, click on the (Image Control) icon and choose 'Watermark' from the list. The Text Wrapping option should be set to 'None' before you're done. For a WYSIWYG environment, use the 'Page Layout' viewing option.


Spinning logo?

1st December 2000

When it comes to sponsorship, branding is good. When it comes to Web browsers, branding is not so good. When you surf the Net, is Internet Explorer semi-skinned by a company's name and spinning logo? Get it outta there! That is, if you so desire. First, be sure all browser windows are closed completely. Then, click on the Start button, run the 'Run' applet, and enter: "rundll32.exe iedkcs32.dll,Clear" (sans quotes). Press 'OK' and presto! Restart IE and everything should be hunky dory. This tactic will also work when IE's interface isn't working as well as it should. Restoration is so refreshing, especially when you didn't want it in the first place. NOTE: this should work on all platforms running IE 4.x or 5.x. I don't believe that IE 2.x is supported. Anybody still running that?!


Drive Mounting

4th December 2000

So, why am I talking about Windows 2000 so much nowadays? As I've mentioned countless times, it's Microsoft's tastiest flavor of Windows at this point. You'll probably be using it soon, too. After all, Whistler (the next Windows) is based on the NT kernel. Need another reason to upgrade to 2k? Drive mounting. Get your mind out of the gutter, dude. NOTE: this tip was written for experienced users. Right-click on 'My Computer' and select 'Manage.' In the 'Computer Management' window, select the 'Storage - Disk Management' option. In the bottom right-hand panel, right-click on a drive letter and choose 'Change Drive Letter and Path...' Lockergnomie Douglas Rockney recommends against choosing 'C' or the drive containing your W2k code. "The best choice would be a CD, Zip, Jaz, or other removable drive." Once selected, click the 'Add' button and then the radio option: 'Mount in this NTFS folder.' Press 'Browse' to either find an empty folder or create a new folder. Bingo: a mounted drive.


Find what you're asking for

5th December 2000

Once upon a time, files were named according the classic 8.3 convention; we didn't have to worry about spaces. Bear with me on the next part, folks -- this is going somewhere. When I throw a treat, Sprocket retrieves it. Actually, he swallows it whole (bypassing the ever-important chewing process). When you throw a treat (that is, when you wish to find a certain file), Windows searches for it. CAVEAT: it'll find exactly what you're asking for. Employ the question mark character to fill in the blanks Should your file(s) contain name spaces. Instead of 'A Road Less Traveled,' you would enter: 'A?Road?Less?Traveled' -- no doubt about it. Don't question the mark or you'll find yourself sorting through potentially-convoluted output. Unless that's what you wanted in the first place. In which case... those blank spaces are your friends. Be sure to show your ID at the space bar!


Do you need System Restore

6th December 2000

'Hey Pirillo -- some of us are stuck with Windows Millennium Edition (ME). What about some tips for us?' First, my condolences. Second, do you really need that System Restore feature? Or, what if you have a better, third-party backup utility? Now, before I tell ya how to do it, be sure it's really what you wanna do. Open your Control Panel, click on the System icon, flip to the Performance tab, then select File System. Under the Troubleshooting area, be sure to place a checkmark in the 'Disable System Restore' box. There, does that make ya happy? Ugh. You're insatiable. While were turning things off, let's get rid of that PC Health thing; it's making me sick. In the Windows \ Pchealth \ Support folder you'll find the PCHSETUP program. Create a shortcut for it on your Desktop; pull up that newly-created shortcut's properties. In the Target line, add: "/uninstall" (sans quotes) and close the sheet. Double-click that shortcut's icon and you're in business. Or, out of business, as the case may be.


Plug & Play devices can be picky

7th December 2000

Software is a walk in the park compared to hardware; step back ten years and try to install a modem. Devices are (admittedly) easier to integrate nowadays, but headaches are still sure to happen. You're jazzed about this new internal doohickey you just picked up. You stick it in, turn it on, and boot it up. Nothing. Or, worse yet, something that you'd rather have be nothing. These issues are sometimes resolved by switching slots; most likely, you inserted a card (or cord) into an open bay. Consider playing musical chairs with another component; pull the ol' switcheroo! As odd as it sounds, even plug & play devices can be picky. Hopefully, rearranging your hardware won't cause further contentions. As long as you're not trying to jam an ISA board into a PCI slot. That's just crazy talk.


Keep uncooperative apps in line

8th December 2000

Oh, Windows. We have a love / hate relationship. Mostly love at this point, thankfully. I was with you back in the days of 2.0, though you fell from grace when 3.11 hit the streets. In a matter of years, the 95 kernel rolled around and ushered in a new era of 32-bit peace. Then NT 4.0 was tossed into... 98 came along and the... Millennium Edition... with Windows CE... and... okay, I'm lost. Somebody's all over the map here, but I'm not naming any names. For now, I'll stick with Windows 2000 as my Desktop operating system; it appears to be the most stable Microsoft product. But what about those apps which aren't too happy with my upgrade? I attempt to shut them up with the Application Compatibility tool. It's found on the Windows 2000 installation CD-ROM within the Support folder (APCOMPAT.EXE). Think of it as a pseudo-emulator, designed to keep uncooperative programs in line. At least, as far as Windows 2000 is concerned.


I hate Microsoft Outlook

11th December 2000

'Hey Pirillo -- I hate Microsoft Outlook.' Well, that's your problem. I realize that some of you would rather use another client to send and receive Internet e-mail. Let me ask this: did you install Outlook 2000's Internet option? If not, why not? You don't need the corporate options unless you're in... a corporate environment. Now, do you use Microsoft Word to compose a fair amount of snail mail? Why not use Outlook's address book when the option is given? NOTE: Outlook can (at any time) import contact data from other popular mail clients. So, even if you don't use it regularly, Outlook can still be your friend. For those already using Outlook 2000's contact database, select someone in it and under the 'Actions' menu, choose 'New Letter to Contact.' Guess what that does? Launches Word's Letter Wizard automatically. Also under 'Actions' is the 'New Contact from Same Company' option. Wow! We're just saving tons of time today.


Stretch that BMP

12th December 2000

Coming from the "Bigger Than Life" Department, Lockergnomie Patrick Jarrett discovers that one size fits all. What's your New Year's Resolution? Mine is 1600x1200. That's how many pixels (horizontally) by how many pixels (vertically) I can see at one time on my monitor. For most users, 1024x768 is sufficient. Average? I've heard somewhere in the neighborhood of 800x600, although 640x480 is still a standard to which most must bend. Got a wallpaper image that's either too big or too small for your screen? Dry those eyes, dear Gnomie. As long as Active Desktop (or Plus! for Windows 95) is installed, you should have the option to Stretch that BMP (bitmap). Believe me, it works wonders. Knowing that any kind of background graphic consumes precious video memory, consider using smaller (sized) files and stretching them. Anti-aliasing (edge smoothing) will be invoked when you're working with 16-bit (or higher) images.


See the latest web page data

13th December 2000

Updates, I command you to come out of your shell! Well, that didn't work. How else are we supposed to see the latest Web page data in our browser? Sometimes a simple (or extended) refresh doesn't work. Flushing may not do the trick, either. This typically happens when one sits behind a proxy of sorts. I suggested changing the address sentence case in these instances (as proxies often cache frequently accessed page elements). Append a question mark directly to the end of the URL, followed immediately by a random string of text. ?example. ?whatever. ?neat. As long as it's been properly updated on the server, the resulting loaded page should be the most current. Not enough of a tip? Fine, let's switch gears and mention that you can print up to 16 document pages on a single sheet of paper. As long as you're using Microsoft Word, that is. In the Print dialog, check out the 'Zoom' options. Save a tree, man!


Spooling dozens of documents

14th December 2000

Coming from the "Message Impossible" Department, Lockergnomie David Stevens self destructs in five seconds. Even though we've entered the 'paperless' age, users still rely heavily on their printer. Some argue that it's easier to read text when it's not sitting on the screen. Call me a sucker for convenience; I'll put up with the pixels for now. For those who'd rather skim the day's headlines while offline, consider lumping 'em together before sending 'em to the printer. In Outlook Express, you may select one or more messages (using the mouse in conjunction with the CTRL and SHIFT keys). Got everything you want? Okay, now pull down the Message menu and the 'Combine and Decode' option should be ready to roll. Once applied, you'll be presented with a single window containing all of your previously selected messages. Instead of spooling dozens of documents to your printer, you need only send one.


Word's red squgglies in Outlook?

15th December 2000

Coming from the "Don't Dodge" Department, Lockergnomie Andy Schuyler believes its better to receive than to send. At least, as far as self-composed e-mail messages are concerned. In certain situations, you may wish to send e-mails to yourself (from the same mail client). Why bother with the sending process, then? Simply save the message before blasting it through your Outbox. In most cases, the copy will be saved in a Drafts folder of sorts. From there, you should be able to move it elsewhere within your mailbox hierarchy. As an addendum to an earlier e-mail trick, it is quite possible for Outlook 2000 users to send inline Web pages -- provided their default message type is set to HTML. Since I always use text, I wasn't aware that this (complete) option was available. Wanna have Word's red squgglies in Outlook? Change the default message format to 'Rich Text' and you should be ste. Er, set.


Duplicate copies of your data

18th December 2000

The Gnominator. Making copies. Copyrama. It never hurts to have duplicate copies of your data lying around (or locked inside a safety deposit box). Backup and you won't be let down. The worst thing I've ever had to go through was rebuilding my contact list. I'll never have to do that again thanks to redundancy! You see, Outlook 2000 has a feature called "Net Folders" which allows me to share any given [Outlook] folder with another [Outlook] user. Since updates are sent automatically, there's peace of mind on both sides. We can share contact lists, tasks, calendar appointments, e-mail messages, etc. Heck, you can even share items with those who don't use Outlook (by toggling the Minimum Sharing Permission option). As a reviewer, contributor, author, or editor, you must trust the user with whom you share this sensitive information. For more information on Net Folders, please refer to Microsoft Knowledge Base article Q195867.


The Flying Objects screensaver

19th December 2000

Coming from the "How Logo Can You Go" Department, Lockergnomie Jay Lichtmann builds a bit of Desktop branding. Screen savers aren't as functional as they once were. Dagnabbit, I don't even have one running on my machine nowadays. When you need to password protect your PC, then perhaps they're still worth using. In a corporate sense, perhaps you wish to keep your company logo on all deployed workstations? The Flying Objects (OpenGL) screen saver will save the day! Right-click on your Desktop and select "Properties," flip to the "Screen Saver" tab and select "3D Flying Objects" from the menu. Click on the "Settings" button to the right, then within the "Style" option, select "Textured Flag." Click the "Texture" button, then locate and select any .BMP image. Click the "Open" button. Put a checkmark in the "Smooth shading" box (if so desired) and set the "Resolution" and "Size" slider controls to "Max." Click "OK" and then the "Preview" button to test it.


Home networking

20th December 2000

I didn't get into home networking until recently; before last year, I had no need for it. There are a plethora of products available to make the process pure and simple. Right! Proxies, promises, and... inevitable problems. Here's a handy tip for ME... er, you? I just found out that Millennium Edition users may not have Universal Plug and Play turned on (which enables peer-to-peer Plug and Play functionality for network devices). From the Control Panel, open the "Add/Remove Programs" applet. Flip to the "Windows Setup" tab, select the "Communications" option, then press the "Details" button. Be sure there's a checkmark in the "Universal Plug and Play" box. Keep pressing the "OK" buttons to back out of the property pages, and then Windows should install the component. This doesn't stop me from recommending Windows 2000 and a hardware firewall for the most secure (and trouble-free) networking solution. For more information on this "hidden" feature, check out Microsoft Knowledge Base article Q262458.


Maximize system performance

21st December 2000

Here's a faster computer; are you going to turn it down? Most of us take steps to maximize system performance. I eliminated "pauses" by attaching my printer to a seldom-used (networked) computer; data spools without slowing down my main machine. If this isn't possible for you to do, consider asking Windows to print using the Enhanced Metafile Format (EMF). Normally, Windows has to do all the data crunching (hence, causing the computer to crawl). By going the EMF route, you're putting the power in the hands of your printer. While the peripheral may move slower through this process, your PC should be quickly freed to take care of other tasks. Open up the Printers applet (in your Control Panel). Right-click on your printer's icon and select its "Properties." Flip to the "Details" tab and press the "Spool Settings" button. You should see a drop-down list of options; select "EMF" for printer-intensive processing or "RAW" for computer-intensive processing.


Edit on-the-fly?

22nd December 2000

Coming from the "Mouse Trapped" Department, Lockergnomie David Weinberger sings an alternative song. Do they still make typewriters? Why!? Who wouldn't rather edit on-the-fly? When you select a string of text in a word processing document, you're probably using your mouse. Shame, shame, shame. I bet you overshoot your target every time. You inadvertently scroll too far (sometimes to the end or beginning of the document). Too far... go back. Too far... go back. Dude!? Stop! Drop the mouse. Hold down SHIFT and use your cursor keys to select the small chunk of text. Need to go further than a couple of paragraphs? Keep SHIFT depressed and use the Page Up / Page Down keys. This begs the question: how do you keep a SHIFT key depressed? Just remind it of the time it was in third grade and everybody made fun of its hair. Keys can be so cruel, ya know?


Make rules for your Email

25th December 2000

I'm all about making life easier. When a process can be automated without much extra effort, then why shouldn't it be? Make some rules for your e-mail client to follow! Why even bother bringing this up? I want to encourage you to dig a little deeper before wasting more energy; a little bit of research can save you a lot of time in the long run. For instance, from the Outlook 2000 Rules Wizard, you can automatically print incoming messages from designated people, modify an outgoing message based on its recipient(s), or color-code messages sent by friends, co-workers, or your best friend's girlfriend. Outlook Express has a watered-down set of rules for you to use, too... like autoresponding to messages (with pre-defined templates) based on content. Do you have a filter turned on for obliterating junk e-mail? Then your client probably "rules" (so to speak). Check the appropriate help file(s) for further instructions or ask in the Lockergnome newsgroups.


Thumbnails are awesome

26th December 2000

Thumbnails are awesome -- especially when you're in a hurry and "DSC01043.JPG" isn't a terribly helpful file name. GnomeHUGS to the person at Microsoft who built this functionality into the Windows Explorer. While W98 users must pull up a folder's properties to turn on this feature, W2k/ME rugrats have the option built into the View menu (and toolbar icon). When you encounter a folder containing countless images, thumbnails will help you sort through the selection. Here's a secret: you can make thumbnails for Office documents, too. PowerPoint presentations will work without intervention, but Excel spreadsheets and Word documents require a bit of tweaking. Open one up in its respective application (Word or Excel), then select Properties from the File menu. At the bottom of the first sheet, there's an option to "Save Preview Picture." Put a checkmark in that box. There ya go! It now has an associated thumbnail.


Windows Task Scheduler

27th December 2000

Coming from the "Jumped Up and Bit Me" Department, Lockergnomie Nowick Gray takes timed tasks to the next level. For some, the Windows Task Scheduler is a fluffy feature; for others, its a godsend. When there's a function that should be performed on a regular basis, then why couldn't it be handled by a simple script? When there are several programs to be run at any given time, this Gnomie suggests you copy their shortcuts into a single folder. Create a new task. In the "Run" field, type "START" (sans quotes) followed by an extra space. On the same line, enter the FULL path of that folder (in quotes if the destination has any spaces). Schedule when you want it to pop up, then sit back and wait. Whenever the task executes, you can pick and choose from this folder's shortcuts; only run what needs to be run at the time. Consider this helpful when it comes time for weekly system maintenance. You may have ample time to run SCANDISK, but defragging might have to wait.


Quit moving your mouse

28th December 2000

Just what makes that little old ant think he can move a dialog box? Too often the keyboard is cast aside for the mouse. Why just click when you could point AND click? Makes sense... kinda. Quit moving your mouse all over the place. If your arm hurts, that's Mother Nature's way of saying: "Knock it off!" Since your fingers are probably already resting on the keyboard, you might as well try to keep them there. It's possible to use the SPACE BAR in lieu of the left mouse button. No, I haven't flipped out. Have you ever noticed that one button inside a dialog box looks different than the others? Tap the TAB key. Did another button get "infiltrated by ants?" Keep tapping the TAB key until the desired option is highlighted; once the "ants" are sitting still inside a particular button, hit the SPACE BAR. Zing! This route is particularly useful when there are a series of "Next" or "Okay" buttons to press.


Keep in touch with buddies

29th December 2000

You don't know where that FINGER has been, so don't use it. Have no idea what I'm talking about? No big deal. Certain tools were used to keep in touch with online buddies before "Instant Messaging" was a big hit. As mentioned previously, I use "ICQ" for general business communications, but "MSN" for internal (Lockergnome team) messages. Not to say that Microsoft missed the mark, but ICQ is a more complete client. The MSN instant messenger has one noteworthy feature: graphical emoticons. Yeah, do a sideways smiley and it'll transmit as a yellow happy face. Likewise, a colon followed by an open parenthesis symbol will produce a frown. Now, try typing a letter enclosed within a set of parentheses. "(L)" turns into a heart. "(C)" becomes a coffee mug. "(Y)" thrusts forward a thumbs up. And that ain't all! For a comprehensive list, launch the Help Topics option and search for "emoticons" (sans quotes). Click the "Use emoticons in messages to show feelings" link.


5/1/1999

5.1.1999

The quickest way to open up a program (or file) is usually by clicking on its shortcut. But did you know that you can also assign key combinations to any given shortcut, in case your mouse isn't handy? Try right-clicking on a shortcut in the Start Menu or Desktop and select Properties. From there, select the "Shortcut Key" line and hit a combination of the CTRL, ALT, and/or SHIFT key and a regular keyboard character (alphanumeric). When applied, you should be able to use that key combination you set whenever you want to launch that particular shortcut. Talk about a key play!


6/1/1999

6.1.1999

"Hey Chris, how did you get so many people to read Lockergnome?" Well, I suppose I count on the "satisfied subscribers" to keep spreading the word about it. Some people forward newsletters to their friends, and others talk about Lockergnome around the water cooler in the morning. I discovered that the best way to help them "talk" is through a well-crafted Recommend script. Smaller sites can rely on Recommending web services, but larger sites might look into making a script of their own. I strongly suggest using MasterRecommend. Not only is the author a Lockergnomie himself, but the script is easier than cake to install and implement. You can grab it here: http://www.willmaster.com/MasterRecommend/ -- keep spreading the word!


7/1/1999

7.1.1999

I learned how to use e-mail around the same time I started to play in the Usenet Newsgroups (a few years ago). Ever since I left the University of Northern Iowa, I haven't had full newsgroup access. Lockergnomie Ivonne Yeste Zamora (who offered a $50 challenge) told me about news.wcg.net -- over 60,000 newsgroups come along with this free feed (no censorship). Fire up your newsreader and use this as a news server if you'd like a new way to get to tens of thousands of newsgroups. Remember that Lockergnome has its own PRIVATE hierarchy as well: news.lockergnome.com -- everything a Lockergnomie could want!


8/1/1999

8.1.1999

When I received Manny, one of the first things I tried was the modem. After all, what good is having a laptop if you can't connect to the Internet with it? I almost went deaf after listening to the minute-long squealing handshake and quickly decided that I wanted to connect a bit more quietly. To turn off the sound of your modem entirely, open the Control Panel, click on the modem icon, select the installed modem, then click the Properties button. From there, choose the "Connection" tab, then click the 'Advanced' button. In the "Extra Settings" line, enter "M0" (without the quotes)... that's 'M' as in mother and '0' as in zero (the number). Ah, peace and quiet!


11/1/1999

11.1.1999

Lockergnomie Galah Nuga (from Indonesia) has solved a long-time annoyance of mine! If you use Microsoft Word 97, you may have noticed that when you peruse a document using the scroll bar, the visible page doesn't "change" until you let go of the scroll bar button. Well, if you apply this registry tweak, you can click & hold the scroll bar button and get "live updating" in the document window! WARNING: Registry hacking is NOT for novices (proceed with caution). Open Regedit, navigate to HKEY_CURRENT_USER > Software > Microsoft > Office > 8.0 > Word > Options. Create a new String value and name it "LiveScrolling" (without the quotes or any spaces). Then, modify it and enter "1" (without the quotes) as a value. The next time you use Word 97, it should work!


12/1/1999

12.1.1999

Where did I archive that file? You can use the Windows Find tool to locate files contained within "ZIP" files on your computer. Windows 95 users can hit F3, enter "*.ZIP" (without the quotes) in the 'Named' field, and then type the whole or partial file name in the 'Containing text' field under the Advanced tab. Windows 98 (or IE4) users do the same, except the 'Containing text' field is underneath the 'Named' field. Your search results should contain a list of ZIP files containing the file(s) for which you were looking.


13/1/1999

13.1.1999

MIDI and WAV files are everywhere nowadays. Most of the time, we don't know who created them or how long they are. But, if you right-click on a MID or WAV file and select 'Properties', you should see extra tabs: Details & Preview. Under the Details tab, you can view time, artist, and possibly copyright information. Under the Preview tab... well, duh... you can listen to the sound file. It's like a built in media player! Try right-clicking on different types of files to see what "extra" tabs pop up (try DOC or EXE files).


14/1/1999

14.1.1999

NT users should love this tip: Beware the Blue Screen of Death! It's something we've all feared for many years (especially sysadmins). Now, normally, your computer's operations will be halted when the BSOD appears--until you reboot. With this Registry hack, you can force NT to automatically reboot after a BSOD crash! Navigate to HKEY_LOCAL_MACHINE > SYSTEM > CurrentControlSet > CrashControl > AutoReboot and set the value to "1" (without the quotes). NT will now reboot when the BSOD appears (after appending the crash log file).


15/1/1999

15.1.1999

How many windows do you have open on the screen at one time? I try not to multitask 30 apps at once, but it's difficult to avoid at times. You can easily flip between open windows by using the ALT+TAB keyboard shortcut. Of course, you can also switch between apps by using the Windows taskbar. Or, try right-clicking on the Windows taskbar and selecting either Cascade Windows, Tile Windows Horizontally, or Tile Windows Vertically. Or, if all else fails, drag the different windows around until you find the one you really want.


18/1/1999

18.1.1999

Lockergnomie John Foote knows of an easier way to see what kind of files Microsoft has stored in its FTP software library. Fire up IE4, Netscape, or your FTP client and download: ftp://ftp.microsoft.com/Softlib/index.txt -- this isn't a listing for every single file Microsoft has, but there's a lot of classic patches and documentation to be found here. Once you are viewing the file (in any given application), you should be able to perform a search for certain keywords. Keep it stored on your computer for future reference, too (although a new version might become available over time).


19/1/1999

19.1.1999

Every once in a while, I'd run into problems with my dial-up connection; the line noise can sometimes be too much. Thank goodness there's a way to temporarily extend the "hang up" time. If you get disconnected from your ISP without warning (and too often), try adding this initialization string. Open the Control Panel, click on the Modems icon, click your modem's Properties button, select the Connection tab, then click the Advanced button. In the Extra settings field, enter "S10=50" (without the quotes). This might help your dial-up connections stick around for a while. Please submit other great "modem initialization string" tweaks to me!


20/1/1999

20.1.1999

There's a lot of white and wasted space in Windows 9x/NT4. Part of that has to do with the default icon spacing settings. One of the FIRST things I do after reinstalling Windows is set my icon spacing to a more appropriate level. Right-click on the Desktop, select Properties, click the Appearance tab, click on the Item drop-down list, look for Icon Spacing (Horizontal) and Icon Spacing (Vertical). NOTE: write down the original settings in case you want to reverse this later. I've (personally) found that setting both of these numbers to 32 works best. Be sure to refresh (or re-line up) your explorer windows, including the Desktop. It'll save some space.


21/1/1999

21.1.1999

I'm always telling you guys (and gals) to right-click on objects. But what if your mouse isn't handy? Never fear, there are a couple of keyboard shortcuts you could use to bring up the ever-popular context menu. Most newer keyboards have two extra keys on them (one is the WinKey, and the other is the "right click" key). Well, duh... you could use the right-click key if you have one. Or, try using SHIFT+F10. Either will work. Just be sure you've selected an object (or group of objects) before you "right-click".


22/1/1999

22.1.1999

I was getting Manny III up to speed the other day by using Microsoft's Windows Update site. And I thought to myself: what a wonderful world. And then I wondered if there would be a way to actually SAVE these updates for future installation instead of installing them on-the-fly? Lockergnomie Arie Slob has a fantastic Windows tips site, and one of his pages shows how you can save those Windows Update files: http://www.windows-help.net/windows98/troub-22.shtml -- it's cumbersome, but it should work!


25/1/1999

25.1.1999

Thanks to all you Lockergnomies who submitted modem tweaking tips! Before you start playing around with your advanced modem settings, you should realize that not every modem tweak will work for everyone. There are different brands and various chipsets--proceed with caution. The most popular submission could enable your modem to dial your ISP very quickly. Open the Control Panel, click on the Modems icon, click your modem's Properties button, select the Connection tab, then click the Advanced button. In the Extra settings field, enter "S11=50" (without the quotes). You could also try "40" (the lower the number, the faster your modem will dial). Also note that if you have more than one entry in your Extra Settings field, each should be separated by a single space.


26/1/1999

26.1.1999

Lockergnomie Jason Derikozis has an awesome tip for "wheel mouse" users who use Internet Explorer: press & hold the SHIFT key while you scroll your mouse wheel up or down. Scrolling up will move you forward and scrolling down will move you back through the pages you've visited during that IE session. It's like clicking the buttons in the icon menu or selecting "Back" or "Forward" from the right-click context menu. Cool shortcut!


27/1/1999

27.1.1999

A couple of weeks ago, I featured a tip where you could hold onto the ALT key, enter a numerical string on your number pad, and a non-keyboard character would appear in your currently-opened document. At that time, I referred you to your Character Map for number codes. However, here's a web page that displays them all for you in a single chart--plus accented character codes for Microsoft Word: http://www.cse.bris.ac.uk/help/docs/win-r1.htm -- Thanks to Lockergnomie Clive Mansbridge for the pointer!


28/1/1999

28.1.1999

In Windows 95, open/save dialog boxes cannot be resized (without the help of a third-party add-on). However, IE4 and Windows 98 users should be able to resize them instantaneously! Look at the lower right-hand corner of an open/save dialog box--if you see some diagonal lines, then you can easily resize your dialog boxes. Click on a corner and drag it to whatever size you want your dialog box to be--which will make it much easier to view the files within the current directory.


29/1/1999

29.1.1999

Internet Explorer 5.0 (final) is almost out the door. I've heard from a few Lockergnomies that Outlook Express 5.0 will detect Lockergnome issues as junk mail. So, be forewarned--use any junk mail filter set carefully, or you could be cutting off your GnomeSupply. Now, I realize that I provide a lot of IE tips for y'all, but that's because I really don't know of any outstanding "Netscape" tips. So, if you have them, submit them. Here's a tip that anyone can use: you can select any bit of text on a web page (with your left mouse button) and copy it to the clipboard. That might save you some retyping time (be sure to give credit where credit is due). Wow, this was a hodge-podge of mini-tips, wasn't it?


1/2/1999

1.2.1999

Some of us still use modems to access the Internet (we'd kill for a cable modem connection). Busy signals are a major annoyance, but with this little tip, dial-up users won't be bothered by them as much. Open the 'Dial-Up Networking' folder that sits in 'My Computer'. From there, select the 'Connections' option from the drop-down menu and choose 'Settings'. There should be a section there for you to edit how many times your modem will redial before finally giving up; I'd suggest "60". Hopefully, you'll never see that number of redials.


2/2/1999

2.2.1999

Lockergnomie Jim Ronholm informed me of a way to "find" any window which appears "off" the viewable area of your screen. This tip can also be used to move any given window: "Activate the window you want to move (either click on its icon in the taskbar or select it using the ALT+TAB key combo), press ALT+SPACE and let go, then press the 'M' key. At this point, you can use your cursor keys to move the window around until it appears on your screen again." That's quite a moving tip.


3/2/1999

3.2.1999

The other day, I ran into problems with my mouse. It wasn't being detected (a cold boot fixed the problem). Luckily, I knew of a few keyboard shortcuts that allowed me to navigate Windows. When you come across a multi-tabbed dialog box (like Desktop Properties), you can use the CTRL+TAB key combo to flip between tabs. To change fields within any particular tab, just use the TAB key by itself. If you want to toggle an option, be sure it is highlighted first and then hit the SPACE BAR. These shortcuts can come in handy... especially if your mouse plays the "I don't want to work right now" game.


4/2/1999

4.2.1999

A Lockergnomie (Frank from the Netherlands) told me about a great way to extend Internet Explorer's autosearch functionality. Normally, when you type a single keyword on the Address line in IE and hit enter, it'll search for the .com, .edu, then .org registrations until it finds a match. Well, you can edit and add to that list! You'll need to dive into the registry, so this is for advanced users ONLY: HKEY_LOCAL_MACHINE > SOFTWARE > Microsoft > Internet Explorer > Main > UrlTemplate. From there, you can rearrange the numbers to your liking as well as add different domain hierarchies. I personally added the .net extension to my list, but .co.uk, .co.nz, .com.au, or even .nl would work, too.


5/2/1999

5.2.1999

Lockergnomie Steve Feinstein reminded me to tell y'all about a slightly-hidden tip that I use often. First, I'm sorry about saying "y'all"--I used to say "you guys" but that's not politically correct anymore. I'm not from the deep south; I started saying "y'all" after living in San Antonio for a few months. Anyway, back to the tip! After you've searched for files with the Windows Find applet (hit the F3 key to pull it up), select ONE of the found files (left click on it ONCE). Then, select 'File' from the menu and look towards the bottom for 'Open Containing Folder'. If you select that option, the folder in which the selected file is contained will open up in a new Explorer window!


8/2/1999

8.2.1999

So many of you were pleased when I featured that one free public news server. Well, Lockergnomie Tayo Kaufman discovered a page for those of you who want more to choose from: http://jammed.com/~newzbot/ -- if your ISP carries only a couple of newsgroups (and you hunger for more) you might want to check out the public servers listed on this page. If you've never visited a newsgroup, you're missing out on one of the Internet's first communities. Heck, while your newsreader is fired up, be sure swing by news.lockergnome.com to meet other Lockergnomies!


9/2/1999

9.2.1999

Notepad isn't as bad as everyone thinks it is. It's small, fast, and (for the most part) efficient. It also has a few hidden tricks up its sleeve. For instance, if you want to insert the time and date, simply hit F5. Or, if you want to "log" the times you edit a particular text file, be sure to type: ".LOG" (without the quotes) as the first line of that file and save it. Now every time you open it up, the current date/time will be automatically stamped into it. Lockergnomie "Ap.Muthu" also brings up a great tip for when you're trying to save textual files without the .TXT extension: when you 'Save' or 'Save As', be sure to put the filename in quotes with the extension you want it to have. Example: "thisdoc.html" (with the quotes).


10/2/1999

10.2.1999

Hey, remember Bookmarklets? I featured them the other week... they were these really cool JavaScript links that you could save in your Bookmarks (and/or Favorites). If you missed them the first time around, check out http://www.bookmarklets.com/ NOW. They'll turn your browser into a SUPER browser. Anyway, a Lockergnomie created a Lockergnome Bookmarklet! In fact, you can download it on Lockergnome's Past Issues page. When stored in your Bookmarks/Favorites, you can highlight a word on a web page, then select the Lockergnome Bookmarklet, and it will search for that term throughout Lockergnome's past issues!


11/2/1999

11.2.1999

Some people are completely annoyed by the Windows Explorer. I guess it does what I need it to do, and I'm not really big on having tons of third-party utils installed on my system. Anyway, Lockergnomie Chris Naegelin has a killer tip that'll come in handy. When you want to open up a new Explorer window (with the folder/drive pane), select a folder/drive, hold onto SHIFT, then double click on its icon. If you just want to open up a new Explorer window (without the pane), do the same thing, only hold onto CTRL while you do it. Wow, look at all those Explorers! If I didn't know better, I'd say we were sailing.


12/2/1999

12.2.1999

A week or so ago there was a tip about adding new domain suffixes to your IE list. By default, only .com, .org, and .edu are listed. Why they left out .net is beyond me? Anyway, a programming Lockergnomie threw together a small program that will allow you to easily add to and edit this list: http://alazane.surf-va.com/utilities/ -- no registry hacking involved, gang!


15/2/1999

15.2.1999

A... B... CD... I love Autorun functionality. Well, sometimes. By default, your CD Player launches when you insert an audio CD, and some data CDs will launch programs when they're inserted. However, Lockergnomie Jeff Brown brings up an old tip: if you hold down your SHIFT key while inserting any given CD, Autorun will be temporarily disabled. How's that for a little more control? This way, you can leave Autorun functionality on all the time, and turn it off only when you don't want it to run (unless you really don't like it). Either way, TweakUI will help you configure Autorun even further.


16/2/1999

16.2.1999

A few of you e-mailed me with this scanning tip, so I figured I'd pass it along to the rest of you. If you use a scanner, it might also be wise to have a black sheet of paper handy. Whether you're scanning text or pictures, place the black sheet behind the document. This way, you won't get as much glare or light reflection, creating crisper, richer scans. Any bit of plain construction paper will do. It's a low-cost way of getting better output! If you have any other scanning tips, be sure to let me know!


17/2/1999

17.2.1999

FTP isn't a new kind of motor oil; it's the easiest way to transfer files from one site to another. Of course, you probably already knew that (if you didn't, then you've learned something new today). Lockergnomie Joshua Rolfe brings up a great tip for Netscape or IE4 users: you can use your browser to log into an FTP site! Simply type "ftp://username@ftpsite.com" (without the quotes). Of course, change 'username' to whatever it should be (typically "anonymous" works) and 'ftpsite.com' to whatever the FTP site's address is. If you have an account which requires a password, you can type "ftp://username:password@ftpsite.com" -- Be very careful when doing this, though, as the address will remain in the drop-down menu. Netscape will prompt you for a password, whereas IE will pop up with an error message. See, I'm more than happy to show Netscape in a positive light!


18/2/1999

18.2.1999

My dad uses Netscape for surfing, and he was asking me if there was a way to organize the dozens of bookmarks he has. Well, there IS a way, but it's antiquated and not as simple as reorganizing Favorites in Internet Explorer (sorry, but it's true). Lockergnomie Yvon-Philippe Crittin brought up a good point that I'm not sure many of you are aware of. If you have IE4 (or 5) installed, you can move Favorites around in any particular order, as well as drag & drop them onto Favorite subfolders. Beyond that, she notes that you can also drag & drop URLs and "shortcuts to programs" directly into the 'Favorites' menu. And yes, if you haven't tried it yet, you can also reorganize the items in your Start Menu the same way (drag & drop). IE5 will make it even easier, too!


19/2/1999

19.2.1999

Wanna surf the web in TRUE full screen fashion? Lockergnomie Charles Liuson sheds some light on a way to make IE open up without any buttons, toolbars, or the status bar. It's called running in "kiosk mode". Click the Start Button, select Run, then type: "iexplore -k http://www.lockergnome.com/" (without the quotes). Be sure to put that '-k' in there. It's the perfect setup for when you have your page on display somewhere (convention, mall, etc.). Users who see it won't be distracted by the typical browser elements, causing them to focus directly on your content.


22/2/1999

22.2.1999

Windows 98 power users are gonna love this tip: when was the last time you ran the Disk Defragmenter? Well, you should do it often (especially if you download stuff day and night). You'll want to run DEFRAG with as few programs loaded into memory as possible (for optimum defragmentation). Pop in your Windows 98 CD, go to the \Tools\Mtsutil folder, right-click on Defrag.inf and select 'Install'. When you reboot, DEFRAG will automatically run before any other system component is loaded. When you want to DEFRAG again, just repeat this tip!


23/2/1999

23.2.1999

Lockergnomie Jaron Hendrix reminded me of a killer command prompt utility that comes with Windows 9x: 'START.EXE'. When you find yourself at a Command Prompt (ya know, while you're still in Windows), you can use START.EXE to launch Windows programs. Imagine yourself sitting at the 'C:\' prompt and wanting to launch Notepad. You would type: "START NOTEPAD" (without the quotes). This will only work when you're still in Windows, gang. START using it more.


24/2/1999

24.2.1999

Apparently, Windows 98 compresses the system registry automatically when it has more than 500k of "wasted space" in it. If you want to compress your registry manually, you'll have to drop to MS-DOS mode (you can't be in Windows when you do this). When you've backed up your registry (which is always a good thing to do), type: "SCANREG /OPT" (without the quotes). FYI, to backup the registry from the command prompt, type: "SCANREG /BACKUP" (without the quotes).


25/2/1999

25.2.1999

Lockergnomie Stephen Benjamin discovered something the other day: when using WINIPCFG to view his IP address, he pressed CTRL+C and found that the information was copied the clipboard! To run WINIPCFG, simply click the Start Button, select Run, then type: "WINIPCFG" (without the quotes). Bet ya didn't see that one coming. And, of course, the keyboard shortcut for copying is CTRL+C. To paste any copied information into a document, use the CTRL+V key combination.


26/2/1999

26.2.1999

At a command prompt, you have the option to use what they call "switches" with programs. When you're in Windows, however, it's a bit more difficult to do that directly with Program files. You can edit a shortcut to a program and add switches to that, but if you'd rather add switches when you run the actual program, use Parameteriser (http://krapplets.cream.org/parameteriser.html). Many programs have undocumented command line switches; be sure to check the documentation for those you'd like to configure.


1/3/1999

1.3.1999

I'm generally annoyed when new browser windows pop up when I don't want them to pop up. There are several programs out there to STOP that from happening, but I understand that other sites have to make a living, too. Now, when I WANT a new browser window to open up in IE4, I just hold onto the SHIFT key as I click on a link. Before I know it, I've got 15 different browsing sessions going on at the same time. Ugh... I need a bigger monitor.


2/3/1999

2.3.1999

Here's an easy way to view the Windows 98 Easter Egg instantaneously (without any fancy clicking): create a new shortcut (right-click on your Desktop, select New, then Shortcut), browse to "C:\Windows\Application Data\Microsoft\Welcome", Click OK, Next, then Finish. After that, right-click on the shortcut and pull up its Properties. At the end of the Target string, add the following text: You_are_a_real_rascal -- then select "Minimized" from the Run drop-down menu and click 'Apply' then 'Close'. Your Windows 98 Easter Egg shortcut is ready to rock & roll!


3/3/1999

3.3.1999

Sometimes when Internet Explorer encounters an error, it'll bring up an "explanatory" page in the browser. Have you ever wanted to change those pages to something else--ya know, making them a bit more functional? Pick up the MSIE "about:" Customizer immediately (http://members.tripod.com/jsanjuan/ieabcstmr.zip). In fact, here's something kinda hidden: on the address line of IE, type "about:mozilla" (without the quotes). Nice blue page, eh? I suppose you could call that an Easter Egg.


4/3/1999

4.3.1999

Microsoft didn't make it easy to customize icons in Windows. There are dozens of programs to help you do this, but I believe the one with the best interface (and most icon options) is ActivIcons (http://www.cursorarts.com/ca_ai.html). Change your Desktop icons, cursors, make icon text labels transparent, rebuild the icon cache, replace drive & folder icons, change shortcut symbols, and a little bit more. It's pretty much an all-in-one icon tweaking tool. And speaking of, IconShop was updated the other day. You should definitely download it (http://www.ping.be/liontech/).


5/3/1999

5.3.1999

(Syzygy) That's a real word, but what does it mean? I know the definition, but do you? Right now you could pull a forty-pound dictionary off your bookshelf, fire up your dictionary CD ROM, or even pull up a dictionary website like... well... ummm... http://www.dictionary.com/ -- but if you have IE4, you can save yourself a couple of steps by installing 'Magic Dictionary' (http://www.avalon.net/~rbliss/magicd.zip). Any way you look at it, using an online resource will save you time, money, and... you'll never get a paper cut.


8/3/1999

8.3.1999

Lockergnomie 'Fistorn' came up with a great idea for those of us who use multiple browsers on our systems. He wanted a way to open Internet shortcuts in either Netscape or IE (or Opera, for that matter) without changing his default browser. Open up the Windows Explorer, go to View, Folder Options, select the File Type tab, then find the Internet shortcut file type. Click on 'New' and add 'View with Netscape' (or whatever your non-default browser is) and set Netscape as the application for that option. Now, when you right-click on an Internet shortcut, you'll be able to open it up easily in IE, Netscape, Opera, etc.. Good call, Fistorn!


9/3/1999

9.3.1999

Having more than one e-mail address might be handy in certain situations. Instead of forwarding all of them to one central account, you could use different addresses for different applications. For instance, use a Hotmail account for all your e-mail newsletters, a Yahoo account for all your business correspondence, your ISP account for personal stuff, etc.. It's always wise to have more than one way to send e-mail; you never know when a mailbox might run into problems. Don't get a new account somewhere just for the sake of having another e-mail address. That's just silly.


10/3/1999

10.3.1999

Lockergnomie Bill Manro brings up a great privacy trick for Netscape users: "The cookie.txt file is where 'cookies' from websites are stored. If you don't want all of your information to be seen or used, all you need to do is make cookie.txt a read-only file. Then, set Netscape to accept all cookies. This will allow you to visit a site which requires cookies without having to worry about them knowing who you are." Do a search on your hard drive (F3) for 'cookies.txt', right-click on the file, then make sure the 'Read-only' box has a checkmark in it. This is a cool tip, gang... but I hate to say that your privacy has already gone out the window.


11/3/1999

11.3.1999

I've been using Microsoft Word 97 a lot lately (though I typically use Notepad to write Lockergnome issues). Yes, Word is powerful--and there are functions in it that I'll probably never use. Keyboard shortcuts, however, are time savers. To see all the keyboard shortcuts for Word, open up Word's help file and type "keyboard shortcuts" as your search criteria. You should see a few of links pop up. 'WordPerfect keyboard equivalents' is for those of you who are used to WordPerfect and want to make a smooth transition to Word. 'Shortcut keys' will take you to a listing of ALL the keyboard shortcuts available to you. Word to your mother!


12/3/1999

12.3.1999

Lockergnomie Gloria Morrell reminded me of something that I've missed since switching from Netscape to IE (years ago). When you're troubleshooting HTML code, pull up the page in Netscape and select 'View Source'. If you see any bit of text blinking, you've got an error. It doesn't tell you how to fix it, but at least you know what could be wrong. It's kinda like having a built-in testing tool! You can also 'View Source' in IE, although it will just bring up the HTML code in a Notepad session.


15/3/1999

15.3.1999

A couple of weeks ago, I featured a program which would enable you to easily make a shortcut to a URL. Apparently, I didn't have my thinking cap on that afternoon, because quite a few of you informed me that I didn't need a program to do that. If you want to save a web address (URL) as a shortcut file, right-click on the Desktop (or in the Windows Explorer), select New, Shortcut, and for the command line, type the full URL, then click the Next button. You can name the Internet Shortcut whatever your heart desires before pressing 'Finish'.


17/3/1999

17.3.1999

I had to fight Gretchen tooth & nail to get her to uninstall 90% of the fonts she never used. Half of them (in my opinion) looked similar anyway. What's one good way to compare one installed font against another? Well, you could "open" the fonts you wish to compare (directly in the Fonts folder). But a simpler way might be to open up WordPad (or any other RTF-capable word processor) and type in the same word/sentence (each one with a different font). It's quick, easy, and pretty straightforward; I can see exactly what the differences between font faces are immediately.


18/3/1999

18.3.1999

The other day, I watched a friend pull up the STUPIDEST website I've ever seen; it was nothing but a page filled with "dancing" hamsters. Don't get me wrong, I love rodents as much as the next gnome, but c'mon--I have better things to do with my time. My friend then spent about five seconds 'looking' for the 'back button' icon in the toolbar. Why?! If you have Netscape, IE4, or IE5, just right-click anywhere on the current web page (except on an image or link) and select "Back". Heck, you can even select "Forward" from the menu if it's available. You'll shave seconds off your browsing time by doing this--it all adds up.


19/3/1999

19.3.1999

Want a quick way to bookmark the current web page you're visiting (in Netscape or IE)? Hit CTRL+D and the page should automatically be added to your Bookmarks or Favorites list. Of course, you can organize and categorize it at a later time, but this is a quick & dirty way to get the sucker stored. Plus, if you have a website, you can encourage your visitors to bookmark it by using the same keyboard combination--might as well encourage them to come back!


22/3/1999

22.3.1999

Every other Windows site has proclaimed that IE5 is finally available; you've probably read countless (similar) reviews of this new browser. But, now that the newness of IE5 has worn off, it's time to figure out what else it has to offer YOU. Here's a little trick that web developers will LOVE: pull up any web page that contains an image, right click on that graphic, pull up its properties, and you'll be able to see its pixel dimensions (width by height)! This is a major timesaver for some of us (on top of being a pretty cool built-in feature).


23/3/1999

23.3.1999

Lockergnomie Davis Straub (co-author of the best-selling book, Windows 98 Secrets) told me about a killer trick for a major Outlook 98 & Outlook Express annoyance. Have you ever seen those solid lines to the left of your reply text in HTML formatted messages? Here's Davis's way to get rid of them: "after you click 'Reply' and get the vertical line(s) on the left, move your text cursor to the spot where you want to insert a response and press 'Enter'--this will extend the line. Next, click the 'Paragraph Style' button on the OE format bar (notice that there is a dot next to normal). Click 'Normal' and the lines will DISAPPEAR! Be sure to check out (http://www.davisstraub.com/secrets/) for the entire OE chapter!


24/3/1999

24.3.1999

I mentioned a tip last week about comparing similar fonts with one another; by all means, I wasn't suggesting that you open up every single one of your fonts and compare all of them simultaneously. That's insane. However, if you really wanna do that, you might as well grab a decent font viewer to help you. You can get: ViewFont (http://www.oceris.com/viewfont/default.htm) is basic, but clean; ListFonts (http://www.cbpf.br/~marcoscm/listfonts/) is a little easier to use, and a bit more configurable; then there's IC Font, (http://www.iridis.com/dsabljic/products.html) which will tell you everything there is to know about any given font; and FontSelector (http://www.theill.com/fs/default.asp) is relatively rudimentary.


25/3/1999

25.3.1999

My first attempt at providing content on the web was with a simple MIDI homepage; I featured a new song every week, and it played in the background. However, not everyone likes to listen to MIDI while they're visiting a web page. If audio controls are not to be found on any given "playing" page, you can simply hit your browser's stop button to cease the music. I'd suggest waiting for the page to completely load before doing this. In IE5, you can minimize the window and the music will be paused. Spiffy!


26/3/1999

26.3.1999

Lockergnomie "Uncle Debi" is famous for creating wallpaper calendars; without asking, he created a special 1999 "Lockergnome" calendar for you to use on your Desktop! It's available in several sizes (and in several different formats). I realize you probably don't want to see LG outside your Inbox, but this calendar wallpaper is just another way to turn something fun into something functional. I think you know who my favorite Uncle is now. Check 'em out: (http://home.wnm.net/~debi/lockergnome.htm)


29/3/1999

29.3.1999

Lockergnomie Bill Swart uncovered an awesome tip the other day (and I'm very glad he decided to share it with the rest of us). When you're in Explorer using the 'Details' view, you might want to resize every section so that you can read its contents more easily. Here's the quickest way to do that: press CTRL and the '+' key on the number keypad. The columns will automatically be resized to their optimum lengths; guesswork goes right out the Window...


30/3/1999

30.3.1999

When IE5 was first being distributed as a public beta, there were many users complaining about the "Go" button. I, on the other hand, was glad to have it. I often surf with one hand on my mouse, and the other away from my keyboard. Without that "Go" button, I had to use the 'Enter' key after I typed a URL in the 'Address' bar. Now, I don't need to touch my keyboard at all--I can simply paste or type a URL in there and then "Go". It's also handy when errors like "The page cannot be displayed" pop-up; simply hit "Go" and watch your browser try the page/file again (this is extremely helpful when you run into busy FTP sites).


31/3/1999

31.3.1999

What's that file's function? It came with Windows, but Who really knows? Well, see if it's listed at (http://web2.airmail.net/darylc1/windows.htm) (thanks to Lockergnomie "Grim Sage" for pointing it out). This page only lists files which came with the original shipping version of Windows 95, but file descriptions probably haven't changed that much with later versions (or with Windows 98). It's certainly a resource worth noting.


1/4/1999

1.4.1999

Has your keyboard ever stopped responding in Windows? You might still have full mouse control, but no way to "type". This could be a hassle, especially if you can't (or don't want to) reboot. Well, pull up the Windows character map (if it isn't installed on your machine, you can add it via the Windows Setup tab in your Add/Remove Programs Control Panel applet). In CHARMAP, you can double-click on 'characters' (in sequence) and then copy them to the clipboard to be pasted into any given application. How's that for a key play?


2/4/1999

2.4.1999

When you have IE4 or IE5 installed (no matter which version of Windows), you should be able to manipulate the placement and order of the toolbars in both Windows & Internet Explorer. On the left side of each toolbar, you'll see a horizontal line--click on that to drag the toolbar up, down, and around. Heck, if you don't want a particular toolbar there at all, simply right click in just about any area of any Explorer toolbar and uncheck the one(s) you don't want to see.


5/4/1999

5.4.1999

Lockergnomie Mike McCollister inadvertently stumbled upon this IE5 Start Menu trick: "Click on the Start button, select 'Programs,' then double-click on any one of the Program Group folders!" Doing this should open up an Explorer window for that folder. You never know when this will come in handy, although Gretchen didn't get nearly as excited about it as I did.


6/4/1999

6.4.1999

A few users were complaining that IE5 didn't have 128-bit encryption yet. Nothing could be further from the truth! If you live in the U.S. or Canada, open up IE5, select 'Help' from the menu and choose 'About Internet Explorer.' Underneath the IE version, you should see "Update Information" underlined. Click on that link and IE will blast you to a page where you can download the encryption update. Yes, if you can do it, you should.


7/4/1999

7.4.1999

How many programs do you have in your Startup group? If you're like me, not very many. I realize, however, that there are some users who have about 15-20 programs automatically launch when Windows boots up. You probably only want a fraction of those to run at any given time, so instead of putting all those shortcuts in your Startup folder, why not place a shortcut to another folder--which contains all the shortcuts you'd normally have in your Startup folder. This way, you could pick and choose which programs you want to run when you start every Windows session.


8/4/1999

8.4.1999

If you haven't seen or downloaded the Lockergnome Stationery yet, swing by http://gnomezone.randysplayground.com/ and have a look! I made them using Outlook Express 5.0 (the one which comes with IE5). You can make your own stationery, too! Open up OE5, select 'Message' from the menu, then choose 'New Message Using,' and click on 'Select Stationery.' At that point, you should see a 'Create New' button... click it and the Stationery Creation Wizard will help you with the rest. Collect 'em & trade 'em with your friends!


9/4/1999

9.4.1999

Just when you thought I was finished with these "fantastic" IE5 tips, I'm giving you another one! You can easily save an entire Web page (including its graphics) by first loading up the page you'd like to save, selecting 'File' from the menu, then choosing 'Save As.' 'Web Page, complete' will be the option you'll want to select (default). There's no muss or fuss with this feature, gang.


12/4/1999

12.4.1999

Believe it or not, I've had quite a few diehard Netscapers tell me that they were extremely impressed with IE5. Some of you, on the other hand, are annoyed with its AutoComplete features. To disable AutoComplete in IE5, select 'Tools' from the menu and choose 'Internet Options.' Click on the 'Content' tab and press the 'AutoComplete' button. At that point, you can pick & choose which fields will use AutoComplete functionality.


13/4/1999

13.4.1999

Still don't like Cookies? You're not alone. To disable them With IE5, you'll have to select 'Tools' from the menu, then choose 'Internet Options.' Click the 'Security' tab and press the 'Custom Level' button. After skipping over a few options, you'll find the 'Cookies' section. Now you can have per-session cookies (which aren't stored to disk after shutting down IE5)! Don't be caught with your hand in the cookie jar.


14/4/1999

14.4.1999

Lockergnomie Josiah Ritchie submitted an excellent tip for those of you who use IE4 (or who dislike the IE5 "Go" button): paste a URL into the Address bar, and if you want to visit that site w/o having to hit the 'Enter' key, simply position your cursor to the white space immediately to the left of the pasted URL, click & hold your left mouse button, then slightly move your cursor in any direction until you see the Shortcut icon appear. When you let go of your mouse button, the pasted URL will be accessed!


15/4/1999

15.4.1999

The Lockergnomie known to me only as the "IE Bunny" has found an IE5 Easter Egg inside an IE5 Easter Egg! First, type the following string exactly as follows (without the quotes) in the Address line of IE5: "about:< !-- introducing the Trident team -->". Then, after you see the flying names & dots, start clicking in the upper-left hand corner (in the black). In a few seconds, the only name you should be seeing is Eric Vasilik's.


16/4/1999

16.4.1999

Remember those folder shortcuts I featured a while back? A Lockergnomie submitted a new one just for IE5 users who want to view the Web pages to which they have "subscribed". Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder using the following string (without the quotes) and hit Enter: "Offline Web Pages.{8E6E6079-0CB7-11d2-8F10-0000F87ABD16}"


19/4/1999

19.4.1999

Yes, I realize that not everybody uses IE5; if you have new, interesting, or unique non-IE tips & tricks, let me know. Lockergnomie John Buxbaum found a way to use his IntelliMouse wheel with Netscape the other day! Open REGEDIT and find your way to HKEY_CURRENT_USER > Control Panel > Microsoft Input Devices > Mouse > Exceptions. Right-click on 'Exceptions' and create a new key with a unique number value. In that new key, create two strings; name one 'description' and the other 'filename'. Make the value of the 'description' string 'Netscape' and the value of the 'filename' string 'netscape.exe'. Then, make a new DWORD value and entitle it 'version'; give 'version' a value of 1. John reinvented the wheel!


20/4/1999

20.4.1999

Haven't installed a DVD drive quite yet? Well, don't worry--in time, they'll come standard on all new PCs. Lockergnomie Jim Bailey discovered a way to turn on the DVD functionality of the Windows Media Player! Open Regedit, navigate to HKEY_CURRENT_USER > Software > Microsoft > MediaPlayer > Player > Settings. Right-click on the Settings key and choose New > String Value. Name that string "EnableDVDUI" (without the quotes). For the value, use "yes" (again, without the quotes). Next time you start Windows Media Player, you should have DVD viewing abilities. Keep in mind, this won't read DVD-ROMs unless you have a DVD drive installed.


21/4/1999

21.4.1999

I informed y'all about a great utility to make e-mail form output easier to read a few weeks back; those of you who use e-mail forms on your Web pages will want to pay close attention to this tweak. Some Lockergnomies showed me an easier way to accomplish a cleaner message. In the FORM tag, be sure to have ENCTYPE="text/plain" as one of your attributes; this will set up the message to be text-based in nature, without those ugly codes. It's a killer time (and eye) saver.


22/4/1999

22.4.1999

Lockergnomie Celal Hallac came up with a rather good way to ensure that you're getting the cleanest Defrag possible in Windows 95/98. It will involve editing SYSTEM.INI, but that shouldn't be too much of a problem for advanced users. In the [boot] section, change "shell=explorer.exe" to "shell=defrag.exe" then exit and reboot. When you load Windows next, the Disk Defragmenter should be the only program to load. Run it, then 'CTRL-ALT-DEL' to reboot upon defrag completion. Before Windows starts its boot process, hold onto the F8 key and select the "Command Prompt Only" option. In your Windows directory, type "edit system.ini" and reverse your original change. Save, exit, then 'CTRL-ALT-DEL' to reboot and get on with your life.


23/4/1999

23.4.1999

You've probably seen the "about" tricks in your Web browser before. If not, try typing "about:lockergnome" in the address line of either Netscape or Internet Explorer. Nothing terribly impressive, right? Well, IE users can customize their own "about" dialogs in the Registry. Navigate to HKEY_LOCAL_MACHINE > Software > Microsoft > Internet Explorer > AboutURLs. Then, you can create customized "about" screens at your leisure--just direct any given keyword to a Web page or site. Thanks to a few Lockergnomies for submitting this tip.


26/4/1999

26.4.1999

If you've used the IE4 or IE5 image zoom power toy, you might have noticed that it doesn't work as well as it should. You can enlarge an image easily, but when you shrink it again, the image will not retain its proportions. Lockergnomie Matthew Walker says that the fix is easy (coding experience not necessary, but strongly recommended). Open the 'zoomin.htm' and 'zoomout.htm' files from 'C:\Windows\Web' and move the 'w =' line directly underneath the 'h =' line, and do the same for the 'parentwin' lines ('h' over 'w'). NOTE: 'zoomin.htm' has asterisks instead of slashes, but you can apply the same tweak.


27/4/1999

27.4.1999

E-mail aggregator programs are evil; you can do your best to hide an e-mail address on a Web page, but there's no easy way to outsmart those beasts. A Lockergnomie found to be a possible solution--and amazingly enough, it works! Enter your e-mail address and in a matter of minutes, they will send you the HTML code which you may insert into your Web page. While everything will appear "normal" in the browser, aggregators won't be able to 'see' or extract your address. NOTE: you do not need to subscribe to their newsletters.


28/4/1999

28.4.1999

Outlook Express 5.0 isn't just for reading e-mail messages and reading newsgroups. Some Lockergnomies have discovered a nifty, new button tucked away inside IE5's contact manager. Open OE's Address Book, double-click on any one of your contacts, and select either the 'Home' or 'Business' tab. If you've entered an address for that person or company, click on the 'View Map' button to see a navigational map from Expedia.com load up in IE5! You'll never get lost again, gang.


29/4/1999

29.4.1999

There are utilities available which make it easy to drop to a command prompt from any given folder--but you can accomplish the same feat without installing extra software! A Lockergnomie explained this simple process: in Explorer, navigate to where you'd like to start a command prompt. Then, select 'Run' from the Start Menu, type "COMMAND", and press 'Enter'. At the command prompt, type "cd " (without the quotes, but with the added space at the end). Drag & drop the folder from Explorer into the Command Prompt window and hit 'Enter'. You did it, dude!


30/4/1999

30.4.1999

The problem with using stationery in Outlook Express is that you have virtually no control over the code. However, a Lockergnomie named Linda found this killer trick for OE5 users: Open a new message, select 'View' from the menu, then click on 'Source Edit.' You should now see a set of tabs at the bottom of your message which will allow you to "WYSIWYG" edit, source code edit, and preview your message as the receiver should see it. Creative content is now a lot easier to tweak!


3/5/1999

3.5.1999

How many floppy drives do you plan on adding to your computer in the near future? The average user won't add any, but Windows 98 attempts to be intuitive by searching for new floppy drives on every boot-up. To keep Windows from looking (and to slightly speed up booting time), right-click on 'My Computer' and select 'Properties.' Then click the 'Performance' tab, press the 'File System' button, then select the 'Floppy Disk' tab. Remove the checkmark from the box. While you're there, you might scope out the 'Removable Disk' tab, too.


4/5/1999

4.5.1999

IE5 has the ability to make FTP sites appear more like local folders. To enable this function, you have to be sure that 'Use Web Based FTP' is not checkmarked on the 'Advanced' tab in 'Internet Options.' Here's something else that I inadvertently stumbled upon: when you're browsing an FTP site, select 'View' then 'as Web Page' from the menu. IE should then show you the 'welcome' message for that archive at that point. On top of this, the new 'Web' pane will show you which files you have selected, and their full paths.


5/5/1999

5.5.1999

The first time I heard a clicking sound that accompanied Windows or Internet Explorer navigation, I was impressed. Within five seconds, however, I was disturbed. If my annoyance "sounds" familiar, understand that there's a very simple way to turn off the 'clicking' noise. Open the Control Panel and select the 'Sounds' icon. Look for 'Select' in the Windows section, and 'Complete Navigation' & 'Start Navigation in the 'Windows Explorer' section. Select any/all of those and assign '(None)' for their sound association.


6/5/1999

6.5.1999

Getting to the Desktop is a breeze when you're using a normal 32-bit dialog box. Ya know, when you're trying to 'open' or 'save' a file? You should see a 'Desktop' mat at the top of the window--press it once and you'll be magically transported to your Desktop (within the dialog). Here's a little secret I just discovered: press the 'Desktop' icon again and it will take you back to the directory you were in beforehand! Top that one...


7/5/1999

7.5.1999

I've been thinking about picking up a CD burner lately. I'm sold on the idea of owning one, but I'm just not sure which brand to go with. You don't need to own a recordable CD drive to make the most from this tip, though. If you use CD-R or CD-RW discs often, you should tweak your CD-ROMs settings. Right-click on 'My Computer' and select 'Properties.' Then click the 'Performance' tab, press the 'File System' button, then select the 'CD-ROM' tab. Then, set the 'Optimize access pattern for' selection to 'No read-ahead.' This should markedly improve performance in CD-R or CD-RW access.


10/5/1999

10.5.1999

I copy text frequently: from the Web, e-mail messages, or other rich-text documents. Sometimes I just want to keep the text--not all its fancy-schmancy formatting. So here's a workaround for when you're dealing with formatted text: after copying, open up Notepad and 'Paste' the text in there. From there, you may save the text as a new file, or 'Copy' it again to the clipboard and paste it in another document. All the formatting will have been stripped from it at that point.


11/5/1999

11.5.1999

I've been scanning the Internet for killer "Phantom Menace" pictures... and believe me when I say that my hard drive is full! Here's the way I preview those graphics. Open the Windows Explorer, find a folder which contains either graphics or HTML files, right-click on it and select 'Properties.' Then, towards the bottom of the properties sheet, place a checkmark in the 'Enable thumbnail view' box and click 'Okay.' Now, open that folder, select 'View' from the menu and you should see 'Thumbnails' as a new option. Select it, and let the graphical force be with you.


12/5/1999

12.5.1999

Is "Text Document" not descriptive enough for you? Would you rather refer to a TXT file as a "Shiny Happy Text Thing"? Open the Windows Explorer, click 'View,' then 'Folder Options,' select the 'File Types' tab, then look for whatever file type you'd like to change. When you've found one, select it and click the 'Edit' button. At that point, you can put just about whatever it is your little heart desires in the 'Description of type' field.


13/5/1999

13.5.1999

There's a WIMP on the block, but it's a real bully. The Windows Media Player isn't perfect, but you can stop it from playing files before giving you the option to 'Save as.' Open the Windows Explorer, click 'View,' then 'Folder Options,' select the 'File Types' tab, find the media file you'd like to have not play automatically, select it and click the 'Edit' button. Place a checkmark in the 'Confirm open after download' box.


14/5/1999

14.5.1999

Icons--get your hot, fresh icons here! Those IE toolbars are pretty wonderful additions to your Desktop. Not only do they stay out of the way, but adding frequently-used shortcuts to them will most likely save you time. Just drag & drop any folder to the top or side of your screen, and a new toolbar will be created. Heck, you can even drag & drop any given file onto an existing toolbar and it will automatically create a shortcut for it. What happens when those icons go haywire? Never fear, just right-click on the toolbar 'handlebar' and select 'Refresh' from the menu.


17/5/1999

17.5.1999

You may love following links in Lockergnome's HTML Daily newsletters (or on any given Web page, for that matter). But, by default, links will open up in the same browser. Lockergnomie Ran Biron came up with a solution for those of you who would rather have clicked-upon links open up in a NEW window. If you have IE4/5 set as your default browser, hold onto the Shift key when you click on a link. It's a shifty way to do things, but it works. Now, to consolidate all of those separate browser instances, consider picking up NetCaptor: http://www.netcaptor.com/ -- an excellent IE shell!


19/5/1999

19.5.1999

Every file/folder has a place on your hard drive. This location is called its "path." By default, the Windows Explorer will not show you the full path for the object you're currently viewing. To turn this function on in the Windows Explorer, select 'View' from the menu and open 'Folder Options.' Under the 'View' tab, be sure the 'Display the full path in title bar' box has a checkmark inside it. Or, if you want a quick & dirty way to view an object's path: open the Run command (select 'Run' in your Start Menu or hit WinKey+R). Then, drag & drop a file or folder onto it. Not only will you get the object's path, but you'll also be able to see its extension! The file/folder will be opened if you press the 'OK' button.


20/5/1999

20.5.1999

After downloading the 'Toolbar Wallpaper' accessory from MS's site (http://www.microsoft.com/windows/Ie/WebAccess/default.ASP), you can change the background bitmap easily in IE5's Web browser. So what about the Windows Explorer toolbar? IE4/5 users can spice that up, too! Open REGEDIT and navigate to HKEY_CURRENT_USER \ Software \ Microsoft \ Internet Explorer \ Toolbar. Right-click in the right-hand pane and create a new String value; rename this to "BackBitmap" (without the quotes). Double-click the "BackBitmap" value to edit it, then enter the path to your favorite BMP file. Launch the Windows Explorer and its toolbars should have that BMP as a background! To remove the image, you must remove this string from the Registry (be careful).


21/5/1999

21.5.1999

Windows may be telling you that you have an Intel Pentium processor, but is it telling you the whole story? Right-click on 'My Computer' and select 'Properties.' Under the 'Computer' section, if you see 'GenuineIntel,' you can proceed with this trick. Close the properties sheet, launch REGEDIT, and navigate to HKEY_LOCAL_MACHINE \ Hardware \ Description \ System \ CentralProcessor \ 0. Double-click on the 'VendorIdentifier' key, put a space between "Genuine" and "Intel," then close REGEDIT. Now, re-open the properties for 'My Computer.' Below the 'Genuine Intel' line, you'll see a line that reads: 'x86 Family A Model B Stepping C' (these values will vary from system to system). Rebooting will reset this tweak.


24/5/1999

24.5.1999

Here's possibly one of the coolest tips I've seen all year. NOTE: this tip is only for those of you with IE4/5. Select the 'My Computer' icon with your left mouse button, then drag & drop it onto any side of your screen. No matter where you place it, you'll see a listing of your computer's components. Now, press the CTRL key and with your left mouse button, click once on your 'C' drive. You should see a cascading display of all your flies and folders! Simply click on any one of those icons and the file/folder should open. This can also be done with the other items in your "new" toolbar. Right-click on the handlebar and toggle 'Show Text' and 'Show Title' to tweak its appearance.


25/5/1999

25.5.1999

Having quick & easy access to all the applets in your Control Panel is just a drag & drop away, gang. NOTE: this tip is only for those of you with IE4/5. Open 'My Computer' and select the 'Control Panel' folder (but don't open it). Then, drag the icon down onto a free area of your Taskbar and drop it. At that point, a new toolbar will be created; you can right-click on the leftmost handlebar and toggle 'Show Text' and 'Show Title' to tweak its appearance. Try dragging & dropping the 'Control Panel' folder icon onto the side of your screen, too. These toolbars can also be created with other "special" folders by following the same steps. Experiment!


26/5/1999

26.5.1999

Let's back up for a second... when was the last time you backed up your registry? Providing you're running Windows 98, this important system file was automatically duplicated when you rebooted for the first time today. To restore "old" copies of the registry, shut down your computer and select 'Restart in MS-DOS mode' from the menu. Then, when you're at the command prompt, type: "scanreg /restore" (without the quotes). At that point, you can choose the file you wish to restore. To make another backup copy, type: "scanreg /backup" (without the quotes). The '/fix' switch might come in handy, too. Obviously, this utility should be used before and after you've run into problems with Windows.


27/5/1999

27.5.1999

What kind of speakers do you have for your PC? And how many of them are there? Windows 98 users should appreciate the ability to tweak playback options for their sound card using the Multimedia applet in the Control Panel. Open it up, select the 'Audio' tab, and press the 'Advanced Properties' button in the 'Playback' section. The 'Speakers' tab should have a drop down box, allowing you to select a speaker configuration for your particular setup. Accordingly, Windows should optimize the way it plays sounds. You may consider selecting a completely different configuration from your own to "hear" if it maximizes output quality. Sounds good to me!


28/5/1999

28.5.1999

Most of us have become very reliant on the mouse since Windows 9x surfaced. However, pointing and clicking isn't always the quickest way to complete a task. Keyboard shortcuts are everywhere, although their default assignments aren't always apparent. In Microsoft Office, you can "turn on" the display of keyboard shortcuts within the tool tips! In the menu, click on 'Tools,' 'Customize,' then select the 'Options' tab. Then be sure that the 'Show ScreenTips on toolbars' and 'Show shortcut keys in ScreenTips' boxes have checkmarks inside. From that point on, you'll see the keyboard shortcut in parenthesis alongside the button's description in any given Microsoft Office application. NOTE: not all functions have shortcuts.


31/5/1999

31.5.1999

Everybody seemed to enjoy last week's Toolbar tweaks... and a handful of you called my attention to another variation on the theme. If you have IE4/5 (with Active Desktop) installed on Windows 9x, right-click on your Taskbar, select 'Toolbars,' then 'Desktop.' You should see a new toolbar appear in your Taskbar; left-click where it says 'Desktop' and drag it all the way to the right (towards your System Tray) until you see just the word 'Desktop' and a couple of small right-pointing arrows. Left-click on those arrows, and you'll get a menu of all the items currently sitting on your Desktop, plus cascading menus for every component and folder on your computer. This one's definitely a keeper!


1/6/1999

1.6.1999

From the "Do you hear what I hear" department: Lockergnomie Trubnikoff Valery has discovered a way for IE4/5 users to preview WAV, MID, RMI, MOV, AVI, and MPG media files within the windows Explorer. "Open up the 'Web' folder in your Windows directory, then open the 'folder.htt' file in Notepad. Replace the string 'wantMedia=false' with 'wantMedia=true' -- next time you select a "media" file in Explorer, you'll see 'play' and 'stop' buttons in the leftmost panel."


2/6/1999

2.6.1999

From the "Jumpin' Jack Flash, it's a crash, crash, crash" department: Lockergnomie Terry Eden may have a solution for a long-standing Windows quirk. "When Explorer crashes, it can take away all your lovely System Tray icons. But there may be a way to prevent this from happening! Before you hit the "Close" button on the application error, load up one or two more copies of Explorer... then hit the Close button. Sadly, your browser window will be gone, BUT all your System Tray icons should still be intact."


3/6/1999

3.6.1999

From the "Hello, I love you--won't you tell me your name" department: Lockergnomie Rhyddian Olds found a way to make networked computers' listings more descriptive. It was brought up specifically for use in NT4 (but may work in W2k). First, you'll need to launch your registry editor. You'll find that the HKEY_CLASSES_ROOT \ CLSID \ {20D04FE0-3AEA-1069-A2D8-08002B30309D} contains information regarding the Desktop icon for 'My Computer' -- by changing the name of the icon directly in the Registry, you'll give that icon much more functionality. Select the value and delete it; from the Edit menu, select Add Value; leave the value name blank and set the type to REG_EXPAND_SZ. Click 'OK' and enter the following text: "%USERNAME% on %COMPUTERNAME%" (without the quotes) then click 'OK' again. Close the registry editor, click once on the Desktop to select it, and press F5 (refresh) for the change to take effect.


4/6/1999

4.6.1999

From the "When good links go bad" department: Lockergnomie Mike Krajewski uncovered a hidden gem on the Windows 98 CD-ROM. In the Tools \ Reskit \ Desktop folder click on "chklnks.exe" to open up the Check Link Wizard. This utility will scan your hard drive for defunct shortcuts. If you want, you can copy this program to your hard drive and use it every once in a while (when you're feeling like cleaning up your computer).


7/6/1999

7.6.1999

From the "Space bar: the final frontier" department: Lockergnomie Andrew Householder has passed along an ALT+SPACE series of keyboard shortcuts. To bring up a window function dialog for the active window, depress the ALT key then tap your space bar. From that point, you can close, move, size, minimize, restore, or maximize that window. For even quicker operation: ALT+SPACE+C will close, ALT+SPACE+M will move, ALT+SPACE+S will size, ALT+SPACE+N will minimize, ALT+SPACE+R will restore, and ALT+SPACE+X will maximize the current window.


8/6/1999

8.6.1999

From the "How fast was I going, officer" department: Lockergnomie Kerry Rogers has brought a nifty modem tweak to my attention. The connection icon in the System Tray may say that you're connected at "115200" (or some other bogus number), when you're actually connected at 26400. This is because Windows may be reporting the port speed (not the actual speed the user at which the user is connected). Open the 'Dial-Up Networking' folder (in 'My Computer'). Right-click on an Internet service icon, select 'Properties,' press the 'Configure' button, click the 'Connection' tab, then press the 'Advanced' button. In the 'Extra settings' field, try adding "W2" (without the quotes) to your initialization string. Upon doing this, you may see a more accurate connection rate the next time you connect to the Internet.


9/6/1999

9.6.1999

The other day, a Lockergnomie reminded me that Windows 98 users can easily change their link cursor in Internet Explorer 4/5. Ya know, the "pointing hand" that you see when you hover over a link in IE? Fire up your Control Panel, double-click the Mouse icon, select the 'Pointers' tab, then scroll down to 'Link Select' and 'Browse' for a replacement cursor/icon. Heck, while you're at it, you can change your other cursors just as easily, too.


10/6/1999

10.6.1999

To select an object (icon), you simply "click it" once with your left mouse button. But what if you want to select more than one object at a time? Try left-clicking & dragging your cursor (starting in a blank area)... you should then be in control of a resizable rectangle. At that point, you can highlight any given set of icons so that they become selected (on your Desktop or in the Windows Explorer). Once you've selected a series of objects, you can manipulate them by right-clicking or dragging & dropping one of the icons.


11/6/1999

11.6.1999

Let's say you've got a series of objects (icons) selected in the Windows Explorer. However, you're wanting to deselect a few individual icons. Instead of continually left-clicking & dragging, hover your cursor over a selected icon, hold down the CTRL key, and left-click the object. It will immediately become "unselected." Conversely, if you wish to select an icon, you can use the same method (use the CTRL key when left-clicking upon an unselected object). Your selection (or deselection) will be cumulative. In a similar vein, depressing the SHIFT key while selecting an object will allow you to select every item in between that one and the next one you left-click upon (while still depressing the SHIFT key).


14/6/1999

14.6.1999

Sometimes the Desktop (and folders) don't refresh properly. If you've got Windows "residue" on the screen that shouldn't be there, try hitting F5 and see if it disappears. If not, you may have a bigger problem on your hands (try upgrading your video card driver). You can also hit F5 to "refresh" Web pages. It's the Function key of choice!


15/6/1999

15.6.1999

Lockergnomie "Zero Gear" found something QUITE interesting that I've never seen before (and I dare to say that none of you have, either). This is an EXTREMELY undocumented feature of Windows 98--I don't even know what it is or what it's to be used for. Using Windows 98, click the Start button, go to Settings, hold onto the CTRL key and click "TaskBar & Start Menu." Now, look at the right-most tab: DeskBar Options!? Everything is grayed out, so I'm not sure what to make of it. Interesting, to say the least.


16/6/1999

16.6.1999

Have you ever downloaded an animated cursor and wanted to see what it looks like in motion? Simply select it then hit ALT+ENTER (or just right-click on it and select 'Properties'). Voila! Well, even though it won't play the animation at full speed, it WILL loop through the entire animation sequence.


17/6/1999

17.6.1999

Ever forget your Windows password (it could happen)? Just go to your Windows directory and delete the PWL file with your login name (CHRIS.PWL for example). Restart windows (or log in as a new user), use the information you had been using before, and it should prompt you for a new password.


18/6/1999

18.6.1999

Here's another typing shortcut for you slow typers. If the site address you're looking for starts with a 'www' and ends in a 'com' then you're in luck. In later versions of Netscape and Internet Explorer, you can type in the root word (for example, 'pirillo'), hit ENTER, and wait a few seconds for 'www.pirillo.com' to automatically load. And you should forget about typing 'http://' first... the newer Web browsers will automatically insert it.


21/6/1999

21.6.1999

If you want to possibly speed up the refresh rate in Console Windows, add the following to the [386Enh] section of SYSTEM.INI: WindowsUpdateTime=10 (the value is the refresh rate in milliseconds). NOTE: using values less than 15-20ms requires a fast machine and a good video card. Otherwise your system will become very slow when a DOS Box or Win32 Console Application is running). Make sure to reboot your system after setting the tweak.


22/6/1999

22.6.1999

Don't you hate downloading a file only to find that it covers up or is covered up behind another icon on your Desktop? No matter what, when something appears on the Desktop for the first time, it will pop on the LEFT side first. Well, here's a tip: move all the "permanent" icons to the RIGHT side of your Desktop. Minimize the hassle and make the move. And keep only what you need on yr Desktop--if you have more than 10 icons, start putting things into the Start Menu or a toolbar. That's what they're there for, gang.


23/6/1999

23.6.1999

Having problems in Windows 98? There's a doctor in the house! Simply select the Run command from the Start Menu and type: DRWATSON (then hit Enter). You'll get a doctorish icon in your System tray. He'll help you troubleshoot & document crashes plus show you the Windows operating environment. While you're "running" things, try 'MSCONFIG' if you want to control how Windows operates. Maximum tweakability!


24/6/1999

24.6.1999

At times, site frames can be useful, but when they don't clear themselves from your browser when you click on "outside" links, they become annoying. So, next time this happens in IE4, simply click (and hold) a link, then drag & drop it onto the address line of your browser. Voila -- no more frames! You may also drag & drop links into folders or onto your Desktop; it's a link's greatest adventure.


25/6/1999

25.6.1999

A 'Send To' cascading menu pops up when you right-click on an object... put a shortcut to NOTEPAD in there! When I want to edit (or view) a text file that isn't registered with Notepad, I just 'send it' to Notepad. Open the Run Command line (hit WINKEY+R or click on the Start Button and select Run), type in "SendTo" without the quotes, right click somewhere in the 'SendTo' Explorer window, make a New Shortcut, and point it to "notepad.exe" (again, without the quotes) and then click 'Okay.' Now, the only thing left to do is remember to use it!


28/6/1999

28.6.1999

AutoComplete is a pretty nifty feature in IE5. I know it has saved me a bit of typing now and again--especially for frequently used fields (name, e-mail address, etc.). But what if you've got an entry in there which you'd rather not keep? Other than flushing the entire cache of data, how can you get rid of a few individual entries? Simple. When you're entering data into an 'AutoComplete aware' form, before you start typing anything, double click on an empty field. At that point, you could see a drop-down list of previously entered strings for that form. Hover your mouse cursor over an entry you wish to delete and... tap the 'Delete' key. It's gone!


29/6/1999

29.6.1999

From the "You Never Feature Anything For Netscape" department: Lockergnomie Sergei Poskriakov happened upon a rather interesting workaround. "Windows claimed that Netscape had performed an illegal operation and was going to be shut down. I ignored the message; Netscape was still responding to controls and working fine--albeit somewhat slower than usual. I guess you can sometimes still finish what you were doing even after an illegal operation warning. I suppose it also means that Windows can't recognize a critical error from a benign one." It's always worth a shot!


30/6/1999

30.6.1999

From the "Skeleton Key" department: Lockergnomies Vladi Eftenov, Ramey Bell, and Daniel Gelinas have uncovered some handy-dandy Web browser keyboard shortcuts. For a quick way to shift focus to the address line, either tap the F6 key or try the ALT+D key combination. Or, if you'd like to see what's in your Address bar's history list, simply tap the F4 key. Your mileage may vary, but these should work in most situations. Get that hand off your mouse, mister!


1/7/1999

1.7.1999

From the "Seeing Double" department: Lockergnomie Albert Lo has come up with a nifty JavaScript applet which will allow you to have dual panes in the same Explorer window! To download it, simply visit http://www.lockergnome.com/coolstuff/ and download the Double.zip file. Then, open the included 'double.html' file in Internet Explorer. How long have you waited for THIS tweak?


2/7/1999

2.7.1999

From the "Total Space Case" department: Lockergnomie Mark Lumsden found a nifty shortcut for those of you who love using the keyboard while you browse. Instead of clicking and dragging the scroll bar, tap the space bar on your keyboard and the page should scroll down. Now, if you want to scroll up, just hold onto the SHIFT key while tapping the space bar. Scrolladelic, baby.


5/7/1999

5.7.1999

From the "I Like Coffee I Like Tea" department: Lockergnomie Keith Borton presents an excellent way to detect the installed IE Java Virtual Manager version. This way, you can be sure you're always using the latest version. "Drop to a command prompt by typing "COMMAND" (without the quotes) on the 'Run Command' line in the Start Menu. Then, at the 'C' prompt, type "jview" (again, without the quotes). In the upper right-hand corner of the console window, you should see a version number--that's what you're looking for!


6/7/1999

6.7.1999

From the "You Really Start Me Up" department: Lockergnomie Eliot Gelwan found a way to further expand your choices when Windows launches. Normally, you have a range of shortcuts in your 'Startup' folder. Now, if you put a shortcut to a folder in there, an Explorer window will launch when Windows runs through the Startup menu. Here's my suggestion: make a folder somewhere on your hard drive and name it something (like 'Launchers'). Move all the shortcut icons out of the Windows Startup folder and into the 'Launchers' one. Then, place a 'Launchers' folder shortcut into the 'Startup' folder; it should be the only shortcut in there. This way, when Windows boots up, you'll see a small window with all your 'Startup' shortcuts displayed. You can pick and choose which ones you want to launch at that time. To open the 'Startup' folder, simply type "Startup" (without the quotes) on the 'Run Command' line in the Start Menu.


7/7/1999

7.7.1999

From the "Confirm Alan One" department: Lockergnomie Anthony Lieuallen brings to light a tip to help those who have lost a potentially important option. "I once clicked on a ZIP file in Internet Explorer and un-checked 'Always ask before opening this type of file?' mistakenly. The option to save ZIP files never showed up again. I found that if you open up the Windows Explorer, select 'Folder Options' from the View menu, then select the 'File Types' tab, you can locate the ZIP file association and Edit it. At that point, you can place a checkmark back into the 'Confirm open after download' field. Once again, you will be prompted to open or save a file before downloading it."


8/7/1999

8.7.1999

From the "Somebody Please Save Me" department: Lockergnomie Gord Braun has stumbled upon a good habit. "If you are typing a lengthy e-mail message, namely something that's really important, I strongly suggest pressing CTRL+S at regular intervals. This action should save a (temporary) copy of your work in the 'Drafts' folder in Outlook or Outlook Express." This tip may also work in other e-mail programs (Eudora, Pegasus, Netscape, et al)... refer to your e-mail program's documentation to see if copies are automatically saved for messages which take a while to compose. This way, if something happens to your PC while you're in the middle of a message, all will not be lost. It's kinda like fire insurance--only not as hot.


9/7/1999

9.7.1999

Newer versions of Microsoft Word have timesaving auto-formatting features enabled by default. However, we don't always want our Web addresses hyperlinked, nor do we always want our misspellings spelled correctly. To toggle these features, select 'Tools' from the menu, then 'AutoCorrect' in the drop-down list. From the dialog that pops up, you should be able to tweak Word's settings to your liking. Or, if you'd rather keep the automatic stuff turned on all the time, you can easily undo an auto-format immediately after it has been applied. Say you're typing along and Word changes 1/2 into 1/2 -- but you'd rather have 1/2. Just hit backspace as soon as Word makes the automatic change. It will revert back to your original string.


12/7/1999

12.7.1999

From the "They Call Me Flipper" department: Lockergnomie Chris Graham discovered a way to switch between documents in a program with a multiple document interface (MDI). Examples of such programs would be Word or Excel 97 (where more than one document may be open within the same window). To change focus from one open document to another, use either the CTRL+F6 or the SHIFT+CTRL+F6 keystroke combination. Don't even bother with your mouse--using the keyboard will be much faster.


13/7/1999

13.7.1999

I can't believe how many times I've been asked about sorting items alphabetically in the Start Menu over the last couple of weeks. It's not so simple with IE4, but it's a snap with IE5. My suggestion: if you have IE4, you shouldn't have a problem upgrading to IE5 (which I recommend). Right click anywhere on a Start Menu 'Programs' shortcut and select 'Sort By Name.' Voila! Note, too, that IE5 added renaming functionality for Start Menu items as well.


14/7/1999

14.7.1999

From the "Use The Back Door" department: Lockergnomie Elmer Standish has a good tip for when you encounter missing files or pages. It's frustrating When you surf the Web and stumble upon 'File Not Found' errors. These usually happen when personal pages change or accounts get deleted. If the '404' URL is: http://www.lockergnome.com/~biggs/software.htm -- try removing the 'software.htm' to see if the 'biggs' account is still active. Just "peel" away the layers one by one (starting with the last section) to see if you get anywhere. It may not work every time, but it's better than giving up!


15/7/1999

15.7.1999

Sometimes it's not easy to tell when a Web page was last updated. If the author doesn't show you outright, you should be able to find out with a snippet of JavaScript code. Open your JavaScript-enabled Web browser and type the following on the Address line: javascript:alert(document.lastModified) -- hit Enter, and a dialog box should pop up with the time & date of the last page modification. It's a simple trick you should keep up your sleeve should the need arise.


16/7/1999

16.7.1999

The File Transfer Protocol (FTP) has been around for years; it's much older than the Hypertext Transfer Protocol (HTTP). Just as today's Windows versions come with a default Web browser, they also come with an FTP program. Before you download or install a high-end client, see if FTP.EXE does the trick for you. It has neither fancy-schmancy icons nor a point-and-click interface. Select 'Run' from the Start Menu and type "FTP" (without the quotes). For a list of available commands, enter a question mark. NOTE: You may also type "FTP" at a command prompt to run this vanilla client.


19/7/1999

19.7.1999

Years ago, compression was all the rage. Now that hard drives can handle 20+ gigabytes of data, you shouldn't have to rely on software compression for more space. Of course, if you're still hankering for an extra byte or two, fire up your favorite ZIP file manager. Run a digitally fine-toothed Comb through your hard drive, searching for data & programs which you hardly use. When you've found a few, ZIP them up! You'll potentially wind up saving megabytes.


21/7/1999

21.7.1999

Reinstalling Windows every once in a while is a wise thing to do... if you're an experienced user. Before you decide to "redo" your system, make sure you've gathered all of your important data. You may choose to 'backup' on high-end removable media, but you should be safe enough by storing every irreplaceable file in one particular folder: My Documents. This way, you shouldn't have to worry about accidentally deleting an important file--as long as you don't remove the 'My Documents' folder from the root of your hard drive. I suggest keeping ALL of your saved data, documents, and multimedia in 'My Documents' subfolders--you'll always know where those files are.


22/7/1999

22.7.1999

When merging system registry patches, you're asked to verify the action as a preventative measure. Sometimes, patches have to be applied with every session; you can place a 'REG' file in your StartUp group, but the problem is, you have to click 'Yes' then 'OK' in order to use the patch. However, were you aware of the '/s' switch for REGEDIT? Create a shortcut to a 'REG' file, and on the Target line (before the file location), type: "REGEDIT /S" without the quotes. Now, the process will be completely SILENT. You may also add the '/S' switch to the REG file type 'Merge' action in the Windows Explorer Folder Options dialog.


23/7/1999

23.7.1999

No doubt you've seen the "Cannot find server / The page cannot be displayed" error in IE5. But, that doesn't automatically mean that the page in question doesn't exist. Sure, if the domain isn't registered, you'll see this message. But, you'll also see it when there is a data transmission error (or when the server is experiencing a high amount of traffic). Which means: the page may very well exist--it just failed to load. Don't give up! Check for typos, then hit the Refresh button (or tap F5). So much for user-friendly messages, eh?


26/7/1999

26.7.1999

Everybody knows that two plus two is five... right? Okay, so maybe mathematics isn't my strongest suit. I can handle the 'Standard' Windows calculator, but when I toggle the interface to 'Scientific,' the functions become a little more complicated. If you don't know what a button can do for you, right-click on it and select 'What's This?' -- but don't stop with the calculator. You can use this right-click trick in just about any Windows dialog box; it's a very quick way to get the help you need. Try it next time you become confused.


27/7/1999

27.7.1999

Many Internet content providers need sponsors. But if you say 'pop-up window' to a Web surfer, you better make sure your medical insurance is paid up. Yes, some are annoyed by those browsing intrusions (especially if they have slow connections). Here's a quick way to stop those suckers dead in their tracks: when a pop-up window pops up, hit the 'Esc' key. The window's contents should stop loading immediately. From there, you can close it. Yes, there are programs to stop them before they start (you can also turn off 'JavaScript' in your browser's options dialog). I guess the 'Escape key method' is quicker, works only when you want it to work, and doesn't take up any disk space.


28/7/1999

28.7.1999

When monitors went from monochrome to color, geeks were taken aback. Nowadays, we can get true-to-life colors on the screen. But, just because we can operate Windows with millions of colors doesn't mean we always should. In some cases, your video will become increasingly sluggish as you use higher color depths. To change your video's settings, right-click on the Desktop, select 'Properties,' click on the 'Settings' tab, then find the 'Color' drop-down box. '256 Colors' is probably too low, and 'True Color' is most likely too high. So what's the sweet spot? 'High Color (16-bit)' will give the average user all the colors s/he would ever want.


29/7/1999

29.7.1999

How fast can you type? I think I clocked myself somewhere around 100 words per minute once. Of course, not everyone types as fast (or as slow--depending on how you look at it). Can your keyboard keep up with you? How often do you use your cursor keys? Do they respond quickly? Open up the Keyboard applet in the Control Panel. >From there, you can manipulate the rate and delay. My suggestion: set them to the max! You can also change keyboard settings easily from the command prompt by typing: "mode con: rate=32 delay=1" (without the quotes). Keep those fingers on home row.


30/7/1999

30.7.1999

Here's an interesting fact passed along to me by Shaun (while we were driving from San Francisco to LA). The quickest way to close your CD-ROM tray isn't always the wisest. If you have an open/close button on your drive, you should use it. By pushing an ejected tray back into place, you may be putting undue stress on the hardware. I've learned one thing throughout the years: anything with moving parts should be treated with care. Of course, I don't want you to become over-protective... just keep this in mind. If that's not much of a tip for ya, how's this: before you reboot Windows, remove any CD from your drive(s). You may shave a few seconds off of boot-up time!


2/8/1999

2.8.1999

Feeling adventurous today? 99% of what I cover in Lockergnome deals with the software side of your system, but here's a hardware tip could keep you from replacing parts prematurely. You probably don't open your case on a routine basis, but if you've owned your PC for over a year, you may want to take a peek inside. Check out all them dust bunnies! Pick up a liquid air (dust remover) spray can from your local computer store and clean house. I wouldn't suggest blowing with your own mouth, as spit has a tendency to ruin delicate components. Your system won't run any faster, but it'll be a lot cleaner.


3/8/1999

3.8.1999

I know you've received at least one e-mail in your life. How else would you be reading this sentence? When I wrote my book, I was sure to include a small section on e-mail etiquette. When you forward messages to other people, it is customary to send the ENTIRE text. However, when you reply to someone's message, you should be a little more mindful. Should you include someone's original message in your reply, weed out anything irrelevant. I always suggest keeping key sentences, but nothing more. This way, you'll cut down on message size, and the recipient won't have to hunt for comprehension. Be nice, think twice.


4/8/1999

4.8.1999

My daily task list is starting to shrink again, but Mr. Bigglesworth seems to have tons of tasks he's yet to complete. Where's a task manager when you really need one? It's right on your machine! TASKMAN.EXE is an alternate version of your taskbar; select 'Run' in your Start Menu and type 'TASKMAN' (then hit ENTER). Lookie there, kiddo... it's all of your tasks lined up in a row! To a certain degree, you can tweak this program's UI (as well as control certain Windows functions). If the taskbar isn't enough for you, call on the TASKMAN. I wonder why it's not a TASKWOMAN? Gretchen does more things around here than I do, I swear...


5/8/1999

5.8.1999

Too many folders in your Start Menu? Go figure; try to whittle them down a bit when you have the chance. Maintain general categories for optimum efficiency (Entertainment, Utilities, Internet, Multimedia, Productivity, Optimization, etc.). But that's not what this tweak is about. Ya know that StartUp folder you have sitting in there? When a VB4 application is installed, it will automatically create a 'StartUp' group in your Start Menu. UGH! You can easily move it out of the Start Menu, or you can just HIDE it. Pull up its Properties (right-click it if you have IE4 or IE5 installed), then place a checkmark in the 'Hidden' menu. Sayonara!


6/8/1999

6.8.1999

Icons are helpful in visually describing what lies beneath them, and sometimes textual reminders are a bit too much. You know that the book icon is for launching your favorite word processor--but you can't have a textless icon... or can you? Rename the icon (select it and tap the 'F2' key). While depressing either ALT key, enter '0160' on your numeric keypad. This should create a blank space. At that point, you can hit ENTER and the icon will no longer have text underneath it. If you'd like other 'nameless' icons on your Desktop, enter an additional '0160' for each one (remember, no two shortcut icons can have the same filename).


9/8/1999

9.8.1999

That little, yellow speaker icon in your System Tray is more powerful than you could possibly imagine. Single-click it (with your left mouse button) and you'll get a simple volume slider and a mute box; double-click it and you'll see a mixer for playback devices. If you ever had problems recording something with your microphone, be sure that your settings are correct. From the playback mixer, select 'Options' then 'Properties' from the menu. Then, in the 'Adjust volume for' field, select 'Recording.' Be sure the volume controls you wish to tweak are selected, then press 'OK'. Now, you can tweak the audio input settings to your heart's desire.


10/8/1999

10.8.1999

Although Office 2000 is Microsoft's latest suite creation, it still has features that annoy some users. One of the biggest complaints I've heard thus far has been related to the truncated pull-down menus. If you need to access 'more' options, you have to click on a set of arrows to expand the menu. This is nifty for novices, but power users will become miffed in about .02 seconds. To have the menus bear all, select 'View' from the menu, then 'Toolbars,' and 'Customize.' Click the Options tab and deselect 'Menus show recently used commands first'. Everything should be back to "normal" now.


11/8/1999

11.8.1999

From the "Don't Take Away My Shortcuts" department: Lockergnomie Alvaro Sancho came up with an interesting idea. The goal is to create an easily-accessible 'Folders' folder in the Start Menu. Right-click on the Start button, select 'Open', create a New Folder (name it 'Folders' or whatever), double-click it, then create shortcuts to whatever folders you frequently access. To create a shortcut for a folder, simply right-click on the folder for which you wish to create a shortcut, drag & drop it onto the shortcut's destination, then select 'Create Shortcut(s) Here' from the pop-up menu. It's a great timesaver for those who Explore often!


12/8/1999

12.8.1999

From the "Just Put It On My Tab" department: Lockergnomie Chris Hogan uncovered another nifty keyboard shortcut. "Here's a tip for navigating multi-tabbed dialog boxes. Instead of using your mouse to select the various tabs, try using CTRL+PAGEUP or CTRL+PAGEDOWN. It will cycle you through every tab (this also works for cycling through multiple worksheets in Microsoft Excel)." When the mouse is away, the fingers will play.


13/8/1999

13.8.1999

So is your Desktop prepared for Y2k? There are hundreds of variables at play, but here's a tweak you should definitely apply. Double-click the 'Regional Settings' icon in your Control Panel, then select the 'Date' tab. Look at the 'Short Date Sample' field. You should see something akin to 'M/d/yy' -- this is the Windows 9x/NT default string. The problem: 'yy' will roll over to '00' (not '2000') when January 1st rolls around. To solve this problem, enter two additional lowercase 'y's to the end of the field -- or select a string that has 'yyyy' in it. Click 'Apply' when you're finished. It may keep your applications from going haywire in a few months.


16/8/1999

16.8.1999

There's a method to my madness, and I'm quite happy to be mad. I list the most relevant information in each one of Lockergnome's "downloadable" reviews. For each one of these items, you see: the file name, version, size, platform, & price, the download & homepage URLs, and finally the somewhat-descriptive review. But don't just download something and move along to the next segment. Oftentimes featured shareware authors have created other programs which you may find just as useful (if not moreso). I list two links for a reason, gang--take advantage of both of them. Especially when it comes to fonts and themes! Your collection will double every day.


17/8/1999

17.8.1999

Move your mouse to the left, now move it to the right... left-click, right-click... everything seems to be working fine, eh? Now pretend you can't use it at all. How in the world are you going to get around Windows? One of my favorite functions is right-clicking (if there can be such a thing). So how can you 'right-click' without a mouse? Newer keyboards have a 'context menu' key, but there's another way: depress SHIFT and tap F10. >From there, you can use your cursor keys to select options (and the ESC key to cancel).


18/8/1999

18.8.1999

Look at that Web page in your browser; most likely, you can see its URL in the address line. However, when frames enter the picture (as opposed to pictures entering the frame), true addresses can become hidden. Never fear--there's a workaround of sorts. Right-click inside the 'frame' for which you'd like to have the URL, then pull up its 'Properties.' At that point, you should see the frame's 'Address (URL)' in the dialog box. Selecting the text with your mouse and tapping CTRL+C will not work; right-click and select 'Copy' instead.


19/8/1999

19.8.1999

Those darn Web browsers offer so much joy... and twice as much frustration -- especially if you're a Web developer! When developing and tweaking HTML code, I've found myself pressing the refresh button more than a few times. But why is it that the page doesn't always 'reload' properly? There may be older versions of it sitting in your cache. Closing and restarting a browser session doesn't always work; flushing the entire cache isn't always an option. The quickest way to see the absolutely (positively) latest version of a Web page is by holding onto your CTRL key while pressing the refresh button.


20/8/1999

20.8.1999

"Help! There's a paper clip on my Desktop, and it's annoying me to no end. Okay, it's gone... but it's been replaced by a tiny Einstein! I need a little help inside my Microsoft Office applications, but I don't need to be lectured by a cute character." The best way to permanently turn those critters off (without hosing your system), is by opening up the Windows Explorer, navigating to Program Files \ Microsoft Office \ Office, then renaming the 'Actors' folder to 'Dead_Actors' (or something of that nature). They shouldn't bother you again. Thanks to Lockergnomie Mike Bartlett for this tip!


23/8/1999

23.8.1999

Lockergnomie Brian Livingston published an interesting tip in his Infoworld column; if you've got a ton of folders in your Start Menu, you may want to pay attention to this tweak. By default, Windows 98 will keep Start Menu folders in a single column. To force it to use multiple columns (without scrolling arrows at either end), a little Registry diving is necessary. Using REGEDIT.EXE, navigate to HKEY_LOCAL_MACHINE \ Software \ Microsoft \ Windows \ CurrentVersion \ explorer. In the right-most pane, create a new Text Value. Type "StartMenuScrollPrograms" (without the quotes) then hit ENTER. Modify the string you just created (right-click on it); in the 'Value Data' box, type "false" (without the quotes), then click 'OK.' Close REGEDIT, tap the F5 key (to refresh your Desktop), and voila! NOTE: some users have not been able to get this tweak to work on their system.


24/8/1999

24.8.1999

How's that printer working over there? Have you bothered to tweak its settings? Open the 'Printers' folder in 'My Computer.' If your printer is properly installed, you should see an icon for it here; right-click on that icon and pull up its 'Properties.' You should see several tabs in this dialog box; change paper (quality, size, orientation), graphics, and (possibly) brightness/contrast settings. Customize it to your liking! Or, for convenience, you can create a "new" printer with a different name (and different settings)--calling on the same printer. While you're at it, throw a shortcut to your printer onto your Desktop for easy drag & drop printing.


25/8/1999

25.8.1999

From the "This Drive is Driving Me Nuts" department, Lockergnomie Kerry Rogers knows of a way to get CD-ROM access in Safe Mode. "Here's the secret (with Windows 98): before your PC begins booting up into Windows, depress the CTRL key to access to the Startup menu. Choose 'Command Prompt Only,' then type "win /d:m" (without the quotes) and press ENTER. Windows should start in Safe Mode with your CD-ROM drivers. If you still can't access your CD-ROM drive, it means your real mode CD-ROM drivers aren't installed. For installation instructions, send an e-mail message to mshelp@microsoft.com with Q190303 in the subject line (and nothing in the body of the message). Microsoft's automated help system will send back the instructions."


26/8/1999

26.8.1999

It's time for another visit from Mother Netiquette; she still wants to talk about e-mail habits. And why not? I bet you use e-mail to communicate with your friends everyday. But today's question is: but how should you start communicating with someone you don't know? Think twice before sending an HTML message. The recipient may not have an HTML-capable mail client, and your message may not actually be read. After you know the other user can handle HTML mail, only then is it "safe" to fire off an HTML message. And even then, please watch the size of your message--graphics are bandwidth hogs. If it can be sent in text, send it in text.


27/8/1999

27.8.1999

We're all filled with questions. Why is the sky blue? Does a circle ever stop? How come this program doesn't work on my machine? To tell you the truth, I don't know the answer to any of those. Just because I feature something doesn't mean I know EVERYTHING about it; I don't have time to become an expert in all things digital. If you have a question about a particular download, ask the author directly. In a similar vein, if you remember seeing "something" in Lockergnome before, check out the past issues section of our site. It may take time, but I'm sure you'll eventually find the answer.


30/8/1999

30.8.1999

Quit mousing around for a second and let your fingers do the navigating. Oops! Unless you know every keyboard command by heart, you'll find yourself facing frustration without a moving cursor. Luckily, there's a way to push the pointer across the screen using the numeric keypad. Open the 'Accessibility Options' icon in your Control Panel, select the 'Mouse' tab, turn on 'MouseKeys' functionality, and tweak its settings to your comfort. But, I wouldn't suggest throwing out your mouse pad quite yet...


31/8/1999

31.8.1999

There's a weird, colored blob on your computer screen, but it's not something you can wipe off. You may see spots of yellow, magenta, or blue. Chances are, you need to tweak your monitor's hardware settings (sorry, this can't be fixed with software, and sometimes you just can't fix it without calling a professional). The easiest way to see if you have color distortion of any kind is by removing your Desktop image and setting the background color to white. Or, just open up a Notepad session and maximize the window. Some monitors will have dials (or on-screen controls) to help you tweak. If you see other 'interference,' consider moving your computer monitor away from any magnetic source (speakers, etc.).


1/9/1999

1.9.1999

Printer ink is expensive. Before buying new cartridges, check to see if you can refill the ones you already have. That may save you a bit of money. Of course, you should also be cognizant of your printing habits. Color ink is more expensive than black ink; when you don't need to print something in color, DON'T! You should be able to toggle your printer's settings from its icon in the 'Printers' folder in My Computer.' I suggest keeping it on 'black' 99% of the time, gang. Not only will you be saving money, but your print jobs will (typically) go a lot quicker.


2/9/1999

2.9.1999

You know an application is frozen, so why doesn't it just die already? A single CTRL+ALT+DEL maneuver will bring up a task menu from which you may select a non-responding program to close. However, it still has 20 more seconds to get its act together. To decrease that time frame, open up REGEDIT and navigate to the HKEY_LOCAL_MACHINE \ System \ CurrentControlSet \ control key. Right-click somewhere in the right-pane and create a new 'String Value.' When prompted for a label, use "WaitToKillServiceTimeout" (without the quotes). Then, you should be able to set its value to a regular number from 1 to 20.


3/9/1999

3.9.1999

From the "I'm Feeling Shifty Today" department, Lockergnomie Dan Milner stumbled upon a sticky trick. "When you hold down the SHIFT key while left-clicking on an icon in the Start Menu, the group will remain open so that you can select other icons without having to navigate back through the Start Menu again." This tip may only be applicable to IE4/5 users out there, but it's worth trying! Save yourself some mousing miles.


6/9/1999

6.9.1999

From the "I Have No Patience for Dialog Boxes" department, Lockergnomie Daniel Hindman has found a great way to get single-click access to your dial-up Internet account. "Open your Dial-Up Networking folder in 'My Computer.' In the menu, select 'Connection' then 'Settings.' Make sure there are no checkmarks in the 'Prompt for information before dialing' and 'Show a confirmation dialog after connected' boxes. Press 'OK' to close the dialog box. Then, IE4/5 users can drag the DUN account icon onto the Toolbar (in the Taskbar) to create a shortcut that's one click away!" NOTE: this tweak is only good if your username and/or password have already been entered and do not need to be changed regularly.


7/9/1999

7.9.1999

What's on your Web site? By law, guys have to have a JPG of Sarah Michelle Gellar, and gals have to have a JPG of George Clooney. However, there is no law regarding the use of background images on Web pages. Sometimes I wish there was. If you choose to use a background image, I suggest that it be the following: non-animated, purposeful, and seamless. What does 'seamless' mean? When the 'finished' background looks like one giant image (without visible interruption), it's seamless. To test an image's seamlessness, save it as a BMP, then try to tile it as your Desktop wallpaper. Does it look like several small images on your screen? Then it's not seamless. Does it look like a never-ending pattern? It's seamless. Or so it would seem?


8/9/1999

8.9.1999

Are you irked by IRQs? I hope your answer is 'no,' because those puppies aren't fun to play with. According to WHATIS.COM, "the IRQ (interrupt request) value is an assigned location where the computer can expect a particular device to interrupt it when the device sends the computer signals about its operation." If there's a contention, certain components in your computer may not work properly. If you're having 'weird' problems, check your current IRQ settings. Right-click on 'My Computer,' select 'Properties,' click the 'Device Manager' tab, then right-click on the 'Computer' icon at the top of the sheet and pull up its properties. Are the devices with problems sharing an IRQ? You may be able to change IRQ settings by double-clicking on a designated icon in the 'Device Manager' tab and looking for the 'Resources' tab. Good luck!


9/9/1999

9.9.1999

Here's a spiffy tip for those who have Microsoft Office files lying around. Whether or not you have 'Office' installed, you may need to see details about certain documents. Right-click on an Office-created file and pull up its properties; you should see a range of helpful tabs sitting there. The context menu for Word documents will show you the author, his/her comments, the table of contents, and how many pages, paragraphs, lines, words, characters are in it! Excel worksheets will show virtually the same information, including the number of tabs (and their respective labels). There's more than meets the eye to some of those suckers.


10/9/1999

10.9.1999

Icons tell only half the tale. Especially for those darn DLLs, odd OCXs, vexing VXDs, evil EXEs, and devilish DRVs. Okay, they're not as bad as I'm making them out to be, but sometimes I bet you'd like to know about a file's origin. Your system directories are (most likely) littered with orphaned files; if a filename means abso-smurfin-lutely nothing to you, right-click on it and pull up its properties. Select the 'Version' tab if it is available. From there, you'll be able to check the file's version (duh), description, and creator. It's the first step in troubleshooting file removal. Does it need to be there? Don't throw it away if you're not 100% sure.


13/9/1999

13.9.1999

"Psst... lookin' for somethin'? I think I got what you need right here in my... browser." I admit that I didn't like Internet Explorer's search pane once upon a time, but IE5 has made a believer out of me. Fire up IE5, open the search pane, and look for something (anything ya want). In just about every results page, you'll get links to possible matches (duh). But don't be so quick to click! Hover over a link for a few seconds and you should get a descriptive tool tip. Is this what you're looking for?


14/9/1999

14.9.1999

I was born with a tweaking thumb. Diving into the registry to change settings used to be an everyday occurrence. Then I got a little wiser. Whenever I add/edit a key or string value, I highlight the branch and select 'Registry,' 'Export Registry File' from the menu. At that point, I give the .REG file a memorable name for that particular tweak and save it in my 'REGHACKS' folder in 'My Documents.' Whenever I want to apply that tweak to the Registry, I just double-click it. No more unnecessary diving. You can edit out any extraneous information (which was saved in the export process) by right-clicking on the .REG file and choosing 'Edit.'


15/9/1999

15.9.1999

Don't start with me today. Actually, you can start, but not until I give you the 'go ahead.' How many items are in your Startup folder? Not sure? Click the Start Button, select 'Run,' type "STARTUP" (without the quotes), and hit ENTER. Wow, ya gotta lotta pretty stuff in there! They'll launch in alphabetical order, and you should be able to rename all of the shortcuts in there. If you want to specify their exact launching order, rename them with numbers. '1_program' would go first, '2_program' would go second, etc.. Okay, you can start any day now.


16/9/1999

16.9.1999

From the "What's Your Function" department, Lockergnomie Eileen Kenneda has a killer tip for Microsoft Word 2000 users. It pertains to function key usage (ya know, the ones at the top of your keyboard which all begin with the letter 'F'). Depending on what you're doing in Word, the function key's role may change. By turning on the 'Function Key' toolbar, you'll see a straightforward map of those darn 'F' keys. Their functions will change on-the-fly as you press CTRL, SHIFT, or ALT (or any key combination). From the menu, select 'View,' 'Toolbars,' then 'Customize.' You should see a "Function Key Display" option; place a checkmark in its box. It's a non-dysfunctional function!


17/9/1999

17.9.1999

By default, a 'DOS' window will have 25 lines in it. For most command prompt applications, this is enough. However, sometimes you may find yourself needing a little more room. Create a shortcut to COMMAND.COM on your Desktop. Then, right-click on it and select 'Properties.' Fly over to the 'Screen' tab and you should see the 'Initial size' field. Change that to 43 or 50 lines, then press OK. Now, when you launch that particular shortcut, it'll be a little bigger than what you've been used to seeing! NOTE: you can perform this tweak on just about any command line program shortcut.


20/9/1999

20.9.1999

I know you have an e-mail address, don't try to deny it. Do you have more than one, though? It's great to have a 'POP3' account, but you may consider getting a free Web mail address or two, too. The reasons are many. 1) If your mail server is down, at least you can send and receive messages elsewhere on the 'Net; 2) If you need to use a valid e-mail address on a form, and you don't wanna give away your personal account information, use your Web mail address instead; 3) For the most part, you can be completely anonymous (and inconspicuous) with a Web mail address; this isn't always the case with POP3 accounts; and 4) When you're on the road, away from your own PC, it's nice to have another Inbox to use. Of course, MAILSTARTPLUS.COM is a great Web solution for any POP3 account.


21/9/1999

21.9.1999

In the past five years, have you upgraded your PC? There's a lot of hardware and software out there, but it's nearly impossible to find the true scoop on products. You can count on a company to hype the heck out of anything, so who can you turn to for (typically) unbiased advice? The Usenet newsgroups, of course. If you don't have a news reader (or a news server), try using REMARQ.COM or DEJA.COM as your starting point. Before posting a question or comment, why not do a search for the product (or, perhaps more importantly, the manufacturer). Chances are, you'll discover real world experiences (which is much more than a spec sheet will ever tell ya). Don't purchase something without getting a second or third opinion!


22/9/1999

22.9.1999

Icons are wonderful creatures, but their spacing on the Desktop (and in the Windows Explorer) probably hasn't been optimized. Why even bother with icon spacing? So you can squeeze more icons into a smaller area! Right-click on your Desktop, select 'Properties,' then navigate to the 'Appearance' tab. In the 'Item' menu, be sure to write down the 'Icon Spacing' values (Horizontal and Vertical). Then, you can change both of them to 32 (I've found this number works best). If these settings don't work well for you, you can always change them back!


23/9/1999

23.9.1999

When you need to get from one side of your screen to the other, there's no easier way to travel than by using your mouse (or similar pointing device). When you're in the heat of battle (ya know, typing a document), it's not always convenient to have your hands leave the keyboard. So try this, the next time you need to jump between words and/or sentences: depress CTRL while tapping any cursor key. If you want to select the text while you're 'jumping,' simply depress SHIFT along with CTRL. It's a depressing trick that's actually uplifting in a way.


24/9/1999

24.9.1999

DOS isn't dead... yet. You may find yourself having to drop to a command prompt every once in a while (completely outside of the Windows environment). The easiest way to do this is by selecting the 'Restart in MS-DOS mode' option in the Shut Down menu. If you'd like certain programs to run automatically when the command prompt pops up, you'll need to edit the DOSSTART.BAT file in your Windows folder. Consider it the AUTOEXEC.BAT for restarting in 'DOS' mode. If you need to configure other environmental variables, find the 'Exit To Dos.pif' file in your Windows folder and pull up it's properties (by right-clicking on it). On the 'Program' tab, select the Advanced button. Then, you'll be able to 'Specify a new MS-DOS configuration.'


27/9/1999

27.9.1999

You're typing along, and upon moving your cursor to another spot, your text starts showing up in another font. Has this ever happened to you? This is why I always encourage users to apply formatting to a document AFTER all the data has been entered. You may choose to format on-the-fly, but do you know what codes are still lingering? Word Perfect has it all over Microsoft Word when it comes to revealing hidden codes. However, there's another way to view "hidden" formatting. From Word's menu, select 'Help' and 'What's This?' -- then left-click on any data in your document. You'll see a "cartoon balloon" pop up, showing the details for that particular object (or character). NOTE: this may not work in all versions of Microsoft Word.


28/9/1999

28.9.1999

From the "You're Invited to a Search Party" department, Lockergnomaniac Rictor Elionzo discovered a shortcut to the search engines in some versions of IE. With versions 4.x and higher, you can type a "?" and your keyword(s) in the address line of IE, and it'll start searching through your default search engine. If you want to specifically search Yahoo, instead of the "?" use "y" -- "av" for Alta Vista -- "ex" for Excite -- "wc" for WebCrawler -- "ly" Lycos -- "mc" for MetaCrawler -- "hb" For HotBot. Now, I tried this trick in IE5 (Windows 98 SE) and it didn't work, but it may work for other (older) versions.


29/9/1999

29.9.1999

Does everything have to be drag & drop with you? C'mon, let's step outside the box for a brief moment. The most useful keyboard shortcuts in the world are CTRL+X, CTRL+C, and CTRL+V (cut, copy, paste). You can use them virtually anywhere to manipulate textual information as well as objects (files & folders). You don't need to open two Explorer windows to copy/move files from one folder to another, just use your electronic glue stick. Select the files/folders you wish to copy/move, then copy or cut them to the clipboard. Navigate to their destination folder, and then paste. When in the middle of this operation, don't cut/copy anything else until you've confirmed they've been pasted where they should be.


30/9/1999

30.9.1999

From the "You Say Soda, I Say Pop" department, Lockergnomaniac Alex Dunlop has a burning tip for Hotmail users. When Outlook Express v5.0 was released, it was finally possible to access your Hotmail account through an e-mail program on your system. If you'd much rather use another mail client, no problem; your Hotmail account can be accessed through just about any given mail program. You already know your username and password, but you'll need to set 'pop.hotmail.com' as your POP3 server, and 'relay.hotmail.com' as your SMTP server. No more clunky Web interfaces!


1/10/1999

1.10.1999

Have you seen "More Windows 98 Secrets" (ISBN: 0764533606) by Lockergnomies Brian Livingston and Davis Straub? I was coming through it last night and found a nifty, obscure Easter Egg. Open the latest version of Microsoft Chat and cancel the 'connection' dialog box (if it pops up). In the text box at the bottom of the Chat window, type "WhoIsTheGenius" (without the quotes) but don't hit ENTER. Instead, depress CTRL and SHIFT, select 'Favorites' and then 'Open Favorites' from the menu. Then watch those characters boogie!


5/10/1999

5.10.1999

Dial-up connections are notorious for dropping you after a period of inactivity. To a certain degree, you have control over this. The first thing I'd check is your DUN account settings. Open up your Dial-up Networking folder (in 'My Computer'), then pull up your DUN account's properties. On the 'General' tab, press the 'Configure' button. Then, on the 'Connection' tab, look under the 'Call preferences' section. You should see the 'Disconnect a call if idle for more than' option. Either clear the checkmark, or set your desired time. If this doesn't work for you, consider keeping your e-mail program open and having it automatically check for mail every 10 minutes or so. Another easy option is to use an FTP client which sends 'keep alive' requests; connect to an account and keep the program open. These are just a few ways to avoid dropped connections.


6/10/1999

6.10.1999

From the "I'll Stick By Your Side" department, Lockergnomie Bill Colmer enlightens us with a nifty tiling trick. Two windows are better than one, especially if you'd like a nice cross breeze. When you need to drag & drop objects from one Explorer window to another, it's nice to have both of them side by side. However, you probably don't want to waste your time doing this. So, close all open windows, and fire up two (or more) instances of the Windows Explorer (left-double-click 'My Computer'). Then, right-click on your taskbar and select either 'Tile Windows Horizontally' or 'Tile Windows Vertically' from the menu. Voila! You're ready to rock. When you're finished manipulating those files and folders, you can right-click on your taskbar again and select 'Undo Tile' from the menu.


7/10/1999

7.10.1999

So what kind of business are you in, Mr. Vandelay? Imports and exports, eh? Sounds interesting. When it comes to importing and exporting data, sometimes the direct route isn't possible. Let's say you need to get one address book format into another; program X will export into format X, but program Y (where you need to import the data) won't read format X. Now, what if program Z will import format X and export format Y? It's a roundabout way to get the data, but it's a method that works. This tip is applicable to just about any type of data: documents, graphics, etc..


8/10/1999

8.10.1999

From the "Doubled Over with Joy" department, Lockergnomie Gilles Reichert figured out a way to get the taskbar to appear in a certain format. "Some users find it useful to have the Windows taskbar set to a double height (or more). It's particularly useful when there are many icons in both the Quick Launch area and the System Tray. Programs in the taskbar were appearing only in the top line, but I wanted them to be distributed evenly over the two lines. I found that by dragging & dropping the toolbar onto the side of my screen, and then moving it back to the bottom of my screen, the programs in the taskbar started using both lines."


11/10/1999

11.10.1999

Coming from the "Lazy Rodent" department, a Lockergnomie tap dances his way across the Taskbar. We're always looking for ways to save time; why should working with Windows be any different? Here's an electric time shaver: if you want to select multiple programs on the Taskbar (to close them all at once, maximize them, etc.), depress CTRL while you left-click each button. When you've finished, right-click on one of your Taskbar selections and select your action (it'll happen to every chosen program). NOTE: you can reverse an accidental selection by clicking on a selected item.


12/10/1999

12.10.1999

It's time for everybody's favorite netiquette professor, John Q. Walrustitty. This week's lesson deals with effective online communications. Just because you send an e-mail message doesn't mean that the receiver knows what you're talking about. Worse yet, you may convey the wrong impression. That's why the supreme uploader created emoticons. Ya know, those sideways smilies? Don't be afraid of using them. If a sentence can be misinterpreted, it will be -- unless you qualify it with some type of emotion. Since most of us can't see your pretty smile (or ugly frown) when we're reading your e-mail messages, you need to remember to be expressive (where applicable). Without such qualification, a lighthearted quip could easily offend someone. Write well, write often.


13/10/1999

13.10.1999

Coming from the "What's Your Name -- Who's Your Daddy" department, Lockergnomie Joe Parker knows what to do with his downloads. You may be the type of person to hold onto your downloads, but will you always remember what 'HPSJAF10.ZIP' contains inside? I doubt it. Immediately after downloading something, I suggest renaming it to something a bit more memorable. If it's a program, name the archive appropriately (including a version number). If it's a graphic, what (or who) is it of? No more confusion. Dude -- you've got 'long file name' capabilities in Windows 9x/NT, so you may as well make the most of that environment.


14/10/1999

14.10.1999

What's your favorite color? Okay, how many 'Favorites' do you have? Anything more than two hundred is a lot. Even with FAT32, they're eating up a ton of disk space. What can you do about it? Use IE5's built-in export wizard to turn compile them into a single HTML document. Choose 'File,' 'Import And Export,' then click the 'Next' button. Select 'Export Favorites' from the list of options, and choose the root 'Favorites' folder. In the following dialog, Export your Favorites 'to a File or Address.' I suggest Browsing to your 'My Documents' folder and storing the output in an HTML file there. When that's finished, you can open the exported file up in IE5 and drag & drop its Address bar icon onto the 'Home' icon in the IE button bar (to set the document as your browser's home page).


15/10/1999

15.10.1999

Coming from the "Aren't You A Little Short For A Shortcut" department, a Lockergnomie has her finger on a hot key or two. "If you don't use the number keys on the numeric keypad, you can use them as single-click keyboard shortcuts for launching your 10 favorite apps. Start by turning on the NumLock key. Then, right-click on an existing program shortcut and choose its Properties. In the Shortcut tab, select the 'Shortcut key' field, press the number key (on your number pad) that you want to associate with the program, then click 'OK.' Repeat the steps for each app's respective shortcut. Now, you'll need to keep these shortcuts on your Desktop, or in your Windows folder. With NumLock on, you'll be one key away from your favorite program.


18/10/1999

18.10.1999

Minimize, maximize, minimize, maximize... gosh, I'm really burning up the calories, here. If I don't stop soon, I might break a sweat. Have you ever needed to drag and drop a file (or folder) into a program, only to find that once you've grabbed the object(s), its window is minimized? That's okay -- don't drop anything yet. While still holding onto the object(s), hover your cursor over a window's designation in your Taskbar and keep it there for a few seconds. Whether minimized or maximized, that window should spring to the top of all other windows on your screen. It's like magic, only with no white rabbits.


19/10/1999

19.10.1999

We have to deal with Web pages on a daily basis. That just comes with being online. So, does your printer get a regular Web workout? You can configure the header and footer on those printouts in IE -- to waste less (or more) ink. Above all, you can configure them to your liking. Select 'File,' then 'Page Setup' from your IE menu. Right-click on the 'Headers and Footers' title, select 'What's This?' and you'll see an extensive list of mail merge commands which you may use at your discretion. NOTE: printed page layouts in Netscape are somewhat tweakable, too (although not quite to the same degree).


20/10/1999

20.10.1999

I don't know how many times I've been frustrated with friends and family members who aren't sure what's going on with their computer. They misclicked an icon or inadvertently changed a setting somewhere. What now? Especially if I'm not there with them? We spend hours on the phone trying to troubleshoot our way through the problem. Well, if their Internet connection still works, I make sure I've set them up with the latest version of Netmeeting. Before any problems start, I show them how to use it correctly -- so in the likely event of a digital disaster, I can look at and manipulate their Desktop remotely. Strengthen those personal tech support calls, man.


21/10/1999

21.10.1999

Coming from the "Look What the Mouse Dragged In" department, Lockergnomie Deann Smith shows us how to sprinkle more stuff on our Desktops. You can easily detach a toolbar (including the 'Quick Launch' bar) from your Taskbar and make it a floating object. Consider doing this if your Taskbar is constantly crammed full of programs. To show you how it's done, grab the handle on the left side of the Quick Launch bar and drag it to the middle of your Desktop (then let go). BIMP! A nice, configurable window filled with some shortcuts. Remember, to create a new toolbar, right-click on your Taskbar, select 'Toolbars,' then 'New Toolbar.' No need to show an ID for these bars.


22/10/1999

22.10.1999

Have you ever wanted to "Explore" your options? Explorer ain't the only game in town. Many of you already know about LiteStep, but there's something a little closer to home sitting on your hard drive. Remember Windows 3.1's Program Manager? You still have it! You can run PROGMAN.EXE at any time -- even replace the Explorer shell with that old dog. Before going any further, be sure you know what you're doing. If you don't, then stop right now. Novices need not apply. Open your SYSTEM.INI file, then change "shell=Explorer.exe" to "shell=Progman.exe" (or any other possible 'shell' program). Experiment, but be sure you know how to reverse your actions.


25/10/1999

25.10.1999

Coming from the "Where Did I Put That" department, Lori Shotts reminds us of a smarter way to search. Not all Web pages can be seen on one screen; we often have to scroll through paragraphs of text before finding what we were looking for in the first place. Sometimes we can take our time to sift through the data, but when we're really busy, we need to find the info and fly. When you're faced with a screenful of text in your browser, hit CTRL+F -- you'll be able to look for a keyword (or phrase) on that particular page. This technique really works well when you're sifting through a search engine's results. Of course, it also applies to most text-based documents as well.


26/10/1999

26.10.1999

Information doesn't always need to be flashy. If you can get your point across without having to present something outrageous, then please do. There's a time and a place for animated GIFs. Unfortunately, 99% of the Web page creators out there think that gaudy graphics are a godsend, and that they should be used at every opportunity. UGH! If your eyeballs hurt, you can turn off GIF animations in IE by selecting 'Tools,' then 'Internet Options.' Click the Advanced tab, and in the Multimedia section, deselect 'Play animations.' No more sudden movements. Unfortunately, I couldn't find a way to do this in Netscape. I guess you're stuck with those dancing hamsters?


27/10/1999

27.10.1999

Coming from the "Taking Out All The Stops" department, Lockergnomie David Lochridge knows how to speed up your DUN connection time. You have to enter your username and password every time you log into your ISP. However, what protocols are you using to communicate with it? Chances are, you're using a few too many. Open your DUN folder and select the 'Properties' of your Internet account. Flip to the 'Server Types' tab and make sure that 'TCP/IP' is the only network protocol selected. Before trying this tweak, check with your ISP to make sure TCP/IP is the only protocol you need for a connection. If you cleared the NetBEUI and IPX/SPX protocols, you should see your dial-up connection time decrease.


28/10/1999

28.10.1999

All right, all right. I admit, it'd be kinda nice to have a cable modem coming into this house. I guess I'm holding out for a DSL solution to creep into my neighborhood. Besides, I'm really not thrilled about giving even more money to my cable company -- which, in my opinion, doesn't treat their customers well. For those of you already surfing at coaxial speed, BE SURE you have your 'file and print sharing' options turned OFF! Anytime you're on a Network (other than at work), you don't want anybody seeing what's on your system. Open the Network applet in your Control Panel, press the 'File and Print Sharing' button, and be sure the boxes are cleared of checkmarks. Spread the word!


29/10/1999

29.10.1999

Coming from the "Switched At Birth" department, Lockergnomie Jack Sanderson gives us the key to unlock a Windows utility. What kind of hardware do you have in that machine of yours? Do you even know? Are your peripherals always on their best behavior? Don't lie to me. It's time to take inventory. Select the 'Run' option in your Start Menu, and type: "HWINFO /UI" (without the quotes). Be sure you have that little '/UI' switch in there or this won't work. In a few seconds you should see a color-coded window listing drivers (etc.) and their location within the Windows Registry. It's another troubleshooting tool for ya. NOTE: this utility may not come with all versions of Windows.


1/11/1999

1.11.1999

Electronically created photos may not always look phenomenal in print, but (one thing's for sure) digital cameras are a lot more fun to use than their film-loading counterparts. Results are instantaneous, and although the hardware is more expensive, you'll save on film and development costs in the long run. Before charging that battery, what's the first thing you should do? Protect your lens, man. If possible, see if you can get a "protecting" lens for your cam. Which would you rather have scratched up? An easily replaceable part, or the real deal? Lens caps work, but if you can get ahold of a 'screw in' (clear) lens, you'll be a lot safer. Consider it protecting your (possibly expensive) investment.


2/11/1999

2.11.1999

Coming from the "Where'd You Come From" department, Lockergnomaniac Bill Hudacek explains an e-mail mystery. I noticed that with Lockergnome issues, every once in a while, a greater than symbol would appear at the beginning of a paragraph. I never knew why -- until now. "Internet mail standards dictate that the word "From" (at the start of a line) is one of the keywords that is used in a mail header. Now, even though the header officially ends after the first blank line, many mail transfer agents take the cautious approach of "escaping" the word "From" whenever it appears as the first word on a fresh line." Wow -- now you know what to do to keep that silly symbol at bay.


3/11/1999

3.11.1999

For every job, there's the right tool. When you need to install a new video card, you grab your trusty screwdriver. When a floppy gets stuck in the drive, you use tweezers to get it out. When Windows refuses to boot, you grab a sledgehammer. Yeah? When you need a quick way to access data, you can create a new tool... rather, toolbar. Right-click on your Taskbar and select 'Toolbars' and 'New Toolbar.' The dialog will ask you to choose a folder or type an Internet address. Enter your favorite URL and it could create a toolbar containing that page. I say 'could' because I've seen it done before, but I couldn't get it to work on Mr. Bigglesworth tonight. If this doesn't work for ya, the next best thing is the 'Address' toolbar (which will allow you to enter URLs on-the-fly).


4/11/1999

4.11.1999

Coming from the "She's Actual Size" department, Lockergnomie Jan Horn is making your windows larger (and smaller). Some fool decided that a new IE5 browser window, when launched from an existing session, should take on new dimensions. This is a major annoyance; I found myself spending more time resizing windows than surfing at one point. In a recent issue, I noted a Registry hack download -- but here's an easier way for all of us to get the browser size of our dreams. In the address line of your browser, type: "javascript:resizeTo(800,600);" (without the quotes, still retaining case sensitivity and punctuation). Change those numbers to any two you'd like -- and never be bothered by the size monster again.


5/11/1999

5.11.1999

1999 was truly the first year for e-commerce. Everybody seems to be purchasing items and services via the Web. C'mon... haven't you been tempted by the insanely low prices you've seen online? Don't leap before you look! Been bitten by the buying bug? Do a little research before pulling out that plastic. First of all, make sure you're dealing with a legit operation -- get references from Internet pals. But most of all, spend a few HOURS doing some comparison shopping. Even if one site has a product listed for low dough, another site may have an even lower price for the same item. Watch those shipping & handling charges, too. It may be cheaper to purchase something locally after all.


8/11/1999

8.11.1999

It's about time you created your first Web page; what took you so long? Those who started a couple of years ago were playing in open waters. But now the pool is full, and there's no lifeguard. The first question new page owners usually ask: how do I get it submitted to all those search engines? Slow down, Sparky. Don't spend too much money or time on submission sites and programs. You don't want random visitors -- you want targeted eyeballs. Instead of worrying about your Web rankings, you should be establishing links to sites with related content. Recognition is easier to establish this way (and that's the name of the game).


9/11/1999

9.11.1999

Who wouldn't like to trade in their current monitor for something a little bigger? Okay, wipe the drool from your chin, people... size doesn't matter. At least, as far as this tip's concerned. What kind of light do you have in the room? I'm serious! Is it yellow or white? If it isn't pure white, I'd consider changing the bulb (or getting a different lamp) if I were you. The colors on screen may be "pure," but if you've got tinted light reflecting off the monitor, reproduction won't be perfect. This is really important if you're doing any kind of color printing! You may also "see" better if the lights are placed behind you (not in front or above). Try it!


10/11/1999

10.11.1999

What on Earth possesses Web designers to use large graphics? Why don't they optimize those suckers before uploading them? Unfortunately, for the time being, we'll have to deal with them. If your connection is crawling, you may not have to wait for a graphic to load before moving on. As you hover your cursor over a graphic (like an imagemap), it may display the link in your status bar. The image may not be fully loaded, but the link is still the same! If you know where ya wanna go, and the URL is relatively descriptive, then don't wait to click. Alternatively, the page may contain text navigation (seek and ye may find). Ah, the "advantages" of a slow connection.


11/11/1999

11.11.1999

Not all of us have access to a fast Internet connection (at home or at work). We may be geographically or financially challenged (and that's okay). Those of us using 56k or ISDN modems may not be getting as much bits as we possibly could. It's time to max out the BPS! The easiest way to do this is by editing the WIN.INI file; under the [Ports] section, you'll see COM entries 1-4. Write those settings down -- in case you need to get them back. Change each value to: "921600,n,8,1,p" (without the quotes). This'll hopefully pump up the bandwidth for ya. When you reboot, you should have new (higher) number choices. Open the Control Panel's Modem applet, press the 'Properties' button, then under the 'Maximum speed' section, bump it up as high as it will go.


12/11/1999

12.11.1999

Owning a scanner has been a semi-rewarding experience. Since it's a USB device, it works fast, although Windows doesn't always recognize it as it should. All hardware problems aside, let's talk about your scanning routine for a moment. Are the colors coming through like they should? No matter what kind of flatbed scanner you're using, you should also have a piece of non-reflective black paper in hand (construction paper should suffice). You'll want to put it behind the object you're scanning. This way, the excess light will be absorbed; the digital duplicate's colors will be closer to the original source's. It's a relatively cheap "upgrade" that yields fantastic results.


15/11/1999

15.11.1999

By now, you've visited at least one Web page. Here's the big question: can you be found anywhere on the Web? And if so, where? If I did a search for my name on any given search engine, it would spit back all the pages containing the word 'Chris' and the word 'Pirillo' -- effective, but not precise. How many pages have the word 'Chris' on them? When you're looking for any given phrase, wrap it in quotation marks. This tactic should work in most instances. While we're on the subject, don't stick to one site for all of your searches. Each one is a different beast. Grrrrr!


16/11/1999

16.11.1999

Use your mind for a nanosecond (sure, I'll wait for your brain to boot up). Look at how many bookmarks and/or favorites you have. It's probably some insane number, but anything over 200 could be considered normal. Now, how many of those do you visit on a regular basis? Five... on a good day. Okay, now what's the very first thing you do when you get online? I'd be willing to bet that you check your e-mail. Am I reading your mind? No -- I'm just asking you to call upon your habits so that you can maximize your Internet experience. When you find a site that you'd like to see again in the future, I'd suggest signing up for their newsletter (if one is available). BE SURE you know exactly what you're signing up for, though. Don't give your address to any questionable lists.


17/11/1999

17.11.1999

Both Sprocket and Gretchen have learned that touching my computer is a sin punishable by death. Since my puppy hasn't mastered the art of typing, and my wife is usually working or acting (or acting like she's working)... I have no login prompt when Windows boots up. When that username and password dialog box isn't necessary, you can "remove" it. Open the Passwords applet in your Control Panel, select the 'Change Passwords' tab, then press the 'Change Windows Password' button. In the 'Old Password' field, enter your password. Select the 'New Password' field and press ENTER (with no new password typed in). You'll see the confirmation dialog box pop up. The next time you restart Windows, the login prompt will not be there. Boo hoo!


18/11/1999

18.11.1999

Didn't your mother always tell you that looks aren't everything? It's true -- especially when it comes to Web sites. When you're looking at a "dotcom," you probably don't care what kind of server it's running on (as long as it's running). If you're curious, George, then perhaps you need to use the form at NETCRAFT.COM. Enter a URL and it'll come back with the Web server's operating system. For giggles and grins, take a look at what kind of server Hotmail.com uses. Now, should you want to know if a server supports SSL, you can use another NETCRAFT.COM form. And yes, all of this research is free.


19/11/1999

19.11.1999

An hour doesn't pass without me being involved in a rigorous workout. That is, assuming you consider 'typing' an essential part of an exercise program. So I'm not that active -- and neither is my Desktop (since I have it disabled via TweakUI). To immediately save non-linked images from Web pages, instead of right-clicking and saving them, you can drag & drop them onto the Desktop. Although, if Windows prompts you to add it the GIF or JPG to your Active Desktop, just say no. Instead, drag & drop it directly into a folder -- it's quicker, and the same results are achieved. Create a shortcut to your favorite images folder and place it on your Desktop -- picture perfect.


22/11/1999

22.11.1999

Did you ever try to drag & drop stuff in DOS? It was impossible. Then again, we didn't really use the mouse back then. To move an icon across the Desktop, we click on it to select it, drag it, then drop it elsewhere. That's pretty much what you're supposed to do in Windows. So, how else can you take the 'drag' out of redundant steps? You can drag & drop shortcuts into the open 'Run' dialog to view their path and file extension, or drag & drop files into folders. My favorite: select some text in your browser, then drag & drop it into a new e-mail message (or document). No need to use the clipboard -- the text should automatically be copied!


23/11/1999

23.11.1999

The mouse is an awesome tool for moving your pointer from one side of the screen to the other, but when it comes to manipulating layout in a Microsoft Word document, it fails miserably without a snap-to grid. That's where the nudge command comes into play; put things exactly where you'd like them to be. First, select the object; from the Drawing toolbar, choose Draw, then Nudge. Now you can move that sucker in any desired direction. Don't continue to overcompensate with your mouse; I just wish that more object-oriented programs had this kind of option.


24/11/1999

24.11.1999

HTML mail is colorful and dynamic, but it doesn't always work. Recipients of text e-mail messages rarely run into problems. Every once in a while, you may receive a message with a few extra codes (like the dreaded =20 thing). However, Outlook Express (and Outlook) users will sometimes receive messages with nothing in them but: "ÿþ-" what the heck is this? I don't know. But the easiest way to get around it is to have the sender resend the message in text format (not HTML). If you experience similar problems, it may be tied into HTML. Break the cycle! Reply in text format (or change formats on a message-by-message basis).


25/11/1999

25.11.1999

Can you see what isn't there? Well, when it comes to IE5: yes. By default, however, it isn't easy to do. Unless you're on a mega-fast connection, it'll take a while for graphically-intense Web pages to fully load. But, should you have to stare at a blank page while they're downloading? In the Control Panel, open the 'Internet Options' applet. Select the 'Advanced' tab and find the 'Mutlimedia' section. Is there a checkmark in the 'Show Image Download Placeholders' box? Put one there; now, before images completely load, you'll be able to see their sizes instantaneously.


26/11/1999

26.11.1999

A few Lockergnomies pointed out that 'extended' character creation functionality is already built-in to Windows, although you'll have to turn it on before you can use it. Open up the 'Keyboard' applet in your Control Panel, select the 'Language' tab, then pull up the Properties for the 'English (United States)' layout. Now, in the drop-down menu, change it from 'United States 101' to 'United States - International.' Now, instead of having to remember the code to make an accented lowercase E, you can type an apostrophe first and then the letter; Windows will transmogrify it for you. ~n will become an 'n' with a tilde over it; "u will become a 'u' with an umlaut mark over it. Special key sequences include: ALT+/ (upside-down question mark), ALT+1 (upside-down exclamation mark), and ALT+c (copyright symbol).


29/11/1999

29.11.1999

What's in a font? A lot of characters, mostly. You can increase and decrease a face's size depending on where you're using it: in a word processing document, graphic, or on a Web page. Just keep this in mind: keep it legible! Just because it looks fancy and ultra-cool, doesn't mean you should use it in every situation. What may look pretty in a headline or as a stand alone capital letter, will probably not look phenomenal throughout the whole document. To piggyback this, if 14pt is too small and 15pt is too large, try 14.5pt (some WYSIWYG editing environments will NOT allow you to use decimal points for font sizes).


30/11/1999

30.11.1999

How wide is your favorite musical group? Okay, we're not talking about that kind of bandwidth with this tip. Any type of Internet connection is a two way street. However, traffic may not move as fast in each direction. For instance, you may be connected at "50k," but that's just the connection's 'download' speed; you're uploading at a slower baud. Wanna make this discrepancy even greater? Sure, let's bump up your modem's receiving capabilities. Open up the 'Modems' icon sitting in your Control Panel; select your modem, then press the 'Properties' button. On the 'Connection' tab, press the 'Port Settings' button. Now, try maxing out the 'Receive Buffer' first. Hopefully, you'll notice a (small) downloading speed increase.


1/12/1999

1.12.1999

My, that's a lovely dot you're wearing today; it goes well with your monitor. When playing with pictures in the print world, you may hear something called 'DPI' (Dots Per Inch). The higher a graphic's DPI, the better its printed output will be. However, the Internet is a different story. Since we can't jack our brain directly into a video card, we use monitors to view stuff on the Web. The highest DPI you'll get from this 'monitored' environment is seventy-two. So, if you're making images for use on the Internet, you won't need to scan or save them much higher than 72 DPI. Plus, you'll save on overall file size by tweaking that number.


2/12/1999

2.12.1999

System sound events are not meant to annoy, although sometimes they do. Instead of choosing a minute-long WAV file for 'Minimizing' a window, try something short and sweet; you're less likely to become annoyed. Or, minimize your annoyance by cutting down on the sound stuff. Open up the Control Panel, click on the Sound icon, and configure to your heart's content. Here's a note for IE 5.01 users: when a file is finished downloading, you'll hear a sound. The 'download complete' sound is now the 'Asterisk.' Again, if you enjoy grabbing files regularly, I'd use a short and relatively 'calm' WAV file.


3/12/1999

3.12.1999

They say that blinking is a sign of nervousness or lying, but I wonder if the researchers were blinking when they discovered that? You can speed up or slow down the rate at which your cursor blinks. Launch the Registry Editor (REGEDIT), and navigate to HKEY_CURRENT_USER > Control Panel > Desktop, then in the right-most panel, you should see a String Value named 'CursorBlinkRate' (if one doesn't exist, you can create one). Now, you can change the value to any number between 0 and 65535. The smaller the number, the faster your cursor will blink (and vice versa). You can also tweak the rate via the Keyboard applet in the Control Panel, but the range is severely limited.


6/12/1999

6.12.1999

It's not easy being blue; when you'd rather be playing in the snow, you're stuck inside -- with nothing constructive to do. For years now, the Blue Screen of Death (BSOD) has been haunting our PCs. Would you rather see the Magenta Screen of Death? What about Cyan? That's doable. Open up SYSTEM.INI and fly to the [386enh] section. Add two new values: 'MessageBackColor=' and 'MessageTextColor=' (without the quotes, but with the equal symbol). You'll need to use ONE hexadecimal "number" for each color; they are as follows: 0 (black), 1 (blue), 2 (green), 3 (cyan), 4 (red), 5 (magenta), 6 (yellow), 7 (white), 8 (gray), 9 (bright blue), A (bright green), B (bright cyan), C (bright red), D (bright magenta), E (bright yellow), F (bright white). I hope you never see another screen of death again.


7/12/1999

7.12.1999

Shortcuts were designed for quick file and folder access. I've seen some novice Desktops littered with dozens of shortcuts pointing to the same program; redundant, but common. If you've got a 'bad' shortcut, Windows may automatically try to fix the broken association for you. But, the shortcut doesn't need to be orphaned for you to access it's target. Right-click on a shortcut, pull up its properties, flip to the 'Shortcut' tab, and press the 'Find Target' button. Presto! You're instantaneously transported to a different part of your computer; this method may be quicker than using the Windows Explorer for folder navigation.


8/12/1999

8.12.1999

Your closet is filled with games you'll never play again and utilities about which you've all but forgotten. Is there a remote possibility that someone else in your area would want them? Sure, you could sell them at a garage sale or even auction them in an online forum. But why not see if a friend or tech acquaintance would like to swap something? S/he may have something you need, and vice versa. And, you know, the Holiday season is here; no doubt there's a local organization that accepts used software donations. Your unused stuff is collecting dust when it could be generating smiles. Promise me you'll think about it?


9/12/1999

9.12.1999

Coming from the "Can You See What I See" department, Lockergnomie Ed Davis has mastered the rainbow. What a wonderful electromagnetic spectrum we have; visible colors are much more aesthetic than the invisible ones. However, just because one color can be placed on top of another doesn't mean it should be. The Web is overflowing with pages sporting dark text on dark backgrounds (and light text on light backgrounds). Silly coders; when will they ever see the error of their ways? Until then, to sidestep this blatant misappropriation, use the 'CTRL+A' keyboard shortcut. It'll highlight the text and make it more legible.


10/12/1999

10.12.1999

Sometimes it's not wise to keep a thousand separate text-based files on your hard drive, when you could consolidate them into one. How many 'Internet Shortcuts' do you have lying around? Sure, each one may be under 200 bytes, but they're each taking up much more space (4,096, 8,192, etc.). If you're in a cleaning mood, move all your small text files to a new folder (like 'URL' files, for example). Now, drop to a command prompt within Windows (run COMMAND.COM) and navigate to that newly created folder. Type: "COPY *.* WEBSITES.TXT" (without the quotes). Of course, you can use specific extensions (*.TXT, *.DIZ, *.URL, etc.) and a different output file name. In the end, you'll have one large text file instead of several small ones.


13/12/1999

13.12.1999

Coming from the "Do You Hear What I Hear" department, a Lockergnomaniac presents a sour note solution. Digitized music is usually found in the MP3 format; most MP3s are around 5.0 megabytes in size. To someone with bandwidth to spare, this is no big deal. For dial-up users, however, anything over two megabytes is an eternity. The great thing about MP3s is that you can listen to them WHILE they're downloading! If it wasn't the song you wanted to hear, you can abort the transfer without wasting any more time. Open the 'Find' applet (tap F3) and search your hard drive for all MP3 files. If you're downloading BUM_BUM_SONG.MP3, its icon should pop up. Double-click it and listen to what's been transferred. If you were hoping to hear Tom Jones (instead of Tom Green), you can abort the transfer immediately.


14/12/1999

14.12.1999

Quit peeking over my shoulder. That may be acceptable behavior in Spanish class, but not when it comes to technology. Why? Because my needs are not always your needs; my wants are not always your wants. Just because your friend or neighbor has something shiny and new, doesn't mean you have to rush out and get the same thing (or something better than what you already have, especially if it still works for you). It's great to get advice, but be careful when you ask someone about 'the best' package. That's a relatively relative question. Find hardware and software with features that YOU are going to use. More 'bells and whistles' doesn't always make for more satisfaction.


15/12/1999

15.12.1999

At work, you're pretty much stuck with the e-mail client they give you. At home, on the other hand, the client choice is (more often than not) completely up to you. Be sure to grab one which does spell checking! Typos pop up all the time, even from experienced typists. But even the best spellers make mistakes now and again. If you're in an application which doesn't have a spell checking feature, and your e-mail client is open at the same time, start a new message, enter the word in question into the message, and then run a spell check on that word. Instead of firing up a full-fledged word processing application, you can use something which you probably have open already anyway. Yuo've got mail!


16/12/1999

16.12.1999

Netscape is a lot more command line user friendly than Internet Explorer. What's that all about? It's about getting below-the-surface information quickly from the browser. See what you get when you enter these on the 'Location' line: about: (browser info), about:cache (disk cache), about:document (current page info), about:global (global history entries), about:image-cache = (memory cached images), about:license (license agreement), about:logo (Netscape logo), about:memory-cache (memory cache), about:mozilla (killer quote), about:plugins (installed plug-ins), about:XYZ (Substitute 'XYZ' with real URL). You can try these in IE, but the results won't be the same.


17/12/1999

17.12.1999

Coming from the "Sticks To Your Digital Ribs" department, a Lockergnomie has a tip you should note with a note. You've probably got a dozen yellow stickies all over your desk right now. Don't be ashamed; I couldn't live without 'em either. But there may be a way to keep your tasks more environmentally friendly. Right-click somewhere on your non-Active Desktop, select New, then any given file type (Text Document, Wave Sound, Bitmap Image, etc.). This will be a dummy file -- just select it, tap F2 to rename it, and then enter in a task to be done. Simple! It sits there until you (hopefully complete the task and) delete it.


20/12/1999

20.12.1999

Coming from the "Who's In Control" department, Lockergnomie Mark Roberto intends to finish what his computer wants to start. To make our lives easier, Windows has something called a 'StartUp' group. This is kinda like a GUI version of the AUTOEXEC.BAT; everything within this folder is automatically launched every time Windows boots up. There are times when you don't want those programs to run at all during the boot process. Next time you feel like suppressing those shortcuts, hold down the CTRL key when you first see the cursor appear on your screen (during Windows booting); items in your Startup folder will be ignored. You can always launch them later (individually) during that Windows session. Windows 98 users may also appreciate the 'Startup' tab in MSCONFIG.EXE.


21/12/1999

21.12.1999

How much cache do you have on ya? That's the stuff that gets stored (temporarily and permanently) in your system when you're browsing the Web. Depending on how much disk space you have to spare, you may wish to increase (or decrease) your browser's disk cache. From the IE menu, select Tools, Internet Options, flip to the General tab, and press the Settings button. From there, you should be able to move the slider (or change the number) to a desired amount. I prefer to have a smaller cache (because I don't visit the same sites on a regular basis). From the Netscape Navigator menu, select Edit, Preferences, open the Advanced tree, then press the Cache limb. You'll have to set the number in terms of kilobytes (somewhere around 8192 should be sufficient for most users).


22/12/1999

22.12.1999

Forwarded e-mails can get convoluted with extraneous headers and greater than symbols. This usually isn't a problem (if you don't plan on keeping the messy message). Should you wish to keep the relevant parts of said message somewhere in your e-mail client, this is what you'll need to do: hit the forward button, enter your own e-mail address as the recipient, strip out all the unnecessary junk (and/or attachments) from the original message, and click send. In a few moments, you should have a more perfectly formatted message in your Inbox (which may then be moved to another folder or archived). Getting rid of the junk will make it easier to read (beyond wasting visual and physical space).


23/12/1999

23.12.1999

Lately, I've seen a trend developing online with the graphics community. When you create an original image, you don't want anybody else to use it without permission (if at all). But once you put it up on a Web page, it can be taken without asking. To curb this behavior, some users have relied on code which disables right-click functionality on that particular page. But there's still a way to get at those graphics. Think about it for a second -- in IE5, you can easily save an entire Web page (graphics and text). Or, just flip through your cache. I'm not suggesting that you go around yanking graphics against an artist's will, but should you ever need to get around this right-click stumbling block (for whatever reason), remember this tip.


24/12/1999

24.12.1999

Coming from the "Can't We All Just Get Along" department, Lockergnomie Jack Sanderson found a way to force old applications to behave. Did you have the pleasure of dealing with Windows 3.x? Consider yourself lucky if you answered 'no.' While that outdated OS is still floating around, most of us have moved on to the 9x series. However, we may still be using some older 16-bit programs -- which may not get along with 32-bit Windows. The good news is: you may be able to make those errant apps behave themselves. click the Start button, select the Run command, then type: "MKCOMPAT" (without the quotes). You'll now be able to select the problematic 16-bit program and tweak its settings to better work in a 32-bit environment. Turn on the 'Advanced Options' for extended tweaking.


27/12/1999

27.12.1999

Coming from the "Older Than Dirt" department, Lockergnomie Troy Wahlmeier inadvertently stumbled upon a potentially life-saving utility for Windows 98 users. I'm going out on a limb by assuming that everyone has at least one or two third-party programs installed on their system. Sadly, sometimes newer versions of important system files get replaced by older ones. Before dialing 911, click the Start button, select the Run command, then type: "VCMUI" (without the quotes). The Version Conflict Manager will launch and display a list of possibly troublesome files (which you may then fix with the click of a button).


28/12/1999

28.12.1999

As usual, I was manipulating objects on my Desktop the other day (believe me, I'm trying to quit). Curiosity got the best of me and I wondered what would happen if I dragged an object over the System Tray and held it there for a few seconds (without dropping it). Yeah, my cursor immediately changed into that little circle with the diagonal bar, but suddenly all of my windows were minimized! There are other ways to achieve the same result, but I'll leave those for a future tip. This particular maneuver will be handy when you're in the middle of an "important" drag & drop operation and need immediate access to the Desktop (for whatever reason).


29/12/1999

29.12.1999

Our world changes in the blink of an eye -- technology trends change even quicker. There were many gifts exchanged this Holiday season; did someone give you something for your PC? What should you have done before opening and installing it? Whenever I get an "off-the-shelf" product (hardware or software), I check its official Web site. Chances are, it will have driver updates, firmware patches, and/or bug fixes for that particular product. Doing your homework may just prevent a few headaches. Check back regularly to see if any new updates have been uploaded, but be careful: just because a newer version is released, doesn't mean it will install flawlessly (or work as well as the current one).


30/12/1999

30.12.1999

There's nothing wrong with installing new hardware and software, but be careful not to make too many changes to your system at the same time. Even if you go out and purchase three peripherals, I wouldn't suggest installing all of them at once. Same goes for the entire range of software titles. Contentions are bound to arise when you start fussing with a smoothly-running machine; you're bound to exacerbate existing problems by adding more 'seasoning' to the stew. By doing "everything" at the same time, you won't know which program or component is to blame for the error(s). What to do? Take it one step at a time; try ONE product for a while and see if any major (negative) changes pop up. Then, if all is well, install something else.


31/12/1999

31.12.1999

Coming from the "Bouncing Checks" department, Lockergnomie Chris Tingom brings to light a time saver worth reading. Say you've got a handful of files and folders which have certain attributes (Read-only, Archive, Hidden, System). Some of them happen to be hidden, but you'd rather remove their virtual cloak. Select those objects with your mouse, right-click on one of them, and pull up its properties. From there, you can select or deselect any given attribute. It's also interesting to note that the 'Size' value reflects the overall space taken up by all the files (and/or folders) you've selected.


10/8/1998

August 1998

What's so Historical about the Start Menu? Nothing, yet! Simply right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename that folder: History.{FF393560-C2A7-11CF-BFF4-444553540000} and hit Enter. You can do that anywhere with any folder, too!


11/8/1998

11th August 1998

Have an Iomega external parallel port Zip drive? Word on the street is that you can use the drivers designed for Iomega's 'ZipPlus drive' instead of the default 'Zip drive' drivers and get faster transfers. I've been using the ZipPlus drivers with my Zip drive and I've yet to have a problem (it seems a little faster, too). You can download the ZipPlus drivers: [ DOWNLOAD ]


12/8/1998

12th August 1998

IRQs are easy to manage. NOT! If you're not sure which resources are sucking up DMA, IRQ, or Memory resources, you can right-click on My Computer, select Properties, click on the Device Manager tab, select Computer, and click on Properties. Easy as floor pie!


13/8/1998

13th August 1998

Controlling individuals should like this tweak. If you have IE4 (or W98) installed, make a new 'Control Panel' toolbar. Right-click on the taskbar, choose 'Toolbars' then 'New Toolbar'. In the dialog box, scroll down and select 'Control Panel'. Click 'OK' and voila! You can right-click on the toolbar to change its appearance, plus drag & drop it anywhere!


14/8/1998

14th August 1998

Windows crashes--this is a fact of life for any operating system. Because IE4 and W9x are tightly integrated, when IE4 crashes, the OS may crash, too. However, you can make IE open up in a new process when you're surfing the web (which will protect your OS a bit more). Open Internet Explorer, choose 'View' from the menu and select 'Internet Options'. Click the 'Advanced' tab; under 'Browsing,' be sure that 'Browse in a new process' is checked. Click 'OK' and you should be set!


17/8/1998

17th August 1998

I used to download animated cursors all the time. Here's a quick way to preview what they look like when animated: right-click on the ANI file and choose 'Properties'. In the upper-left corner of the dialog box you'll see the animation (albeit at a slower rate).


19/8/1998

19th August 1998

Creating a new e-mail message is easier than you think. Try hitting WinKey+R (or using the Run command in the Start Menu) and type: mailto:user@user.com (of course, substituting that for the user's actual e-mail address). It should create a new message for your default e-mail client. You can even type the same thing on the Command line (otherwise known as a DOS Prompt) within Windows.


20/8/1998

20th August 1998

Did your computer lock up? Try hitting CTRL-ALT-DEL next time. I realize this is a no-brainer for the advanced users, but you'd be surprised how often we forget about the easiest way to shut down offending programs. You can hit this key combo even when Windows isn't locked up to view what programs are currently running (in the foreground and background). Being a super sleuth is simple.


21/8/1998

21st August 1998

Need quicker access to your IE subscriptions? Simply right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename that folder: Subscriptions.{F5175861-2688-11d0-9C5E-00AA00A45957} and hit Enter. You can do that anywhere with any folder, too!


25/8/1998

25th August 1998

External Parallel port Zip drive owners: don't forget to run the "parallel port accelerator" program which should already be installed with the Zip drivers. Believe it or not, it could actually speed transfers up a bit more than usual. I was surprised in the difference it made. Zippity Do Dah!


26/8/1998

26th August 1998

You heard me mention the IntelliMouse in an earlier HTML issue; here's something that I recently discovered, and something most of you probably already knew about. While you're scrolling with the wheel, hold onto the CTRL key. If you're in an Office 97 application, the document will zoom in and out. BUT, also try it in IE4! The fonts will get bigger and smaller.


27/8/1998

27th August 1998

Lockergnome Subscriber Jeff Stoner advises that IntelliMouse users running NT4 should disable three devices in the "Devices" Control Panel: msinport, msbusmou, & mssermou. "These devices don't cause anything bad to happen, but you'll get three warnings in your Event Log every time you boot. Disabling them is a safe operation and I've had no problems since disabling them."


28/8/1998

August 1998

That little X in the upper right hand corner is a handy little button, isn't it? But it might not be the quickest way to close an application. If I have several programs open, and I want to close some of them without hovering my mouse cursor all over the screen, I just pop up the taskbar (found at the bottom of the screen), right click on the program icons I want to close, select "Close" from the menu, and blammo. Exit stage left!


31/8/1998

31st August 1998

Save a step next time you download something using Internet Explorer. Sure, you're used to simply clicking a file to download it, but try RIGHT clicking on the file and choosing "Save Target As" from the menu. That way, it'll jump right to the "Save As" dialog box; it'll also open a "daughter" window for the download, so you can go about your merry way without having to wait for a response.


1/9/1998

1.9.1998

When you're downloading stuff in IE or Netscape, instead of relying on the download window for transfer progress, minimize it instead. It should show some type of percentage when it's minimized to the taskbar, unless it's coming from an FTP site, in which case you'll see the actual file size transferred to that point.


2/9/1998

2.9.1998

How many times have you lost a download? If there are less stars in the night sky, then you've got a bigger problem than I thought. Here's what I do to keep tabs on what I've grabbed from the Internet: I save EVERYTHING to the Desktop! From there, I install, delete, copy, or move items to a better folder. This is why it's a good idea to have a large, uncluttered Desktop area. And yes, I'm talking about the Desktop on your screen.


3/9/1998

3.9.1998

Some people with the latest hardware don't even want to have Windows 98 installed; I can't say I blame them. However, older machines without math coprocessors can't install Windows 98 at all. That is, unless they use a small workaround found on the following web page: http://members.aol.com/ojatex/win98.htm (NOTE: may not work for everyone).


4/9/1998

4.9.1998

Looking for a Lockergnome FAQ? Well, I've got the beginnings of one on the "Options" page (which some of you have probably already seen). If you think that I could add an answer there, please let me know. While it's designed for Lockergnome newbies, I'm sure you old friends might learn something new, too. The key is: don't be afraid to write me, but don't write me about something for which you could find an answer on your own. :)


7/9/1998

7.9.1998

If renaming ourselves was as easy as renaming files in Windows, I'd have a million aliases. You can click once on an icon to select it, click again on the icon's text portion, wait 1 second, and edit away. Or select an icon, press F2, and edit away. But if you're a right-click type of person, just right click on an icon and select "rename" from the menu, then edit away. The IE5 beta allows you to right-click and rename items in the Start Menu, too.


8/9/1998

8.9.1998

I really dislike the new WiMP (Windows Media Player). I don't really want it associated with anything. Ever have "one of those" programs which sets itself up as the default program for a certain file type? Hold onto the SHIFT key, select an icon (program or file type), right-click on it and select "Open With..." from the menu. A small "selection menu" will pop up. If the program you want to use as a default isn't there, click the other button and "find" it. Remember to check off the "Always use this program to open this type of file" switch.


9/9/1998

9.9.1998

Do you download & install every font in sight? Stop it right now! Well, you can keep downloading them, but don't install them. Every font you install sucks up physical memory. Unless you have physical RAM to spare, I wouldn't suggest loading too much more than your commonly used fonts. So what do you do with the fonts you want to keep but not install? Put them in ANOTHER directory ("Other Fonts" is what I use). When you want to use a particular font in a document/graphic, go to your "Other Fonts" folder, double-click on the font you want to use (and KEEP THE FONT OPEN), launch the application in which you wish to use that font... BINGO! The font should show up in your regular list as if it were installed the "normal" way. When you're done, you can close the font preview window and Windows is none-the-wiser.


10/9/1998

10.9.1998

I haven't heard a lot lately about the PNG graphic format and it's place in web browsers. Does your browser support PNG graphics? http://www.w3.org/Graphics/PNG/Inline-img.html is basically a testing page for inline PNG images. "PNG is an extensible file format for the lossless, portable, well-compressed storage of raster images. PNG provides a patent-free replacement for GIF and can also replace many common uses of TIFF." I wish the format would catch on soon...


11/9/1998

11.9.1998

Try to spend one day online without searching for something on a search engine (or using search software to seek stuff). If you're looking for something with more than one word, try throwing quotes around the term. For instance: "red rum" instead of: red rum. This little trick should especially help the search engines find exactly that for which you're looking. You can quote me on that.


14/9/1998

14.9.1998

A Lockergnome Subscriber let me in on a little-known secret for turning on the NUM LOCK key in NT4. In Control Panel -> System -> Environment, add a user variable "NUMLOCK" with the value of "ON". Whenever you log on to the workstation, the NUM LOCK key will come on. NT4 ignores the BIOS 'NUM LOCK' state. Show that key who's boss!


15/9/1998

15.9.1998

When was the last time you washed your hands? Oh really? Well do it again, cowboy. Germs spread quickly on keyboards, and the more you wash your hands, the less chance there is for you to spread (or possibly acquire) germs. Why is this a tip? Because I don't want you to get sick and have to skip a day of work (or classes). Wait, did I just say that? Nah, nevermind... don't wash your hands. Forget I said anything.


16/9/1998

16.9.1998

Does your neck hurt after a long day at the computer terminal? Make sure your monitor is sitting correctly. If you have to look up or tilt your head backwards to see anything on the screen, then you NEED to make some adjustments. If anything, you should be looking DOWN on your monitor (so your gaze and head are tilted slightly downward). This will help more than you'll ever know. Posture is important. And take a break every few hours, too! Look who's talking...


17/9/1998

17.9.1998

Take a look at your scroll bar. Is it too fat? Rather, is it bigger than it needs to be? If you're using a smaller resolution, then you need all the screen real estate you can get! Right-click on the Desktop, choose Properties, click the Appearance tab, left-click on the scroll bar, and adjust the size at will. You can also adjust other UI items within this dialog box as well!


18/9/1998

18.9.1998

How easy is it to change an icon for a shortcut? Easier than using Velcro. Simply right-click on a shortcut, choose Properties, then you should see the "Shortcut" tab with a "Change Icon" button near the bottom right. Click it. Then, "Browse..." for ICL, DLL, ICO, etc. files on your hard drives! When you finally find what you want, click OK. If icon do it, you can, too.


21/9/1998

21.9.1998

E-mail is used almost more than any other application online. Think about it... what's the first thing you do when you log on? Here's something that might speed up the creation of a new e-mail message for you. Right-click on your Desktop, Choose New, Select Shortcut, enter "mailto:" as the Command Line (no quotes, including colon), hit the Next button, name it whatever you want, and Finish! Any time you click on that Shortcut, it should open a new e-mail message in your default e-mail client.


22/9/1998

22.9.1998

How many times have you tried to copy/paste a URL into an e-mail message, only to have it pasted as an attachment instead of text? Kinda annoying, eh? To get the text URL into the message, first move your blinking cursor up to the Subject line (or To, CC, or BCC line) and try pasting there. It should 'translate' the URL into plain text. From there, you can re-copy the text URL and paste it as text into your message (and delete it from whatever line in which you pasted it).


23/9/1998

23.9.1998

I've seen several screen shot programs floating out there, but why bother with them when Windows 9x has a 'camera' built in? That's right! Hit the Print Screen key right now... nothing will appear to happen. However, now open up a graphics program (like Paintbrush) and hit the paste button. You should find a bitmap of the screen as it was when you hit the Print Screen key! Or, if you just want a screen shot of a particular window (not the whole screen), select the window of which you want a shot and hold onto the ALT key when you press the Print Screen key.


24/9/1998

24.9.1998

Yes, I get hundreds of e-mail messages every day. I'd like to save certain ones, but some of them have large attachments. Once you've extracted and used an attachment, you shouldn't need it anymore (though the message might still need to be saved). In Outlook 98, you can remove the attachment by opening the e-mail message, right-clicking on the attachment icon, and selecting "Remove" from the menu. That should save some precious disk space!


25/9/1998

25.9.1998

I used to live at the command prompt. After I started using Windows 9x, I stopped dropping to DOS so much. I don't play many games, and I've slowly but surely replaced most my old utilities with new 32-bit ones. But when I need a command prompt, I simply type "Command" under Run in the Start Menu. You can toggle between full screen and a windowed command prompt by hitting ALT+Enter. Your wish is its command!


28/9/1998

28.9.1998

Icons are pretty darn cool, but they're used to represent something (either a program or type of file). There's more information in an icon than meets the eye. Just select one and hit ALT+Enter and it should bring up a window with detailed information (file size, date, type, location, attributes, etc.). If you ALT+Enter on a Shortcut, it should show another tab (wherein you can change the icon, location, etc.). Or, instead of the key combo, you can hold onto the ALT key and double click on an icon to see all that stuff.


29/9/1998

29.9.1998

The keyboard is a necessary evil at the moment. Until speech recognition is accurate 99.999% of the time, we're pretty much stuck with it. So Microsoft has built in some wicked keyboard shortcuts to help save us time. I've mentioned a few of them in Lockergnome before, but this one bears repeating: ALT-F4. There's no quicker way to close a program! Don't mess with the mouse when it comes to closing time, just use this shortcut (ALT-F4).


30/9/1998

30.9.1998

Some days are better than others for Windows 9x users; we have to reboot every once in a while. Next time you have to reboot, try holding onto the SHIFT key as you press "OK" to restart your PC. It'll skip all the regular boot-up stuff (including the autoexec.bat and config.sys files).


1/10/1998

1.10.1998

Here's a good tip from fellow subscriber, Matthew Seddon: "If your modem connection hangs up during a download, or a download times out, on some occasions, the download window will remain open. If you leave that window open, reconnect to the Internet, then start downloading the file again, IE will resume the download!" Thanks, Matthew!


2/10/1998

2.10.1998

The Recent Documents menu used to annoy me. However, I stopped resisting it once IE4 (and W98) hit the streets. It seemed that I only wanted certain Documents in there (and not others). Well, no matter what you're running, you can always open the "Recent" folder in the Windows directory and delete the shortcuts you don't want in the menu, or (with IE4 or W98) you can right-click and delete the ones you don't want straight from the Documents menu (in the Start Menu). Thanks for reminding me, Jeff!


5/10/1998

5.10.1998

Don't throw it away, recycle it! Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Recycle Bin.{645FF040-5081-101B-9F08-00AA002F954E}


6/10/1998

6.10.1998

Who are the people in my (network) neighborhood? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder.Rename the folder to the following and hit enter:

Network Neighborhood.{208D2C60-3AEA-1069-A2D7-08002B30309D}


7/10/1998

7.10.1998

What's on the Desktop today? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Desktop.{00021400-0000-0000-C000-000000000046}


8/10/1998

8.10.1998

The world's smallest suitcase just got bigger. Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Briefcase.{85BBD920-42A0-1069-A2E4-08002B30309D}


9/10/1998

9.10.1998

Just another FONTastic day with the Gnome. Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Fonts.{BD84B380-8CA2-1069-AB1D-08000948F534}


12/10/1998

12.10.1998

Who's really in control? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Control Panel.{21EC2020-3AEA-1069-A2DD-08002B30309D}


13/10/1998

13.10.1998

Someday, my prints will come! Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Printers.{2227A280-3AEA-1069-A2DE-08002B30309D}


14/10/1998

14.10.1998

Dial-Up Networking got you down? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

DUN.{992CFFA0-F557-101A-88EC-00DD010CCC48}


15/10/1998

15.10.1998

Exchange users, rejoice! Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

Inbox.{00020D75-0000-0000-C000-000000000046}


16/10/1998

16.10.1998

Who's Computer is this anyway? Here's another nifty folder shortcut for Windows 98 & IE4 users: Right-click on the Start button, choose Explore, then in the Explorer window which pops up, create a New Folder. Rename the folder to the following and hit enter:

My Computer.{20D04FE0-3AEA-1069-A2D8-08002B30309D}


19/10/1998

19.10.1998

Thank you for putting up with all those "similar" tips over the last couple of weeks. I had to write those issues around the time that I was getting married (you can imagine the stress I was under). So, don't think I was ignoring any specific "OS" population when I wrote about them. Coming up with GOOD tips is very difficult to do (sorry those folder ones didn't work for everyone). Like, how many of you knew that a calendar was built into Windows? Sure! Just double click on the clock in your System Tray! You can flip through the dates, but if you don't want to change anything, be sure to hit the CANCEL button when you're finished.


21/10/1998

21.10.1998

One of my favorite tips of all time (and don't stop me if you've heard this before) deals with the SendTo menu. If you only have the default shortcuts in there, you're missing out on a world of functionality. You could be putting shortcuts in there for various (common) applications... and possibly even folders. The "must have" shortcut in the SendTo menu has to be Notepad. It's the easiest way to view a textual file. Click on the Start button, select "Run," type in "sendto" (without the quotes), then make a new shortcut to Notepad within that folder. Don't stop there, either... think about what else you might be able to "send" stuff to.


22/10/1998

22.10.1998

Oh where, oh where has my little file gone? Are you searching for files that were or should have been installed with your OS? Try inserting your 9x CD, dropping to a command prompt, and using "extract.exe" (which should already be installed). You can "extract" files from CAB files quickly and easily. Of course, this is more for people who are familiar with command line utils. But it's powerful for just about anyone. If that doesn't help you, head on over to http://www.filez.com/ -- the perfect place to find those elusive DLLs that you thought you already had.


23/10/1998

23.10.1998

To some people, frames are annoying. Of course, lousy implementation of frames is particularly annoying to EVERYONE. Have you been surfing around, only to find that a link on a web page keeps you stuck within parent frames? Sure, you could "open" the link in a new window, but what if you want to use the SAME window? In IE4, you can drag & drop the link onto the Address Bar. In IE3, you can drag & drop the link anywhere on the browser window. Or, you could also drag & drop the link to your Desktop, and then back again onto your Browser (or open up the shortcut by double clicking it). It's a new frame of mind!


26/10/1998

26.10.1998

Okay, I know you're probably still sick of those folder shortcuts I brought up a couple of weeks back (don't worry, I won't mention them again for a long time). But here's another way to use folders in your Start Menu. Under the Programs folder, you've probably got over a dozen separate categories (you really should streamline them). What if you have so many small utilities that you'd run out of room on your screen if you had to list them all in a group? If possible, put a shortcut to a particular folder that'll open up and have shortcuts (or the actual programs) within it. Therefore, you're still getting what you want, just clearing up a lot of space in your Start Menu.


27/10/1998

27.10.1998

Living in Iowa, I grew up with a puppet named Floppy. Other "older" Iowans should remember him, too. Sadly, Floppy isn't around anymore. And if you've got tons of floppies lying around, you should get rid of them, too. No wait--don't just throw them out--copy their contents temporarily to your hard drive, and then (if you want) put the things you want or need to keep onto NEW floppies. Why? Because floppies have an extremely short shelf life and are not to be trusted (even those bountiful AOL disks). You should also be careful not to store your floppies next to anything magnetic... that's a major no-no.


29/10/1998

29.10.1998

You use e-mail. How else would you be reading this (unless you're reading this on a web page, in which case, you might not have e-mail). Let's assume, however, that you have e-mail. What font are you using to read and write to others? I'd strongly suggest using a fixed-width font over a proportional one. You know, like Courier New or Lucida Console? At least give it a shot--you have nothing to lose. I couldn't have it any other way--for formatting, typing, and reading. If you don't like it, you can always switch back.


30/10/1998

30.10.1998

I think I'll open up a game of solitaire... and surf the web... and check e-mail... and write my book report... and play some multimedia files... HEY!? Where'd my system resources go. My PC tells me that I've got to close some applications. If only I knew how much was being sucked up. Well, I suppose I could have used the Resource Meter. Click on the Start button, select "Run," then type in "RSRCMTR" (without the quotes) and hit Enter. It should launch this nifty (albeit somewhat simple) utility that'll keep an eye on when resources are running dangerously low. The icon sits quietly in the System Tray (double click it for more info). You can (and probably should) place a shortcut for it in your Startup folder, too. Green is GOOD!


2/11/1998

2.11.1998

When you need to step away from your computer for a second, sometimes you have to wait for the screen saver to kick in so that nobody will see what you're working on. Instead of invoking it through the "preview" method, try creating a shortcut for a screen saver (of your choice) on your Desktop. That way, when you're ready for it to kick in, all you have to do is click a shortcut. No other program is necessary--just that simple shortcut. You can turn your screen saver on whenever you want--without loading a third-party utility to do it for you. How's that for a resource saver?


3/11/1998

3.11.1998

Lockergnome subscriber Dirk-Lueder Kreie told me about this trick: "If you have to shutdown windows quickly, create a new shortcut. For the application, type: "C:\WINDOWS\RUNDLL32.EXE User,ExitWindows" (without the quotes) -- If opened, this shortcut will immediately shut down Windows without prompting. This, too, is something that you don't have to download a third-party utility for. The ability is already built-in to Windows! Another great resource saver...


4/11/1998

4.11.1998

Do you open the Windows folder often? Here's a quick way to do it without ever creating a shortcut for it. Click the Start button, choose Run, then type: ".." (without the quotes) -- it should open up your Windows folder in a flash!


6/11/1998

6.11.1998

Here's another reason to upgrade to Windows 98: Microsoft Paint allows you to open up and edit JPEGs and GIFs. Those, if you didn't already know, are the two most popular graphics formats on the web today. So, if you already have W98, try it for yourself. If you don't have W98... well, please don't make this the only reason you upgrade.


9/11/1998

9.11.1998

Internet Explorer 4.x users, if you know of the root word for a domain (like 'lockergnome' would be the root for 'www.lockergnome.com'), you can type in just that root word and hit CTRL+Enter to have it add the "http://www." and ".com" to the beginning and end of it. Or, just like Netscape users, you could just type in the root and wait for your browser to finish the rest. I suppose the CTRL+Enter trick just speeds the process along.


10/11/1998

10.11.1998

Admittedly, W98 came with better sounds than W95. But you might be tired of them already. Here's something I stumbled upon after reinstalling Office 97 the other day. Open your \Windows\Media folder (or type "media" without the quotes under 'Run' in the Start Menu). If you have a folder called "Office" in that Media folder, take a listen to those sounds--they're pretty darn slick! They also make excellent replacements for your default system sounds. Of course, the king of all WAV sites online is 'The Daily WAV' -- http://www.dailywav.com/ -- if you don't have enough WAVs, go there!


12/11/1998

12.11.1998

I hate when certain programs clobber my associations. When I want to open up WAV files w/ Sound Recorder, that's my prerogative. A new program shouldn't associate itself with certain extensions without asking first; unfortunately, not every program is polite. So, if you'd like to open a "file type" with a certain non-associated application: Click to select the icon, hold down the Shift key, then right-click on the icon. In the pop-up menu, you should see an "Open with..." option. Select that! From there, you can browse and re-associate temporarily or permanently.


13/11/1998

13.11.1998

Okay, just in case you missed it the first time around, or if you haven't heard about it yet, here's the Windows 98 Easter Egg. Open up your Date/Time Control Panel applet (or simply double click on the clock in your System Tray), and select the Time Zone tab. Now, hold down the CTRL key and left-click & hold on Egypt. While still holding down the CTRL key and your mouse button, "drag" Egypt to Tennessee then let go of your mouse button (but not the CTRL key). Click and "drag" Tennessee to Washington (state). Then, let go of the CTRL key and your mouse button. That should work, though it might take a little while to master!


16/11/1998

16.11.1998

I remember when they used to sell 2x CD-ROMs in the store. Oh, if only I could save up enough money to get a 4x, I would be flying along at top speed. Then came 8x, then 12x, then... well, you get the picture. Nowadays, I believe they're up to somewhere around 40x. Man--that's pretty darn fast. Of course, that might be the actual speed at which your CD-ROM is accessed. Depending on where data is stored on a CD-ROM, the drive will read it faster or slower. Here's a great way to tell your CD-ROM's *TRUE* speed: http://www.geocities.com/ResearchTriangle/Lab/1228/cdan_e.html -- fine tune your drive today!


17/11/1998

17.11.1998

One of the major annoyances of IE4 was the fact that you could seldom see a complete URL in the bottom left-hand corner of the browser. This was a major oversight by the development team, and I remember several hundred people complaining about it when IE4 was still in beta stages. Apparently, they didn't think it was important enough. Luckily, IE5's Status Bar was designed a bit better. If you don't want to wait for the final version of IE5, check out StatBar: http://mdbo.ne.mediaone.net/Statbar.html -- it'll widen the pane in IE4 so that you can view more of the URL's your mouse cursor hovers over. Granted, the software isn't perfect, but it's (sometimes) better than nothing.


18/11/1998

18.11.1998

People ask me what I use to mail out Lockergnome. Since I'm not the one controlling distribution anymore (too complicated, too expensive), I always recommend using Lyris for anything with 1000+ users. http://www.dundee.net/ will host your list for you (they used to host this one). But, if you don't want to pay much for decent mailing list software, check out Listserv Lite at: http://www.lsoft.com/listserv-lite.html -- you can't really get much cheaper than free, folks.


19/11/1998

19.11.1998

Does your disk seem slow? If you're not sure, take a hard disk speed diagnostic: http://www.iop.kiev.ua/~vgrin/DiskSpeed32/ -- the output might not make sense to you, but you could always compare different results over time (or with a friend down the street). It's just another one of those "things" that you power users would love to have.


20/11/1998

20.11.1998

What sites do you visit on a daily basis? Add Lockergnome's: http://www.lockergnome.com/ to your list. If you haven't taken a look at it lately, I've been updating my front page on a daily basis (even weekends sometimes) with the latest updates, news, drivers, etc.. They won't be archived, either (too much of a hassle for me right now). And, here's the kicker: the stuff I throw on my front page won't be seen in any issue of Lockergnome! So, don't think you're getting everything just by reading these issues... you're missing out on Lockergnome's main page information!


23/11/1998

23.11.1998

I don't understand how someone can have a Start Menu with more than 15 subfolders. Heck, I have it whittled down to 6. Anyway, you'll find that if your Start Menu program folders scroll off the screen, a little black arrow will appear at the top or bottom of your list. The same thing happens with your Favorites & History in IE4. To speed up the process, be sure to hold down the CTRL key while you scroll. It'll move a lot faster when you do.


24/11/1998

24.11.1998

Let's say you're listening to your favorite CD and your wife walks into the room telling you to turn it down because she's on the phone with a close friend. Do you: A) flip her off? B) Turn it up louder because you hate her friend? C) Remind her that if you turn it down your speakers will explode? D) Use your left mouse button to click once on the Volume icon in your System Tray, wait a second, then select the Mute checkbox? If you answered D, your marriage has been saved. Crisis averted. There's a tip in there... take your pick.


25/11/1998

25.11.1998

I'm running IE5b2 (Internet Explorer 5.0 beta 2). I know, you probably think I'm crazy (and I am). I played around with it on Joe and didn't find too many quirks. Of course, now that I'm using it on Mr. Bigglesworth, I'm finding more bugs (but few showstoppers). For the most part, it's a solid beta... but be VERY careful. It's slightly faster, but not perfect yet. I was using the built-in FTP client the other day and I had my first IE5 crash. Then, whenever I'd open an Explorer window to look at my hard drive's folders, the default icon view was set to "details." I didn't like that. A few days later, I remembered a tweak that came from the days of Windows 95. First, open the Explorer window, arrange the icons the way you'd like them viewed everywhere, then hold onto the SHIFT+CTRL+ALT keys while clicking on the "X" (close) button. Ah, much better!


26/11/1998

26.11.1998

Before the Internet, my dad's Desktop was pretty boring. The honeycomb pattern was just about the most exciting thing we had ever seen. Okay, so perhaps I'm exaggerating, but I think you know where I'm going with this one. While you're visiting a website, take notice of the graphics that are there. If some would look great as your Desktop Background image, then why not make it so? Some sites even have perfectly tiling images for their backgrounds--they'll work just as well on YOUR Desktop. Simply right click on the image (in Netscape or IE) and choose "Save Background As" or "Set As Wallpaper" and you're good to go! IE will even convert it into a bitmap automatically (if you choose to save it)!


27/11/1998

27.11.1998

Some of you Windows 95 users feel left out because some of my tips are dependent on either Internet Explorer 4.x or Windows 98. Sorry, I can't please every one of you. However, understand that I don't have a bias in this respect. A cool tip is a cool tip. For instance, if you're going to be away from your computer for a long while, instead of leaving the monitor on, shut it off--it'll save power! Keep a garbage can close to your desk so that you don't have to get up to throw something away. It's also handy to have Kleenexes an arm's length away--ACHOO! If you're in a place where natural light can shine through, open the window shade--your body needs the sun. Make sure your area is well lit, too; eye strain isn't a good thing. How many CD-ROMs do you have lying around that you never use? Donate them to a local charity or club. Okay, so that's not really a tip, but it doesn't hurt to give.


30/11/1998

30.11.1998

Lockergnome Subscriber "Zero Gear" found something QUITE interesting that I've never seen before (and I dare to say that none of you have, either). This is an EXTREMELY undocumented feature of Windows 98--I don't even know what it is or what it's to be used for. Perhaps someone else could shed some light on this subject? Using Windows 98, click the Start button, go to Settings, hold onto the CTRL key and click "TaskBar & Start Menu." Now, look at the right-most tab: DeskBar Options!? Everything is grayed out, so I'm not sure what to make of it. Interesting, to say the least.


1/12/1998

1.12.1998

How do you stop IE4 from crashing? It's a trick question. You can't. However, you can keep IE4 from "taking Windows with it" when it crashes. In the IE4 Menu, click on View, select Internet Options, go to the Advanced tab, under "Browsing" be sure that "Browse in a new process" is checked off. Since Internet Explorer (4) users have the browser so tightly integrated into Windows, this is a smart option to turn on.


2/12/1998

2.12.1998

Oftentimes, I'll feature a Microsoft Knowledge Base article in the GnomeSYSTEM section. Anyone can click on the link and visit the page for more information, but you're right--Microsoft wants you to register before you can view it. If you're afraid of cookies (beware the chocolate chip of death), then you can view those KB articles through e-mail. Just mail mshelp@microsoft.com and enter the "code" as the subject of the e-mail message. For instance, if you want to get more info on "How to Change the Default Windows Color Scheme," you would use Q196001 as the code. The site is http://support.microsoft.com/support/kb/articles/q196/0/01.asp. Look at the last part of it and you'll find q196/0/01. Remove those slashes, and you've got a winner!


3/12/1998

3.12.1998

One of my favorite reasons for owning a PC is so that I can listen to MIDI files. Yes, I know that many of you are sold on MP3 files, but they're just not the same. I like computerized-music, and MIDIs have always tripped my trigger. Most of you have wavetable synthesis on your sound card already, but you might not have it set up to play correctly in Windows. Open the Control Panel, select the Multimedia icon, choose the MIDI tab, then see which 'Single Instrument' bank is selected. If at all possible, DON'T USE anything that says "FM Synthesis". Some of you have no choice, though. Try another synthesizer if it's available. Another thing to note is that you probably won't be able to use anything with "MIDI Out" in it either (that's for keyboards). Have fun!


4/12/1998

4.12.1998

Are you annoyed by the size of fonts on a web site or in an HTML mail being viewed in Outlook 98 or Outlook Express? If you have an IntelliMouse, you're in luck! While holding onto the CTRL key, scroll your wheel up and down to make the fonts in an HTML message (or web page) get larger and smaller. I didn't realize it worked in e-mail until today!


7/12/1998

7.12.1998

Who doesn't like icons? Well, if you're using Windows 9x, you pretty much have to get used to them. Unless, of course, you're still using those 'great' 16-bit apps. To shrink the pixel spacing between your icons (which maximizes the space they take up in Explorer), pull up the Display Properties (right-click on your Desktop and choose Properties), select the Appearance tab, under the Item drop-down list, select "Icon Spacing (Horizontal)" and then "Icon Spacing (Vertical)". I have found that setting both of these numbers to 32 works well. Of course, you can play around with these settings and choose whichever ones you like most. Remember to write the "original" numbers down just in case you want to restore the settings.


8/12/1998

8.12.1998

A few weeks ago, I featured a tip that would allow you to shut down Windows by clicking on a shortcut. Some of you asked if there were any other "shut down" shortcuts available. Here's one that'll allow you to Restart Windows! Simply create a shortcut (right-click on your Desktop, select New, then Shortcut), then enter the following information (without the quotes): "C:\WINDOWS\RUNDLL.EXE user.exe,exitwindowsexec" Make sure you copy that ENTIRE string or else it won't work, people (everything between the quotes). Trust me, it works.


9/12/1998

9.12.1998

Lockergnome Subscriber Eric Fortin found a great (and we believe) undocumented trick that shrinks the 'Volume Control' window. Those of you with "no" screen real estate will find this extremely handy. Open up the Volume Control dialog (double-click on the yellow speaker icon in your System Tray). If it pulls up the default 'Volume Control' applet, you can hit CTRL+S to "shrink" it down; by hitting CTRL+S again, you'll bring the window back to its original size.


10/12/1998

10.12.1998

I've always been short, so you can see why I get along well with shortcuts (for the most part). It's easy to create a shortcut of the currently loaded web page in Internet Explorer 4.0. Here's a couple of different ways: either drag & drop the icon in the upper-left hand corner of IE to a folder (or onto your Desktop), drag & drop the icon that's next to the URL in the Address line to a folder, or right-click on a web page and choose 'Create Shortcut'. Tall people can do this, too!


11/12/1998

11.12.1998

This is for Advanced users. Lockergnome Subscriber Brian Hall sent in this (possibly useful) tip: "Set up a RAM drive, create a Cache directory, then designate it as your Browser's cache location. The size you choose depends on the amount of available RAM on your computer, but about 6MB seems to be the maximum needed (but as little as 2MB works)." Basically, you're putting the disk cache into RAM--making your surfing move a little faster.


14/12/1998

14.12.1998

Having problems in Windows 98? Yes, I realize that's a rhetorical question. Anyway, your system files might be out of whack. That is to say, you might have installed a program which installed an older version of a DLL. Typically, that's not good. However, run the System File Checker and all could be right again! Click the Start Button, select Run, then enter "SFC" (without the quotes) and hit Enter. You can configure it to search for deleted or missing files, older files, files in certain subdirectories, etc.. I'd suggest using this utility only if you're having continuous problems with Windows 98, gang.


15/12/1998

15.12.1998

Speaking of system files, how many of you are still working with the config.sys, autoexec.bat, system.ini or win.ini on a regular basis? The easiest way to edit these files is by using "SYSEDIT" (a program that should already be installed on your PC). Click the Start Button, select Run, then type "SYSEDIT" (without the quotes) and hit Enter. Quick, easy, and convenient!


16/12/1998

16.12.1998

I was up late last night trying to write tips for this issue of Lockergnome, and I suddenly got an e-mail from a good friend. He was asking if there was a program available that would allow you to navigate through links on a web page by using the keyboard. I responded immediately with two cool programs I found: Internet Explorer & Netscape Navigator. Yes, both of them allow you to use the TAB key to flip forward through any link on a web page (SHIFT+TAB to flip backward). Just goes to show you what most of us don't know about the programs we use every day. That, and we shouldn't work too late at night.


17/12/1998

17.12.1998

Here's a refreshing tip: hit the F5 key when your Desktop isn't looking right. Or, if you want to reload a web page (or get new e-mail messages in Outlook e-mail clients), hit the F5 key. I'm not sure if it's the universal key for "refreshing" things, but the F5 key works in a variety of programs.


18/12/1998

18.12.1998

If you have more than one icon sitting on your Desktop, and I'm sure you do, make sure they're lined up nicely. Call me organized, but I believe a nice looking Desktop will give you a more satisfying computing experience. To line up your icons, simply right-click on the Desktop and select "Line Up Icons". Now, be sure that you've got "Auto Arrange" unchecked in the "Arrange Icons" submenu. It's worth trying!


21/12/1998

21.12.1998

When is a tip not really a tip? When I'm asking you to submit your favorite tips, programs, or websites to Lockergnome! I typically don't use submissions which have already been seen in Lockergnome, and just because something is submitted doesn't mean that you'll see it in an issue. I give credit where credit is due; some of the best Lockergnome stuff has been submitted by subscribers! Just swing by http://www.lockergnome.com/submit.html or e-mail submit@lockergnome.com!


22/12/1998

22.12.1998

Lockergnomie C. M. Jensen submitted this shortcut for Windows 9x Dial-up Server users: "Tired of clicking in Dial-up Networking to start the Dial-up Server? Create a new shortcut to: "C:\WINDOWS\RUNDLL32.EXE RNASERV.DLL,CallerAccess" (without the quotes) This will open up the Dial-up Server dialog quickly." Gotta love these system shortcuts!


23/12/1998

23.12.1998

Lockergnomie "Treepusher" told me about this AWESOME tip: Everyone has a virus scanner installed (if not, you really should). First off, be sure the data files for it are up to date. Secondly, place a shortcut to your virus scanning program in your SendTo menu. This way, you can scan any given file on the fly (particularly if you don't want to have your virus scanner program always taking up memory). Click on the Start Button, select Run, type "SendTo" (without the quotes) and hit Enter. Then copy (or create) a new shortcut to your virus scanning program in that folder. What a resource saver!


24/12/1998

24.12.1998

Lockergnomie Eric Hop discovered a way to make Explorer work the way it should have in the first place: "Right-click on "My Computer" and select "Explore". In the menu, select View, Folder Options, then File Types. Scroll down to the "Folder" entry and click the 'Edit..." button. Select the action "Explore" and press the "Set Default" button. Now, double-clicking the "My computer" icon starts the Explorer window with the side folder pane." Coolies!


25/12/1998

25.12.1998

Lockergnomie "RCar123" brings to light a hidden tweak: "Have you ever seen the speaker positioning setup in Windows 98? If you right-click on the speaker icon in the taskbar, a small pop-up menu appears. Select "Adjust Audio Properties". Click on the "Advanced Properties" button under the Playback section. You should see a speaker positioning setup box. From that point, you can choose whichever setup is most like your own computer's!


28/12/1998

28.12.1998

The number one reason to upgrade to Windows 95 (or 98) from Windows 3.x is for more stability... well, nine times out of ten. But what happens when you've got an old 16-bit application that refuses to behave in Windows 9x? Click the Start button, select Run, type "MKCOMPAT" (without the quotes) and hit Enter. This should launch an applet that will enable you to "make" an older application more compatible with Windows 9x. NOTE: this should only be used with 16-bit programs, not newer 32-bit ones. If you're not sure of the difference between the two, don't use this applet.


29/12/1998

29.12.1998

This trick is ONLY for power users: I attempted to install ACPI support in Windows 98 the other day... stupid move. I hosed my hardware configuration (which was easily restored by using the "Add New Hardware" applet in the Control Panel). ACPI handles Power Management better than APM (default). Unfortunately, Windows 98 doesn't detect whether your hardware is ACPI-compatible or not. So, next time you do a "flat" install of Windows 98, use the following switch: "/p J" (without the quotes). ACPI support will then be installed. I tried it the other day and it worked (almost) perfectly. I had problems with my Printer port, but that was solved by changing a setting in my BIOS.


30/12/1998

30.12.1998

Moving and copying files got a little easier when Windows came along. However, are you still not sure whether or not you're simply copying or really moving a file or set of files? Try this: next time you drag & drop a file, try doing it with the RIGHT mouse button instead of the left one. When you let go of the right mouse button (after dragging & dropping), you should see a small menu pop up. The options will usually contain "Move Here", "Copy Here", "Create Shortcut Here", and "Cancel". Select whichever action is most appropriate from there.


31/12/1998

31.12.1998

There are more "characters" available to you beyond what you see on a "normal" keyboard. After all, if we had a specific key for every character, our keyboards would take up enough space to park a car on. Sure, we don't use extended characters often, but when we do need them, there are a couple of ways to retrieve them. The easiest (and most obvious) way is to use the Character Map which should have been installed with Windows. Another (more direct) way is to use the number code for that particular character. You'll need to use the ALT key & your Number Pad: hold onto ALT and type "0162" (without the quotes) on your Number Pad... when you let go of the ALT key, a cent symbol should appear (¢). 0162 is the designated number for that particular character. To view a character's number, select one using the Character Map, then look in the lower right-hand corner of that window--it should give you the Keystroke combination. Remember, too, that characters could vary from font to font.


Acrobat

An Adobe Acrobat is an acrobat made entirely out of clay. He can jump through hoops, tumble, and flip from trapeze to trapeze... as long as you keep him moist. Actually, you wouldn't want to keep the real Adobe Acrobat moist, since it should reside on your hard drive. What is it? Well, it's a PDF file creator. Why would you want to use the Portable Document Format? Well, let's say you've found a page on the Web that you want to print. You could save a printable version of the page in Adobe Acrobat. If your company wants to feature its new brochure on their Web site, you can use Adobe Acrobat to create an electronic version ready for mass Internet consumption. The document will retain its characteristics and structure no matter where it's viewed. You may have already installed the Adobe Acrobat reader; if you can open PDF files, you're golden. If you don't have it yet, just download a copy of reader for FREE at ADOBE.COM. It's close to the center ring...


Add-in

This was a controversial comedy / variety television show that aired in the 1970s; you bet your sweet bippy it was... or perhaps I'm getting my words mixed up again? Well, you don't have to be a Go-Go dancer to sock it to programs with an add-in or two. You see, an add-in is a program that attaches itself to another program. Sound too leech-like for your tastes? Don't furrow your brow; add-ins are supposed to help. For example, I've featured dictionary programs that, when downloaded, integrate with Microsoft Word (or Internet Explorer). In other words, the program(s) nestle themselves snuggly into the program(s) they're supposed to help and... they spin their magic. Them dictionary programs sure are swell. Look that up in your Funk and Wagnall's. Here come de judge! Okay, that's enough. Say goodnight, Dick.


Flash

"You'll need the Flash Plug-in to view this animation." You've probably seen that prompt hundreds of times, but why on Earth would you want to be flashed? Isn't that a crime in most states? Flash is a widely-used authoring tool for making animated vector graphics. Ya know, flashy things. The format was developed by Macromedia; you can't go anywhere on the Web without running into it. Some sites incorporate it successfully, and others... not so much. Have you ever actually waited for a Flash intro to load and play completely through? Flash splash is annoying; don't do it. We'll click that SKIP INTRO button without blinking. People are naturally drawn to bright shiny objects, ya know. The key (IMHO) is to use Flash sparingly if you use it at all. Sure, that scene with a dog flying through space is cool, but does it really work well with your financial portal? Um... probably not. Especially with those... frames.


Batch File

I'll explain to you what a "batch file" is in a few moments, but first, let me tell you something about those Keebler Elves. They don't make their stuff from scratch. Considering how many cookies they have to make in a day, do you think they really have the time to combine all the ingredients for a truckload of Soft Batch Cookies? No, they have a big bag of Soft Batch mix that cuts their cookie-creating time in half. So, what the heck is a .BAT (batch) file? Nothing more than a text file that contains a sequence of commands for an operating system. It's a sequentially-ordered mix, so to speak. Without this file type, a command sequence would have to be entered one line at a time. Ernie the Elf would tell you that it isn't fun mixing the same ingredients over and over again. That little critter may not know a lot about computers or the Internet, but he sure knows his micro chips. Ha ha. Get it? Micro chips? Cookies? Ah, I believe I botched the batch pitch, butch.


Bios

When a computer needs to get across town, it simply takes the BIOS. Nah, but when it wants to boot up, it needs a basic input / output system. Er, BIOS. Okay, when you turn on your computer in the morning -- what's the first thing that you see on the screen? Before the pretty clouds, that is. Something about free RAM and hard drive capacity, I bet? What about "Hit F2 to enter Setup" or something along those lines? That's how you get into your system's BIOS. It's one program that can run without an operating system. In fact, its job is to keep your OS and hardware happier. Your internal devices are initialized before Windows runs; if something is awry at the system level, your BIOS should let you know immediately. "Keyboard error: press F1 to continue." Every BIOS is different; some allow for more tweaking. This software, of course, should not be touched by novices. Anybody can mess things up in a flash. Nice word choice, eh?


Blog

It sounds like caveman talk, doesn't it? "I Blog! Me make station wagon of tree bark!" You didn't know Blog was so resourceful, did ya? It's too bad Blog didn't have a blog of his own to upload his thoughts on automobiles. You see, a blog is a journal of your everyday life that you can share with the rest of the world (via the Internet). People who write blogs are called "bloggers." Why would anyone care about your day-to-day life? Ya got me. What kind of person writes about his life everyday anyway? I mean... oh wait, nevermind. Anyway, a blog can be written by anyone, really. Everyone has something to say, right? Of course, some blogs are more interesting than others, but they say it takes all kinds right? Is the Web a melting pot or a salad bowl? Well if it IS a salad, it has plenty of nuts, that's for sure. We make things more interesting, anyway, don't we? Get your own blog at BLOGGER.COM.


Boolean Search

Have you ever lost a Boolean? If you're like me, and you're constantly misplacing your Boolean, may I suggest a Boolean search? May I also suggest that I'm completely full of it? Actually, a Boolean search is when you use "AND" and / or "OR" to seek out content (on a search engine, in a document, etc.). See? Most of you probably already knew what it was without actually knowing what it was. Here's an example: typing in "Pirillo AND Lockergnome" will find documents / entries containing both of the words. Typing in "Pirillo OR Lockergnome" will uncover documents containing either one of them. Boolean search is based on Boolean logic, developed by the late mathematician (and computer geek), George Boole. Explaining it would mean getting into some heavy math, and it's been a while since I've seen that episode of School House Rock.


Browser Helper Objects

I've stressed several times that if you're overly concerned (read: obsessed) about your privacy, the Internet may no longer be the place to loiter. There's a paradox at work here: in offering a slicker online experience, some companies need (or would like) to know a little more about who you are. That's why BHOs (Browser Helper Objects) are either really great or really, uh... not great (depending on how they're used). A BHO is a separate program that runs concurrently with your browser and performs a specific set of tasks, such as managing downloads. In order to 'help,' data may need to be transmitted from your computer to another. It's during this little exchange when your profile may be in jeopardy. This is why it's wise to scope out a site's privacy policy before embarking on any software installation. Now, because BHOs may run as a part of Internet Explorer or Netscape Navigator, you may experience a problem with IE -- when there's actually a bug with your BHO (and we all know how painful that can be). It should be noted that most BHOs intend to help, although they're not always 100% perfect. If you believe there may be a problem related to one, ask someone who knows. That's good advice in any circumstance.


Burn

A lot of you newbies seem to appreciate these new technical terms I've been featuring, and that's great. It's good to refresh yourself on terminology -- even when you THINK you already know it all. The other day, Gretchen asked me to burn her a CD... and I did just that. Do you know how hot you have to make the oven before the CD starts to melt? "Uh... Chris? That's not what I meant." Oops... heh. She really wanted me to copy content to a CD-ROM using my CD-R (Compact Disc Recorder). In our world, that's how the word "burn" is interpreted. Anytime you put files, music, pictures, or whatnot onto a CD, you're burning. Pretty simple, huh? Sometimes the simplest terms can slip right through that big ol' brain of mine. Oh, and I don't encourage the cooking of any piece of metal. Makes your brownies taste like magnets. Not that I've ever eaten magnets, mind you.


Cable Modem

Most people run on a 56k modem. Let me rephrase that: most computers run on a 56k modem. I don't know many human beings who run on a peripheral. I'm not sure you could be classified as "human" anymore if you needed a modem to function (oh wait, I think I just zinged myself there... ouch). Anyway, a modem most likely makes your "Internet connection" possible. The "56k" part can be a pain when it comes to downloading programs, listening to music, or watching video over the Internet. You see, that's not a lot of bandwidth (less than 56,000 bytes per second). A cable modem gives you (almost) more than enough pipe to complete your regular Internet odysseys. Plus, the cable modem is always connected -- which is great when you want to devote an entire day to watching the GnomeWEBCAM update. What? Nobody does that? Then what's the point of having a cable modem, anyway? It's just a regular coaxial cable that could just as easily plug into your TV. Don't try switching things around without warning your cable company first. The service must be turned on before you can use it. In my neck of the woods, cable was the only viable option. But I'm sure you heard about that in past Chris Pirillo shows.


Cache

Sorry, we only accept cache here. Ya know, it's a virtual place where data can be stored. That's basically what a cache does on your computer, too. It gives oft-used files a temporary home (for quicker access). Kinda like Tupperware for your PC. What the heck am I talking about? Let's say you mix up a heapin' helpin' of macaroni salad for lunch. You don't want to make it all over again later, so you store it in a container and pop it in the fridge for the impending midnight snack. Your Web browser has its own cache; a place where recently accessed Web data is stored on your hard drive. When you visit a page again, parts of it may be loaded from your system (as opposed to being loaded from the Web server). This should pull the page up for you much quicker; it also means that one less person will be hogging up bandwidth on the network. You can decide how large (or small) you want your cache to be; the files can be removed just as easily should you need to free up a little more disk space. My suggestion: keep your cache set at 20 megabytes or smaller.


Carbon Copy

Allow me to set the scene: You're working in an office and the boss has given you strict orders to e-mail Bill in accounting about the new budget proposal. Now, the boss wants to know exactly what you said to Bill in your e-mail. How can you do that? Send the same message to both of them at the same time. In most e-mail clients, you have an address line and another line below it labeled "CC." So, the person addressed in the CC: line will get an exact duplicate of the message -- a carbon copy. But your boss didn't want it known that you're sending a copy to him. To solve this dilemma, simply enter your boss's e-mail in the "BCC:" ("blind carbon copy") field. Now the message will go to both Bill and your boss, but your boss's e-mail will not be visible to the recipient(s). It's just like using carbon paper to make copies... except you don't get ink all over your fingers. If you do get ink on your fingers while sending e-mail, then something is definitely wrong. Even Bill could tell you that.


Chat Room Lingo

You know what emoticons are -- those cute little faces you can make with your keyboard characters. Well, there's another way to convey your feelings via e-mail. Actually, it's just a shorter way to say how you're feeling. For instance, let's say you're in the Lockergnome chat room and "yours truly" stops by and makes a witty comment. You can reply with a simple "LOL" which means "laughing out loud." If somebody says something utterly side-splitting, you might type "ROTFL" ("rolling on the floor laughing"). If you have to leave for a moment, you'd enter "BRB" ("be right back") or "AFK" ("away from keyboard"). IMHO, chat acronyms are perfect for chat rooms where the dialogue is quick and personal. I would, however, avoid them in any business- style transactions. You knew that anyway, right? TTFN!


Cookies

What can we say about cookies that hasn't already been said by Cookie Monster? "C" is for "cookie," and that's good enough for him, darn it. When it comes to cookies on your hard drive, that might not be so good... but it might not be so bad, either. Cookies are a touchy subject nowadays; an example of how something good can become a nuisance when in the wrong hands. First off, what the heck is a cookie? A cookie is a text file that stores information about you, your computer, or your preferences; Web sites give you cookies. Awww, ain't that nice? This information is harmless -- for the most part. How do you like entering the same information for a particular account over and over and over and over and over again? These Internet services want to save you time by giving you a low-fat digital dessert. "Chris, come on in!" Without a cookie, the site is more likely to say: "Who the heck are you? Chris? Yeah, well prove it." Cookies, in other words, are supposed to make Web surfing a smoother activity. However, some unscrupulous folks have discovered ways to use cookies to track your every move across the Internet: (the sites you visit, your spending habits... all the stuff that's nobody's business). You can download programs designed to destroy cookies, but while you're getting rid of the bad ones, you're also destroying the ones that were designed to help you. It's a cruel, cruel world we live in, but don't assume that everybody's out to get ya.


Daemon

Wasn't that the kid from the movie "The Omen?" What the heck is he doing lurking around on my computer? Trying to possess my soul? Only one creature owns my soul -- and it's this lovely new digital camera... er, I mean, Gretchen. I better change the subject quickly. A daemon handles requests received by a computer system, sending them on to other programs. For instance, a print daemon would handle print requests while freeing up other applications in the process. Hypertext Transfer Protocol (HTTP) is a type of daemon on the Web that handles requests from users while they surf the Internet. In other words, daemons are programs that allow programs to run more efficiently. And you're none the wiser (that's the idea). The word is actually pronounced like "demon." Having said that, you can go ahead and put away those garlic cloves. They're meant for vampires, anyway.


Degauss

Lockergnomie Arvin Djapermal rediscovered the "degauss" function on his PC and suggested it as a GnomeWORD. Heck, that's one less word that I have to come up with. So what is it? "Degaussing" is just another word for "demagnetizing." You see, sometimes magnetic fields build up in your monitor and distort the display. Images look screwy, colors look screwy, and the whole screwy mess looks... you know. Monitors that use the ol' cathode ray tube are subject to this kind of magnetic build up. Luckily, many monitors automatically degauss themselves when they're turned on, so you don't have to worry about it. That initial "ping and click" is supposed to happen; most 17+ inch monitors will do this. Degaussing is also good if you happen to become magnetized by a passing meteor. I saw that on "Amazing Stories" once. Oh, don't ever try to degauss your monitor manually. Magnets BAD.


Device Driver

If you've ever tried to introduce a new pet into a home that already has one, you know they don't always hit it off right away. Anyone who has seen "Tom and Jerry" knows this, right? Well, when you attach a new peripheral to your PC -- like a printer -- your computer and (new) printer have to become acquainted. They do this using software called a "device driver" (or "driver," in its purest form). Windows has a few generic drivers built-in. They help control a specific device as it interacts with the operating system. You'll have one for your printer, your CD burner, your scanner... all of that stuff. When you try connecting something to your computer that it doesn't recognize, the PC will explode. Okay, not really. You'll just have to install the (hopefully provided) driver that goes with the new gizmo. Why is Windows so instable? I hate to say this, but that probably isn't Bill Gates's fault (entirely). Buggy device drivers WILL cause crashes. Stick to name-brand hardware and you should be safe.


DirectX

Here comes the hot, new, graphic novel from 'X-Men' creator, Stan Lee. Bitten by a radioactive turtle, mild-mannered Christopher becomes DirectX. Okay, okay... that's not true, but there really should be more radioactive reptiles in comic books, don't you agree? DirectX was designed by Microsoft to make multimedia run better on Windows. Instead of a thousand and one proprietary (unique) programming interfaces, they created a standard for frustrated coders. If you're running a newer version of Windows (and you most likely are), then DirectX may already be installed. If your system is without DirectX, you can always download it from Microsoft's site. In fact, version 8.0 was recently released for all supported platforms. Why should you care about DirectX? Well, you shouldn't... that's the beauty of it. It's like the commercial that says: "We don't make the lipstick; we make it more colorful." Essentially, developers can design applications with DirectX and not have to worry about whether or not your computer has the right stuff. DirectX games can even emulate features your system may not have; your racing sim will have semi-speedy (albeit rudimentary) 3D graphics... even though you may not have a 3D acceleration card. Think of DirectX as a THX Surround Sound theater; everything is provided for you, and you don't have to strap speakers to the sides of your head to get that 'surround sound' experience. Unless, of course, you enjoy that kind of thing.

SIDE NOTE: In my attempt to be cute yesterday, I changed 'Bob' to 'Moe' in the 'FTP' GnomeWORD (to parallel 'Larry,' while leaving 'Curly' completely out of the story). Anyway, I only changed one instance, which may have caused some confusion. Mind if we call him 'Bruce?' Ah, anyway... change 'Bob' to 'Moe' or 'Moe' to 'Bob' and everything should be peachy. Another correction: while anonymous is a common username for FTP sites, the corresponding password is typically an e-mail address (valid or not).


Download / Upload

I just got my hands on some cool new freeware. Wait a second... did I just download or upload it? Did I load it at all? Do I need a pay loader? This whole thing is a load of... okay, so you want to know the difference between downloading and uploading? Let's pretend that you do. You see all these URLs in Lockergnome that end in "EXE" or "ZIP" -- those are files. When you grab a file from a remote server, you're downloading. In other words, you're receiving a program from another source (computer). If you want to put a file on a remote system, you'll have to upload it first. Transfer it from your computer to someone else's. You gotta GET downloads, you gotta GIVE uploads. Up and down, up and down... it's all about sharing. You download messages FROM your friends, you upload messages TO your friends. I have no friends, so you can imagine how long this process takes me.


DSL

I know the feeling. You're waiting for a picture or video to load and it's taking FOR-E-VER. At one point, you actually start shaking your monitor (like that's going to make the pixels appear faster). If you've grown tired of your 56K connection -- and believe me, geeks like myself tire of it rather quickly -- you may be looking into getting yourself a cable modem. But alas, your area doesn't have cable Internet just yet. Do not fret, my bandwidth-hungry followers. There is a light at the end of the tunnel... maybe. Don't you hate that word -- "maybe?" Some phone companies offer a service known as DSL, or "Digital Subscriber Line." This service isn't offered everywhere, unfortunately, but it is worth asking about if you want a speedier connection. Without getting too terribly technical (who, me?) -- DSL is set up on regular phone lines, but it provides access to much more bandwidth than a traditional dial-up connection. See? Now stop shaking your monitor, it ain't an Etch-A-Sketch, ya know.


Emoticons

You wouldn't need to have access to e-mail for very long before you started seeing this little critter -- :) -- Who is he? Where did he come from? What does he want from us? If you haven't seen him yet, then perhaps you've encountered his evil twin brother -- :( -- Whether delightful or annoying, emoticons are here to stay. When your meaning could be lost or misconstrued, insert a sideways smiley (or fractured frown, when applicable). And don't feel you're limited just to the colon and parenthesis characters. Let loose on the keyboard and get creative! There are about forty billion variations (and more are sure to come). For a message to a friend or family member, an emoticon is perfectly acceptable. I would suggest not going overboard, though. Sending business letters electronically? Dispose of them altogether. Man, I wish these things were around when I was younger. Beware the emoticon, my son... for they may induce great joy, but they can also make you look like a fool in the eyes of future employers. Just a friendly word of advice. You have been warned, gnomehopper.


Encryption

Somehow, you've managed to infiltrate the enemy base. Now you have to contact headquarters and tell them where the plans are hidden. But how? You can't just get on your walkie talkie and tell them. No, you're going to have to be sneakier than that. So what's a secret agent to do? You send an encrypted message that your colleagues back at headquarters can decrypt. Once you've finished encrypting and decrypting, you can all watch Tales From The Crypt -- which is quite cryptic itself at times. These days, encryption is the method in which data is rearranged so that it cannot be read (on the surface). Without a key, or electronic "answer book," it cannot be decrypted. A practical example of encryption is when you make an purchase online and have to enter your credit card number. For security purposes, your number is encrypted to avoid theft, fraud, or any other number of nasty things. That's infinitely safer than the telephone, I tell ya! Some have brought up the argument that if encryption becomes too difficult to decipher, it might open a window for terrorists. I hope they weren't talking about me... I just wanted to steal the President's famous meatloaf recipe.


Energy Star

Energy Star shouldn't be confused with Star Search (another well-respected star). Although Mr. Bigglesworth did win the spokes model competition three years in a row ("Yeah, baby! Shake those peripherals!"). The Energy Star label means your system is able to conserve power, depending (of course) on the settings you've chosen. For example, you can have the monitor shut off automatically after a set amount of time, or have your system go into standby mode after so many minutes of inactivity. How do you know if your PC is Energy Star compliant? Just right click anywhere on the desktop, select Properties, then select the Screen Saver tab. You should see the little Energy Star logo. Is it not there? Look around the outside of your monitor (you may need to get up from your chair for this). See any stickers? Okay, what about on the back of your monitor (where the power cord plugs in)? Well, then... I guess you'll just have to shut her down manually every time she's not in use. Remember, the less power a computer uses, the more energy is saved. But you already knew that, right? Ed McMahon has been in standby mode for years.


Extranet

All these cursed Nets! I'm telling ya, it's enough to tie your mind in knots. Well, I'm here to untangle your brain knot as much as I can. We've touched on intranets and local area networks (LANs), so get ready for another one: extranet. Oh, that's just great. Don't fret -- this one is easy: it's just an intranet that isn't internal. There's a little bit more involved -- extra stuff, so to speak. For example, if you sell cotton candy and want the Milwaukee Cotton Candy Supply Company to have access to your company's intranet, you can set up a private network or virtual private network (VPN) as a means of access. Of course, this makes the need for security all that stronger. Solid hardware firewalls and strong user authentication protocols should keep everybody in check. Now you know what an extranet is... and why it's important to the cotton candy empire.


File Splitting

I'm not a big fan of file splitting. I think files should try to stay together and work out their differences. Ya know the ol' country tune that goes: "If love never lasts forever, then what's forever for?" I feel exactly the same way. Actually, file splitting isn't as horrible as it sounds. This technique allows you to take a large file and split it into smaller fragments. Why would you want to do such a thing? Well, let's say you want to put a file on a floppy disk, but the disk space is limited. By splitting the file into a number of fragments, you can store it on your floppy disk with no problem at all. It's also perfect for sending large files through e-mail. File splitting freeware is available all over the Internet, and it's not a bad utility to have at your disposal. You may wish to use the 'disk spanning' feature built-in to the latest versions of WinZip. Putting your files together into one single ZIP file before splitting them up would be smart. Wow. That sentence was almost oxymoronic. It's kinda like a couch that folds out into a bed.


Footprint

It never fails. Even if you have the world's largest desk, eventually you run out of space for your PC and all of its components. How much space is your computer case taking up, anyway? What about your printer? Your scanner? The space a peripheral occupies is its "footprint." The larger the item, the larger the footprint. The smaller the item, the... well, you get the idea. Within the operating system, a memory footprint refers to the amount of RAM any given program uses when loaded. If you work in a cramped environment, you should ask for a printer with a small footprint the next time you go shopping for one. The salesman will either be really impressed by your grasp of techno- jargon, or he'll think "Who does this scrawny little man think he is?" But that's just me. No, really. Ah, well... I didn't need one of their tiny footprint-leaving printers, anyway.


Frames

When you go to build a house, you need a solid foundation and structurally-sound framework. You can't just throw all the materials into a giant heap, can you? Think about it: your house could crumble from the breeze of a simple sneeze. This is fine if you're filming a Three Stooges short, but not so good in real life. The same goes for building a Web site. You see, sites can be made up of "frames" -- each frame being an independent HTML document. They can keep all of the content organized so that surfers can find stuff easier (sometimes, they help cut down on page load times). Not all browsers support frames and some people detest frames altogether, which is why you'll often find sites designed for both frame and non-frame factions. LOCKERGNOME.COM does not sport more than one frame; I hate when I get stuck inside someone else's. I'm crazy that way. Nyuck Nyuck Nyuck!


FTP

Our labs have discovered that 'FTP' is restaurant jargon for: "Flapjacks with two potatoes." As in: "Mel, I need an FTP, ASAP; the family at table four is getting PO'ed.'" Little did you know that 'FTP' is also used in digital circles; in this environment, it stands for: 'File Transfer Protocol.' Think about it for a second; it's a way to transfer files between two connected computers. Think of two apartments in separate buildings adjacent from one another (with a clothesline strung between them). Moe (in one apartment) wants to read the newspaper; he knows Larry (in the other apartment) has today's paper. So, Bob clips a note to the clothesline requesting access to Larry's paper. Larry receives the note and asks Bob to verify his claim (that he truly is Bob). Bob verifies his claim via password and Larry sends the newspaper over. FTP sites work pretty much under the same principle. Using an FTP client, you can access countless FTP sites, many of which allow public access by simply typing in "anonymous" (sans quotes) as your username and password. A comprehensive list of FTP clients is forthcoming. My current favorite: FTP Voyager from RHINOSOFT.COM.


Function Keys

Conjunction Junction, what's your function? If this were School House Rock, I'd divulge that information. But it's not, so let's just focus on the word "function" in respect to computing, shall we? You've probably noticed those keys resting at the top of your keyboard labeled 'F1' through 'F12?' Are they just there for decoration? Well, anything's a decoration if you don't use it. Actually, they're called "function keys" and they can make your digital days a lot dandier if you use them often enough. They're pre-programmed, one-button keyboard shortcuts! So, what the heck do they do? That depends. When you run into a snag within a program, tapping 'F1' will typically launch its help documentation. In the Windows Explorer, you can use 'F2' to rename files; in another program, it may do something entirely different. Again, the function of the function keys depends on what application you happen to be running. Ah, my undying quest to make the mouse obsolete. Well, to minimize its usage, anyway. Not by clicking the designated Title Bar's button, of course.


Gravesite

This site was last updated on August 12, 1995. Kinda looks like it's not going to be updated anytime soon, huh? Why do people abandon their sites? What did those sites ever do to them? Well, the reason for a site getting left out in the cold is anybody's guess. There is, however, a name for such sets of Web pages. They're called gravesites. Usually, when a site builder can no longer maintain their resource, they take it off the server. Failing this, the site will remain accessible (though no more updates will be posted). There's a lot of gravesites haunting the Web... far too many to mention. From a more capitalistic standpoint -- a site that doesn't generate a lot of revenue is said to be a gravesite as well. But, not all sites are out to make money, ya know. Some are just out there to sell graves. I suppose they'd be gravesites, too. Spooky.


Handshake

Hello. Howdy. Greetings. Happy to see you. Salutations. Glad you could come to our party. Please enjoy the nachos and deviled eggs. There are so many ways to greet someone, but I'm a strong believer that everything is in the handshake. It's what tells people more about you than your words ever could. Do you have a firm handshake? A metacarpal-crushing handshake? Or is it one of those flimsy, dead-fish kind of handshakes? Well, humanoids aren't the only ones who have shake hands when they meet. When you log on to your Internet service using a modem, that beeping, buzzing, and clanging you hear coming from your system case is what they call a handshake. Since there are as many modems as there are stars in the sky, handshaking is how two connecting modems agree on which transmission speed to use. It should be noted that modems who know each other personally will just give each other a high-five. Not really. NOTE: connections are only as strong as their weakest link. Meaning, you're never gonna get a 14.4 modem to connect beyond 14.4 -- even when it greets a 28.8.


Hotkey

Hotkey? Didn't he define this already? Well, kinda. We touched on this when I defined "function key" for y'all a few issues back. When I say "we," I'm referring to myself and the alter ego who uses words like "y'all." Anyway, he tells me that a "hotkey" is any key (or collection of keys) that perform tasks. They can open programs, save files... whatever. Knowing several "hotkey" shortcuts is one of the many hoops you must leap through to be part of the great geek Olympics. If you've installed the incredibly robust (incredibly free) IrfanView image viewer, you can use the CTRL+SHIFT+I hotkey to launch the program. What have we learned, then? A "shortcut" is what a "hotkey" is used for, and a "function key" is a kind of "hotkey." And the ankle bone's connected to the foot bone... everyone clear on all of this? I knew you were. Dem keys, dem keys, dem... hotkeys.


HTML

This term gets kicked around quite a bit. Most likely because the Web was built on HTML; it is the DNA, the viscera, the innards of the Internet. HTML stands for 'Hypertext Markup Language,' simply put. 'Hypertext' refers to words that had to be put on Prozac. Actually, it's what allows a 'link' to work. Making the jump to hypertext is just like dusting crops, boy. Your Web browser needs this 'language' to determine the placement of Web page elements. Unlike computers on the Jetsons, you can't say: "Put a text blurb over here and stick a picture of Sprocket over there." However, you can say the same thing in 'HTML' and the browser will know what the heck you're talking about. Basic HTML doesn't take too long to learn; as you progress, you can master advanced HTML techniques to make your sites even more amazing. Most users are comfy using WYSIWYG [What You See Is What You Get] editors. Whizzy-whig editors allow you to create complex documents without any programming knowledge. Those wishing to expand their canvas may eventually learn how to manipulate the underlying code. When you stumble upon a web page whose design enthralls you, simply click on 'Source' in the 'View' menu to see the code. It never hurts to learn from the best, but don't copy anything directly. That's stealing. That's bad. That's wrong.


ICQ

You've heard me mention my "ICQ Number" before, and some of you may wonder what the heck I'm talking about. Say the letters out loud; sounds a lot like: "I Seek You." Of course, "Icy Cue" wouldn't make too much sense in this environment, eh? ICQ lets you know when other folks (who have ICQ accounts) are online; it allows you to communicate with them in real-time. Exchange text messages spontaneously; launch private chat sessions; transfer files between your computers. "And if you act today, you'll get this lovely set of steak knives!" ICQ can make a nice addition to your daily surfstyle; it beats having to wait for e-mail responses in certain cases. But ICQ, while popular, isn't used by everybody. Some Netheads use MSN's instant messenger; others prefer AOL's client. There's... no standard in sight. Which one is the best? Find out which one your friends and/or colleagues use and you'll have your answer. With any luck, there will be a unified protocol soon. We can end all this IM incompatibility nonsense. Enough jabbering on. This is almost more fun than CB radio... over and out.


Inkjet vs Laser Printers

You're tired of copying everything by hand? I had no idea they made a machine that could quickly duplicate words and images. What do they call such a crazy device? A printer. Ain't technology something else? Okay, don't worry... I'm not going to define the word "printer" for you. I have to make a few assumptions and one of them is that you know what the heck a printer is, for crying out loud. However, do you know the difference between an Inkjet and a Laser printer? Inkjet printers spray ink onto the paper from small cartridges. This type of printer is good for home use (printing birthday cards, signs, banners, etc.). Laser printers use a much larger cartridge that contains a powdery toner. These printers are ideal for text output. If you're Stephen King, you might opt for the laser printer, but if you're Martha Stewart and want to print out pretty patterns, you might opt for an Inkjet. The choice ultimately comes down to you. I had nothing but headaches with the Inkjets I used years ago. Quality was mediocre, and I'd often have to reprint pages (because I'm a perfectionist). Once I went laser, I couldn't turn back.


Intranet

Everyone knows what the Internet is, but do you know what an intranet is? That's not a typo. Yeah, see -- the letters got flipped around. The Internet can be accessed by just about anybody, whereas an intranet is only available by those on a 'local' network. Let's say you're working for a software company, and the boss wants to tell all of her employees about the company's new operating system that's going to make Windows obsolete (it could happen). Now, she could post the information up on the company's public Web site, with the following note: "Please don't read this unless you're an employee of this company." Sure, that might work, but one should never leave security to chance. Okay, so should she print and distribute paper memos? There aren't enough rain forests in the world to support that habit. Upon setting up an intranet, the company would have a central data center which could only be accessed by specified personnel only. You don't have to be in the computer business to need an intranet, either. Its services were designed for those who needed an easy way to stay in touch with co-workers. Nobody outside the tightly-knit intranet circle is allowed in. There are no exceptions to this rule.


IT

In this fast moving information age, you seem to be hearing the term "IT" a lot lately. What is IT? Well, this time, IT is not the Stephen King novel about the evil clown; IT is an acronym that simply stands for: "Information Technology." Ya know: server stuff, electronic security, system certification, programming, networking, etc. There are several Internet resources available for those in this ever-expanding field; within a few months, Lockergnome will be launching its own (hand-crafted) IT newsletter. We're in the midst of an information revolution (so I'm told). IT professionals are helping make sense of it all -- they're human switches, in a way. Even though the Internet has lost a few dot-coms here and there, the role of the IT person is just as strong. Hug your system administrator today. I'm waiting for the Information Renaissance -- when we all start painting on our monitors. It'll happen, I bet. I am Italian, after all.


JPG and GIF

When you download images off the ol' Internet, you may notice that most of your pictures have either .JPG or .GIF file extensions. You may wonder: what exactly is the difference between the two file types? Is there any difference at all? Unlike Lucky Charms vs. Magic Stars cereal, there is a difference. In a nutshell, JPEGs are best used for photos and GIFs are best used when it comes to flat color, or monochromatic 'text' images. The reason for this is that JPEGs can be saved with millions of different colors, whereas the GIF maxes out at 256. In other words, a picture of the real Gnome would best be saved in JPG, whereas the fun-lovin' cartoon image of me would load better as a GIF. GIFs can also be animated... not that I'm not often animated myself, but you get the idea. Now, there are other ways to save your images, and most of you know I couldn't let this little tip slip by without mentioning PNGs. The PNG [Portable Network Graphic] was actually created as an alternative to GIF, by geeks like myself who saw the limitations of GIF and wanted something better. With PNG, the images simply look better, and the color representation is more accurate. In the end, though, it's completely up to you to decide which image is best for you and your needs.


Killer App

Beware the killer app, my son. Actually, it can't hurt you... unless someone drops it on your head. I'm often told I sound like items have been dropped on my head for years... or that I need to be dropped on my head. Ouch. Anyway, "killer app" is a label given to an application (program) that changes the way we think and operate on a daily basis. Web browsers were considered killer apps -- as they enticed folks to run out and buy a computer to join other computers on a global network. Calling upon an earlier illustration, spreadsheets changed businesses overnight. No brain could crunch numbers quite so quickly. Can someone set out to create a killer app? Sure, but there's no guarantee. What's going to be the killer app this year? Some say instant messaging, and others say wireless Internet access. I still say the ultimate example is e-mail. What else do you unconsciously check every five minutes?


Linux

Good old Linux. Remember how Snoopy would always try to steal his blanket? I'll never forget how he told that Christmas story. Good grief, what a great kid he was. No, wait... I'm thinking of something else. Actually, you may have heard me mention Linux before, but you might not have known what the heck it was. Linux is an operating system (just as Microsoft Windows is an operating system)... except it isn't like Microsoft Windows at all. It's actually based on UNIX, so folks who are comfortable with being told what to do and how to do it -- I wouldn't suggest venturing into the penguin world. "I'm just starting to figure Windows out, and now you want me to change my operating system?" You don't have to do anything if you don't want to, per se. Linux has endeared itself to a lot of power users. Some distributions are incredibly cheap (free) and easy to use -- if you're at familiar with the command prompt and computer security. Bottom line: it's an alternative environment that many have found to be just as good (if not better) than Windows. Of course, Microsoft's platforms aren't going anywhere anytime soon. Linux has certainly held its own (and continues to do so). Powerful, robust, and configurable, but definitely still for the savvy user.


List Server

Do you know of someone who has a handful of newsletters they want to send via e-mail? I mean, besides me of course. I'm already taken care of, thank you very much. If you plan on venturing into the world of e-mail publishing, you'll need to get yourself a list server. That'd be a program (in conjunction with a connected machine) that handles message distribution and subscription issues. The great thing about a list server is that it's not just for geeky subject matter; perhaps you're selling quilts online and want to keep folks up-to-date on your new designs. Follow the pattern? You can purchase your own list server, rent one on a per-message basis, develop your own, or... continue to live without one altogether. Now, if I'm not mistaken, someone actually wrote a book on how to do e-mail newsletters. His name escapes me for the moment, but if you know who it is -- please e-mail me ASAP.


Local Area Network

So you want to know what the heck this is, eh? You really want to know? You really, really... okay, a "local area network" is a network that is used locally... in an area. There, that's about it. Today's GnomeWORD was brought to you by network cable. Please help yourself to the buffet and don't forget to tip your waiter. What? You want a better explanation? Geez, you people are so demanding. The LAN (!) is comprised of computers that share a single communication line and are found in the same location. For example, you may work in an office building with a LAN. Its server(s) could have as few as three and as many as three thousand individuals accessing it at any given time. Designed to fit the needs of the people it serves, the LAN often has centralized data storage. Users can save their files on the network rather than on their own computers. When sharing common documents, this technique can save headaches (sometimes). Remember what intranet means? Yeah, this is kinda like the same thing. Although, intranets can be global, whereas LANs are pretty much just... local.


Lurking

Newsgroups are nice, but they can be somewhat foreboding. Jumping into a new newsgroup is like trying to infiltrate a whole new social circle. You don't really know anybody and they probably don't know you. I've said that it's a good idea to just hang out and read the threads before making a post of your own. That's what we call "lurking," my friends. It sounds bad, doesn't it? Like you're some sinister prowler hiding in the shadows. Even if you ARE a sinister prowler, you could still benefit from lurking a bit before making your first public entry. You might even decide this particular newsgroup isn't what you're looking for. No sweat; there's only about thirty million others waiting for you. Ya know, all some people ever do is lurk... but where's the fun in that? Electronic forums will make lurkers of us all.


Mirror Site

Remember when you were a kid and your parents would take you to the carnival or the amusement park? My favorite place was the House of Mirrors. I'd spend hours in there, laughing at the distorted reflection. Then, some wiseguy would tap me on the shoulder and whisper: "Chris, that's just a regular mirror." But enough about my embarrassing childhood, let's talk about this word in relation to the Internet, shall we? A Webmaster can make an exact copy of his site and upload it to a separate server. This kind of copy is known as a "mirror site." It helps make the site's content more accessible when it receives a ton of traffic. These mirror sites also come in handy for geographical reasons (e.g., you have a site in Germany and you want to make it accessible to folks in the United States). A person can also choose to just copy certain portions of their site. For example, if that user happens to distribute a popular program that is downloaded by hundreds of people a day, he can put the binary on several sites (other than his own). It's more fun than throwing up on the tilt-a-whirl.


MP3

Just call your cable company and say: "I want my MP3!" We've been hearing a lot about these things lately -- mostly due to the hullabaloo surrounding Napster (we'll just let Metallica and Limp Bizkit duke that one out). "What the heck is an MP3, anyway?" Well, it's a digital music file (in most cases). Moreover, it's a format for compressing a sound (say, from a CD) into a smaller file. Why? For quicker transferring (downloading or uploading). Although smooshed, the original audio quality remains (for the most part) intact. This is why many people see MP3s / digital music as being as THE NEXT big trend in listening pleasure. This file type is extremely portable, making it easier to hear the same 'byte' on your PC, in your car, on your Walkman, et al. If the whole Napster fiasco has you worried, don't fret; there are plenty of 'safe' ways to access MP3s on the Internet. Providing, of course, that you already own a legally purchased copy of the clip. Newer flavors of Windows come with the ability to play MP3 files. Players always add to the listening experience; ask anyone who's placed a CD up to his ear and heard nothing. We may have to wait for MP9 for that kind of functionality.


Netsplit

Have you ever been talking to someone on the street and suddenly they just up and disappear? Yeah, me neither, and yet it can happen when you're connected to an IRC (Internet Relay Chat) server. There you are talking to GnOmEbOy7 and suddenly, GnOmEbOy7 is gone. Where did he go? Call McGruff, the Crime Dog! Chill out; he didn't go anywhere. Your connection to him was severed; you smacked into a netsplit. The two (or more) servers lost contact with one another. You can still be connected with other users; to get back to the whole gang, quit your session and rejoin it immediately. It doesn't matter which client you use, netsplits can happen with anybody at any time. Just remember, you only lost a connection; the actual human beings are still alive and kicking... or are they? I hope this isn't another government conspiracy. I've got crop circles on my screen saver now.


Newsgroups

As you surf the Net, you may feel a little disenchanted by a lack of any real substance. Where the heck are all the people who share my interests? First off, there's a ton of "worthy" stimuli online, but it takes a lot of digging. That's why you have me -- I'm the Gnome with a pick-axe. To really find your digital clique, though, you may wish to check out the newsgroups. A newsgroup is essentially a threaded discussion list based on a specific subject matter (theoretically). Topics range from local news to computer hardware to folk music to any darn thing. Windows users can sign up for newsgroups using the Outlook Express news client; your ISP may carry a set of Usenet (Internet) newsgroups, but every one of you can sign up for the free forums at news.lockergnome.com. While newsgroups are a great way to confab with others who are just like you, it's not a bad idea to just sit back and watch during your first few visits to get a feel for the tone of the discussions (and to make sure you don't repeat a question that's already been asked forty-seven times). That's called lurking, folks. Also, be sure to play nice -- or the other members won't want to play with you at all. That's like being kicked out of the sandbox, I tell ya.


On The Fly

Life is nothing more than a series of tasks. Your body is always working (even when you're not). Do you have to tell your heart to pump blood? Of course not -- it happens on the fly. You don't need to stop doing whatever it is you're doing so that something else can happen. You even THINK on the fly. This is also a term used in the digital world to define any task that your computer performs immediately -- sometimes without user intervention. Programs that work "on the fly" know that you don't have time to sit around all day waiting; duties need to get done. Like misspellings in Microsoft Word; they're highlighted on the fly. No need to reboot your system -- it happens instantaneously. And if you use AutoCorrect in Spain, unrecognized words are highlighted on the Spanish fly. Or at the race track, something might happen on the horse fly.


Opera

"Sing quite deeply with my horned helmet; dance upon my keyboard; download my heart." Oh, pardon me... I'm working on my new Lockergnome Opera: "Iowans, Vikings, and MP3s." Right now, I'm playing all three hundred characters by myself... in my basement here. I tend to get bored when Gretchen is at work. So! Let's talk about some real Opera. Namely, the Web browser which bears that name. Most folks surf with Internet Explorer or Netscape, but there has been a smaller alternative for quite some time. Opera offers pretty much all of the same features that the bigger browsers do; many folks have been using it. It's actually a viable alternative to your typical browsing. Opera is now free, thanks to in-browser advertising. Which, I have to point out, happens on Web pages, anyway. NOTE: the Web is just a collection of pages. You can access it using any capable Web browser. It truly doesn't matter, as long as it can interpret HTML documents. You may also notice that pages show up differently in the different browsers. Go with whatever makes you happy, bud.


Path

The logical hierarchy for a file's ultimate location is known as its "path." It's a virtual road; there's an off ramp for every folder on your hard drive. When you're running Windows (and you probably are if you're reading this newsletter) then the path to "CHRISCOOL.TXT" would look like this: C:\ Program Files \ My Other Documents \ Nifty Stuff \ CHRISCOOL.TXT. That's the "path name." If you ask which path you should take, and someone tells you the wrong path, then they're a pathological liar. Sorry, but I had to meet my pun quota for the day; I was going through withdrawal. Paths can be long or short, depending on how many nested folders you have to click through to get to a desired document. Though DOS is in the dust, you can still enter a file's path in the Windows Explorer's Address Bar. Try it when you need to get to the "other side" of your hard drive in a... flash.


Peripherals

You don't have to be a geek to connect gadgets to your PC. The monitor, mouse, and keyboard are wonderful (and rather necessary), but wouldn't a scanner be great? And hey, don't you need a printer, too? What about some game controllers? What do we call all this 'dangling' hardware? Peripherals! Bet ya didn't see that one coming, eh. That's a fairly easy word to remember, but what's even more fascinating is that it's impossible to say "peripheral" and not sound like Scooby-Doo. That's one of those little factoids I uncovered during the many hours of extensive research. Then again, maybe I just need to stop staying up all night writing these little tips. Just think of 'peripheral' as your new power word. Now when you walk into the computer store and announce: "I seek peripherals," you'll sound like someone who knows what they're looking for. Someone who isn't going to be coerced into buying useless junk. This only works in technology stores, though. I tried it once at Dairy Queen and they just looked at me funny. You just can't order a good vanilla microphone these days.


RAM

Remember high school... how you'd study for weeks and weeks for a test? Well, more like minutes and minutes. How you "studied" isn't important, anyway. What's important is that all the answers to your history test were stored in short term memory long enough for you to ace it... or, at the very least, not fail. Chances are, once you left class and went on to Phys Ed, everything stored in that memory space disappeared into the ether. Well, RAM [Random Access Memory] works in much the same way. It's where 'loaded' (resident) applications can be quickly reached. RAM can be read from much faster than other system components, such as a hard drive, CD-ROM, or floppy disk. As when the bell rings and you leave class, when your PC is turned off (or rebooted), everything in RAM will be purposefully 'forgotten' permanently. The slate is wiped clean! When you turn the computer back on, your OS is (once more) loaded into memory. If only real life were like that, I would never forget birthdays and anniversaries.


Roaming Service

"Roam if you want to; roam around the world." Oh, great, now that song is stuck in my head. Curse those B52s! But they are correct. You can roam if you want to. Roam around... the world. What happens when you're in Walawala, Washington but your local dial-up number is for Sheboygan, Wisconsin? What then? Well, if your ISP offers a "roaming service," you shouldn't have to worry. They'll let you connect to the Internet from outside your local area for the price of a local call -- or, at least, at a cost that is cheaper than a typical long distance call. If you travel frequently (like certain lions I know), it's probably not a bad idea to check with your ISP to see if they offer such a service. National ISPs should have no problems in this respect. You may also consider obtaining a free ISP account (although who knows how much longer those are going to last). If you'd rather spend your money on local companies without a distant reach, consider calling ahead to the hotel(s) to see if they will provide a connected computer or a connection for your own laptop. It's wise to double-check with your cell provider to make sure their service is "roam" friendly, too. We hate unexpected charges 'round these parts.


ROM

Although it could be mistaken for the British pronunciation of RAM, ROM isn't RAM at all. Not exactly, anyway. And we're not talking about Quark's brother, either. It actually stands for "Read-Only Memory" and pretty much means what it says. You can't alter it in any way; you can only read it. It's the hardware's way of saying: "Look, but don't touch." Let's say you have Paint Shop Pro on CD-ROM, and you try to copy Tetris from your Desktop to the PSP CD-ROM. In all likelihood, you'll get a message telling you that you cannot write to the CD-ROM. Why? Because it's read-only, that's why. A more retro example would be the act of copying from a vinyl record to a cassette. If you had Pac-Man Fever on vinyl (and who didn't?) and wanted to put it on a blank tape, you could do that. The tape would allow itself to be "written" to. However, if you tried to put the contents of a tape onto a vinyl record, you'd fail miserably. ROM allows your computer to "boot up" every time; unlike RAM, it is not lost when you shut down the system. Many small handheld / portable digital devices use ROM chips for this reason. Now that I think about it, you might want to save all your CD-ROMs. They may become nostalgic items one day. You heard it here first.


Secure Socket Layer

Secure Sockets Layer

We all need some good PR every once in awhile. Why, without PR, Sprocket would just be "Socket." While I wait for that lame joke to sink in, I'll talk about another kind of socket, particularly SSL: the Secure Sockets Layer. What the heck is that? Luckily, it's nothing you have to worry about; it's built directly into Netscape and Internet Explorer. Yes, but WHAT IS IT? Okay, okay... I'll tell you. It's a protocol that ensures message transmissions sent over the Internet are kept secure. When you purchase a book online, say (and I'm just picking a title off the top of my head) "Poor Richard's E-mail Publishing" by Chris Pirillo, you want to make sure your credit card number is secure when you purchase your twenty-seven copies. The data will be encrypted (see previous GnomeWORD definition). When SSL is activated, you should see a picture of a lock (unbroken) at the bottom right hand corner of your browser window. Now when my dog surfs the Internet, he'll know that a Secure Socket Layer will secure Sprocket's Lair. A canine's PC is his castle, after all.


Skins

Have you ever seen the movie Face/Off? John Travolta and Nicholas Cage have their faces switched (not at birth). It may seem a little far-fetched, but I happen to know this plastic surgeon who can... well, I've already said too much. Let's just say I'm currently in negotiations with Russell Crowe. Personal tastes, much like faces, are somewhat unique. Based upon this premise, some programmers have allowed us to switch a program's interface on-the-fly. And that, my friends, is what we call skinning. Winamp programmers pioneered this feature; former Iowan, Tom Pepper, fathered the concept only a few years ago. Since the user interface is arguably one of the more important application elements, you can see how changing it could prove useful. See your world the way YOU want to see it. Still searching for something to skin? Always ask the app's author for the option. It may be a matter of form more than function in most cases, but a departure from 'vanilla' never hurt anybody. Heck, it's almost obligatory that newer programs come with this feature. Even the ever-lovin' Internet Explorer and your lowly Desktop can be given a facelift. Though skins aren't necessary, they make personalizing your PC a snap. Now you're playing with power. Oops; I think that slogan belongs to someone else.


Spam

Ah... Spam! Who doesn't love Spam? Pretty much everyone I know, actually. I think Spam is a perfect example of having too much of a good thing. "I like ham, and I like pork... why not put them together?" More importantly, why didn't someone try to stop that guy? Then again, Spam has been around for decades... so somebody has to be eating that stuff. Find a need and fill it, right? Well, that may be true for delicious meat byproducts, but there's definitely no need for unsolicited commercial e-mail (UCE). There's a name for those Inbox infiltrators: spam. If someone is trying to sell you something you didn't ask for, and it sounds like a marketing pitch, it's spam. Now, it is entirely possible that a message you think is spam is actually a legitimate mailing. Did you check a "Yes, send me more information" box when you signed up for a service or purchased a product? You've given your permission, then. Who knows what they're going to do with your e-mail address? Perhaps their privacy policy will shed some light on the subject. You'd be wise to double check these things in the future. Digital spam is harder to digest than its meaty namesake.


Spoofing

When evening comes, I venture into the city under the cover of night. I swing from rooftop to rooftop on a mouse cord; I am the protector of this fair city. I am the one they call... BatGnome. What?! Huh? Oh, sorry, I was daydreaming again. Darn my MARVELous fantasies of DC. At any rate, superheroes are masters of spoofing -- making you believe they're another person. Superman just covered himself with a pair of glasses (man, he wasn't even trying). When it comes to e-mail, the spoofers are considered virtual villains. It's the act of masking the sender's name and address in an e-mail message; spoofers make it look like it's being sent from another location. More often than not, it's used by folks who send unsolicited e-mail and don't want to be swamped by complaints. There's no valid reason to spoof, unless you're trying to save the universe (and the chances of that are highly unlikely). If only someone could save us from this peril. Quick -- to the GnomeMOBILE!


Spyware

Ah... yes. Once again we delve deep into the seedy underworld of the Undernet. I mean: the Internet. What sinister forces await us today, hmmm? How about some spyware? They Might Be Giants actually wrote a song about it a few years back: "Spyware (we love you, Spyware). Spyware (get rid of)." Oh, lovely. Does it come with salad? No. Spyware is a program that gathers personal information from a person's computer without him or her knowing about it. Nobody's really sure who the collected data is shared with. Spyware can often be found under the guise of "adware," or a program that uses internal banner advertisements to pay for itself. It should also be mentioned that a program that collects data but lets you know beforehand is not necessarily spyware, as long as you're told exactly what is being collected. It could still be considered adware or sponsorware, but... well, if you KNOW what it does, then by definition, it's not spying. "He is our hero." NOT!


Streaming Media

As geeks like myself throw grocery money away on all the latest gadgets, it's easy to forget that a vast majority of PC users are still chugging along on a 56k connection. Really, that's not all bad for the average user... until you want to download audio or video. Get out the popcorn and grape soda -- it's gonna be a long download. That's where streaming media steps into the picture (literally). Instead of waiting for the entire video to download, streaming media sends images and/or audio in a continuous stream straight to the user. Real Player is famous for doing this (it's also famous for being bloated, buggy, and bombastic). Anyway, with this type of media, there's no wait. The speed and quality of the video and/or audio is contingent on how speedy your connection is. But heck, there's always a tradeoff for instant gratification.


Switch

I used to work on the railroad, but they demanded I work "all the live long day." Dude, they weren't even paying me time and a half. I ran the switch, which changed the course of the trains from one track to another. I thought to myself: "Ya know, someday I'm going to write a technology newsletter and I'm going to use this experience to explain what a 'switch' is." So, a "switch," in computerese, is a network device that chooses a path for data to follow. For smaller networks (like those in the average GnomeHOME), a switch really isn't needed. More often than not, there's not much data passing back and forth on a home network. Now, you take a network like the Internet and... whooo boy! That's a different story. It should be noted, too, that the trip from one switch to another is called a "hop." That's actually what the song "Let's Go To The Hop" is about. No kidding. Now if you'll excuse me, someone's in the kitchen with Dinah, and they're playing my banjo.


System Tray

I will be your waiter for this evening. If you take a look at my systray, you will see we have a lovely digital clock, a delicious Task Scheduler, a hearty Anti-Virus program, and of course, an audio player (suitable for dipping). Please click on any one of these to enjoy. You must leave an 80% tip. Thank you. Well, that little section at the bottom right hand corner of your screen is known as the system tray (or "systray"). This tray is just a small part of a much larger world known as the "Taskbar" (the bar at the bottom of your screen). Why have the systray? Because some programs don't need to take up space in your Taskbar. If only an icon needs to be shown, then why shouldn't it? When you want to get rid of a systray icon, you should be able to right-click on it and select a "Close" or "Exit" option. How can you force programs to minimize to the System Tray instead of the regular section of the Taskbar? Well, unless they're outfitted with that functionality, you'll need a third-party program.


Threads

Thread is what holds us all together. Well, it does if you happen to be Frankenstein's monster. It holds my clothes together, too... and I'm pretty sure that's a good thing. Did you know that threads are just as important on the Internet, also? Well, they are. I featured Newsgroups as an earlier GnomeWORD, and I mentioned it was a good idea to "lurk" inside a particular newsgroup before posting. This allows you to get a feel for the community of a particular newsgroup, plus it could save you the embarrassment of asking a question or making a statement that has already been mentioned fifty times in the past week. Anyway, Newsgroup messages and responses are set up in sequences known as "threads." These threads show the original message and consequential public responses. See, it's like a thread of responses. Get it? I knew you could. E-mail discussion lists can be threaded as well. The easiest way to spot a thread is by reading the subject line. Most often, responses begin with the "RE:" abbreviation. Dig my threads?


Thumbnail

You don't know what a thumbnail is? It's that hard, flat thing on the top of your thumb, silly. Next you'll be asking me what "finger" means. That's for a future GnomeWORD. Yeah, anyway... a thumbnail (as it pertains to electronic media) is a smaller version of a (larger) graphic. These shrinky-dinks are used to make Web pages load faster. For example, if you have a page with twenty pictures of your poodle, Froo Froo, you'd probably want to show thumbnails instead of full-size pictures. Unless you want people to wait two hours for your page to load... and they probably won't. They'd much rather click on the more interesting thumbnails to see their bigger counterparts. Just the other day, I caught Sprocket panting over some pictures of Froo Froo. Where's the parental lock for this thing, anyway? I never thought I'd have to worry about this.


Trojan Virus

Those of us who read Homer's 'The Iliad' (how did he find time to write an epic while working at the nuclear power plant?) or saw 'Monty Python and the Holy Grail' understand a Trojan Horse (or Rabbit) reference. A bunch of soldiers hid inside this giant, wooden horse -- which was presented to an ancient city as a gift. Once inside the city walls, the soldiers climbed out of the crate and took over the township. Today, a 'Trojan Horse' is used to describe any sneaky, underhanded attack. It's also the term used to describe a 'harmless' program containing hidden code that's actually not-so-harmless. Once inside your system, the Trojan horse is then free to do whatever damage it was designed to do. No one knowingly allows viruses to infiltrate their computer, and that's why Trojan horses are somewhat ingenious (in their own malicious way). They're embedded within another program, such as (and this has happened before) a virus scanning program; they're not easily detected. For that reason, it's always a good idea to make sure everything you download is from a trusted source, though double checking will never be out of the question. You can also download programs designed specifically for finding Trojan horses on your system. Remember: the Knights Who Say "Ni" were never a trusted source. I'd certainly never bring 'em a shrubbery.


Twain

Put in the simplest terms possible, a TWAIN is what Elmer Fudd uses to get to and fwum work. Next week, we'll be talking about hard dwives. Actually, if you're running a scanner, you're most likely using a TWAIN dwiver... er, driver. A TWAIN driver lets you scan an image directly from your scanner into an application (say, something like Adobe PhotoShop). Without this mighty binary driving your images, you'd have to open a program to retrieve the image, then open another program to work on it. It'd get to be a big ol' mess right quick. If you're wondering what TWAIN stands for, you'll be wondering for a long time. It's the "Technology Without An Interesting Name," for the lack of... an interesting name. Even the companies who developed it and made it an industry standard haven't given it a proper title.


URL

You probably hear the term 'URL' used often, and you probably already know what it is... without actually knowing what it is. Don't worry, that first sentence confused me just as much as it did you, and I'm the one who typed the darn thing. A URL [Uniform Resource Locator] is a Web address. There, what was so hard about that? I need to lay off the coffee; I'm starting to overstate even the simplest concepts. Or maybe I need more coffee? Or maybe I need to just get to the point already. A URL is the fastest way to reach a specific Web page; it's easier to find Lockergnome by typing in "www.lockergnome.com" than it is to search for "Lockergnome" through a search engine). Think of it as dialing direct as opposed to calling information. URLs aren't just for homepages, though. No, sir! They can be part of any Web site. For example, the title page URL for Lockergnome is at '/index.html' but the URL for our Chat page is '/chat.html' (assuming that lockergnome.com is the root domain for each). Remember: the shortest path between two points is a straight line. And this is the path of least resistance.


Visual Basic

When you first learned to ride a bike, you probably used training wheels. I'm not sure why they don't have training wheels for beginning auto drivers, too. I mean, besides the fact that they'd have to widen the roads considerably to accommodate the... Anyway, back to bicycles. Most of us had to learn balance before we could ride off into the sunset on two wheels. Some folks even went on to master one wheel, and eventually, one wheel on a high wire (but enough about the circus). Visual Basic is a programming language that comes with training wheels. Thanks to a handful of pre-written modules, programmers don't have to write their own code. It's pretty much a point-and-click experience. For developing "prototype" binaries that will later be rewritten in a less "basic" language, Visual Basic is perfect. You may have heard about these so-called Visual Basic runtimes at one point, too. They're the common libraries that can be shared between any given VB application. If you want to get started in programming, there could be no easier way. Future versions of Visual Basic will be even more simple to use.


Wait State

*Grumble* "Come on, any day now, come on, let's go, come on, hurry up, come on..." Today's is a combination WORD and TIP, all rolled into one package. The word is "wait state." The tip? Computers don't understand you when you tell them to hurry up. Wouldn't it be nice if they did, though? "Computer, work faster!" "Sir, yes, sir!" "Good, now hack into the IRS website and tell them I've shuffled off my mortal coil." No, we must all remain patient. Well, that lull while your processor waits for an operation to complete so it can start working on another operation is called a "wait state." As you've probably already guessed, some systems have a longer "wait state" than others. It all depends on the speed of your processor, the amount of cache it has, what kind of memory it employs, etc. The more MHz behind it, the shorter the wait (theoretically). It's so hard to lose wait these days.


Webring

Firewall

Look at the back of your printer. That's not a tail coming out of your InkJet, it's just a cable. More than likely, it's one of those thick cords with a bunch of tiny little pins on each end. This is most likely a parallel cable. Yeah... so? Well, a new easier-to-attach cable has been developed; it's quickly becoming the next big thing in the world of cable. Yeah, I know this is terribly fascinating, but just wait -- you'll be asking for a peripheral that comes with this technology the next time you go shopping, believe me. The new 1394 High Performance Serial Bus (or "FireWire," as Apple calls it), is currently used with digital video cameras, DVD players, and other devices; it transfers data at a much higher rate than any other serial bus. In other words, it's better. Faster. See... I told you so.


Webring

If you want to get married over the World Wide Web, you'll have to get your fiancé a webring. That's pronounced "Web ring," not "we bring" (just so you know). I don't think you can get married over the Internet just yet, but I'm sure that technology will be comin' 'round the mountain soon enough. We'll probably have online weddings before we get a keyboard that can survive a coffee bath; I'd buy one of those beauties. How about we define "webring" already? Okay, a webring is a bunch of sites that have something in common and are all connected through a circular series of links. If you keep going, you eventually end up back where you started (in theory). You can view these sites in pretty much any order you see fit, too. There are webrings covering just about every subject imaginable. Sometimes the circle gets broken; gravesites are everywhere. With this ring, I thee click.


Wide Area Network

We talked about LAN before, but what about WAN? You know, that's what they'd call you if your name was "John" and you lived in Mexico. It's also the loneliest number. And it beats losing. Well, it also stands for "Wide Area Network," and, much like it's little brother, "Local Area Network," this is a network that's only accessible by certain individuals. The difference? WAN is spread out over a larger geographical area, where as LANs tend to stay in a teeny little place (locally). You knew where this was going the whole time. Some of these definitions are pretty self-explanatory, which makes them easy to explanator. While a WAN may be privately owned, they often include public networks. Hey, you may never use this term in regular conversation, but wouldn't it be nice to understand what those company geeks are babbling about at the water cooler?


Updates

Visit
Virtual Graphics World
for the latest version

virtualgraphicsworld.freeservers.com

Awards

www.rocketdownload.com

www.nonags.com

File contents Copyright © Chris Pirillo & Lockergnome.
File compiled by Peter Law @ Virtual Graphics World.


Lockergnome Tips

Lockergnome's Tips File
Copyright © 2001, Chris Pirillo
www.lockergnome.com

SUBSCRIBE TO LOCKERGNOME TODAY!
Windows Daily
Digital Media
Tech Specialist 		Lockergnome

Lockergnome will do the work for you. Start putting the snap and crackle back into your POP3 -- for FREE! We'll send our e-mail newsletter to you every day -- packed with the latest Windows freeware, games, multimedia, fonts, Web sites, tips & tricks, updates, drivers, themes, computer industry news, and more.

Read The Latest Daily Issue